
local songName= GAMESTATE:GetCurrentSong():GetSongDir()

local function iris_mod_internal(str, pn)
	local ps= GAMESTATE:GetPlayerState(pn)
	local pmods= ps:GetPlayerOptionsString('ModsLevel_Song')
	ps:SetPlayerOptions('ModsLevel_Song', pmods .. ', ' .. str)
	--GAMESTATE:ApplyGameCommand('mod,'..str, pn)
end


local function iris_mod(str)
	for i=1,2 do
		iris_mod_internal(str, 'PlayerNumber_P' .. i)
	end
end



local function iris_init()
	fgcurcommand = 0;
	wndr_skewx=0.3;
	checked = false;
	
	
	
	--lua course :D	/ timed mod management	
	curmod = 1;
	--{beat,mod,player}
	mods = {

		{0.1,'*99 stealth, *99 1.7x, *99 200% brake, *99 centered'},
		{0.11,'*0.6 0% stealth'},

		{2,'*99 10% drunk, *1.3 stealth, *1.3 dark, *0.9 0% brake'},
		{2.05,'*99 -10% drunk'},
		{2.10,'*99 20% drunk'},
		{2.15,'*99 -20% drunk'},
		{2.20,'*99 30% drunk'},
		{2.25,'*99 -30% drunk'},
		{2.30,'*99 40% drunk'},
		{2.35,'*99 -40% drunk'},
		{2.40,'*99 50% drunk'},
		{2.45,'*99 -50% drunk'},
		{2.50,'*99 60% drunk'},
		{2.55,'*99 -60% drunk'},
		{2.60,'*99 70% drunk'},
		{2.65,'*99 -70% drunk'},
		{2.70,'*99 80% drunk'},
		{2.75,'*99 -80% drunk'},
		{2.80,'*99 90% drunk'},
		{2.85,'*99 -90% drunk'},
		{2.90,'*99 drunk'},
		{2.95,'*99 -100% drunk'},
		{3,'*99 0% drunk'},

		{4,'*0.6 0% stealth, *0.8 0% dark, *99 200% brake'},

		{6,'*99 10% drunk, *0.8 stealth, *0.8 dark, *0.9 0% brake'},
		{6.05,'*99 -10% drunk'},
		{6.10,'*99 20% drunk'},
		{6.15,'*99 -20% drunk'},
		{6.20,'*99 30% drunk'},
		{6.25,'*99 -30% drunk'},
		{6.30,'*99 40% drunk'},
		{6.35,'*99 -40% drunk'},
		{6.40,'*99 50% drunk'},
		{6.45,'*99 -50% drunk'},
		{6.50,'*99 60% drunk'},
		{6.55,'*99 -60% drunk'},
		{6.60,'*99 70% drunk'},
		{6.65,'*99 -70% drunk'},
		{6.70,'*99 80% drunk'},
		{6.75,'*99 -80% drunk'},
		{6.80,'*99 90% drunk'},
		{6.85,'*99 -90% drunk'},
		{6.90,'*99 drunk'},
		{6.95,'*99 -100% drunk'},
		{7,'*99 0% drunk'},

		{8,'*0.6 0% stealth, *0.8 0% dark, *99 200% brake'},

		{10,'*99 10% drunk, *0.8 stealth, *0.8 dark, *0.8 0% brake'},
		{10.05,'*99 -10% drunk'},
		{10.10,'*99 20% drunk'},
		{10.15,'*99 -20% drunk'},
		{10.20,'*99 30% drunk'},
		{10.25,'*99 -30% drunk'},
		{10.30,'*99 40% drunk'},
		{10.35,'*99 -40% drunk'},
		{10.40,'*99 50% drunk'},
		{10.45,'*99 -50% drunk'},
		{10.50,'*99 60% drunk'},
		{10.55,'*99 -60% drunk'},
		{10.60,'*99 70% drunk'},
		{10.65,'*99 -70% drunk'},
		{10.70,'*99 80% drunk'},
		{10.75,'*99 -80% drunk'},
		{10.80,'*99 90% drunk'},
		{10.85,'*99 -90% drunk'},
		{10.90,'*99 drunk'},
		{10.95,'*99 -100% drunk'},
		{11,'*99 0% drunk'},

		{12,'*0.6 0% stealth, *0.8 0% dark'},

		{14,'*99 10% drunk, *0.8 0% centered'},
		{14.05,'*99 -10% drunk'},
		{14.10,'*99 20% drunk'},
		{14.15,'*99 -20% drunk'},
		{14.20,'*99 30% drunk'},
		{14.25,'*99 -30% drunk'},
		{14.30,'*99 40% drunk'},
		{14.35,'*99 -40% drunk'},
		{14.40,'*99 50% drunk'},
		{14.45,'*99 -50% drunk'},
		{14.50,'*99 60% drunk'},
		{14.55,'*99 -60% drunk'},
		{14.60,'*99 70% drunk'},
		{14.65,'*99 -70% drunk'},
		{14.70,'*99 80% drunk'},
		{14.75,'*99 -80% drunk'},
		{14.80,'*99 90% drunk'},
		{14.85,'*99 -90% drunk'},
		{14.90,'*99 drunk'},
		{14.95,'*99 -100% drunk'},
		{15,'*99 110% drunk'},
		{15.05,'*99 -110% drunk'},
		{15.10,'*99 120% drunk'},
		{15.15,'*99 -120% drunk'},
		{15.20,'*99 130% drunk'},
		{15.25,'*99 -130% drunk'},
		{15.30,'*99 140% drunk'},
		{15.35,'*99 -140% drunk'},
		{15.40,'*99 150% drunk'},
		{15.45,'*99 -150% drunk'},
		{15.50,'*99 160% drunk'},
		{15.55,'*99 -160% drunk'},
		{15.60,'*99 170% drunk'},
		{15.65,'*99 -170% drunk'},
		{15.70,'*99 180% drunk'},
		{15.75,'*99 -180% drunk'},
		{15.80,'*99 190% drunk'},
		{15.85,'*99 -190% drunk'},
		{15.90,'*99 200% drunk'},
		{15.95,'*99 0% drunk'},
		{16,'*0.8 -100% brake'},
		{16.5,'*0.1 0% brake'},

		{20,'*99 10% drunk, *99 confusion'},
		{20.01,'*99 -10% drunk, *99 -10% confusion'},
		{20.02,'*99 10% drunk, *99 confusion'},
		{20.03,'*99 -10% drunk, *99 -10% confusion'},
		{20.04,'*99 10% drunk, *99 confusion'},
		{20.05,'*99 -10% drunk, *99 -10% confusion'},
		{20.06,'*99 10% drunk, *99 confusion'},
		{20.07,'*99 -10% drunk, *99 -10% confusion'},
		{20.08,'*99 10% drunk, *99 confusion'},
		{20.09,'*99 -10% drunk, *99 -10% confusion'},
		{20.10,'*99 10% drunk, *99 confusion'},
		{20.11,'*99 -10% drunk, *99 -10% confusion'},
		{20.12,'*99 10% drunk, *99 confusion'},
		{20.13,'*99 -10% drunk, *99 -10% confusion'},
		{20.14,'*99 10% drunk, *99 confusion'},
		{20.15,'*99 -10% drunk, *99 -10% confusion'},
		{20.16,'*99 10% drunk, *99 confusion'},
		{20.17,'*99 -10% drunk, *99 -10% confusion'},
		{20.18,'*99 10% drunk, *99 confusion'},
		{20.19,'*99 -10% drunk, *99 -10% confusion'},
		{20.20,'*99 10% drunk, *99 confusion'},
		{20.21,'*99 -10% drunk, *99 -10% confusion'},
		{20.22,'*99 10% drunk, *99 confusion'},
		{20.23,'*99 -10% drunk, *99 -10% confusion'},
		{20.24,'*99 10% drunk, *99 confusion'},
		{20.25,'*99 -10% drunk, *99 -10% confusion'},
		{20.26,'*99 10% drunk, *99 confusion'},
		{20.27,'*99 -10% drunk, *99 -10% confusion'},
		{20.28,'*99 10% drunk, *99 confusion'},
		{20.29,'*99 -10% drunk, *99 -10% confusion'},
		{20.30,'*99 10% drunk, *99 confusion'},
		{20.31,'*99 -10% drunk, *99 -10% confusion'},
		{20.32,'*99 10% drunk, *99 confusion'},
		{20.33,'*99 -10% drunk, *99 -10% confusion'},
		{20.34,'*99 10% drunk, *99 confusion'},
		{20.35,'*99 -10% drunk, *99 -10% confusion'},
		{20.36,'*99 10% drunk, *99 confusion'},
		{20.37,'*99 -10% drunk, *99 -10% confusion'},
		{20.38,'*99 10% drunk, *99 confusion'},
		{20.39,'*99 -10% drunk, *99 -10% confusion'},
		{20.40,'*99 10% drunk, *99 confusion'},
		{20.41,'*99 -10% drunk, *99 -10% confusion'},
		{20.42,'*99 10% drunk, *99 confusion'},
		{20.43,'*99 -10% drunk, *99 -10% confusion'},
		{20.44,'*99 10% drunk, *99 confusion'},
		{20.45,'*99 -10% drunk, *99 -10% confusion'},
		{20.46,'*99 10% drunk, *99 confusion'},
		{20.47,'*99 -10% drunk, *99 -10% confusion'},
		{20.48,'*99 10% drunk, *99 confusion'},
		{20.49,'*99 -10% drunk, *99 -10% confusion'},
		{20.50,'*99 10% drunk, *99 confusion'},
		{20.51,'*99 -10% drunk, *99 -10% confusion'},
		{20.52,'*99 10% drunk, *99 confusion'},
		{20.53,'*99 -10% drunk, *99 -10% confusion'},
		{20.54,'*99 10% drunk, *99 confusion'},
		{20.55,'*99 -10% drunk, *99 -10% confusion'},
		{20.56,'*99 10% drunk, *99 confusion'},
		{20.57,'*99 -10% drunk, *99 -10% confusion'},
		{20.58,'*99 10% drunk, *99 confusion'},
		{20.59,'*99 -10% drunk, *99 -10% confusion'},
		{20.60,'*99 10% drunk, *99 confusion'},
		{20.61,'*99 -10% drunk, *99 -10% confusion'},
		{20.62,'*99 10% drunk, *99 confusion'},
		{20.63,'*99 -10% drunk, *99 -10% confusion'},
		{20.64,'*99 10% drunk, *99 confusion'},
		{20.65,'*99 -10% drunk, *99 -10% confusion'},
		{20.66,'*99 10% drunk, *99 confusion'},
		{20.67,'*99 -10% drunk, *99 -10% confusion'},
		{20.68,'*99 10% drunk, *99 confusion'},
		{20.69,'*99 -10% drunk, *99 -10% confusion'},
		{20.70,'*99 10% drunk, *99 confusion'},
		{20.71,'*99 -10% drunk, *99 -10% confusion'},
		{20.72,'*99 10% drunk, *99 confusion'},
		{20.73,'*99 -10% drunk, *99 -10% confusion'},
		{20.74,'*99 10% drunk, *99 confusion'},
		{20.75,'*99 -10% drunk, *99 -10% confusion'},
		{20.76,'*99 10% drunk, *99 confusion'},
		{20.77,'*99 -10% drunk, *99 -10% confusion'},
		{20.78,'*99 10% drunk, *99 confusion'},
		{20.79,'*99 -10% drunk, *99 -10% confusion'},
		{20.80,'*99 10% drunk, *99 confusion'},
		{20.81,'*99 -10% drunk, *99 -10% confusion'},
		{20.82,'*99 10% drunk, *99 confusion'},
		{20.83,'*99 -10% drunk, *99 -10% confusion'},
		{20.84,'*99 10% drunk, *99 confusion'},
		{20.85,'*99 -10% drunk, *99 -10% confusion'},
		{20.86,'*99 10% drunk, *99 confusion'},
		{20.87,'*99 -10% drunk, *99 -10% confusion'},
		{20.88,'*99 10% drunk, *99 confusion'},
		{20.89,'*99 -10% drunk, *99 -10% confusion'},
		{20.90,'*99 10% drunk, *99 confusion'},
		{20.91,'*99 -10% drunk, *99 -10% confusion'},
		{20.92,'*99 10% drunk, *99 confusion'},
		{20.93,'*99 -10% drunk, *99 -10% confusion'},
		{20.94,'*99 10% drunk, *99 confusion'},
		{20.95,'*99 -10% drunk, *99 -10% confusion'},
		{20.96,'*99 10% drunk, *99 confusion'},
		{20.97,'*99 -10% drunk, *99 -10% confusion'},
		{20.98,'*99 10% drunk, *99 confusion'},
		{20.99,'*99 -10% drunk, *99 -10% confusion'},
		{21,'*99 10% drunk, *99 confusion'},
		{21.01,'*99 -10% drunk, *99 -10% confusion'},
		{21.02,'*99 10% drunk, *99 confusion'},
		{21.03,'*99 -10% drunk, *99 -10% confusion'},
		{21.04,'*99 10% drunk, *99 confusion'},
		{21.05,'*99 -10% drunk, *99 -10% confusion'},
		{21.06,'*99 10% drunk, *99 confusion'},
		{21.07,'*99 -10% drunk, *99 -10% confusion'},
		{21.08,'*99 10% drunk, *99 confusion'},
		{21.09,'*99 -10% drunk, *99 -10% confusion'},
		{21.10,'*99 10% drunk, *99 confusion'},
		{21.11,'*99 -10% drunk, *99 -10% confusion'},
		{21.12,'*99 10% drunk, *99 confusion'},
		{21.13,'*99 -10% drunk, *99 -10% confusion'},
		{21.14,'*99 10% drunk, *99 confusion'},
		{21.15,'*99 -10% drunk, *99 -10% confusion'},
		{21.16,'*99 10% drunk, *99 confusion'},
		{21.17,'*99 -10% drunk, *99 -10% confusion'},
		{21.18,'*99 10% drunk, *99 confusion'},
		{21.19,'*99 -10% drunk, *99 -10% confusion'},
		{21.20,'*99 10% drunk, *99 confusion'},
		{21.21,'*99 -10% drunk, *99 -10% confusion'},
		{21.22,'*99 10% drunk, *99 confusion'},
		{21.23,'*99 -10% drunk, *99 -10% confusion'},
		{21.24,'*99 10% drunk, *99 confusion'},
		{21.25,'*99 -10% drunk, *99 -10% confusion'},
		{21.26,'*99 10% drunk, *99 confusion'},
		{21.27,'*99 -10% drunk, *99 -10% confusion'},
		{21.28,'*99 10% drunk, *99 confusion'},
		{21.29,'*99 -10% drunk, *99 -10% confusion'},
		{21.30,'*99 10% drunk, *99 confusion'},
		{21.31,'*99 -10% drunk, *99 -10% confusion'},
		{21.32,'*99 10% drunk, *99 confusion'},
		{21.33,'*99 -10% drunk, *99 -10% confusion'},
		{21.34,'*99 10% drunk, *99 confusion'},
		{21.35,'*99 -10% drunk, *99 -10% confusion'},
		{21.36,'*99 10% drunk, *99 confusion'},
		{21.37,'*99 -10% drunk, *99 -10% confusion'},
		{21.38,'*99 10% drunk, *99 confusion'},
		{21.39,'*99 -10% drunk, *99 -10% confusion'},
		{21.40,'*99 10% drunk, *99 confusion'},
		{21.41,'*99 -10% drunk, *99 -10% confusion'},
		{21.42,'*99 10% drunk, *99 confusion'},
		{21.43,'*99 -10% drunk, *99 -10% confusion'},
		{21.44,'*99 10% drunk, *99 confusion'},
		{21.45,'*99 -10% drunk, *99 -10% confusion'},
		{21.46,'*99 10% drunk, *99 confusion'},
		{21.47,'*99 -10% drunk, *99 -10% confusion'},
		{21.48,'*99 10% drunk, *99 confusion'},
		{21.49,'*99 -10% drunk, *99 -10% confusion'},
		{21.50,'*99 10% drunk, *99 confusion'},
		{21.51,'*99 -10% drunk, *99 -10% confusion'},
		{21.52,'*99 10% drunk, *99 confusion'},
		{21.53,'*99 -10% drunk, *99 -10% confusion'},
		{21.54,'*99 10% drunk, *99 confusion'},
		{21.55,'*99 -10% drunk, *99 -10% confusion'},
		{21.56,'*99 10% drunk, *99 confusion'},
		{21.57,'*99 -10% drunk, *99 -10% confusion'},
		{21.58,'*99 10% drunk, *99 confusion'},
		{21.59,'*99 -10% drunk, *99 -10% confusion'},
		{21.60,'*99 10% drunk, *99 confusion'},
		{21.61,'*99 -10% drunk, *99 -10% confusion'},
		{21.62,'*99 10% drunk, *99 confusion'},
		{21.63,'*99 -10% drunk, *99 -10% confusion'},
		{21.64,'*99 10% drunk, *99 confusion'},
		{21.65,'*99 -10% drunk, *99 -10% confusion'},
		{21.66,'*99 10% drunk, *99 confusion'},
		{21.67,'*99 -10% drunk, *99 -10% confusion'},
		{21.68,'*99 10% drunk, *99 confusion'},
		{21.69,'*99 -10% drunk, *99 -10% confusion'},
		{21.70,'*99 10% drunk, *99 confusion'},
		{21.71,'*99 -10% drunk, *99 -10% confusion'},
		{21.72,'*99 10% drunk, *99 confusion'},
		{21.73,'*99 -10% drunk, *99 -10% confusion'},
		{21.74,'*99 10% drunk, *99 confusion'},
		{21.75,'*99 -10% drunk, *99 -10% confusion'},
		{21.76,'*99 10% drunk, *99 confusion'},
		{21.77,'*99 -10% drunk, *99 -10% confusion'},
		{21.78,'*99 10% drunk, *99 confusion'},
		{21.79,'*99 -10% drunk, *99 -10% confusion'},
		{21.80,'*99 10% drunk, *99 confusion'},
		{21.81,'*99 -10% drunk, *99 -10% confusion'},
		{21.82,'*99 10% drunk, *99 confusion'},
		{21.83,'*99 -10% drunk, *99 -10% confusion'},
		{21.84,'*99 10% drunk, *99 confusion'},
		{21.85,'*99 -10% drunk, *99 -10% confusion'},
		{21.86,'*99 10% drunk, *99 confusion'},
		{21.87,'*99 -10% drunk, *99 -10% confusion'},
		{21.88,'*99 10% drunk, *99 confusion'},
		{21.89,'*99 -10% drunk, *99 -10% confusion'},
		{21.90,'*99 10% drunk, *99 confusion'},
		{21.91,'*99 -10% drunk, *99 -10% confusion'},
		{21.92,'*99 10% drunk, *99 confusion'},
		{21.93,'*99 -10% drunk, *99 -10% confusion'},
		{21.94,'*99 10% drunk, *99 confusion'},
		{21.95,'*99 -10% drunk, *99 -10% confusion'},
		{21.96,'*99 10% drunk, *99 confusion'},
		{21.97,'*99 -10% drunk, *99 -10% confusion'},
		{21.98,'*99 10% drunk, *99 confusion'},
		{21.99,'*99 -10% drunk, *99 -10% confusion'},
		{22,'*99 0% drunk, *99 0% confusion'},

		{28,'*99 10% drunk, *99 confusion'},
		{28.01,'*99 -10% drunk, *99 -10% confusion'},
		{28.02,'*99 10% drunk, *99 confusion'},
		{28.03,'*99 -10% drunk, *99 -10% confusion'},
		{28.04,'*99 10% drunk, *99 confusion'},
		{28.05,'*99 -10% drunk, *99 -10% confusion'},
		{28.06,'*99 10% drunk, *99 confusion'},
		{28.07,'*99 -10% drunk, *99 -10% confusion'},
		{28.08,'*99 10% drunk, *99 confusion'},
		{28.09,'*99 -10% drunk, *99 -10% confusion'},
		{28.10,'*99 10% drunk, *99 confusion'},
		{28.11,'*99 -10% drunk, *99 -10% confusion'},
		{28.12,'*99 10% drunk, *99 confusion'},
		{28.13,'*99 -10% drunk, *99 -10% confusion'},
		{28.14,'*99 10% drunk, *99 confusion'},
		{28.15,'*99 -10% drunk, *99 -10% confusion'},
		{28.16,'*99 10% drunk, *99 confusion'},
		{28.17,'*99 -10% drunk, *99 -10% confusion'},
		{28.18,'*99 10% drunk, *99 confusion'},
		{28.19,'*99 -10% drunk, *99 -10% confusion'},
		{28.20,'*99 10% drunk, *99 confusion'},
		{28.21,'*99 -10% drunk, *99 -10% confusion'},
		{28.22,'*99 10% drunk, *99 confusion'},
		{28.23,'*99 -10% drunk, *99 -10% confusion'},
		{28.24,'*99 10% drunk, *99 confusion'},
		{28.25,'*99 -10% drunk, *99 -10% confusion'},
		{28.26,'*99 10% drunk, *99 confusion'},
		{28.27,'*99 -10% drunk, *99 -10% confusion'},
		{28.28,'*99 10% drunk, *99 confusion'},
		{28.29,'*99 -10% drunk, *99 -10% confusion'},
		{28.30,'*99 10% drunk, *99 confusion'},
		{28.31,'*99 -10% drunk, *99 -10% confusion'},
		{28.32,'*99 10% drunk, *99 confusion'},
		{28.33,'*99 -10% drunk, *99 -10% confusion'},
		{28.34,'*99 10% drunk, *99 confusion'},
		{28.35,'*99 -10% drunk, *99 -10% confusion'},
		{28.36,'*99 10% drunk, *99 confusion'},
		{28.37,'*99 -10% drunk, *99 -10% confusion'},
		{28.38,'*99 10% drunk, *99 confusion'},
		{28.39,'*99 -10% drunk, *99 -10% confusion'},
		{28.40,'*99 10% drunk, *99 confusion'},
		{28.41,'*99 -10% drunk, *99 -10% confusion'},
		{28.42,'*99 10% drunk, *99 confusion'},
		{28.43,'*99 -10% drunk, *99 -10% confusion'},
		{28.44,'*99 10% drunk, *99 confusion'},
		{28.45,'*99 -10% drunk, *99 -10% confusion'},
		{28.46,'*99 10% drunk, *99 confusion'},
		{28.47,'*99 -10% drunk, *99 -10% confusion'},
		{28.48,'*99 10% drunk, *99 confusion'},
		{28.49,'*99 -10% drunk, *99 -10% confusion'},
		{28.50,'*99 10% drunk, *99 confusion'},
		{28.51,'*99 -10% drunk, *99 -10% confusion'},
		{28.52,'*99 10% drunk, *99 confusion'},
		{28.53,'*99 -10% drunk, *99 -10% confusion'},
		{28.54,'*99 10% drunk, *99 confusion'},
		{28.55,'*99 -10% drunk, *99 -10% confusion'},
		{28.56,'*99 10% drunk, *99 confusion'},
		{28.57,'*99 -10% drunk, *99 -10% confusion'},
		{28.58,'*99 10% drunk, *99 confusion'},
		{28.59,'*99 -10% drunk, *99 -10% confusion'},
		{28.60,'*99 10% drunk, *99 confusion'},
		{28.61,'*99 -10% drunk, *99 -10% confusion'},
		{28.62,'*99 10% drunk, *99 confusion'},
		{28.63,'*99 -10% drunk, *99 -10% confusion'},
		{28.64,'*99 10% drunk, *99 confusion'},
		{28.65,'*99 -10% drunk, *99 -10% confusion'},
		{28.66,'*99 10% drunk, *99 confusion'},
		{28.67,'*99 -10% drunk, *99 -10% confusion'},
		{28.68,'*99 10% drunk, *99 confusion'},
		{28.69,'*99 -10% drunk, *99 -10% confusion'},
		{28.70,'*99 10% drunk, *99 confusion'},
		{28.71,'*99 -10% drunk, *99 -10% confusion'},
		{28.72,'*99 10% drunk, *99 confusion'},
		{28.73,'*99 -10% drunk, *99 -10% confusion'},
		{28.74,'*99 10% drunk, *99 confusion'},
		{28.75,'*99 -10% drunk, *99 -10% confusion'},
		{28.76,'*99 10% drunk, *99 confusion'},
		{28.77,'*99 -10% drunk, *99 -10% confusion'},
		{28.78,'*99 10% drunk, *99 confusion'},
		{28.79,'*99 -10% drunk, *99 -10% confusion'},
		{28.80,'*99 10% drunk, *99 confusion'},
		{28.81,'*99 -10% drunk, *99 -10% confusion'},
		{28.82,'*99 10% drunk, *99 confusion'},
		{28.83,'*99 -10% drunk, *99 -10% confusion'},
		{28.84,'*99 10% drunk, *99 confusion'},
		{28.85,'*99 -10% drunk, *99 -10% confusion'},
		{28.86,'*99 10% drunk, *99 confusion'},
		{28.87,'*99 -10% drunk, *99 -10% confusion'},
		{28.88,'*99 10% drunk, *99 confusion'},
		{28.89,'*99 -10% drunk, *99 -10% confusion'},
		{28.90,'*99 10% drunk, *99 confusion'},
		{28.91,'*99 -10% drunk, *99 -10% confusion'},
		{28.92,'*99 10% drunk, *99 confusion'},
		{28.93,'*99 -10% drunk, *99 -10% confusion'},
		{28.94,'*99 10% drunk, *99 confusion'},
		{28.95,'*99 -10% drunk, *99 -10% confusion'},
		{28.96,'*99 10% drunk, *99 confusion'},
		{28.97,'*99 -10% drunk, *99 -10% confusion'},
		{28.98,'*99 10% drunk, *99 confusion'},
		{28.99,'*99 -10% drunk, *99 -10% confusion'},
		{29,'*99 10% drunk, *99 confusion'},
		{29.01,'*99 -10% drunk, *99 -10% confusion'},
		{29.02,'*99 10% drunk, *99 confusion'},
		{29.03,'*99 -10% drunk, *99 -10% confusion'},
		{29.04,'*99 10% drunk, *99 confusion'},
		{29.05,'*99 -10% drunk, *99 -10% confusion'},
		{29.06,'*99 10% drunk, *99 confusion'},
		{29.07,'*99 -10% drunk, *99 -10% confusion'},
		{29.08,'*99 10% drunk, *99 confusion'},
		{29.09,'*99 -10% drunk, *99 -10% confusion'},
		{29.10,'*99 10% drunk, *99 confusion'},
		{29.11,'*99 -10% drunk, *99 -10% confusion'},
		{29.12,'*99 10% drunk, *99 confusion'},
		{29.13,'*99 -10% drunk, *99 -10% confusion'},
		{29.14,'*99 10% drunk, *99 confusion'},
		{29.15,'*99 -10% drunk, *99 -10% confusion'},
		{29.16,'*99 10% drunk, *99 confusion'},
		{29.17,'*99 -10% drunk, *99 -10% confusion'},
		{29.18,'*99 10% drunk, *99 confusion'},
		{29.19,'*99 -10% drunk, *99 -10% confusion'},
		{29.20,'*99 10% drunk, *99 confusion'},
		{29.21,'*99 -10% drunk, *99 -10% confusion'},
		{29.22,'*99 10% drunk, *99 confusion'},
		{29.23,'*99 -10% drunk, *99 -10% confusion'},
		{29.24,'*99 10% drunk, *99 confusion'},
		{29.25,'*99 -10% drunk, *99 -10% confusion'},
		{29.26,'*99 10% drunk, *99 confusion'},
		{29.27,'*99 -10% drunk, *99 -10% confusion'},
		{29.28,'*99 10% drunk, *99 confusion'},
		{29.29,'*99 -10% drunk, *99 -10% confusion'},
		{29.30,'*99 10% drunk, *99 confusion'},
		{29.31,'*99 -10% drunk, *99 -10% confusion'},
		{29.32,'*99 10% drunk, *99 confusion'},
		{29.33,'*99 -10% drunk, *99 -10% confusion'},
		{29.34,'*99 10% drunk, *99 confusion'},
		{29.35,'*99 -10% drunk, *99 -10% confusion'},
		{29.36,'*99 10% drunk, *99 confusion'},
		{29.37,'*99 -10% drunk, *99 -10% confusion'},
		{29.38,'*99 10% drunk, *99 confusion'},
		{29.39,'*99 -10% drunk, *99 -10% confusion'},
		{29.40,'*99 10% drunk, *99 confusion'},
		{29.41,'*99 -10% drunk, *99 -10% confusion'},
		{29.42,'*99 10% drunk, *99 confusion'},
		{29.43,'*99 -10% drunk, *99 -10% confusion'},
		{29.44,'*99 10% drunk, *99 confusion'},
		{29.45,'*99 -10% drunk, *99 -10% confusion'},
		{29.46,'*99 10% drunk, *99 confusion'},
		{29.47,'*99 -10% drunk, *99 -10% confusion'},
		{29.48,'*99 10% drunk, *99 confusion'},
		{29.49,'*99 -10% drunk, *99 -10% confusion'},
		{29.50,'*99 10% drunk, *99 confusion'},
		{29.51,'*99 -10% drunk, *99 -10% confusion'},
		{29.52,'*99 10% drunk, *99 confusion'},
		{29.53,'*99 -10% drunk, *99 -10% confusion'},
		{29.54,'*99 10% drunk, *99 confusion'},
		{29.55,'*99 -10% drunk, *99 -10% confusion'},
		{29.56,'*99 10% drunk, *99 confusion'},
		{29.57,'*99 -10% drunk, *99 -10% confusion'},
		{29.58,'*99 10% drunk, *99 confusion'},
		{29.59,'*99 -10% drunk, *99 -10% confusion'},
		{29.60,'*99 10% drunk, *99 confusion'},
		{29.61,'*99 -10% drunk, *99 -10% confusion'},
		{29.62,'*99 10% drunk, *99 confusion'},
		{29.63,'*99 -10% drunk, *99 -10% confusion'},
		{29.64,'*99 10% drunk, *99 confusion'},
		{29.65,'*99 -10% drunk, *99 -10% confusion'},
		{29.66,'*99 10% drunk, *99 confusion'},
		{29.67,'*99 -10% drunk, *99 -10% confusion'},
		{29.68,'*99 10% drunk, *99 confusion'},
		{29.69,'*99 -10% drunk, *99 -10% confusion'},
		{29.70,'*99 10% drunk, *99 confusion'},
		{29.71,'*99 -10% drunk, *99 -10% confusion'},
		{29.72,'*99 10% drunk, *99 confusion'},
		{29.73,'*99 -10% drunk, *99 -10% confusion'},
		{29.74,'*99 10% drunk, *99 confusion'},
		{29.75,'*99 -10% drunk, *99 -10% confusion'},
		{29.76,'*99 10% drunk, *99 confusion'},
		{29.77,'*99 -10% drunk, *99 -10% confusion'},
		{29.78,'*99 10% drunk, *99 confusion'},
		{29.79,'*99 -10% drunk, *99 -10% confusion'},
		{29.80,'*99 10% drunk, *99 confusion'},
		{29.81,'*99 -10% drunk, *99 -10% confusion'},
		{29.82,'*99 10% drunk, *99 confusion'},
		{29.83,'*99 -10% drunk, *99 -10% confusion'},
		{29.84,'*99 10% drunk, *99 confusion'},
		{29.85,'*99 -10% drunk, *99 -10% confusion'},
		{29.86,'*99 10% drunk, *99 confusion'},
		{29.87,'*99 -10% drunk, *99 -10% confusion'},
		{29.88,'*99 10% drunk, *99 confusion'},
		{29.89,'*99 -10% drunk, *99 -10% confusion'},
		{29.90,'*99 10% drunk, *99 confusion'},
		{29.91,'*99 -10% drunk, *99 -10% confusion'},
		{29.92,'*99 10% drunk, *99 confusion'},
		{29.93,'*99 -10% drunk, *99 -10% confusion'},
		{29.94,'*99 10% drunk, *99 confusion'},
		{29.95,'*99 -10% drunk, *99 -10% confusion'},
		{29.96,'*99 10% drunk, *99 confusion'},
		{29.97,'*99 -10% drunk, *99 -10% confusion'},
		{29.98,'*99 10% drunk, *99 confusion'},
		{29.99,'*99 -10% drunk, *99 -10% confusion'},
		{30,'*99 0% drunk, *99 0% confusion'},

		{36,'*99 10% drunk, *99 confusion'},
		{36.01,'*99 -10% drunk, *99 -10% confusion'},
		{36.02,'*99 10% drunk, *99 confusion'},
		{36.03,'*99 -10% drunk, *99 -10% confusion'},
		{36.04,'*99 10% drunk, *99 confusion'},
		{36.05,'*99 -10% drunk, *99 -10% confusion'},
		{36.06,'*99 10% drunk, *99 confusion'},
		{36.07,'*99 -10% drunk, *99 -10% confusion'},
		{36.08,'*99 10% drunk, *99 confusion'},
		{36.09,'*99 -10% drunk, *99 -10% confusion'},
		{36.10,'*99 10% drunk, *99 confusion'},
		{36.11,'*99 -10% drunk, *99 -10% confusion'},
		{36.12,'*99 10% drunk, *99 confusion'},
		{36.13,'*99 -10% drunk, *99 -10% confusion'},
		{36.14,'*99 10% drunk, *99 confusion'},
		{36.15,'*99 -10% drunk, *99 -10% confusion'},
		{36.16,'*99 10% drunk, *99 confusion'},
		{36.17,'*99 -10% drunk, *99 -10% confusion'},
		{36.18,'*99 10% drunk, *99 confusion'},
		{36.19,'*99 -10% drunk, *99 -10% confusion'},
		{36.20,'*99 10% drunk, *99 confusion'},
		{36.21,'*99 -10% drunk, *99 -10% confusion'},
		{36.22,'*99 10% drunk, *99 confusion'},
		{36.23,'*99 -10% drunk, *99 -10% confusion'},
		{36.24,'*99 10% drunk, *99 confusion'},
		{36.25,'*99 -10% drunk, *99 -10% confusion'},
		{36.26,'*99 10% drunk, *99 confusion'},
		{36.27,'*99 -10% drunk, *99 -10% confusion'},
		{36.28,'*99 10% drunk, *99 confusion'},
		{36.29,'*99 -10% drunk, *99 -10% confusion'},
		{36.30,'*99 10% drunk, *99 confusion'},
		{36.31,'*99 -10% drunk, *99 -10% confusion'},
		{36.32,'*99 10% drunk, *99 confusion'},
		{36.33,'*99 -10% drunk, *99 -10% confusion'},
		{36.34,'*99 10% drunk, *99 confusion'},
		{36.35,'*99 -10% drunk, *99 -10% confusion'},
		{36.36,'*99 10% drunk, *99 confusion'},
		{36.37,'*99 -10% drunk, *99 -10% confusion'},
		{36.38,'*99 10% drunk, *99 confusion'},
		{36.39,'*99 -10% drunk, *99 -10% confusion'},
		{36.40,'*99 10% drunk, *99 confusion'},
		{36.41,'*99 -10% drunk, *99 -10% confusion'},
		{36.42,'*99 10% drunk, *99 confusion'},
		{36.43,'*99 -10% drunk, *99 -10% confusion'},
		{36.44,'*99 10% drunk, *99 confusion'},
		{36.45,'*99 -10% drunk, *99 -10% confusion'},
		{36.46,'*99 10% drunk, *99 confusion'},
		{36.47,'*99 -10% drunk, *99 -10% confusion'},
		{36.48,'*99 10% drunk, *99 confusion'},
		{36.49,'*99 -10% drunk, *99 -10% confusion'},
		{36.50,'*99 10% drunk, *99 confusion'},
		{36.51,'*99 -10% drunk, *99 -10% confusion'},
		{36.52,'*99 10% drunk, *99 confusion'},
		{36.53,'*99 -10% drunk, *99 -10% confusion'},
		{36.54,'*99 10% drunk, *99 confusion'},
		{36.55,'*99 -10% drunk, *99 -10% confusion'},
		{36.56,'*99 10% drunk, *99 confusion'},
		{36.57,'*99 -10% drunk, *99 -10% confusion'},
		{36.58,'*99 10% drunk, *99 confusion'},
		{36.59,'*99 -10% drunk, *99 -10% confusion'},
		{36.60,'*99 10% drunk, *99 confusion'},
		{36.61,'*99 -10% drunk, *99 -10% confusion'},
		{36.62,'*99 10% drunk, *99 confusion'},
		{36.63,'*99 -10% drunk, *99 -10% confusion'},
		{36.64,'*99 10% drunk, *99 confusion'},
		{36.65,'*99 -10% drunk, *99 -10% confusion'},
		{36.66,'*99 10% drunk, *99 confusion'},
		{36.67,'*99 -10% drunk, *99 -10% confusion'},
		{36.68,'*99 10% drunk, *99 confusion'},
		{36.69,'*99 -10% drunk, *99 -10% confusion'},
		{36.70,'*99 10% drunk, *99 confusion'},
		{36.71,'*99 -10% drunk, *99 -10% confusion'},
		{36.72,'*99 10% drunk, *99 confusion'},
		{36.73,'*99 -10% drunk, *99 -10% confusion'},
		{36.74,'*99 10% drunk, *99 confusion'},
		{36.75,'*99 -10% drunk, *99 -10% confusion'},
		{36.76,'*99 10% drunk, *99 confusion'},
		{36.77,'*99 -10% drunk, *99 -10% confusion'},
		{36.78,'*99 10% drunk, *99 confusion'},
		{36.79,'*99 -10% drunk, *99 -10% confusion'},
		{36.80,'*99 10% drunk, *99 confusion'},
		{36.81,'*99 -10% drunk, *99 -10% confusion'},
		{36.82,'*99 10% drunk, *99 confusion'},
		{36.83,'*99 -10% drunk, *99 -10% confusion'},
		{36.84,'*99 10% drunk, *99 confusion'},
		{36.85,'*99 -10% drunk, *99 -10% confusion'},
		{36.86,'*99 10% drunk, *99 confusion'},
		{36.87,'*99 -10% drunk, *99 -10% confusion'},
		{36.88,'*99 10% drunk, *99 confusion'},
		{36.89,'*99 -10% drunk, *99 -10% confusion'},
		{36.90,'*99 10% drunk, *99 confusion'},
		{36.91,'*99 -10% drunk, *99 -10% confusion'},
		{36.92,'*99 10% drunk, *99 confusion'},
		{36.93,'*99 -10% drunk, *99 -10% confusion'},
		{36.94,'*99 10% drunk, *99 confusion'},
		{36.95,'*99 -10% drunk, *99 -10% confusion'},
		{36.96,'*99 10% drunk, *99 confusion'},
		{36.97,'*99 -10% drunk, *99 -10% confusion'},
		{36.98,'*99 10% drunk, *99 confusion'},
		{36.99,'*99 -10% drunk, *99 -10% confusion'},
		{37,'*99 10% drunk, *99 confusion'},
		{37.01,'*99 -10% drunk, *99 -10% confusion'},
		{37.02,'*99 10% drunk, *99 confusion'},
		{37.03,'*99 -10% drunk, *99 -10% confusion'},
		{37.04,'*99 10% drunk, *99 confusion'},
		{37.05,'*99 -10% drunk, *99 -10% confusion'},
		{37.06,'*99 10% drunk, *99 confusion'},
		{37.07,'*99 -10% drunk, *99 -10% confusion'},
		{37.08,'*99 10% drunk, *99 confusion'},
		{37.09,'*99 -10% drunk, *99 -10% confusion'},
		{37.10,'*99 10% drunk, *99 confusion'},
		{37.11,'*99 -10% drunk, *99 -10% confusion'},
		{37.12,'*99 10% drunk, *99 confusion'},
		{37.13,'*99 -10% drunk, *99 -10% confusion'},
		{37.14,'*99 10% drunk, *99 confusion'},
		{37.15,'*99 -10% drunk, *99 -10% confusion'},
		{37.16,'*99 10% drunk, *99 confusion'},
		{37.17,'*99 -10% drunk, *99 -10% confusion'},
		{37.18,'*99 10% drunk, *99 confusion'},
		{37.19,'*99 -10% drunk, *99 -10% confusion'},
		{37.20,'*99 10% drunk, *99 confusion'},
		{37.21,'*99 -10% drunk, *99 -10% confusion'},
		{37.22,'*99 10% drunk, *99 confusion'},
		{37.23,'*99 -10% drunk, *99 -10% confusion'},
		{37.24,'*99 10% drunk, *99 confusion'},
		{37.25,'*99 -10% drunk, *99 -10% confusion'},
		{37.26,'*99 10% drunk, *99 confusion'},
		{37.27,'*99 -10% drunk, *99 -10% confusion'},
		{37.28,'*99 10% drunk, *99 confusion'},
		{37.29,'*99 -10% drunk, *99 -10% confusion'},
		{37.30,'*99 10% drunk, *99 confusion'},
		{37.31,'*99 -10% drunk, *99 -10% confusion'},
		{37.32,'*99 10% drunk, *99 confusion'},
		{37.33,'*99 -10% drunk, *99 -10% confusion'},
		{37.34,'*99 10% drunk, *99 confusion'},
		{37.35,'*99 -10% drunk, *99 -10% confusion'},
		{37.36,'*99 10% drunk, *99 confusion'},
		{37.37,'*99 -10% drunk, *99 -10% confusion'},
		{37.38,'*99 10% drunk, *99 confusion'},
		{37.39,'*99 -10% drunk, *99 -10% confusion'},
		{37.40,'*99 10% drunk, *99 confusion'},
		{37.41,'*99 -10% drunk, *99 -10% confusion'},
		{37.42,'*99 10% drunk, *99 confusion'},
		{37.43,'*99 -10% drunk, *99 -10% confusion'},
		{37.44,'*99 10% drunk, *99 confusion'},
		{37.45,'*99 -10% drunk, *99 -10% confusion'},
		{37.46,'*99 10% drunk, *99 confusion'},
		{37.47,'*99 -10% drunk, *99 -10% confusion'},
		{37.48,'*99 10% drunk, *99 confusion'},
		{37.49,'*99 -10% drunk, *99 -10% confusion'},
		{37.50,'*99 10% drunk, *99 confusion'},
		{37.51,'*99 -10% drunk, *99 -10% confusion'},
		{37.52,'*99 10% drunk, *99 confusion'},
		{37.53,'*99 -10% drunk, *99 -10% confusion'},
		{37.54,'*99 10% drunk, *99 confusion'},
		{37.55,'*99 -10% drunk, *99 -10% confusion'},
		{37.56,'*99 10% drunk, *99 confusion'},
		{37.57,'*99 -10% drunk, *99 -10% confusion'},
		{37.58,'*99 10% drunk, *99 confusion'},
		{37.59,'*99 -10% drunk, *99 -10% confusion'},
		{37.60,'*99 10% drunk, *99 confusion'},
		{37.61,'*99 -10% drunk, *99 -10% confusion'},
		{37.62,'*99 10% drunk, *99 confusion'},
		{37.63,'*99 -10% drunk, *99 -10% confusion'},
		{37.64,'*99 10% drunk, *99 confusion'},
		{37.65,'*99 -10% drunk, *99 -10% confusion'},
		{37.66,'*99 10% drunk, *99 confusion'},
		{37.67,'*99 -10% drunk, *99 -10% confusion'},
		{37.68,'*99 10% drunk, *99 confusion'},
		{37.69,'*99 -10% drunk, *99 -10% confusion'},
		{37.70,'*99 10% drunk, *99 confusion'},
		{37.71,'*99 -10% drunk, *99 -10% confusion'},
		{37.72,'*99 10% drunk, *99 confusion'},
		{37.73,'*99 -10% drunk, *99 -10% confusion'},
		{37.74,'*99 10% drunk, *99 confusion'},
		{37.75,'*99 -10% drunk, *99 -10% confusion'},
		{37.76,'*99 10% drunk, *99 confusion'},
		{37.77,'*99 -10% drunk, *99 -10% confusion'},
		{37.78,'*99 10% drunk, *99 confusion'},
		{37.79,'*99 -10% drunk, *99 -10% confusion'},
		{37.80,'*99 10% drunk, *99 confusion'},
		{37.81,'*99 -10% drunk, *99 -10% confusion'},
		{37.82,'*99 10% drunk, *99 confusion'},
		{37.83,'*99 -10% drunk, *99 -10% confusion'},
		{37.84,'*99 10% drunk, *99 confusion'},
		{37.85,'*99 -10% drunk, *99 -10% confusion'},
		{37.86,'*99 10% drunk, *99 confusion'},
		{37.87,'*99 -10% drunk, *99 -10% confusion'},
		{37.88,'*99 10% drunk, *99 confusion'},
		{37.89,'*99 -10% drunk, *99 -10% confusion'},
		{37.90,'*99 10% drunk, *99 confusion'},
		{37.91,'*99 -10% drunk, *99 -10% confusion'},
		{37.92,'*99 10% drunk, *99 confusion'},
		{37.93,'*99 -10% drunk, *99 -10% confusion'},
		{37.94,'*99 10% drunk, *99 confusion'},
		{37.95,'*99 -10% drunk, *99 -10% confusion'},
		{37.96,'*99 10% drunk, *99 confusion'},
		{37.97,'*99 -10% drunk, *99 -10% confusion'},
		{37.98,'*99 10% drunk, *99 confusion'},
		{37.99,'*99 -10% drunk, *99 -10% confusion'},
		{38,'*99 0% drunk, *99 0% confusion'},

		{44,'*99 10% drunk, *99 confusion'},
		{44.01,'*99 -10% drunk, *99 -10% confusion'},
		{44.02,'*99 10% drunk, *99 confusion'},
		{44.03,'*99 -10% drunk, *99 -10% confusion'},
		{44.04,'*99 10% drunk, *99 confusion'},
		{44.05,'*99 -10% drunk, *99 -10% confusion'},
		{44.06,'*99 10% drunk, *99 confusion'},
		{44.07,'*99 -10% drunk, *99 -10% confusion'},
		{44.08,'*99 10% drunk, *99 confusion'},
		{44.09,'*99 -10% drunk, *99 -10% confusion'},
		{44.10,'*99 10% drunk, *99 confusion'},
		{44.11,'*99 -10% drunk, *99 -10% confusion'},
		{44.12,'*99 10% drunk, *99 confusion'},
		{44.13,'*99 -10% drunk, *99 -10% confusion'},
		{44.14,'*99 10% drunk, *99 confusion'},
		{44.15,'*99 -10% drunk, *99 -10% confusion'},
		{44.16,'*99 10% drunk, *99 confusion'},
		{44.17,'*99 -10% drunk, *99 -10% confusion'},
		{44.18,'*99 10% drunk, *99 confusion'},
		{44.19,'*99 -10% drunk, *99 -10% confusion'},
		{44.20,'*99 10% drunk, *99 confusion'},
		{44.21,'*99 -10% drunk, *99 -10% confusion'},
		{44.22,'*99 10% drunk, *99 confusion'},
		{44.23,'*99 -10% drunk, *99 -10% confusion'},
		{44.24,'*99 10% drunk, *99 confusion'},
		{44.25,'*99 -10% drunk, *99 -10% confusion'},
		{44.26,'*99 10% drunk, *99 confusion'},
		{44.27,'*99 -10% drunk, *99 -10% confusion'},
		{44.28,'*99 10% drunk, *99 confusion'},
		{44.29,'*99 -10% drunk, *99 -10% confusion'},
		{44.30,'*99 10% drunk, *99 confusion'},
		{44.31,'*99 -10% drunk, *99 -10% confusion'},
		{44.32,'*99 10% drunk, *99 confusion'},
		{44.33,'*99 -10% drunk, *99 -10% confusion'},
		{44.34,'*99 10% drunk, *99 confusion'},
		{44.35,'*99 -10% drunk, *99 -10% confusion'},
		{44.36,'*99 10% drunk, *99 confusion'},
		{44.37,'*99 -10% drunk, *99 -10% confusion'},
		{44.38,'*99 10% drunk, *99 confusion'},
		{44.39,'*99 -10% drunk, *99 -10% confusion'},
		{44.40,'*99 10% drunk, *99 confusion'},
		{44.41,'*99 -10% drunk, *99 -10% confusion'},
		{44.42,'*99 10% drunk, *99 confusion'},
		{44.43,'*99 -10% drunk, *99 -10% confusion'},
		{44.44,'*99 10% drunk, *99 confusion'},
		{44.45,'*99 -10% drunk, *99 -10% confusion'},
		{44.46,'*99 10% drunk, *99 confusion'},
		{44.47,'*99 -10% drunk, *99 -10% confusion'},
		{44.48,'*99 10% drunk, *99 confusion'},
		{44.49,'*99 -10% drunk, *99 -10% confusion'},
		{44.50,'*99 10% drunk, *99 confusion'},
		{44.51,'*99 -10% drunk, *99 -10% confusion'},
		{44.52,'*99 10% drunk, *99 confusion'},
		{44.53,'*99 -10% drunk, *99 -10% confusion'},
		{44.54,'*99 10% drunk, *99 confusion'},
		{44.55,'*99 -10% drunk, *99 -10% confusion'},
		{44.56,'*99 10% drunk, *99 confusion'},
		{44.57,'*99 -10% drunk, *99 -10% confusion'},
		{44.58,'*99 10% drunk, *99 confusion'},
		{44.59,'*99 -10% drunk, *99 -10% confusion'},
		{44.60,'*99 10% drunk, *99 confusion'},
		{44.61,'*99 -10% drunk, *99 -10% confusion'},
		{44.62,'*99 10% drunk, *99 confusion'},
		{44.63,'*99 -10% drunk, *99 -10% confusion'},
		{44.64,'*99 10% drunk, *99 confusion'},
		{44.65,'*99 -10% drunk, *99 -10% confusion'},
		{44.66,'*99 10% drunk, *99 confusion'},
		{44.67,'*99 -10% drunk, *99 -10% confusion'},
		{44.68,'*99 10% drunk, *99 confusion'},
		{44.69,'*99 -10% drunk, *99 -10% confusion'},
		{44.70,'*99 10% drunk, *99 confusion'},
		{44.71,'*99 -10% drunk, *99 -10% confusion'},
		{44.72,'*99 10% drunk, *99 confusion'},
		{44.73,'*99 -10% drunk, *99 -10% confusion'},
		{44.74,'*99 10% drunk, *99 confusion'},
		{44.75,'*99 -10% drunk, *99 -10% confusion'},
		{44.76,'*99 10% drunk, *99 confusion'},
		{44.77,'*99 -10% drunk, *99 -10% confusion'},
		{44.78,'*99 10% drunk, *99 confusion'},
		{44.79,'*99 -10% drunk, *99 -10% confusion'},
		{44.80,'*99 10% drunk, *99 confusion'},
		{44.81,'*99 -10% drunk, *99 -10% confusion'},
		{44.82,'*99 10% drunk, *99 confusion'},
		{44.83,'*99 -10% drunk, *99 -10% confusion'},
		{44.84,'*99 10% drunk, *99 confusion'},
		{44.85,'*99 -10% drunk, *99 -10% confusion'},
		{44.86,'*99 10% drunk, *99 confusion'},
		{44.87,'*99 -10% drunk, *99 -10% confusion'},
		{44.88,'*99 10% drunk, *99 confusion'},
		{44.89,'*99 -10% drunk, *99 -10% confusion'},
		{44.90,'*99 10% drunk, *99 confusion'},
		{44.91,'*99 -10% drunk, *99 -10% confusion'},
		{44.92,'*99 10% drunk, *99 confusion'},
		{44.93,'*99 -10% drunk, *99 -10% confusion'},
		{44.94,'*99 10% drunk, *99 confusion'},
		{44.95,'*99 -10% drunk, *99 -10% confusion'},
		{44.96,'*99 10% drunk, *99 confusion'},
		{44.97,'*99 -10% drunk, *99 -10% confusion'},
		{44.98,'*99 10% drunk, *99 confusion'},
		{44.99,'*99 -10% drunk, *99 -10% confusion'},
		{45,'*99 10% drunk, *99 confusion'},
		{45.01,'*99 -10% drunk, *99 -10% confusion'},
		{45.02,'*99 10% drunk, *99 confusion'},
		{45.03,'*99 -10% drunk, *99 -10% confusion'},
		{45.04,'*99 10% drunk, *99 confusion'},
		{45.05,'*99 -10% drunk, *99 -10% confusion'},
		{45.06,'*99 10% drunk, *99 confusion'},
		{45.07,'*99 -10% drunk, *99 -10% confusion'},
		{45.08,'*99 10% drunk, *99 confusion'},
		{45.09,'*99 -10% drunk, *99 -10% confusion'},
		{45.10,'*99 10% drunk, *99 confusion'},
		{45.11,'*99 -10% drunk, *99 -10% confusion'},
		{45.12,'*99 10% drunk, *99 confusion'},
		{45.13,'*99 -10% drunk, *99 -10% confusion'},
		{45.14,'*99 10% drunk, *99 confusion'},
		{45.15,'*99 -10% drunk, *99 -10% confusion'},
		{45.16,'*99 10% drunk, *99 confusion'},
		{45.17,'*99 -10% drunk, *99 -10% confusion'},
		{45.18,'*99 10% drunk, *99 confusion'},
		{45.19,'*99 -10% drunk, *99 -10% confusion'},
		{45.20,'*99 10% drunk, *99 confusion'},
		{45.21,'*99 -10% drunk, *99 -10% confusion'},
		{45.22,'*99 10% drunk, *99 confusion'},
		{45.23,'*99 -10% drunk, *99 -10% confusion'},
		{45.24,'*99 10% drunk, *99 confusion'},
		{45.25,'*99 -10% drunk, *99 -10% confusion'},
		{45.26,'*99 10% drunk, *99 confusion'},
		{45.27,'*99 -10% drunk, *99 -10% confusion'},
		{45.28,'*99 10% drunk, *99 confusion'},
		{45.29,'*99 -10% drunk, *99 -10% confusion'},
		{45.30,'*99 10% drunk, *99 confusion'},
		{45.31,'*99 -10% drunk, *99 -10% confusion'},
		{45.32,'*99 10% drunk, *99 confusion'},
		{45.33,'*99 -10% drunk, *99 -10% confusion'},
		{45.34,'*99 10% drunk, *99 confusion'},
		{45.35,'*99 -10% drunk, *99 -10% confusion'},
		{45.36,'*99 10% drunk, *99 confusion'},
		{45.37,'*99 -10% drunk, *99 -10% confusion'},
		{45.38,'*99 10% drunk, *99 confusion'},
		{45.39,'*99 -10% drunk, *99 -10% confusion'},
		{45.40,'*99 10% drunk, *99 confusion'},
		{45.41,'*99 -10% drunk, *99 -10% confusion'},
		{45.42,'*99 10% drunk, *99 confusion'},
		{45.43,'*99 -10% drunk, *99 -10% confusion'},
		{45.44,'*99 10% drunk, *99 confusion'},
		{45.45,'*99 -10% drunk, *99 -10% confusion'},
		{45.46,'*99 10% drunk, *99 confusion'},
		{45.47,'*99 -10% drunk, *99 -10% confusion'},
		{45.48,'*99 10% drunk, *99 confusion'},
		{45.49,'*99 -10% drunk, *99 -10% confusion'},
		{45.50,'*99 10% drunk, *99 confusion'},
		{45.51,'*99 -10% drunk, *99 -10% confusion'},
		{45.52,'*99 10% drunk, *99 confusion'},
		{45.53,'*99 -10% drunk, *99 -10% confusion'},
		{45.54,'*99 10% drunk, *99 confusion'},
		{45.55,'*99 -10% drunk, *99 -10% confusion'},
		{45.56,'*99 10% drunk, *99 confusion'},
		{45.57,'*99 -10% drunk, *99 -10% confusion'},
		{45.58,'*99 10% drunk, *99 confusion'},
		{45.59,'*99 -10% drunk, *99 -10% confusion'},
		{45.60,'*99 10% drunk, *99 confusion'},
		{45.61,'*99 -10% drunk, *99 -10% confusion'},
		{45.62,'*99 10% drunk, *99 confusion'},
		{45.63,'*99 -10% drunk, *99 -10% confusion'},
		{45.64,'*99 10% drunk, *99 confusion'},
		{45.65,'*99 -10% drunk, *99 -10% confusion'},
		{45.66,'*99 10% drunk, *99 confusion'},
		{45.67,'*99 -10% drunk, *99 -10% confusion'},
		{45.68,'*99 10% drunk, *99 confusion'},
		{45.69,'*99 -10% drunk, *99 -10% confusion'},
		{45.70,'*99 10% drunk, *99 confusion'},
		{45.71,'*99 -10% drunk, *99 -10% confusion'},
		{45.72,'*99 10% drunk, *99 confusion'},
		{45.73,'*99 -10% drunk, *99 -10% confusion'},
		{45.74,'*99 10% drunk, *99 confusion'},
		{45.75,'*99 -10% drunk, *99 -10% confusion'},
		{45.76,'*99 10% drunk, *99 confusion'},
		{45.77,'*99 -10% drunk, *99 -10% confusion'},
		{45.78,'*99 10% drunk, *99 confusion'},
		{45.79,'*99 -10% drunk, *99 -10% confusion'},
		{45.80,'*99 10% drunk, *99 confusion'},
		{45.81,'*99 -10% drunk, *99 -10% confusion'},
		{45.82,'*99 10% drunk, *99 confusion'},
		{45.83,'*99 -10% drunk, *99 -10% confusion'},
		{45.84,'*99 10% drunk, *99 confusion'},
		{45.85,'*99 -10% drunk, *99 -10% confusion'},
		{45.86,'*99 10% drunk, *99 confusion'},
		{45.87,'*99 -10% drunk, *99 -10% confusion'},
		{45.88,'*99 10% drunk, *99 confusion'},
		{45.89,'*99 -10% drunk, *99 -10% confusion'},
		{45.90,'*99 10% drunk, *99 confusion'},
		{45.91,'*99 -10% drunk, *99 -10% confusion'},
		{45.92,'*99 10% drunk, *99 confusion'},
		{45.93,'*99 -10% drunk, *99 -10% confusion'},
		{45.94,'*99 10% drunk, *99 confusion'},
		{45.95,'*99 -10% drunk, *99 -10% confusion'},
		{45.96,'*99 10% drunk, *99 confusion'},
		{45.97,'*99 -10% drunk, *99 -10% confusion'},
		{45.98,'*99 10% drunk, *99 confusion'},
		{45.99,'*99 -10% drunk, *99 -10% confusion'},
		{46,'*99 0% drunk, *99 0% confusion'},

		{144,'*9 200% brake, *0.04 300% centered, *0.04 200% dizzy, *0.03 dark, *0.01 -200% flip'},

		{211,'*0.8 0% brake, *1.2 stealth, *99 10% drunk, *99 blind'},
		{211.05,'*99 -10% drunk'},
		{211.10,'*99 20% drunk'},
		{211.15,'*99 -20% drunk'},
		{211.20,'*99 30% drunk'},
		{211.25,'*99 -30% drunk'},
		{211.30,'*99 40% drunk'},
		{211.35,'*99 -40% drunk'},
		{211.40,'*99 50% drunk'},
		{211.45,'*99 -50% drunk'},
		{211.50,'*99 60% drunk'},
		{211.55,'*99 -60% drunk'},
		{211.60,'*99 70% drunk'},
		{211.65,'*99 -70% drunk'},
		{211.70,'*99 80% drunk'},
		{211.75,'*99 -80% drunk'},
		{211.80,'*99 90% drunk'},
		{211.85,'*99 -90% drunk'},
		{211.90,'*99 drunk'},
		{211.95,'*99 -100% drunk'},
		{212,'*99 0% drunk'},



		

		
	}

	iris_driven = 1;
	iris_driven_beat = 193;
	iris_driven_beat_init = 193;

	iris_driven_speed = 0.65;
	iris_driven_modspeed = 1.0;

	iris_drunk = 1;
	iris_drunk_amt = 0;
	iris_bumpy = 1;
	iris_bumpy_amt = 0;

	--SCREAMING GUMBALL / timed message broadcaster
	curmessage = 1;
	--{beat,message,ignoreIfAhead}
	messages = {
		--{182.5,'CytusSpawn'},
		--{193,'CytusBegin'},
		--{257,'CytusEnd'},

		{0.1,'Beginthegame'},
		{0.2,'Move'},
		{16,'slowwag'},
		{20,'Vibrate'},
		{22,'Vibratestop'},
		{28,'Vibrate'},
		{30,'Vibratestop'},
		{36,'Vibrate'},
		{38,'Vibratestop'},
		{44,'Vibrate'},
		{46,'Vibratestop'},
		{52,'Vibrate'},
		{54,'Vibratestop'},
		{60,'Vibrate'},
		{62,'Vibratestop'},
		{68,'Vibrate'},
		{70,'Vibratestop'},
		{76,'Vibrate'},
		{78,'Vibratestop'},
		{82,'Vibrate'},
		{83,'Vibratestop'},
		{98,'Vibrate'},
		{99,'Vibratestop'},
		{114,'Vibrate'},
		{115,'Vibratestop'},
		{130,'Vibrate'},
		{131,'Vibratestop'},

	}
	
end

local function iris_update()

	if GAMESTATE:GetSongBeat()>=0.1 and not checked then
	
	if SCREENMAN:GetTopScreen():GetChild('PlayerP1') then
		P1 = SCREENMAN:GetTopScreen():GetChild('PlayerP1')
	end
			if P1 then
				P1xpos=P1:GetX();
				P1ypos=P1:GetY();
			end
	if SCREENMAN:GetTopScreen():GetChild('PlayerP2') then
		P2 = SCREENMAN:GetTopScreen():GetChild('PlayerP2')
	end
			if P2 then
				P2xpos=P2:GetX();
				P2ypos=P2:GetY();
			end
		--PE = SCREENMAN:GetTopScreen():GetChild('')
		
		screen = SCREENMAN:GetTopScreen()
		
		if P1 then
			wndrP1clone1:SetTarget(P1);
			wndrP1clone1:x(P1xpos);
			wndrP1clone1:y(P1ypos);
			
			
			wndrP1clone1:SetTarget(P1);
			wndrP1clone2:SetTarget(P1);
			wndrP1clone3:SetTarget(P1);
			wndrP1clone4:SetTarget(P1);
			
			wndrP1clone1:visible(false);
			wndrP1clone2:visible(false);
			wndrP1clone3:visible(false);
			wndrP1clone4:visible(false);
		end
		
		if P2 then
			wndrP2clone1:SetTarget(P2);
			wndrP2clone1:x(P2xpos);
			wndrP2clone1:y(P2ypos);
			
			
			wndrP2clone1:SetTarget(P2);
			wndrP2clone2:SetTarget(P2);
			wndrP2clone3:SetTarget(P2);
			wndrP2clone4:SetTarget(P2);
			
			wndrP2clone1:visible(false);
			wndrP2clone2:visible(false);
			wndrP2clone3:visible(false);
			wndrP2clone4:visible(false);
		end
		checked = true;
		
	end
	
	local beat = GAMESTATE:GetSongBeat()

	-- Collect all the mods that will be applied in this frame into one string.
	-- Mod tweening doesn't work correctly if the mods are in seperate commands.
	local mods_this_frame= {}
	local function add_mod(mod_str)
		mods_this_frame[#mods_this_frame+1]= mod_str
	end
	local function execute_mods()
		if #mods_this_frame <= 0 then return end
		local total_mod_str= ""
		for i, ms in ipairs(mods_this_frame) do
			if #total_mod_str > 0 then
				total_mod_str= total_mod_str .. ", "
			end
			total_mod_str= total_mod_str .. ms
		end
		iris_mod(total_mod_str)
	end
	
	--[[
	
	if beat>257 and fgcurcommand == 3 then
		set_player_speed(PLAYER_1, iris_speedmodP1)
		set_player_speed(PLAYER_2, iris_speedmodP2)
		add_mod('*1000 no reverse')
		add_mod('*1000 no centered')
		add_mod('*1000 no dark')
		fgcurcommand = fgcurcommand+1
	end --]]
	
	while curmod<= #mods and GAMESTATE:GetSongBeat()>=mods[curmod][1] do
		add_mod(mods[curmod][2])
		curmod = curmod+1
	end

	execute_mods()
	
	--SCREAMING GUMBALL
	while curmessage<= #messages and GAMESTATE:GetSongBeat()>=messages[curmessage][1] do
		if messages[curmessage][3] and GAMESTATE:GetSongBeat()>=messages[curmessage][1]+5 then
			curmessage = curmessage+1;
		else
			MESSAGEMAN:Broadcast(messages[curmessage][2])
			curmessage = curmessage+1;
		end
	end
end

return Def.ActorFrame{
	OnCommand= function(self)
							 iris_init()
							 self:SetUpdateFunction(iris_update)
						 end,
	Def.Quad{
		Name= "I may be sleeping, but I preserve the world.",
		InitCommand= cmd(visible,false),
		OnCommand= cmd(sleep,100000000),
	},
	Def.Quad{
		OnCommand= cmd(diffuse,0,0,0,1;diffusealpha,0;zoomto,6,SCREEN_HEIGHT;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y),
		CytusSpawnMessageCommand= cmd(linear,1;diffusealpha,1),
		CytusEndMessageCommand= cmd(linear,1;diffusealpha,0),
		
		PlayersRot1MessageCommand= function(self)
			if P1 then
			P1:decelerate(.3)
			P1:rotationz(90)
			end
			
			if P2 then
			P2:decelerate(.3)
			P2:rotationz(-90)
			end
		end,
		
		PlayersRot2MessageCommand= function(self)
			if P1 then
			P1:decelerate(.3)
			P1:rotationz(-90)
			end
			
			if P2 then
			P2:decelerate(.3)
			P2:rotationz(90)
			end
		end,
		
		PlayersRot0MessageCommand= function(self)
			if P1 then
			P1:decelerate(.3)
			P1:rotationz(0)
			end
			
			if P2 then
			P2:decelerate(.3)
			P2:rotationz(0)
			end
		end,
		
		PlayersSkew1MessageCommand= function(self)
			if P1 then
			P1:smooth(0.10)
			P1:skewx(wndr_skewx)
			end
			
			--PE:skewx(wndr_skewx)
			
			if P2 then
			P2:smooth(0.10)
			P2:skewx(-wndr_skewx)
			end
		end,
		
		PlayersSkew2MessageCommand= function(self)
			if P1 then
			P1:smooth(0.10)
			P1:skewx(-wndr_skewx)
			end
			
			if P2 then
			P2:smooth(0.10)
			P2:skewx(wndr_skewx)
			end
		end,
		
		PlayersSkew0MessageCommand= function(self)
			if P1 then
			P1:stoptweening()
			P1:linear(0.25)
			P1:skewx(0)
			end
			
			if P2 then
			P2:stoptweening()
			P2:linear(0.25)
			P2:skewx(0)
			end
		end,

		PlayerRotateRightMessageCommand= function(self)
			if P1 then
			P1:addz(90)
			end
			
			if P2 then
			P2:addz(90)
			end
		end,

		PlayerRotateLeftMessageCommand= function(self)
			if P1 then
			P1:addz(-90)
			end
			
			if P2 then
			P2:addz(-90)
			end
		end,

		PlayerRotateRestoreMessageCommand= function(self)
			if P1 then
			P1:rotationz(0)
			end
			
			if P2 then
			P2:rotationz(0)
			end
		end,

		-- Vibration commands
		VibratePlayerMessageCommand= function(self)
			P1:vibrate()
			P1:effectmagnitude(20,20,20)
			P2:vibrate()
			P2:effectmagnitude(20,20,20)
		end,

		VibratePlayerStopMessageCommand= function(self)
			P1:stopeffect();
			P2:stopeffect();
		end,

		VibrateMessageCommand= function(self)
			SCREENMAN:GetTopScreen():vibrate();
			SCREENMAN:GetTopScreen():effectmagnitude(20,20,20);
		end,

		VibratestopMessageCommand= function(self)
			SCREENMAN:GetTopScreen():stopeffect();
		end,

		BeginthegameMessageCommand= function(self)
        if SCREENMAN:GetTopScreen():GetChild('PlayerP1') then
			P1:zoom(1)
			P1:x(SCREEN_CENTER_X)
			P1:y(SCREEN_CENTER_Y)
			end
				
		if SCREENMAN:GetTopScreen():GetChild('PlayerP2') then
			P2:zoom(1)
			P2:x(SCREEN_CENTER_X)
			P2:y(SCREEN_CENTER_Y)
			end
		end,

        slowwagMessageCommand= function(self)
        	P1:wag();
				P1:effectclock('bgm');
				P1:effectmagnitude(0,0,15);
				P1:effectperiod(12);
			P2:wag();
				P2:effectclock('bgm');
				P2:effectmagnitude(0,0,15);
				P2:effectperiod(12);
		end,

        MotionMessageCommand= function(self)
			wndrP1clone2:smooth(15);
			wndrP2clone2:smooth(15);
			wndrP1clone2:addx(50);
			wndrP2clone2:addx(50);
        end,

		BounceMessageCommand= function(self)
			SCREENMAN:GetTopScreen():GetChild('PlayerP1'):bounce();
            SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectperiod(1)
            SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectclock('bgm');
            SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectmagnitude(0,-15,0)
            SCREENMAN:GetTopScreen():GetChild('PlayerP2'):bounce();
            SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectperiod(1)
            SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectclock('bgm');
            SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectmagnitude(0,-15,0)
        end,

        BouncefasterMessageCommand= function(self)
			SCREENMAN:GetTopScreen():GetChild('PlayerP1'):bounce();
            SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectperiod(.5)
            SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectclock('bgm');
            SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectmagnitude(0,-15,0)
            SCREENMAN:GetTopScreen():GetChild('PlayerP2'):bounce();
            SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectperiod(.5)
            SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectclock('bgm');
            SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectmagnitude(0,-15,0)
        end,

        BouncefastererMessageCommand= function(self)
			SCREENMAN:GetTopScreen():GetChild('PlayerP1'):bounce();
            SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectperiod(.25)
            SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectclock('bgm');
            SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectmagnitude(0,-15,0)
            SCREENMAN:GetTopScreen():GetChild('PlayerP2'):bounce();
            SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectperiod(.25)
            SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectclock('bgm');
            SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectmagnitude(0,-15,0)
        end,

        BounceSomewereElseMessageCommand= function(self)
        	self:sleep(0);
			SCREENMAN:GetTopScreen():GetChild('PlayerP1'):bounce();
            SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectperiod(1)
            SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectclock('bgm');
            SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectmagnitude(20,-15,15)
        end,

        BouncestopMessageCommand= function(self)
        	SCREENMAN:GetTopScreen():GetChild('PlayerP1'):stopeffect();
        	SCREENMAN:GetTopScreen():GetChild('PlayerP2'):stopeffect();
        end,

        SlidestuffoffstopMessageCommand= function(self)
        	SCREENMAN:GetTopScreen():GetChild('PlayerP1'):decelerate(1.4);
        	SCREENMAN:GetTopScreen():GetChild('PlayerP1'):x(-1000);
        	SCREENMAN:GetTopScreen():GetChild('LifeP1'):decelerate(1.4);
            SCREENMAN:GetTopScreen():GetChild('LifeP1'):x(-1000);
            SCREENMAN:GetTopScreen():GetChild('ScoreP1'):decelerate(1.4);
            SCREENMAN:GetTopScreen():GetChild('ScoreP1'):x(-1000);
            SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetChild('Combo'):decelerate(1.4);
            SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetChild('Combo'):x(-1000);
            SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetChild('Judgment'):decelerate(1.4);
            SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetChild('Judgment'):x(-1000);
        end,

        DivideClonesMessageCommand= function(self)
			self:sleep(0);
			if P1 then
				
				wndrP1clone1:addx(250);
				wndrP1clone2:addx(-250);
				wndrP1clone3:Vibrate();
				wndrP1clone4:Vibrate();
			end
		end,

		LetsmakeeverythinggoupexceptforthenotefieldMessageCommand= function(self)
			if P1 then
			self:sleep(0);
			SCREENMAN:GetTopScreen():y(-500);
			P1:y(500)
			end
			
			if P2 then
			P2:y(500)
			end
		end,

		MainDissapearsMessageCommand= function(self)
			if P1 then
			self:sleep(0);
			SCREENMAN:GetTopScreen():smooth(0.2);
			SCREENMAN:GetTopScreen():GetChild('Background'):diffusealpha(0);
			end
			
			if P2 then
			P2:y(500)
			end
		end,

		BackUpMessageCommand= function(self)
			if P1 then
			self:sleep(0);
			SCREENMAN:GetTopScreen():smooth(.8);
			P1:smooth(.8)
			SCREENMAN:GetTopScreen():y(0);
			P1:y(0)
			end
			
			if P2 then
			P2:smooth(.8)
			P2:y(0)
			end
		end,

		ChangethebeatofthesongpleaseMessageCommand= function(self)
			SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addx(math.random(-50,50));
			SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addy(math.random(-50,50));
			SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addz(math.random(-50,50));
			SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationx(math.random(-50,50));
			SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationy(math.random(-50,50));
			SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationz(math.random(-50,50));
			SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addx(math.random(-50,50));
			SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addy(math.random(-50,50));
			SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addz(math.random(-50,50));
			SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationx(math.random(-50,50));
			SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationy(math.random(-50,50));
			SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationz(math.random(-50,50));
		end,

		ChangethebeatbackMessageCommand= function(self)
			SCREENMAN:GetTopScreen():GetChild('PlayerP1'):x(0);
			SCREENMAN:GetTopScreen():GetChild('PlayerP1'):y(500);
			SCREENMAN:GetTopScreen():GetChild('PlayerP1'):z(0);
			SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationx(0);
			SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationy(0);
			SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationz(0);
			SCREENMAN:GetTopScreen():GetChild('PlayerP2'):x(0);
			SCREENMAN:GetTopScreen():GetChild('PlayerP2'):y(500);
			SCREENMAN:GetTopScreen():GetChild('PlayerP2'):z(0);
			SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationx(0);
			SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationy(0);
			SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationz(0);
		end,
		
		-------------------------------------------------------
		-------------------------------------------------------
		-------------------------------------------------------
		-------------------------------------------------------
		-------------------------------------------------------
		-------------------------------------------------------
		-------------------------------------------------------
		-------------------------------------------------------
		-------------------------------------------------------
		
		
		ClonesSetMessageCommand= function(self)
			self:sleep(0);
			if P1 then
				wndrP1clone1:visible(true);
				wndrP1clone2:visible(true);
				
				wndrP1clone2:x(wndrP1clone1:GetX()+0);
				
				wndrP1clone2:y(wndrP1clone1:GetY()+0);
			end
			
			if P2 then
				wndrP2clone1:visible(true);
				wndrP2clone2:visible(true);
				
				wndrP2clone2:x(wndrP2clone1:GetX()-0);
				
				wndrP2clone2:y(wndrP2clone1:GetY()+0);
			end
		end,
		
		DropFirstMessageCommand= function(self)
			self:sleep(0);
			if P1 then
				
				wndrP1clone1:smooth(0.345);
				wndrP1clone1:addy(450);
				wndrP1clone1:rotationz(20);
			end
			
			if P2 then
				
				wndrP2clone1:smooth(0.345);
				wndrP2clone1:addy(450);
				wndrP2clone1:rotationz(20);
			end
		end,
		
		
		FirstJumpMessageCommand= function(self)
			self:sleep(0);
			if P1 then
				
				wndrP1clone1:sleep(0);
				wndrP1clone1:rotationz(-20);
				wndrP1clone1:smooth(0.345*2);
				wndrP1clone1:addy(-450);
				wndrP1clone1:rotationz(0);
				wndrP1clone1:smooth(0.345*2);
				wndrP1clone1:addy(450);
				wndrP1clone1:rotationz(20);
			end
			
			if P2 then
				
				wndrP2clone1:sleep(0);
				wndrP2clone1:rotationz(-20);
				wndrP2clone1:smooth(0.345*2);
				wndrP2clone1:addy(-450);
				wndrP2clone1:rotationz(0);
				wndrP2clone1:smooth(0.345*2);
				wndrP2clone1:addy(450);
				wndrP2clone1:rotationz(20);
			end
		end,
		
		
		SecondJumpMessageCommand= function(self)
			self:sleep(0);
			if P1 then
				
				wndrP1clone2:sleep(0);
				wndrP1clone2:rotationz(-20);
				wndrP1clone2:smooth(0.345*2);
				wndrP1clone2:addy(-450);
				wndrP1clone2:rotationz(0);
				wndrP1clone2:smooth(0.345*2);
				wndrP1clone2:addy(450);
				wndrP1clone2:rotationz(20);
			end
			
			if P2 then
				
				wndrP2clone2:sleep(0);
				wndrP2clone2:rotationz(-20);
				wndrP2clone2:smooth(0.345*2);
				wndrP2clone2:addy(-450);
				wndrP2clone2:rotationz(0);
				wndrP2clone2:smooth(0.345*2);
				wndrP2clone2:addy(450);
				wndrP2clone2:rotationz(20);
			end
		end,
		
		ThirdJumpMessageCommand= function(self)
			self:sleep(0);
			if P1 then
				
				wndrP1clone3:sleep(0);
				wndrP1clone3:rotationz(-20);
				wndrP1clone3:smooth(0.345*2);
				wndrP1clone3:addy(-450);
				wndrP1clone3:rotationz(0);
				wndrP1clone3:smooth(0.345*2);
				wndrP1clone3:addy(450);
				wndrP1clone3:rotationz(20);
			end
			
			if P2 then
				
				wndrP2clone3:sleep(0);
				wndrP2clone3:rotationz(-20);
				wndrP2clone3:smooth(0.345*2);
				wndrP2clone3:addy(-450);
				wndrP2clone3:rotationz(0);
				wndrP2clone3:smooth(0.345*2);
				wndrP2clone3:addy(450);
				wndrP2clone3:rotationz(20);
			end
		end,
		
		FourthJumpMessageCommand= function(self)
			self:sleep(0);
			if P1 then
				
				wndrP1clone4:sleep(0);
				wndrP1clone4:rotationz(-20);
				wndrP1clone4:smooth(0.345*2);
				wndrP1clone4:addy(-450);
				wndrP1clone4:rotationz(0);
				wndrP1clone4:smooth(0.345*2);
				wndrP1clone4:addy(450);
				wndrP1clone4:rotationz(20);
			end
			
			if P2 then
				
				wndrP2clone4:sleep(0);
				wndrP2clone4:rotationz(-20);
				wndrP2clone4:smooth(0.345*2);
				wndrP2clone4:addy(-450);
				wndrP2clone4:rotationz(0);
				wndrP2clone4:smooth(0.345*2);
				wndrP2clone4:addy(450);
				wndrP2clone4:rotationz(20);
			end
		end,
		
		FourthSetMessageCommand= function(self)
			self:sleep(0);
			if P1 then
				
				wndrP1clone4:sleep(0);
				wndrP1clone4:rotationz(-20);
				wndrP1clone4:smooth(0.345*2);
				wndrP1clone4:x(P1xpos);
				wndrP1clone4:y(P1ypos);
				wndrP1clone4:rotationz(0);
			end
			
			if P1 then
				
				wndrP2clone4:sleep(0);
				wndrP2clone4:rotationz(-20);
				wndrP2clone4:smooth(0.345*2);
				wndrP2clone4:x(P2xpos);
				wndrP2clone4:y(P2ypos);
				wndrP2clone4:rotationz(0);
			end
		end,
		
		HideRestMessageCommand= function(self)
			self:sleep(0);
			if P1 then
				
				wndrP1clone1:visible(false);
				wndrP1clone2:visible(false);
				wndrP1clone3:visible(false);
			end
			
			if P2 then
				
				wndrP2clone1:visible(false);
				wndrP2clone2:visible(false);
				wndrP2clone3:visible(false);
			end
		end,
		
		------------------------------------------------
		------------------------------------------------
		------------------------------------------------
		----------BRIDGE THING PART MOD THINGY----------
		------------------------------------------------
		------------------------------------------------
		------------------------------------------------
		
		SetRestMessageCommand= function(self)
			self:sleep(0);
			if P1 then
				
				wndrP1clone1:visible(true);
				wndrP1clone1:x(P1xpos);
				wndrP1clone1:y(P1ypos+450);
				wndrP1clone1:rotationz(0);
				
				wndrP1clone2:visible(true);
				wndrP1clone2:x(P1xpos);
				wndrP1clone2:y(P1ypos+450);
				wndrP1clone2:rotationz(0);
				
				wndrP1clone3:visible(true);
				wndrP1clone3:x(P1xpos);
				wndrP1clone3:y(P1ypos+450);
				wndrP1clone3:rotationz(0);
			end
			
			if P2 then
				
				wndrP2clone1:visible(true);
				wndrP2clone1:x(P2xpos);
				wndrP2clone1:y(P2ypos+450);
				wndrP2clone1:rotationz(0);
				
				wndrP2clone2:visible(true);
				wndrP2clone2:x(P2xpos);
				wndrP2clone2:y(P2ypos+450);
				wndrP2clone2:rotationz(0);
				
				wndrP2clone3:visible(true);
				wndrP2clone3:x(P2xpos);
				wndrP2clone3:y(P2ypos+450);
				wndrP2clone3:rotationz(0);
			end
		end,
		
		PopThirdMessageCommand= function(self)
			self:sleep(0);
			if P1 then
								
				wndrP1clone3:zoom(0.9);
				wndrP1clone3:smooth(1);
				wndrP1clone3:x(P1xpos+100);
				wndrP1clone3:y(P1ypos+100);
				wndrP1clone3:rotationz(40);
				wndrP1clone3:sleep(2);
				wndrP1clone3:smooth(1);
				wndrP1clone3:x(P1xpos);
				wndrP1clone3:y(P1ypos+450);
				wndrP1clone3:rotationz(0);
			end
			
			if P2 then
								
				wndrP2clone3:zoom(0.9);
				wndrP2clone3:smooth(1);
				wndrP2clone3:x(P2xpos-100);
				wndrP2clone3:y(P2ypos+100);
				wndrP2clone3:rotationz(-40);
				wndrP2clone3:sleep(2);
				wndrP2clone3:smooth(1);
				wndrP2clone3:x(P2xpos);
				wndrP2clone3:y(P2ypos+450);
				wndrP2clone3:rotationz(0);
			end
		end,
		
		PopSecondMessageCommand= function(self)
			self:sleep(0);
			if P1 then
								
				wndrP1clone2:zoom(0.8);
				wndrP1clone2:smooth(1);
				wndrP1clone2:x(P1xpos-100);
				wndrP1clone2:y(P1ypos+120);
				wndrP1clone2:rotationz(-40);
				wndrP1clone2:sleep(2);
				wndrP1clone2:smooth(1);
				wndrP1clone2:x(P1xpos);
				wndrP1clone2:y(P1ypos+450);
				wndrP1clone2:rotationz(0);
			end
			
			if P2 then
								
				wndrP2clone2:zoom(0.8);
				wndrP2clone2:smooth(1);
				wndrP2clone2:x(P2xpos+100);
				wndrP2clone2:y(P2ypos+120);
				wndrP2clone2:rotationz(40);
				wndrP2clone2:sleep(2);
				wndrP2clone2:smooth(1);
				wndrP2clone2:x(P2xpos);
				wndrP2clone2:y(P2ypos+450);
				wndrP2clone2:rotationz(0);
			end
		end,
		
		PopFirstMessageCommand= function(self)
			self:sleep(0);
			if P1 then
								
				wndrP1clone1:zoom(0.7);
				wndrP1clone1:smooth(1);
				wndrP1clone1:x(P1xpos);
				wndrP1clone1:y(P1ypos+140);
				wndrP1clone1:rotationz(0);
				wndrP1clone1:sleep(2);
				wndrP1clone1:smooth(1);
				wndrP1clone1:x(P1xpos);
				wndrP1clone1:y(P1ypos+450);
				wndrP1clone1:rotationz(0);
			end
			
			if P2 then
								
				wndrP2clone1:zoom(0.7);
				wndrP2clone1:smooth(1);
				wndrP2clone1:x(P2xpos);
				wndrP2clone1:y(P2ypos+140);
				wndrP2clone1:rotationz(0);
				wndrP2clone1:sleep(2);
				wndrP2clone1:smooth(1);
				wndrP2clone1:x(P2xpos);
				wndrP2clone1:y(P2ypos+450);
				wndrP2clone1:rotationz(0);
			end
		end,
		
		
		-------------------------------------------
		-------------------------------------------
		-------------------------------------------
		
		RaiseThirdMessageCommand= function(self)
			self:sleep(0);
			if P1 then
					
				wndrP1clone3:x(P1xpos-130);
				wndrP1clone3:zoom(0.7);
				wndrP1clone3:decelerate(0.5);
				wndrP1clone3:x(P1xpos-130);
				wndrP1clone3:y(P1ypos+100);
				wndrP1clone3:rotationz(0);
			end
			
			if P2 then
				
				wndrP2clone3:x(P2xpos+130);				
				wndrP2clone3:zoom(0.7);
				wndrP2clone3:decelerate(0.5);
				wndrP2clone3:x(P2xpos+130);
				wndrP2clone3:y(P2ypos+100);
				wndrP2clone3:rotationz(0);
			end
		end,
		
		LowerFourthMessageCommand= function(self)
			self:sleep(0);
			if P1 then
								
				wndrP1clone4:smooth(1);
				wndrP1clone4:y(P1ypos+64);
			end
			
			if P2 then
								
				wndrP2clone4:smooth(1);
				wndrP2clone4:y(P2ypos+64);
			end
		end,
		
		LowerBothMessageCommand= function(self)
			self:sleep(0);
			if P1 then
								
				wndrP1clone4:smooth(1);
				wndrP1clone4:y(P1ypos+64+64);
				
				wndrP1clone3:smooth(1);
				wndrP1clone3:y(P1ypos+100+80);
			end
			
			if P2 then
								
				wndrP2clone4:smooth(1);
				wndrP2clone4:y(P2ypos+64+64);
				wndrP2clone3:smooth(1);
				wndrP2clone3:y(P2ypos+100+80);
			end
		end,
		
		LowerBothAgainMessageCommand= function(self)
			self:sleep(0);
			if P1 then
								
				wndrP1clone4:smooth(1);
				wndrP1clone4:y(P1ypos+64+64+64);
				
				wndrP1clone3:smooth(1);
				wndrP1clone3:y(P1ypos+100+70+70);
			end
			
			if P2 then
								
				wndrP2clone4:smooth(1);
				wndrP2clone4:y(P2ypos+64+64+64);
				wndrP2clone3:smooth(1);
				wndrP2clone3:y(P2ypos+100+70+70);
			end
		end,
		
		
		RaiseSecondMessageCommand= function(self)
			self:sleep(0);
			if P1 then
					
				wndrP1clone2:x(P1xpos+110);
				wndrP1clone2:zoom(0.6);
				wndrP1clone2:decelerate(0.5);
				wndrP1clone2:y(P1ypos+120);
				
			end
			
			if P2 then
				
				wndrP2clone2:x(P2xpos-110);
				wndrP2clone2:zoom(0.6);
				wndrP2clone2:decelerate(0.5);
				wndrP2clone2:y(P2ypos+120);
			end
		end,
		
		RaiseAllMessageCommand= function(self)
			self:sleep(0);
			if P1 then
					
				wndrP1clone2:smooth(0.7);
				wndrP1clone2:y(P1ypos+120-64);
				
				wndrP1clone3:smooth(0.7);
				wndrP1clone3:y(P1ypos+64);
				
				wndrP1clone4:smooth(0.7);
				wndrP1clone4:y(P1ypos);
				
				
			end
			
			if P2 then
				
				wndrP2clone2:smooth(0.7);
				wndrP2clone2:y(P2ypos+120-64);
				
				wndrP2clone3:smooth(0.7);
				wndrP2clone3:y(P2ypos+64);
				
				wndrP2clone4:smooth(0.7);
				wndrP2clone4:y(P2ypos);
			end
		end,
		
		LowerAllMessageCommand= function(self)
			self:sleep(0);
			if P1 then
					
				wndrP1clone2:smooth(0.7);
				wndrP1clone2:y(P1ypos+120);
				
				wndrP1clone3:smooth(0.7);
				wndrP1clone3:y(P1ypos+100+70);
				
				wndrP1clone4:smooth(0.7);
				wndrP1clone4:y(P1ypos+64);
				
				
			end
			
			if P2 then
				
				wndrP2clone2:smooth(0.7);
				wndrP2clone2:y(P2ypos+120);
				
				wndrP2clone3:smooth(0.7);
				wndrP2clone3:y(P2ypos+100+70);
				
				wndrP2clone4:smooth(0.7);
				wndrP2clone4:y(P2ypos+64);
			end
		end,
		
		FlyAwayMessageCommand= function(self)
			self:sleep(0);
			if P1 then
					
				wndrP1clone2:smooth(1);
				wndrP1clone2:y(P1ypos-500);
				
				wndrP1clone3:smooth(1);
				wndrP1clone3:y(P1ypos-500);
				
				wndrP1clone4:smooth(0.5);
				wndrP1clone4:y(P1ypos);
				
				
			end
			
			if P2 then
				
				wndrP2clone2:smooth(1);
				wndrP2clone2:y(P2ypos-500);
				
				wndrP2clone3:smooth(1);
				wndrP2clone3:y(P2ypos-500);
				
				wndrP2clone4:smooth(0.5);
				wndrP2clone4:y(P2ypos);
			end
		end,
		
		Hide123MessageCommand= function(self)
			self:sleep(0);
			if P1 then
					
				wndrP1clone1:visible(false);
				wndrP1clone2:visible(false);
				wndrP1clone3:visible(false);

			end
			
			if P2 then
				
				wndrP2clone1:visible(false);
				wndrP2clone2:visible(false);
				wndrP2clone3:visible(false);
			end
		end,
		
----------------------------------------
	
	WagPlayersMessageCommand= function(self)
			self:sleep(0);
			if P1 then
								
				P1:wag();
				P1:effectclock('bgm');
				P1:effectmagnitude(0,0,30);
				P1:effectperiod(2);
			end
			
			if P2 then
								
				P2:wag();
				P2:effectclock('bgm');
				P2:effectmagnitude(0,0,-30);
				P2:effectperiod(2);
			end
		end,
	},
	
	--------------------------------------------------------
	--------------------------------------------------------
	--------------------------------------------------------
	-------------HERE LIES THE ACTOR PROXIES----------------
	--------------------------------------------------------
	--------------------------------------------------------
	--------------------------------------------------------
	
	Def.ActorProxy{
		BeginCommand=function(self)
			
			wndrP1clone1=self;
			
		end;
	};
	
	Def.ActorProxy{
		BeginCommand=function(self)
			
			wndrP1clone2=self;
			
		end;
	};
	
	Def.ActorProxy{
		BeginCommand=function(self)
			
			wndrP1clone3=self;
			
		end;
	};
	
	Def.ActorProxy{
		BeginCommand=function(self)
			
			wndrP1clone4=self;
			
		end;
	};
	
	
	------
	
	Def.ActorProxy{
		BeginCommand=function(self)
			
			wndrP2clone1=self;
			
		end;
	};
	
	Def.ActorProxy{
		BeginCommand=function(self)
			
			wndrP2clone2=self;
			
		end;
	};
	
	Def.ActorProxy{
		BeginCommand=function(self)
			
			wndrP2clone3=self;
			
		end;
	};
	
	Def.ActorProxy{
		BeginCommand=function(self)
			
			wndrP2clone4=self;
			
		end;
	};
	
}