
local songName= GAMESTATE:GetCurrentSong():GetSongDir()

local function iris_mod_internal(str, pn)
	local ps= GAMESTATE:GetPlayerState(pn)
	local pmods= ps:GetPlayerOptionsString('ModsLevel_Song')
	ps:SetPlayerOptions('ModsLevel_Song', pmods .. ', ' .. str)
	--GAMESTATE:ApplyGameCommand('mod,'..str, pn)
end


local function iris_mod(str)
	for i=1,2 do
		iris_mod_internal(str, 'PlayerNumber_P' .. i)
	end
end



local function iris_init()
	fgcurcommand = 0;
	wndr_skewx=0.3;
	checked = false;
	
	-- Original Course by Puurokulho.
	--
	-- Hey, Puuro. If you're reading this, hi.
	-- I decided to remake one of your old files because, i really liked this file.
	-- I hope that this file brings you memories of your past, because this is probably one of your first five simfiles that you did before moving to FG coding.
	-- So, yeah. I hope i can talk to you someday, or something like that, because i wanna learn a little bit about the who made me believe to keep going foward.
	--
	--																														-- Jose_Varela
	
	--lua course :D	/ timed mod management	
	curmod = 1;
	--{beat,mod,player}
	mods = {

		-- It's not used because the .ssc is handling it.


		
	}

	iris_driven = 1;
	iris_driven_beat = 193;
	iris_driven_beat_init = 193;

	iris_driven_speed = 0.65;
	iris_driven_modspeed = 1.0;

	iris_drunk = 1;
	iris_drunk_amt = 0;
	iris_bumpy = 1;
	iris_bumpy_amt = 0;

	--SCREAMING GUMBALL / timed message broadcaster
	curmessage = 1;
	--{beat,message,ignoreIfAhead}
	messages = {
		--{182.5,'CytusSpawn'},
		--{193,'CytusBegin'},
		--{257,'CytusEnd'},

		{0.1,'Mellan'}, -- I borrowed it from the Gameplaycontrol file.
						--
						-- Here it is in it's original form.
						-- elseif (GAMESTATE:GetCurrentSong() == SONGMAN:FindSong('Mellann')) then s = 
						--'rotationy,0;sleep,25.767;linear,0.143;zoomtowidth,2;linear,0.143;zoomtowidth,1;sleep,37.28;linear,0.143;zoomtowidth,0.5;linear,0.143;zoomtowidth,1;sleep,32.433;linear,1.143;rotationy,0;decelerate,1.000;rotationy,1440;sleep,24.143;linear,5;rotationz,720;'
						--
						-- That has been converted to a simple MessageCommand so this mod table can use it.
						--																									- Jose_Varela

	}
	
end

local function iris_update()

	if GAMESTATE:GetSongBeat()>=0.1 and not checked then
	
	if SCREENMAN:GetTopScreen():GetChild('PlayerP1') then
		P1 = SCREENMAN:GetTopScreen():GetChild('PlayerP1')
	end
			if P1 then
				P1xpos=P1:GetX();
				P1ypos=P1:GetY();
			end
	if SCREENMAN:GetTopScreen():GetChild('PlayerP2') then
		P2 = SCREENMAN:GetTopScreen():GetChild('PlayerP2')
	end
			if P2 then
				P2xpos=P2:GetX();
				P2ypos=P2:GetY();
			end
		--PE = SCREENMAN:GetTopScreen():GetChild('')
		
		screen = SCREENMAN:GetTopScreen()
		
		if P1 then
			P1:visible(false);
			P1:x(0);
			P1:y(0);
			wndrP1clone1:SetTarget(P1);
			wndrP1clone1:x(P1xpos);
			wndrP1clone1:y(P1ypos);
			
			
			wndrP1clone2:SetTarget(P1);
			wndrP1clone3:SetTarget(P1);
			wndrP1clone4:SetTarget(P1);
			
			wndrP1clone2:visible(false);
			wndrP1clone3:visible(false);
			wndrP1clone4:visible(false);
		end
		
		if P2 then
			P2:visible(false);
			P2:x(0);
			P2:y(0);
			wndrP2clone1:SetTarget(P2);
			wndrP2clone1:x(P2xpos);
			wndrP2clone1:y(P2ypos);
			
			
			wndrP2clone2:SetTarget(P2);
			wndrP2clone3:SetTarget(P2);
			wndrP2clone4:SetTarget(P2);
			
			wndrP2clone2:visible(false);
			wndrP2clone3:visible(false);
			wndrP2clone4:visible(false);
		end
		checked = true;
		
	end
	
	local beat = GAMESTATE:GetSongBeat()

	-- Collect all the mods that will be applied in this frame into one string.
	-- Mod tweening doesn't work correctly if the mods are in seperate commands.
	local mods_this_frame= {}
	local function add_mod(mod_str)
		mods_this_frame[#mods_this_frame+1]= mod_str
	end
	local function execute_mods()
		if #mods_this_frame <= 0 then return end
		local total_mod_str= ""
		for i, ms in ipairs(mods_this_frame) do
			if #total_mod_str > 0 then
				total_mod_str= total_mod_str .. ", "
			end
			total_mod_str= total_mod_str .. ms
		end
		iris_mod(total_mod_str)
	end
	
	--[[
	
	if beat>257 and fgcurcommand == 3 then
		set_player_speed(PLAYER_1, iris_speedmodP1)
		set_player_speed(PLAYER_2, iris_speedmodP2)
		add_mod('*1000 no reverse')
		add_mod('*1000 no centered')
		add_mod('*1000 no dark')
		fgcurcommand = fgcurcommand+1
	end --]]
	
	while curmod<= #mods and GAMESTATE:GetSongBeat()>=mods[curmod][1] do
		add_mod(mods[curmod][2])
		curmod = curmod+1
	end

	execute_mods()
	
	--SCREAMING GUMBALL
	while curmessage<= #messages and GAMESTATE:GetSongBeat()>=messages[curmessage][1] do
		if messages[curmessage][3] and GAMESTATE:GetSongBeat()>=messages[curmessage][1]+5 then
			curmessage = curmessage+1;
		else
			MESSAGEMAN:Broadcast(messages[curmessage][2])
			curmessage = curmessage+1;
		end
	end
end

return Def.ActorFrame{
	OnCommand= function(self)
							 iris_init()
							 self:SetUpdateFunction(iris_update)
						 end,
	Def.Quad{
		Name= "I may be sleeping, but I preserve the world.",
		InitCommand= cmd(visible,false),
		OnCommand= cmd(sleep,1000),
	},
	Def.Quad{
		OnCommand= cmd(diffuse,0,0,0,1;diffusealpha,0;zoomto,6,SCREEN_HEIGHT;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y),
		CytusSpawnMessageCommand= cmd(linear,1;diffusealpha,1),
		CytusEndMessageCommand= cmd(linear,1;diffusealpha,0),
		
		MellanMessageCommand= function(self)
            P1:rotationy(0);
            P1:sleep(25.767);
            P1:smooth(0.143);
            P1:zoomtowidth(2);
            P1:smooth(0.143);
            P1:zoomtowidth(1);
            P1:sleep(37.28);
            P1:smooth(0.143);
            P1:zoomtowidth(0.5);
            P1:smooth(0.143);
            P1:zoomtowidth(1);
            P1:sleep(33.033);
            P1:smooth(1.143);
            P1:rotationy(0);
            P1:decelerate(1.000);
            P1:rotationy(1440);
            P1:sleep(24.243);
            P1:linear(5);
            P1:rotationz(720);
            -- Player 2
            P2:rotationy(0);
            P2:sleep(25.767);
            P2:linear(0.143);
            P2:zoomtowidth(2);
            P2:linear(0.143);
            P2:zoomtowidth(1);
            P2:sleep(37.28);
            P2:linear(0.143);
            P2:zoomtowidth(0.5);
            P2:linear(0.143);
            P2:zoomtowidth(1);
            P2:sleep(33.033);
            P2:linear(1.143);
            P2:rotationy(0);
            P2:decelerate(1.000);
            P2:rotationy(1440);
            P2:sleep(24.243);
            P2:linear(5);
            P2:rotationz(720);
        end,
	},
	
	--------------------------------------------------------
	--------------------------------------------------------
	--------------------------------------------------------
	-------------HERE LIES THE ACTOR PROXIES----------------
	--------------------------------------------------------
	-----Are these really essencial for the mod table?------
	--------------------------------------------------------
	
	Def.ActorProxy{
		BeginCommand=function(self)
			
			wndrP1clone1=self;
			
		end;
	};
	
	Def.ActorProxy{
		BeginCommand=function(self)
			
			wndrP1clone2=self;
			
		end;
	};
	
	Def.ActorProxy{
		BeginCommand=function(self)
			
			wndrP1clone3=self;
			
		end;
	};
	
	Def.ActorProxy{
		BeginCommand=function(self)
			
			wndrP1clone4=self;
			
		end;
	};
	
	
	------
	
	Def.ActorProxy{
		BeginCommand=function(self)
			
			wndrP2clone1=self;
			
		end;
	};
	
	Def.ActorProxy{
		BeginCommand=function(self)
			
			wndrP2clone2=self;
			
		end;
	};
	
	Def.ActorProxy{
		BeginCommand=function(self)
			
			wndrP2clone3=self;
			
		end;
	};
	
	Def.ActorProxy{
		BeginCommand=function(self)
			
			wndrP2clone4=self;
			
		end;
	};
	
}
