
local songName= GAMESTATE:GetCurrentSong():GetSongDir()

local function iris_mod_internal(str, pn)
	local ps= GAMESTATE:GetPlayerState(pn)
	local pmods= ps:GetPlayerOptionsString('ModsLevel_Song')
	ps:SetPlayerOptions('ModsLevel_Song', pmods .. ', ' .. str)
	--GAMESTATE:ApplyGameCommand('mod,'..str, pn)
end


local function iris_mod(str)
	for i=1,2 do
		iris_mod_internal(str, 'PlayerNumber_P' .. i)
	end
end



local function iris_init()
	fgcurcommand = 0;
	wndr_skewx=0.3;
	checked = false;
	
	
	
	--lua course :D	/ timed mod management	
	curmod = 1;
	--{beat,mod,player}
	mods = {

		{17,'*999 beat'},
		{23.5,'*999 0% beat, *8 15% flip, *8 15% reverse'},
		{24,'*8 30% flip, *8 30% reverse'},
		{24.5,'*8 50% flip, *8 50% reverse'},

		{25,'*99 -20% reverse, *99 -20% flip, *99 90% brake, *99 90% wave, *99 40% dizzy'},
		{25.1,'*0.6 0% reverse, *0.6 0% flip, *0.6 0% brake, *0.6 0% wave, *0.6 0% dizzy'},
		{26,'*99 -20% reverse, *99 -20% flip, *99 90% brake, *99 90% wave, *99 -40% dizzy'},
		{26.1,'*0.6 0% reverse, *0.6 0% flip, *0.6 0% brake, *0.6 0% wave, *0.6 0% dizzy'},
		{27,'*99 -20% reverse, *99 -20% flip, *99 90% brake, *99 90% wave, *99 40% dizzy'},
		{27.1,'*0.6 0% reverse, *0.6 0% flip, *0.6 0% brake, *0.6 0% wave, *0.6 0% dizzy'},
		{28,'*99 -20% reverse, *99 -20% flip, *99 90% brake, *99 90% wave, *99 -40% dizzy'},
		{28.1,'*0.6 0% reverse, *0.6 0% flip, *0.6 0% brake, *0.6 0% wave, *0.6 0% dizzy'},
		{29,'*99 -20% reverse, *99 -20% flip, *99 90% brake, *99 90% wave, *99 40% dizzy'},
		{29.1,'*0.6 0% reverse, *0.6 0% flip, *0.6 0% brake, *0.6 0% wave, *0.6 0% dizzy'},
		{30,'*99 -20% reverse, *99 -20% flip, *99 90% brake, *99 90% wave, *99 -40% dizzy'},
		{30.1,'*0.6 0% reverse, *0.6 0% flip, *0.6 0% brake, *0.6 0% wave, *0.6 0% dizzy'},
		{31,'*99 -20% reverse, *99 -20% flip, *99 90% brake, *99 90% wave, *99 40% dizzy'},
		{31.1,'*0.6 0% reverse, *0.6 0% flip, *0.6 0% brake, *0.6 0% wave, *0.6 0% dizzy'},
		{32,'*99 -20% reverse, *99 -20% flip, *99 90% brake, *99 90% wave, *99 -40% dizzy'},
		{32.1,'*0.6 0% reverse, *0.6 0% flip, *0.6 0% brake, *0.6 0% wave, *0.6 0% dizzy'},

		{49,'*99 50% reverse'},
		{49.1,'*0.3 0% reverse'},

		{65,'*99 drunk, *99 120% wave, *99 70% brake'},
		{65.1,'*5.5 0% drunk, *5.5 0% wave, *5.5 0% brake'},
		{67,'*99 -100% drunk, *99 120% wave, *99 70% brake'},
		{67.1,'*5.5 0% drunk, *5.5 0% wave, *5.5 0% brake'},
		{69,'*99 drunk, *99 120% wave, *99 70% brake'},
		{69.1,'*5.5 0% drunk, *5.5 0% wave, *5.5 0% brake'},
		{71,'*99 drunk, *99 120% wave, *99 70% brake'},
		{71.1,'*5.5 0% drunk, *5.5 0% wave, *5.5 0% brake'},
		{72.3,'*99 drunk, *99 120% wave, *99 70% brake'},
		{72.4,'*5.5 0% drunk, *5.5 0% wave, *5.5 0% brake'},
		{72.6,'*99 drunk, *99 120% wave, *99 70% brake'},
		{72.7,'*5.5 0% drunk, *5.5 0% wave, *5.5 0% brake'},
		{73,'*99 -100% drunk, *99 120% wave, *99 70% brake'},
		{73.1,'*5.5 0% drunk, *5.5 0% wave, *5.5 0% brake'},
		{75,'*99 drunk, *99 120% wave, *99 70% brake'},
		{75.1,'*5.5 0% drunk, *5.5 0% wave, *5.5 0% brake'},
		{79,'*99 -100% drunk, *99 120% wave, *99 70% brake'},
		{79.1,'*5.5 0% drunk, *5.5 0% wave, *5.5 0% brake'},

		{81,'*999 beat'},
		{97,'*999 0% beat'},

		{103.5,'*999 0% beat, *8 15% flip, *8 15% reverse'},
		{104,'*8 30% flip, *8 30% reverse'},
		{104.5,'*8 50% flip, *8 50% reverse'},

		{105,'*99 -20% reverse, *99 -20% flip, *99 90% brake, *99 90% wave, *99 40% dizzy'},
		{105.1,'*0.6 0% reverse, *0.6 0% flip, *0.6 0% brake, *0.6 0% wave, *0.6 0% dizzy'},
		{106,'*99 -20% reverse, *99 -20% flip, *99 90% brake, *99 90% wave, *99 -40% dizzy'},
		{106.1,'*0.6 0% reverse, *0.6 0% flip, *0.6 0% brake, *0.6 0% wave, *0.6 0% dizzy'},
		{107,'*99 -20% reverse, *99 -20% flip, *99 90% brake, *99 90% wave, *99 40% dizzy'},
		{107.1,'*0.6 0% reverse, *0.6 0% flip, *0.6 0% brake, *0.6 0% wave, *0.6 0% dizzy'},
		{108,'*99 -20% reverse, *99 -20% flip, *99 90% brake, *99 90% wave, *99 -40% dizzy'},
		{108.1,'*0.6 0% reverse, *0.6 0% flip, *0.6 0% brake, *0.6 0% wave, *0.6 0% dizzy'},
		{109,'*99 -20% reverse, *99 -20% flip, *99 90% brake, *99 90% wave, *99 40% dizzy'},
		{109.1,'*0.6 0% reverse, *0.6 0% flip, *0.6 0% brake, *0.6 0% wave, *0.6 0% dizzy'},
		{110,'*99 -20% reverse, *99 -20% flip, *99 90% brake, *99 90% wave, *99 -40% dizzy'},
		{110.1,'*0.6 0% reverse, *0.6 0% flip, *0.6 0% brake, *0.6 0% wave, *0.6 0% dizzy'},
		{111,'*99 -20% reverse, *99 -20% flip, *99 90% brake, *99 90% wave, *99 40% dizzy'},
		{111.1,'*0.6 0% reverse, *0.6 0% flip, *0.6 0% brake, *0.6 0% wave, *0.6 0% dizzy'},
		{112,'*99 -20% reverse, *99 -20% flip, *99 90% brake, *99 90% wave, *99 -40% dizzy'},
		{112.1,'*0.6 0% reverse, *0.6 0% flip, *0.6 0% brake, *0.6 0% wave, *0.6 0% dizzy'},
		{113,'*99 -20% reverse, *99 -20% flip, *99 90% brake, *99 90% wave, *99 40% dizzy'},
		{113.1,'*0.6 0% reverse, *0.6 0% flip, *0.6 0% brake, *0.6 0% wave, *0.6 0% dizzy'},
		{114,'*99 -20% reverse, *99 -20% flip, *99 90% brake, *99 90% wave, *99 -40% dizzy'},
		{114.1,'*0.6 0% reverse, *0.6 0% flip, *0.6 0% brake, *0.6 0% wave, *0.6 0% dizzy'},
		{115,'*99 -20% reverse, *99 -20% flip, *99 90% brake, *99 90% wave, *99 40% dizzy'},
		{115.1,'*0.6 0% reverse, *0.6 0% flip, *0.6 0% brake, *0.6 0% wave, *0.6 0% dizzy'},
		{116,'*99 -20% reverse, *99 -20% flip, *99 90% brake, *99 90% wave, *99 -40% dizzy'},
		{116.1,'*0.6 0% reverse, *0.6 0% flip, *0.6 0% brake, *0.6 0% wave, *0.6 0% dizzy'},
		{117,'*99 -20% reverse, *99 -20% flip, *99 90% brake, *99 90% wave, *99 40% dizzy'},
		{117.1,'*0.6 0% reverse, *0.6 0% flip, *0.6 0% brake, *0.6 0% wave, *0.6 0% dizzy'},
		{118,'*99 -20% reverse, *99 -20% flip, *99 90% brake, *99 90% wave, *99 -40% dizzy'},
		{118.1,'*0.6 0% reverse, *0.6 0% flip, *0.6 0% brake, *0.6 0% wave, *0.6 0% dizzy'},

		{119.5,'*999 0% beat, *8 15% flip, *8 15% reverse'},
		{120,'*8 30% flip, *8 30% reverse'},
		{120.5,'*8 50% flip, *8 50% reverse'},

		{121,'*99 -20% reverse, *99 -20% flip, *99 90% brake, *99 90% wave, *99 40% dizzy'},
		{121.1,'*0.3 0% reverse, *0.3 0% flip, *0.3 0% brake, *0.3 0% wave, *0.3 0% dizzy'},
		{123,'*99 -20% reverse, *99 -20% flip, *99 90% brake, *99 90% wave, *99 -40% dizzy'},
		{123.1,'*0.3 0% reverse, *0.3 0% flip, *0.3 0% brake, *0.3 0% wave, *0.3 0% dizzy'},
		{125,'*99 -20% reverse, *99 -20% flip, *99 90% brake, *99 90% wave, *99 40% dizzy'},
		{125.1,'*0.3 0% reverse, *0.3 0% flip, *0.3 0% brake, *0.3 0% wave, *0.3 0% dizzy'},
		{127,'*99 -20% reverse, *99 -20% flip, *99 90% brake, *99 90% wave, *99 -40% dizzy'},
		{127.1,'*0.3 0% reverse, *0.3 0% flip, *0.3 0% brake, *0.3 0% wave, *0.3 0% dizzy'},
		
		{129,'*99 -150% tiny'},
		{129.1,'*2.5 0% tiny'},
		{130.5,'*99 -150% tiny'},
		{130.6,'*2.5 0% tiny'},
		{132,'*99 -150% tiny'},
		{132.1,'*2.5 0% tiny'},
		{133,'*99 drunk'},
		{133.1,'*6 0% drunk'},
		{133.5,'*99 -100% drunk'},
		{133.6,'*6 0% drunk'},
		{134,'*99 -150% tiny, *99 drunk'},
		{134.1,'*2.5 0% tiny, *6 0% drunk'},
		{135,'*99 tipsy'},
		{135.1,'*6 0% tipsy'},
		{135.75,'*9 reverse'},
		{136,'*9 0% reverse'},

		{141,'*0.02 50% reverse, *5 drunk'},
		{141.3,'*5 -100% drunk'},
		{141.6,'*5 drunk'},
		{142,'*5 -100% drunk'},
		{142.3,'*5 drunk'},
		{142.6,'*5 -100% drunk'},
		{143,'*99 -20% reverse, *99 -20% flip, *99 90% brake, *99 250% wave, *0.5 0% drunk'},
		{143.1,'*0.3 0% reverse, *0.3 0% flip, *0.3 0% brake, *0.3 0% wave'},
		
		
	}

	iris_driven = 1;
	iris_driven_beat = 193;
	iris_driven_beat_init = 193;

	iris_driven_speed = 0.65;
	iris_driven_modspeed = 1.0;

	iris_drunk = 1;
	iris_drunk_amt = 0;
	iris_bumpy = 1;
	iris_bumpy_amt = 0;

	--SCREAMING GUMBALL / timed message broadcaster
	curmessage = 1;
	--{beat,message,ignoreIfAhead}
	messages = {
		--{182.5,'CytusSpawn'},
		--{193,'CytusBegin'},
		--{257,'CytusEnd'},

		
		

	}
	
end

local function iris_update()

	if GAMESTATE:GetSongBeat()>=0.1 and not checked then
	
	if SCREENMAN:GetTopScreen():GetChild('PlayerP1') then
		P1 = SCREENMAN:GetTopScreen():GetChild('PlayerP1')
	end
			if P1 then
				P1xpos=P1:GetX();
				P1ypos=P1:GetY();
			end
	if SCREENMAN:GetTopScreen():GetChild('PlayerP2') then
		P2 = SCREENMAN:GetTopScreen():GetChild('PlayerP2')
	end
			if P2 then
				P2xpos=P2:GetX();
				P2ypos=P2:GetY();
			end
		--PE = SCREENMAN:GetTopScreen():GetChild('')
		
		screen = SCREENMAN:GetTopScreen()
		
		if P1 then
			P1:visible(false);
			P1:x(0);
			P1:y(0);
			wndrP1clone1:SetTarget(P1);
			wndrP1clone1:x(P1xpos);
			wndrP1clone1:y(P1ypos);
			
			
			wndrP1clone2:SetTarget(P1);
			wndrP1clone3:SetTarget(P1);
			wndrP1clone4:SetTarget(P1);
			
			wndrP1clone2:visible(false);
			wndrP1clone3:visible(false);
			wndrP1clone4:visible(false);
		end
		
		if P2 then
			P2:visible(false);
			P2:x(0);
			P2:y(0);
			wndrP2clone1:SetTarget(P2);
			wndrP2clone1:x(P2xpos);
			wndrP2clone1:y(P2ypos);
			
			
			wndrP2clone2:SetTarget(P2);
			wndrP2clone3:SetTarget(P2);
			wndrP2clone4:SetTarget(P2);
			
			wndrP2clone2:visible(false);
			wndrP2clone3:visible(false);
			wndrP2clone4:visible(false);
		end
		checked = true;
		
	end
	
	local beat = GAMESTATE:GetSongBeat()

	-- Collect all the mods that will be applied in this frame into one string.
	-- Mod tweening doesn't work correctly if the mods are in seperate commands.
	local mods_this_frame= {}
	local function add_mod(mod_str)
		mods_this_frame[#mods_this_frame+1]= mod_str
	end
	local function execute_mods()
		if #mods_this_frame <= 0 then return end
		local total_mod_str= ""
		for i, ms in ipairs(mods_this_frame) do
			if #total_mod_str > 0 then
				total_mod_str= total_mod_str .. ", "
			end
			total_mod_str= total_mod_str .. ms
		end
		iris_mod(total_mod_str)
	end
	
	--[[
	
	if beat>257 and fgcurcommand == 3 then
		set_player_speed(PLAYER_1, iris_speedmodP1)
		set_player_speed(PLAYER_2, iris_speedmodP2)
		add_mod('*1000 no reverse')
		add_mod('*1000 no centered')
		add_mod('*1000 no dark')
		fgcurcommand = fgcurcommand+1
	end --]]
	
	while curmod<= #mods and GAMESTATE:GetSongBeat()>=mods[curmod][1] do
		add_mod(mods[curmod][2])
		curmod = curmod+1
	end

	execute_mods()
	
	--SCREAMING GUMBALL
	while curmessage<= #messages and GAMESTATE:GetSongBeat()>=messages[curmessage][1] do
		if messages[curmessage][3] and GAMESTATE:GetSongBeat()>=messages[curmessage][1]+5 then
			curmessage = curmessage+1;
		else
			MESSAGEMAN:Broadcast(messages[curmessage][2])
			curmessage = curmessage+1;
		end
	end
end

return Def.ActorFrame{
	OnCommand= function(self)
							 iris_init()
							 self:SetUpdateFunction(iris_update)
						 end,
	Def.Quad{
		Name= "I may be sleeping, but I preserve the world.",
		InitCommand= cmd(visible,false),
		OnCommand= cmd(sleep,1000),
	},
	Def.Quad{
		OnCommand= cmd(diffuse,0,0,0,1;diffusealpha,0;zoomto,6,SCREEN_HEIGHT;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y),
		CytusSpawnMessageCommand= cmd(linear,1;diffusealpha,1),
		CytusEndMessageCommand= cmd(linear,1;diffusealpha,0),
		
		PlayersRot1MessageCommand= function(self)
			if P1 then
			P1:decelerate(.3)
			P1:rotationz(90)
			end
			
			if P2 then
			P2:decelerate(.3)
			P2:rotationz(-90)
			end
		end,
		
		PlayersRot2MessageCommand= function(self)
			if P1 then
			P1:decelerate(.3)
			P1:rotationz(-90)
			end
			
			if P2 then
			P2:decelerate(.3)
			P2:rotationz(90)
			end
		end,
		
		PlayersRot0MessageCommand= function(self)
			if P1 then
			P1:decelerate(.3)
			P1:rotationz(0)
			end
			
			if P2 then
			P2:decelerate(.3)
			P2:rotationz(0)
			end
		end,
		
		PlayersSkew1MessageCommand= function(self)
			if P1 then
			P1:smooth(0.10)
			P1:skewx(wndr_skewx)
			end
			
			--PE:skewx(wndr_skewx)
			
			if P2 then
			P2:smooth(0.10)
			P2:skewx(-wndr_skewx)
			end
		end,
		
		PlayersSkew2MessageCommand= function(self)
			if P1 then
			P1:smooth(0.10)
			P1:skewx(-wndr_skewx)
			end
			
			if P2 then
			P2:smooth(0.10)
			P2:skewx(wndr_skewx)
			end
		end,
		
		PlayersSkew0MessageCommand= function(self)
			if P1 then
			P1:stoptweening()
			P1:linear(0.25)
			P1:skewx(0)
			end
			
			if P2 then
			P2:stoptweening()
			P2:linear(0.25)
			P2:skewx(0)
			end
		end,

		PlayerRotateRightMessageCommand= function(self)
			if P1 then
			P1:addz(90)
			end
			
			if P2 then
			P2:addz(90)
			end
		end,

		PlayerRotateLeftMessageCommand= function(self)
			if P1 then
			P1:addz(-90)
			end
			
			if P2 then
			P2:addz(-90)
			end
		end,

		PlayerRotateRestoreMessageCommand= function(self)
			if P1 then
			P1:rotationz(0)
			end
			
			if P2 then
			P2:rotationz(0)
			end
		end,


		-- Vibration commands
		VibratePlayerMessageCommand= function(self)
			SCREENMAN:GetTopScreen():GetChild('PlayerP1'):vibrate();
			SCREENMAN:GetTopScreen():effectmagnitude(20,20,20);
		end,

		VibratePlayerStopMessageCommand= function(self)
			SCREENMAN:GetTopScreen():GetChild('PlayerP1'):stopeffect();
		end,

		VibrateMessageCommand= function(self)
			SCREENMAN:GetTopScreen():vibrate();
			SCREENMAN:GetTopScreen():effectmagnitude(20,20,20);
		end,

		VibratestopMessageCommand= function(self)
			SCREENMAN:GetTopScreen():stopeffect();
		end,

		BounceMessageCommand= function(self)
			SCREENMAN:GetTopScreen():GetChild('PlayerP1'):bounce();
            SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectperiod(1)
            SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectclock('bgm');
            SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectmagnitude(0,-15,0)
        end,

        BounceSomewereElseMessageCommand= function(self)
        	self:sleep(0);
			SCREENMAN:GetTopScreen():GetChild('PlayerP1'):bounce();
            SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectperiod(1)
            SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectclock('bgm');
            SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectmagnitude(20,-15,15)
        end,

        BouncestopMessageCommand= function(self)
        	SCREENMAN:GetTopScreen():GetChild('PlayerP1'):stopeffect();
        end,

        SlidestuffoffstopMessageCommand= function(self)
        	SCREENMAN:GetTopScreen():GetChild('PlayerP1'):decelerate(1.4);
        	SCREENMAN:GetTopScreen():GetChild('PlayerP1'):x(-1000);
        	SCREENMAN:GetTopScreen():GetChild('LifeP1'):decelerate(1.4);
            SCREENMAN:GetTopScreen():GetChild('LifeP1'):x(-1000);
            SCREENMAN:GetTopScreen():GetChild('ScoreP1'):decelerate(1.4);
            SCREENMAN:GetTopScreen():GetChild('ScoreP1'):x(-1000);
            SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetChild('Combo'):decelerate(1.4);
            SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetChild('Combo'):x(-1000);
            SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetChild('Judgment'):decelerate(1.4);
            SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetChild('Judgment'):x(-1000);
        end,

        DivideClonesMessageCommand= function(self)
			self:sleep(0);
			if P1 then
				
				wndrP1clone1:addx(250);
				wndrP1clone2:addx(-250);
				wndrP1clone3:Vibrate();
				wndrP1clone4:Vibrate();
			end
		end,
		
		-------------------------------------------------------
		-------------------------------------------------------
		-------------------------------------------------------
		-------------------------------------------------------
		-------------------------------------------------------
		-------------------------------------------------------
		-------------------------------------------------------
		-------------------------------------------------------
		-------------------------------------------------------
		
		
		ClonesSetMessageCommand= function(self)
			self:sleep(0);
			if P1 then
				wndrP1clone1:visible(true);
				wndrP1clone2:visible(true);
				wndrP1clone3:visible(true);
				wndrP1clone4:visible(true);
				
				wndrP1clone2:x(wndrP1clone1:GetX()+64);
				wndrP1clone3:x(wndrP1clone1:GetX()+128);
				wndrP1clone4:x(wndrP1clone1:GetX()+192);
				
				wndrP1clone2:y(wndrP1clone1:GetY()+450);
				wndrP1clone3:y(wndrP1clone1:GetY()+450);
				wndrP1clone4:y(wndrP1clone1:GetY()+450);
			end
			
			if P2 then
				wndrP2clone1:visible(true);
				wndrP2clone2:visible(true);
				wndrP2clone3:visible(true);
				wndrP2clone4:visible(true);
				
				wndrP2clone2:x(wndrP2clone1:GetX()-64);
				wndrP2clone3:x(wndrP2clone1:GetX()-128);
				wndrP2clone4:x(wndrP2clone1:GetX()-192);
				
				wndrP2clone2:y(wndrP2clone1:GetY()+450);
				wndrP2clone3:y(wndrP2clone1:GetY()+450);
				wndrP2clone4:y(wndrP2clone1:GetY()+450);
			end
		end,
		
		DropFirstMessageCommand= function(self)
			self:sleep(0);
			if P1 then
				
				wndrP1clone1:smooth(0.345);
				wndrP1clone1:addy(450);
				wndrP1clone1:rotationz(20);
			end
			
			if P2 then
				
				wndrP2clone1:smooth(0.345);
				wndrP2clone1:addy(450);
				wndrP2clone1:rotationz(20);
			end
		end,
		
		
		FirstJumpMessageCommand= function(self)
			self:sleep(0);
			if P1 then
				
				wndrP1clone1:sleep(0);
				wndrP1clone1:rotationz(-20);
				wndrP1clone1:smooth(0.345*2);
				wndrP1clone1:addy(-450);
				wndrP1clone1:rotationz(0);
				wndrP1clone1:smooth(0.345*2);
				wndrP1clone1:addy(450);
				wndrP1clone1:rotationz(20);
			end
			
			if P2 then
				
				wndrP2clone1:sleep(0);
				wndrP2clone1:rotationz(-20);
				wndrP2clone1:smooth(0.345*2);
				wndrP2clone1:addy(-450);
				wndrP2clone1:rotationz(0);
				wndrP2clone1:smooth(0.345*2);
				wndrP2clone1:addy(450);
				wndrP2clone1:rotationz(20);
			end
		end,
		
		
		SecondJumpMessageCommand= function(self)
			self:sleep(0);
			if P1 then
				
				wndrP1clone2:sleep(0);
				wndrP1clone2:rotationz(-20);
				wndrP1clone2:smooth(0.345*2);
				wndrP1clone2:addy(-450);
				wndrP1clone2:rotationz(0);
				wndrP1clone2:smooth(0.345*2);
				wndrP1clone2:addy(450);
				wndrP1clone2:rotationz(20);
			end
			
			if P2 then
				
				wndrP2clone2:sleep(0);
				wndrP2clone2:rotationz(-20);
				wndrP2clone2:smooth(0.345*2);
				wndrP2clone2:addy(-450);
				wndrP2clone2:rotationz(0);
				wndrP2clone2:smooth(0.345*2);
				wndrP2clone2:addy(450);
				wndrP2clone2:rotationz(20);
			end
		end,
		
		ThirdJumpMessageCommand= function(self)
			self:sleep(0);
			if P1 then
				
				wndrP1clone3:sleep(0);
				wndrP1clone3:rotationz(-20);
				wndrP1clone3:smooth(0.345*2);
				wndrP1clone3:addy(-450);
				wndrP1clone3:rotationz(0);
				wndrP1clone3:smooth(0.345*2);
				wndrP1clone3:addy(450);
				wndrP1clone3:rotationz(20);
			end
			
			if P2 then
				
				wndrP2clone3:sleep(0);
				wndrP2clone3:rotationz(-20);
				wndrP2clone3:smooth(0.345*2);
				wndrP2clone3:addy(-450);
				wndrP2clone3:rotationz(0);
				wndrP2clone3:smooth(0.345*2);
				wndrP2clone3:addy(450);
				wndrP2clone3:rotationz(20);
			end
		end,
		
		FourthJumpMessageCommand= function(self)
			self:sleep(0);
			if P1 then
				
				wndrP1clone4:sleep(0);
				wndrP1clone4:rotationz(-20);
				wndrP1clone4:smooth(0.345*2);
				wndrP1clone4:addy(-450);
				wndrP1clone4:rotationz(0);
				wndrP1clone4:smooth(0.345*2);
				wndrP1clone4:addy(450);
				wndrP1clone4:rotationz(20);
			end
			
			if P2 then
				
				wndrP2clone4:sleep(0);
				wndrP2clone4:rotationz(-20);
				wndrP2clone4:smooth(0.345*2);
				wndrP2clone4:addy(-450);
				wndrP2clone4:rotationz(0);
				wndrP2clone4:smooth(0.345*2);
				wndrP2clone4:addy(450);
				wndrP2clone4:rotationz(20);
			end
		end,
		
		FourthSetMessageCommand= function(self)
			self:sleep(0);
			if P1 then
				
				wndrP1clone4:sleep(0);
				wndrP1clone4:rotationz(-20);
				wndrP1clone4:smooth(0.345*2);
				wndrP1clone4:x(P1xpos);
				wndrP1clone4:y(P1ypos);
				wndrP1clone4:rotationz(0);
			end
			
			if P1 then
				
				wndrP2clone4:sleep(0);
				wndrP2clone4:rotationz(-20);
				wndrP2clone4:smooth(0.345*2);
				wndrP2clone4:x(P2xpos);
				wndrP2clone4:y(P2ypos);
				wndrP2clone4:rotationz(0);
			end
		end,
		
		HideRestMessageCommand= function(self)
			self:sleep(0);
			if P1 then
				
				wndrP1clone1:visible(false);
				wndrP1clone2:visible(false);
				wndrP1clone3:visible(false);
			end
			
			if P2 then
				
				wndrP2clone1:visible(false);
				wndrP2clone2:visible(false);
				wndrP2clone3:visible(false);
			end
		end,
		
		------------------------------------------------
		------------------------------------------------
		------------------------------------------------
		----------BRIDGE THING PART MOD THINGY----------
		------------------------------------------------
		------------------------------------------------
		------------------------------------------------
		
		SetRestMessageCommand= function(self)
			self:sleep(0);
			if P1 then
				
				wndrP1clone1:visible(true);
				wndrP1clone1:x(P1xpos);
				wndrP1clone1:y(P1ypos+450);
				wndrP1clone1:rotationz(0);
				
				wndrP1clone2:visible(true);
				wndrP1clone2:x(P1xpos);
				wndrP1clone2:y(P1ypos+450);
				wndrP1clone2:rotationz(0);
				
				wndrP1clone3:visible(true);
				wndrP1clone3:x(P1xpos);
				wndrP1clone3:y(P1ypos+450);
				wndrP1clone3:rotationz(0);
			end
			
			if P2 then
				
				wndrP2clone1:visible(true);
				wndrP2clone1:x(P2xpos);
				wndrP2clone1:y(P2ypos+450);
				wndrP2clone1:rotationz(0);
				
				wndrP2clone2:visible(true);
				wndrP2clone2:x(P2xpos);
				wndrP2clone2:y(P2ypos+450);
				wndrP2clone2:rotationz(0);
				
				wndrP2clone3:visible(true);
				wndrP2clone3:x(P2xpos);
				wndrP2clone3:y(P2ypos+450);
				wndrP2clone3:rotationz(0);
			end
		end,
		
		PopThirdMessageCommand= function(self)
			self:sleep(0);
			if P1 then
								
				wndrP1clone3:zoom(0.9);
				wndrP1clone3:smooth(1);
				wndrP1clone3:x(P1xpos+100);
				wndrP1clone3:y(P1ypos+100);
				wndrP1clone3:rotationz(40);
				wndrP1clone3:sleep(2);
				wndrP1clone3:smooth(1);
				wndrP1clone3:x(P1xpos);
				wndrP1clone3:y(P1ypos+450);
				wndrP1clone3:rotationz(0);
			end
			
			if P2 then
								
				wndrP2clone3:zoom(0.9);
				wndrP2clone3:smooth(1);
				wndrP2clone3:x(P2xpos-100);
				wndrP2clone3:y(P2ypos+100);
				wndrP2clone3:rotationz(-40);
				wndrP2clone3:sleep(2);
				wndrP2clone3:smooth(1);
				wndrP2clone3:x(P2xpos);
				wndrP2clone3:y(P2ypos+450);
				wndrP2clone3:rotationz(0);
			end
		end,
		
		PopSecondMessageCommand= function(self)
			self:sleep(0);
			if P1 then
								
				wndrP1clone2:zoom(0.8);
				wndrP1clone2:smooth(1);
				wndrP1clone2:x(P1xpos-100);
				wndrP1clone2:y(P1ypos+120);
				wndrP1clone2:rotationz(-40);
				wndrP1clone2:sleep(2);
				wndrP1clone2:smooth(1);
				wndrP1clone2:x(P1xpos);
				wndrP1clone2:y(P1ypos+450);
				wndrP1clone2:rotationz(0);
			end
			
			if P2 then
								
				wndrP2clone2:zoom(0.8);
				wndrP2clone2:smooth(1);
				wndrP2clone2:x(P2xpos+100);
				wndrP2clone2:y(P2ypos+120);
				wndrP2clone2:rotationz(40);
				wndrP2clone2:sleep(2);
				wndrP2clone2:smooth(1);
				wndrP2clone2:x(P2xpos);
				wndrP2clone2:y(P2ypos+450);
				wndrP2clone2:rotationz(0);
			end
		end,
		
		PopFirstMessageCommand= function(self)
			self:sleep(0);
			if P1 then
								
				wndrP1clone1:zoom(0.7);
				wndrP1clone1:smooth(1);
				wndrP1clone1:x(P1xpos);
				wndrP1clone1:y(P1ypos+140);
				wndrP1clone1:rotationz(0);
				wndrP1clone1:sleep(2);
				wndrP1clone1:smooth(1);
				wndrP1clone1:x(P1xpos);
				wndrP1clone1:y(P1ypos+450);
				wndrP1clone1:rotationz(0);
			end
			
			if P2 then
								
				wndrP2clone1:zoom(0.7);
				wndrP2clone1:smooth(1);
				wndrP2clone1:x(P2xpos);
				wndrP2clone1:y(P2ypos+140);
				wndrP2clone1:rotationz(0);
				wndrP2clone1:sleep(2);
				wndrP2clone1:smooth(1);
				wndrP2clone1:x(P2xpos);
				wndrP2clone1:y(P2ypos+450);
				wndrP2clone1:rotationz(0);
			end
		end,
		
		
		-------------------------------------------
		-------------------------------------------
		-------------------------------------------
		
		RaiseThirdMessageCommand= function(self)
			self:sleep(0);
			if P1 then
					
				wndrP1clone3:x(P1xpos-130);
				wndrP1clone3:zoom(0.7);
				wndrP1clone3:decelerate(0.5);
				wndrP1clone3:x(P1xpos-130);
				wndrP1clone3:y(P1ypos+100);
				wndrP1clone3:rotationz(0);
			end
			
			if P2 then
				
				wndrP2clone3:x(P2xpos+130);				
				wndrP2clone3:zoom(0.7);
				wndrP2clone3:decelerate(0.5);
				wndrP2clone3:x(P2xpos+130);
				wndrP2clone3:y(P2ypos+100);
				wndrP2clone3:rotationz(0);
			end
		end,
		
		LowerFourthMessageCommand= function(self)
			self:sleep(0);
			if P1 then
								
				wndrP1clone4:smooth(1);
				wndrP1clone4:y(P1ypos+64);
			end
			
			if P2 then
								
				wndrP2clone4:smooth(1);
				wndrP2clone4:y(P2ypos+64);
			end
		end,
		
		LowerBothMessageCommand= function(self)
			self:sleep(0);
			if P1 then
								
				wndrP1clone4:smooth(1);
				wndrP1clone4:y(P1ypos+64+64);
				
				wndrP1clone3:smooth(1);
				wndrP1clone3:y(P1ypos+100+80);
			end
			
			if P2 then
								
				wndrP2clone4:smooth(1);
				wndrP2clone4:y(P2ypos+64+64);
				wndrP2clone3:smooth(1);
				wndrP2clone3:y(P2ypos+100+80);
			end
		end,
		
		LowerBothAgainMessageCommand= function(self)
			self:sleep(0);
			if P1 then
								
				wndrP1clone4:smooth(1);
				wndrP1clone4:y(P1ypos+64+64+64);
				
				wndrP1clone3:smooth(1);
				wndrP1clone3:y(P1ypos+100+70+70);
			end
			
			if P2 then
								
				wndrP2clone4:smooth(1);
				wndrP2clone4:y(P2ypos+64+64+64);
				wndrP2clone3:smooth(1);
				wndrP2clone3:y(P2ypos+100+70+70);
			end
		end,
		
		
		RaiseSecondMessageCommand= function(self)
			self:sleep(0);
			if P1 then
					
				wndrP1clone2:x(P1xpos+110);
				wndrP1clone2:zoom(0.6);
				wndrP1clone2:decelerate(0.5);
				wndrP1clone2:y(P1ypos+120);
				
			end
			
			if P2 then
				
				wndrP2clone2:x(P2xpos-110);
				wndrP2clone2:zoom(0.6);
				wndrP2clone2:decelerate(0.5);
				wndrP2clone2:y(P2ypos+120);
			end
		end,
		
		RaiseAllMessageCommand= function(self)
			self:sleep(0);
			if P1 then
					
				wndrP1clone2:smooth(0.7);
				wndrP1clone2:y(P1ypos+120-64);
				
				wndrP1clone3:smooth(0.7);
				wndrP1clone3:y(P1ypos+64);
				
				wndrP1clone4:smooth(0.7);
				wndrP1clone4:y(P1ypos);
				
				
			end
			
			if P2 then
				
				wndrP2clone2:smooth(0.7);
				wndrP2clone2:y(P2ypos+120-64);
				
				wndrP2clone3:smooth(0.7);
				wndrP2clone3:y(P2ypos+64);
				
				wndrP2clone4:smooth(0.7);
				wndrP2clone4:y(P2ypos);
			end
		end,
		
		LowerAllMessageCommand= function(self)
			self:sleep(0);
			if P1 then
					
				wndrP1clone2:smooth(0.7);
				wndrP1clone2:y(P1ypos+120);
				
				wndrP1clone3:smooth(0.7);
				wndrP1clone3:y(P1ypos+100+70);
				
				wndrP1clone4:smooth(0.7);
				wndrP1clone4:y(P1ypos+64);
				
				
			end
			
			if P2 then
				
				wndrP2clone2:smooth(0.7);
				wndrP2clone2:y(P2ypos+120);
				
				wndrP2clone3:smooth(0.7);
				wndrP2clone3:y(P2ypos+100+70);
				
				wndrP2clone4:smooth(0.7);
				wndrP2clone4:y(P2ypos+64);
			end
		end,
		
		FlyAwayMessageCommand= function(self)
			self:sleep(0);
			if P1 then
					
				wndrP1clone2:smooth(1);
				wndrP1clone2:y(P1ypos-500);
				
				wndrP1clone3:smooth(1);
				wndrP1clone3:y(P1ypos-500);
				
				wndrP1clone4:smooth(0.5);
				wndrP1clone4:y(P1ypos);
				
				
			end
			
			if P2 then
				
				wndrP2clone2:smooth(1);
				wndrP2clone2:y(P2ypos-500);
				
				wndrP2clone3:smooth(1);
				wndrP2clone3:y(P2ypos-500);
				
				wndrP2clone4:smooth(0.5);
				wndrP2clone4:y(P2ypos);
			end
		end,
		
		Hide123MessageCommand= function(self)
			self:sleep(0);
			if P1 then
					
				wndrP1clone1:visible(false);
				wndrP1clone2:visible(false);
				wndrP1clone3:visible(false);

			end
			
			if P2 then
				
				wndrP2clone1:visible(false);
				wndrP2clone2:visible(false);
				wndrP2clone3:visible(false);
			end
		end,
		
----------------------------------------
	
	WagPlayersMessageCommand= function(self)
			self:sleep(0);
			if P1 then
								
				P1:wag();
				P1:effectclock('bgm');
				P1:effectmagnitude(0,0,30);
				P1:effectperiod(2);
			end
			
			if P2 then
								
				P2:wag();
				P2:effectclock('bgm');
				P2:effectmagnitude(0,0,-30);
				P2:effectperiod(2);
			end
		end,
	},
	
	--------------------------------------------------------
	--------------------------------------------------------
	--------------------------------------------------------
	-------------HERE LIES THE ACTOR PROXIES----------------
	--------------------------------------------------------
	--------------------------------------------------------
	--------------------------------------------------------
	
	Def.ActorProxy{
		BeginCommand=function(self)
			
			wndrP1clone1=self;
			
		end;
	};
	
	Def.ActorProxy{
		BeginCommand=function(self)
			
			wndrP1clone2=self;
			
		end;
	};
	
	Def.ActorProxy{
		BeginCommand=function(self)
			
			wndrP1clone3=self;
			
		end;
	};
	
	Def.ActorProxy{
		BeginCommand=function(self)
			
			wndrP1clone4=self;
			
		end;
	};
	
	
	------
	
	Def.ActorProxy{
		BeginCommand=function(self)
			
			wndrP2clone1=self;
			
		end;
	};
	
	Def.ActorProxy{
		BeginCommand=function(self)
			
			wndrP2clone2=self;
			
		end;
	};
	
	Def.ActorProxy{
		BeginCommand=function(self)
			
			wndrP2clone3=self;
			
		end;
	};
	
	Def.ActorProxy{
		BeginCommand=function(self)
			
			wndrP2clone4=self;
			
		end;
	};
	
}