local frame = {
  InitCommand = function(self)
    self:visible(false)
    return self:sleep(1000000)
  end
}
local rainOffset = 200
local rainCmd = {
  OnCommand = function(self)
    return self:queuecommand('Fall')
  end,
  FallCommand = function(self)
    self:x(math.random(SCREEN_LEFT, SCREEN_RIGHT + rainOffset))
    self:y(-100)
    self:zoom(7)
    self:vibrate()
    self:effectmagnitude(20,20,20);
    self:diffusealpha(0.1)
    self:sleep(math.random() * 3)
    self:linear(4.7)
    self:rotationz(math.random(-500,500))
    self:y(SCREEN_BOTTOM + 5000)
    if GAMESTATE:GetSongBeat() < 573 then
      return self:queuecommand('Fall')
    end
  end
}
local rain = LoadActor('4') .. rainCmd
for i = 1, 90 do
  table.insert(frame, rain)
end

local rain = LoadActor('8') .. rainCmd
for i = 1, 90 do
  table.insert(frame, rain)
end

local rain = LoadActor('12') .. rainCmd
for i = 1, 90 do
  table.insert(frame, rain)
end

local rain = LoadActor('26') .. rainCmd
for i = 1, 90 do
  table.insert(frame, rain)
end

local rain = LoadActor('37') .. rainCmd
for i = 1, 90 do
  table.insert(frame, rain)
end

local rain = LoadActor('59') .. rainCmd
for i = 1, 90 do
  table.insert(frame, rain)
end

local rain = LoadActor('64') .. rainCmd
for i = 1, 90 do
  table.insert(frame, rain)
end

local rain = LoadActor('0') .. rainCmd
for i = 1, 90 do
  table.insert(frame, rain)
end
return Def.ActorFrame(frame)
