
local songName= GAMESTATE:GetCurrentSong():GetSongDir()

local function iris_mod_internal(str, pn)
	local ps= GAMESTATE:GetPlayerState(pn)
	local pmods= ps:GetPlayerOptionsString('ModsLevel_Song')
	ps:SetPlayerOptions('ModsLevel_Song', pmods .. ', ' .. str)
	--GAMESTATE:ApplyGameCommand('mod,'..str, pn)
end


local function iris_mod(str)
	for i=1,2 do
		iris_mod_internal(str, 'PlayerNumber_P' .. i)
	end
end



local function iris_init()
	fgcurcommand = 0;
	wndr_skewx=0.3;
	checked = false;
	
	--lua course :D	/ timed mod management	
	curmod = 1;
	--{beat,mod,player}
	mods = {

		-----------
		-- Start --
		-----------
		{0.1,'*99 50% reverse, *99 centered, *99 50% flip, *99 -70% tiny, *999 0x, *99 dark'},
		{0.2,'*99 50% reverse, *99 centered, *99 50% flip, *16 0% tiny'},
		{0.75,'*99 50% reverse, *99 centered, *99 50% flip, *99 -70% tiny'},
		{0.8,'*99 50% reverse, *99 centered, *99 50% flip, *16 0% tiny'},
		{1.5,'*99 50% reverse, *99 centered, *99 50% flip, *99 -70% tiny'},
		{1.6,'*99 50% reverse, *99 centered, *99 50% flip, *16 0% tiny'},
		{2.2,'*99 50% reverse, *99 centered, *99 50% flip, *99 -70% tiny'},
		{2.3,'*99 50% reverse, *99 centered, *99 50% flip, *16 0% tiny, *0.7 stealth'},

		{8.1,'*99 50% reverse, *99 centered, *99 50% flip, *99 -70% tiny, *99 40% stealth'},
		{8.2,'*99 50% reverse, *99 centered, *99 50% flip, *16 0% tiny'},
		{8.75,'*99 50% reverse, *99 centered, *99 50% flip, *99 -70% tiny'},
		{8.8,'*99 50% reverse, *99 centered, *99 50% flip, *16 0% tiny'},
		{9.5,'*99 50% reverse, *99 centered, *99 50% flip, *99 -70% tiny'},
		{9.6,'*99 50% reverse, *99 centered, *99 50% flip, *16 0% tiny'},
		{10.2,'*99 50% reverse, *99 centered, *99 50% flip, *99 -70% tiny'},
		{10.3,'*99 50% reverse, *99 centered, *99 50% flip, *16 0% tiny, *0.7 stealth'},

		{16.1,'*99 50% reverse, *99 centered, *99 50% flip, *99 -70% tiny, *99 40% stealth'},
		{16.2,'*99 50% reverse, *99 centered, *99 50% flip, *16 0% tiny'},
		{16.75,'*99 50% reverse, *99 centered, *99 50% flip, *99 -70% tiny'},
		{16.8,'*99 50% reverse, *99 centered, *99 50% flip, *16 0% tiny'},
		{17.5,'*99 50% reverse, *99 centered, *99 50% flip, *99 -70% tiny'},
		{17.6,'*99 50% reverse, *99 centered, *99 50% flip, *16 0% tiny'},
		{18.2,'*99 50% reverse, *99 centered, *99 50% flip, *99 -70% tiny'},
		{18.3,'*99 50% reverse, *99 centered, *99 50% flip, *16 0% tiny, *0.7 stealth'},

		{24.1,'*99 50% reverse, *99 centered, *99 50% flip, *99 -70% tiny, *99 40% stealth'},
		{24.2,'*99 50% reverse, *99 centered, *99 50% flip, *16 0% tiny'},
		{24.75,'*99 50% reverse, *99 centered, *99 50% flip, *99 -70% tiny'},
		{24.8,'*99 50% reverse, *99 centered, *99 50% flip, *16 0% tiny'},
		{25.5,'*99 50% reverse, *99 centered, *99 50% flip, *99 -70% tiny'},
		{25.6,'*99 50% reverse, *99 centered, *99 50% flip, *16 0% tiny'},
		{26.2,'*99 50% reverse, *99 centered, *99 50% flip, *99 -70% tiny'},
		{26.3,'*99 50% reverse, *99 centered, *99 50% flip, *16 0% tiny, *16 stealth'},

		{26.4,'*999 200% space'},
		{26.5,'*0.8 2x, *99 0% reverse, *99 0% centered, *99 0% flip, *0.06 0% stealth, *0.1 0% dark, *0.8 0% space'},

		-------------------------------------------------------------------------------
		-- Remember Snort a Lot Of crack? This code is kinda similar for some reason --
		-------------------------------------------------------------------------------
		{32,'*99 800% drunk'},
		{32.05,'*99 0% drunk'},
		{32.10,'*99 800% drunk'},
		{32.15,'*99 0% drunk'},
		{32.20,'*99 800% drunk'},
		{32.25,'*99 0% drunk'},
		{32.30,'*99 800% drunk'},
		{32.35,'*99 0% drunk'},
		{32.40,'*99 800% drunk'},
		{32.45,'*99 0% drunk'},
		{32.50,'*99 800% drunk'},
		{32.55,'*99 0% drunk'},
		{32.60,'*99 800% drunk'},
		{32.65,'*99 0% drunk'},
		{32.70,'*99 800% drunk'},
		{32.75,'*99 0% drunk'},
		{32.80,'*99 800% drunk'},
		{32.85,'*99 0% drunk'},
		{32.90,'*99 800% drunk'},
		{32.95,'*99 0% drunk'},
		{33,'*99 800% drunk'},
		{33.05,'*99 0% drunk'},
		{33.10,'*99 800% drunk'},
		{33.15,'*99 0% drunk'},
		{33.20,'*99 800% drunk'},
		{33.25,'*99 0% drunk'},
		{33.30,'*99 800% drunk'},
		{33.35,'*99 0% drunk'},
		{33.40,'*99 800% drunk'},
		{33.45,'*99 0% drunk'},
		{33.50,'*99 800% drunk'},
		{33.55,'*99 0% drunk'},
		{33.60,'*99 800% drunk'},
		{33.65,'*99 0% drunk'},
		{33.70,'*99 800% drunk'},
		{33.75,'*99 0% drunk'},
		{33.80,'*99 800% drunk'},
		{33.85,'*99 0% drunk'},
		{33.90,'*99 800% drunk'},
		{33.95,'*99 0% drunk'},
		{34,'*99 800% drunk'},
		{34.05,'*99 0% drunk'},
		{34.10,'*99 800% drunk'},
		{34.15,'*99 0% drunk'},
		{34.20,'*99 800% drunk'},
		{34.25,'*99 0% drunk'},
		{34.30,'*99 800% drunk'},
		{34.35,'*99 0% drunk'},
		{34.40,'*99 800% drunk'},
		{34.45,'*99 0% drunk'},
		{34.50,'*99 800% drunk'},
		{34.55,'*99 0% drunk'},
		{34.60,'*99 800% drunk'},
		{34.65,'*99 0% drunk'},
		{34.70,'*99 800% drunk'},
		{34.75,'*99 0% drunk'},
		{34.80,'*99 800% drunk'},
		{34.85,'*99 0% drunk'},
		{34.90,'*99 800% drunk'},
		{34.95,'*99 0% drunk'},
		{35,'*99 800% drunk'},
		{35.05,'*99 0% drunk'},
		{35.10,'*99 800% drunk'},
		{35.15,'*99 0% drunk'},
		{35.20,'*99 800% drunk'},
		{35.25,'*99 0% drunk'},
		{35.30,'*99 800% drunk'},
		{35.35,'*99 0% drunk'},
		{35.40,'*99 800% drunk'},
		{35.45,'*99 0% drunk'},
		{35.50,'*99 800% drunk'},
		{35.55,'*99 0% drunk'},
		{35.60,'*99 800% drunk'},
		{35.65,'*99 0% drunk'},
		{35.70,'*99 800% drunk'},
		{35.75,'*99 0% drunk'},
		{35.80,'*99 800% drunk'},
		{35.85,'*99 0% drunk'},
		{35.90,'*99 800% drunk'},
		{35.95,'*999 0% drunk'},

		{36,'*99 800% tipsy'},
		{36.05,'*99 0% tipsy'},
		{36.10,'*99 800% tipsy'},
		{36.15,'*99 0% tipsy'},
		{36.20,'*99 800% tipsy'},
		{36.25,'*99 0% tipsy'},
		{36.30,'*99 800% tipsy'},
		{36.35,'*99 0% tipsy'},
		{36.40,'*99 800% tipsy'},
		{36.45,'*99 0% tipsy'},
		{36.50,'*99 800% tipsy'},
		{36.55,'*99 0% tipsy'},
		{36.60,'*99 800% tipsy'},
		{36.65,'*99 0% tipsy'},
		{36.70,'*99 800% tipsy'},
		{36.75,'*99 0% tipsy'},
		{36.80,'*99 800% tipsy'},
		{36.85,'*99 0% tipsy'},
		{36.90,'*99 800% tipsy'},
		{36.95,'*99 0% tipsy'},
		{37,'*99 800% tipsy'},
		{37.05,'*99 0% tipsy'},
		{37.10,'*99 800% tipsy'},
		{37.15,'*99 0% tipsy'},
		{37.20,'*99 800% tipsy'},
		{37.25,'*99 0% tipsy'},
		{37.30,'*99 800% tipsy'},
		{37.35,'*99 0% tipsy'},
		{37.40,'*99 800% tipsy'},
		{37.45,'*99 0% tipsy'},
		{37.50,'*99 800% tipsy'},
		{37.55,'*99 0% tipsy'},
		{37.60,'*99 800% tipsy'},
		{37.65,'*99 0% tipsy'},
		{37.70,'*99 800% tipsy'},
		{37.75,'*99 0% tipsy'},
		{37.80,'*99 800% tipsy'},
		{37.85,'*99 0% tipsy'},
		{37.90,'*99 800% tipsy'},
		{37.95,'*999 0% tipsy'},

		{38,'*50 -140% tiny'},
		{38.1,'*50 0% tiny'},
		{38.25,'*50 -140% tiny'},
		{38.3,'*50 0% tiny'},
		{38.5,'*50 -140% tiny'},
		{38.6,'*50 0% tiny'},
		{38.75,'*50 -140% tiny'},
		{38.8,'*50 0% tiny'},
		{39,'*50 -140% tiny'},
		{39.1,'*50 0% tiny'},
		{39.25,'*50 -140% tiny'},
		{39.3,'*50 0% tiny'},
		{39.5,'*50 -140% tiny'},
		{39.6,'*50 0% tiny'},
		{39.75,'*50 -140% tiny'},
		{39.8,'*50 0% tiny'},

		{40,'*99 wave, *99 dizzy, *99 30% drunk, *99 60% stealth'},

		{48,'*99 800% drunk, *99 0% wave, *99 0% dizzy, *99 0% stealth'},
		{48.05,'*99 0% drunk'},
		{48.10,'*99 800% drunk'},
		{48.15,'*99 0% drunk'},
		{48.20,'*99 800% drunk'},
		{48.25,'*99 0% drunk'},
		{48.30,'*99 800% drunk'},
		{48.35,'*99 0% drunk'},
		{48.40,'*99 800% drunk'},
		{48.45,'*99 0% drunk'},
		{48.50,'*99 800% drunk'},
		{48.55,'*99 0% drunk'},
		{48.60,'*99 800% drunk'},
		{48.65,'*99 0% drunk'},
		{48.70,'*99 800% drunk'},
		{48.75,'*99 0% drunk'},
		{48.80,'*99 800% drunk'},
		{48.85,'*99 0% drunk'},
		{48.90,'*99 800% drunk'},
		{48.95,'*99 0% drunk'},
		{49,'*99 800% drunk'},
		{49.05,'*99 0% drunk'},
		{49.10,'*99 800% drunk'},
		{49.15,'*99 0% drunk'},
		{49.20,'*99 800% drunk'},
		{49.25,'*99 0% drunk'},
		{49.30,'*99 800% drunk'},
		{49.35,'*99 0% drunk'},
		{49.40,'*99 800% drunk'},
		{49.45,'*99 0% drunk'},
		{49.50,'*99 800% drunk'},
		{49.55,'*99 0% drunk'},
		{49.60,'*99 800% drunk'},
		{49.65,'*99 0% drunk'},
		{49.70,'*99 800% drunk'},
		{49.75,'*99 0% drunk'},
		{49.80,'*99 800% drunk'},
		{49.85,'*99 0% drunk'},
		{49.90,'*99 800% drunk'},
		{49.95,'*99 0% drunk'},
		{50,'*99 800% drunk'},
		{50.05,'*99 0% drunk'},
		{50.10,'*99 800% drunk'},
		{50.15,'*99 0% drunk'},
		{50.20,'*99 800% drunk'},
		{50.25,'*99 0% drunk'},
		{50.30,'*99 800% drunk'},
		{50.35,'*99 0% drunk'},
		{50.40,'*99 800% drunk'},
		{50.45,'*99 0% drunk'},
		{50.50,'*99 800% drunk'},
		{50.55,'*99 0% drunk'},
		{50.60,'*99 800% drunk'},
		{50.65,'*99 0% drunk'},
		{50.70,'*99 800% drunk'},
		{50.75,'*99 0% drunk'},
		{50.80,'*99 800% drunk'},
		{50.85,'*99 0% drunk'},
		{50.90,'*99 800% drunk'},
		{50.95,'*99 0% drunk'},
		{51,'*99 800% drunk'},
		{51.05,'*99 0% drunk'},
		{51.10,'*99 800% drunk'},
		{51.15,'*99 0% drunk'},
		{51.20,'*99 800% drunk'},
		{51.25,'*99 0% drunk'},
		{51.30,'*99 800% drunk'},
		{51.35,'*99 0% drunk'},
		{51.40,'*99 800% drunk'},
		{51.45,'*99 0% drunk'},
		{51.50,'*99 800% drunk'},
		{51.55,'*99 0% drunk'},
		{51.60,'*99 800% drunk'},
		{51.65,'*99 0% drunk'},
		{51.70,'*99 800% drunk'},
		{51.75,'*99 0% drunk'},
		{51.80,'*99 800% drunk'},
		{51.85,'*99 0% drunk'},
		{51.90,'*99 800% drunk'},
		{51.95,'*999 0% drunk'},

		{52,'*99 800% tipsy'},
		{52.05,'*99 0% tipsy'},
		{52.10,'*99 800% tipsy'},
		{52.15,'*99 0% tipsy'},
		{52.20,'*99 800% tipsy'},
		{52.25,'*99 0% tipsy'},
		{52.30,'*99 800% tipsy'},
		{52.35,'*99 0% tipsy'},
		{52.40,'*99 800% tipsy'},
		{52.45,'*99 0% tipsy'},
		{52.50,'*99 800% tipsy'},
		{52.55,'*99 0% tipsy'},
		{52.60,'*99 800% tipsy'},
		{52.65,'*99 0% tipsy'},
		{52.70,'*99 800% tipsy'},
		{52.75,'*99 0% tipsy'},
		{52.80,'*99 800% tipsy'},
		{52.85,'*99 0% tipsy'},
		{52.90,'*99 800% tipsy'},
		{52.95,'*99 0% tipsy'},
		{53,'*99 800% tipsy'},
		{53.05,'*99 0% tipsy'},
		{53.10,'*99 800% tipsy'},
		{53.15,'*99 0% tipsy'},
		{53.20,'*99 800% tipsy'},
		{53.25,'*99 0% tipsy'},
		{53.30,'*99 800% tipsy'},
		{53.35,'*99 0% tipsy'},
		{53.40,'*99 800% tipsy'},
		{53.45,'*99 0% tipsy'},
		{53.50,'*99 800% tipsy'},
		{53.55,'*99 0% tipsy'},
		{53.60,'*99 800% tipsy'},
		{53.65,'*99 0% tipsy'},
		{53.70,'*99 800% tipsy'},
		{53.75,'*99 0% tipsy'},
		{53.80,'*99 800% tipsy'},
		{53.85,'*99 0% tipsy'},
		{53.90,'*99 800% tipsy'},
		{53.95,'*999 0% tipsy'},

		{54,'*50 -140% tiny'},
		{54.1,'*50 0% tiny'},
		{54.25,'*50 -140% tiny'},
		{54.3,'*50 0% tiny'},
		{54.5,'*50 -140% tiny'},
		{54.6,'*50 0% tiny'},
		{54.75,'*50 -140% tiny'},
		{54.8,'*50 0% tiny'},
		{55,'*50 -140% tiny'},
		{55.1,'*50 0% tiny'},
		{55.25,'*50 -140% tiny'},
		{55.3,'*50 0% tiny'},
		{55.5,'*50 -140% tiny'},
		{55.6,'*50 0% tiny'},
		{55.75,'*50 -140% tiny'},
		{55.8,'*50 0% tiny'},

		{56,'*99 wave, *99 dizzy, *99 30% drunk, *99 60% stealth'},
		{64,'*2 60% bumpy, *4 boost'},

		{120,'*0.8 0% stealth, *0.8 0% dizzy, *0.8 0% drunk, *0.8 0% bumpy, *0.8 0% boost'},

		{128,'*50 -140% tiny'},
		{128.1,'*50 0% tiny'},
		{128.25,'*50 -140% tiny'},
		{128.3,'*50 0% tiny'},
		{128.5,'*50 -140% tiny'},
		{128.6,'*50 0% tiny'},
		{128.75,'*50 -140% tiny'},
		{128.8,'*50 0% tiny'},
		{129,'*50 -140% tiny'},
		{129.1,'*50 0% tiny'},
		{129.25,'*50 -140% tiny'},
		{129.3,'*50 0% tiny'},
		{129.5,'*50 -140% tiny'},
		{129.6,'*50 0% tiny'},
		{129.75,'*50 -140% tiny'},
		{129.8,'*50 0% tiny'},
		{130,'*50 -140% tiny'},
		{130.1,'*50 0% tiny'},
		{130.25,'*50 -140% tiny'},
		{130.3,'*50 0% tiny'},
		{130.5,'*50 -140% tiny'},
		{130.6,'*50 0% tiny'},
		{130.75,'*50 -140% tiny'},
		{130.8,'*50 0% tiny'},
		{131,'*50 -140% tiny'},
		{131.1,'*50 0% tiny'},
		{131.25,'*50 -140% tiny'},
		{131.3,'*50 0% tiny'},
		{131.5,'*50 -140% tiny'},
		{131.6,'*50 0% tiny'},
		{131.75,'*50 -140% tiny'},
		{131.8,'*50 0% tiny'},
		
		{132,'*16 invert, *999 120% beat'},
		{132.25,'*16 0% invert'},
		{132.5,'*16 invert'},
		{132.75,'*16 0% invert'},
		{133,'*16 invert'},
		{133.25,'*16 0% invert'},
		{133.5,'*16 invert'},
		{133.75,'*16 0% invert'},
		{134,'*16 invert'},
		{134.25,'*16 0% invert'},
		{134.5,'*16 invert'},
		{134.75,'*16 0% invert'},
		{135,'*16 invert'},
		{135.25,'*16 0% invert'},
		{135.5,'*16 invert'},
		{135.75,'*16 0% invert'},
		{136,'*16 invert'},
		{136.25,'*16 0% invert'},
		{136.5,'*16 invert'},
		{136.75,'*16 0% invert'},
		{137,'*16 invert'},
		{137.25,'*16 0% invert'},
		{137.5,'*16 invert'},
		{137.75,'*16 0% invert'},
		{138,'*16 invert'},
		{138.25,'*16 0% invert'},
		{138.5,'*16 invert'},
		{138.75,'*16 0% invert'},
		{139,'*16 invert'},
		{139.25,'*16 0% invert'},
		{139.5,'*16 invert'},
		{139.75,'*16 0% invert'},
		{140,'*16 invert'},
		{140.25,'*16 0% invert'},
		{140.5,'*16 invert'},
		{140.75,'*16 0% invert'},
		{141,'*16 invert'},
		{141.25,'*16 0% invert'},
		{141.5,'*16 invert'},
		{141.75,'*16 0% invert'},
		{142,'*16 invert'},
		{142.25,'*16 0% invert'},
		{142.5,'*16 invert'},
		{142.75,'*16 0% invert'},
		{143,'*16 invert'},
		{143.25,'*16 0% invert'},
		{143.5,'*16 invert'},
		{143.75,'*16 0% invert'},
		{144,'*16 invert'},
		{144.25,'*16 0% invert'},
		{144.5,'*16 invert'},
		{144.75,'*16 0% invert'},
		{145,'*16 invert'},
		{145.25,'*16 0% invert'},
		{145.5,'*16 invert'},
		{145.75,'*16 0% invert'},
		{146,'*16 invert'},
		{146.25,'*16 0% invert'},
		{146.5,'*16 invert'},
		{146.75,'*16 0% invert'},
		{147,'*16 invert'},
		{147.25,'*16 0% invert'},
		{147.5,'*16 invert'},
		{147.75,'*16 0% invert'},
		{148,'*16 invert'},
		{148.25,'*16 0% invert'},
		{148.5,'*16 invert'},
		{148.75,'*16 0% invert'},
		{149,'*16 invert'},
		{149.25,'*16 0% invert'},
		{149.5,'*16 invert'},
		{149.75,'*16 0% invert'},
		{150,'*16 invert'},
		{150.25,'*16 0% invert'},
		{150.5,'*16 invert'},
		{150.75,'*16 0% invert'},
		{151,'*16 invert'},
		{151.25,'*16 0% invert'},
		{151.5,'*16 invert'},
		{151.75,'*16 0% invert'},
		{152,'*16 invert'},
		{152.25,'*16 0% invert'},
		{152.5,'*16 invert'},
		{152.75,'*16 0% invert'},
		{153,'*16 invert'},
		{153.25,'*16 0% invert'},
		{153.5,'*16 invert'},
		{153.75,'*16 0% invert'},
		{154,'*16 invert'},
		{154.25,'*16 0% invert'},
		{154.5,'*16 invert'},
		{154.75,'*16 0% invert'},
		{155,'*16 invert'},
		{155.25,'*16 0% invert'},
		{155.5,'*16 invert'},
		{155.75,'*16 0% invert'},
		{156,'*16 invert'},
		{156.25,'*16 0% invert'},
		{156.5,'*16 invert'},
		{156.75,'*16 0% invert'},
		{157,'*16 invert'},
		{157.25,'*16 0% invert'},
		{157.5,'*16 invert'},
		{157.75,'*16 0% invert'},
		{158,'*16 invert'},
		{158.25,'*16 0% invert'},
		{158.5,'*16 invert'},
		{158.75,'*16 0% invert'},
		{159,'*16 invert'},
		{159.25,'*16 0% invert'},
		{159.5,'*16 invert'},
		{159.75,'*16 0% invert'},
		{160,'*16 invert'},
		{160.25,'*16 0% invert'},
		{160.5,'*16 invert'},
		{160.75,'*16 0% invert'},
		{161,'*16 invert'},
		{161.25,'*16 0% invert'},
		{161.5,'*16 invert, *999 0% beat'},
		{161.75,'*16 0% invert'},

		{162,'*50 150% drunk, *50 -40% flip, *50 70% tipsy'},
		{162.25,'*50 -150% drunk'},
		{162.5,'*50 150% drunk'},
		{162.75,'*50 -150% drunk'},
		{163,'*50 150% drunk'},
		{163.25,'*50 -150% drunk'},
		{163.5,'*50 150% drunk'},
		{163.75,'*50 -150% drunk, *50 0% flip, *50 0% tipsy'},
		{164,'*50 0% drunk'},

		{165,'*16 invert, *999 150% beat'},
		{165.25,'*16 0% invert'},
		{165.5,'*16 invert'},
		{165.75,'*16 0% invert'},
		{166,'*16 invert'},
		{166.25,'*16 0% invert'},
		{166.5,'*16 invert'},
		{166.75,'*16 0% invert'},
		{167,'*16 invert'},
		{167.25,'*16 0% invert'},
		{167.5,'*16 invert'},
		{167.75,'*16 0% invert'},
		{168,'*16 invert'},
		{168.25,'*16 0% invert'},
		{168.5,'*16 invert'},
		{168.75,'*16 0% invert'},
		{169,'*16 invert'},
		{169.25,'*16 0% invert'},
		{169.5,'*16 invert'},
		{169.75,'*16 0% invert'},
		{170,'*16 invert'},
		{170.25,'*16 0% invert'},
		{170.5,'*16 invert'},
		{170.75,'*16 0% invert'},
		{171,'*16 invert'},
		{171.25,'*16 0% invert'},
		{171.5,'*16 invert'},
		{171.75,'*16 0% invert'},
		{172,'*16 invert'},
		{172.25,'*16 0% invert'},
		{172.5,'*16 invert'},
		{172.75,'*16 0% invert'},
		{173,'*16 invert'},
		{173.25,'*16 0% invert'},
		{173.5,'*16 invert'},
		{173.75,'*16 0% invert'},
		{174,'*16 invert'},
		{174.25,'*16 0% invert'},
		{174.5,'*16 invert'},
		{174.75,'*16 0% invert'},
		{175,'*16 invert'},
		{175.25,'*16 0% invert'},
		{175.5,'*16 invert'},
		{175.75,'*16 0% invert'},
		{176,'*16 invert'},
		{176.25,'*16 0% invert'},
		{176.5,'*16 invert'},
		{176.75,'*16 0% invert'},
		{177,'*16 invert'},
		{177.25,'*16 0% invert'},
		{177.5,'*16 invert'},
		{177.75,'*16 0% invert'},
		{178,'*16 invert'},
		{178.25,'*16 0% invert'},
		{178.5,'*16 invert'},
		{178.75,'*16 0% invert'},
		{179,'*16 invert'},
		{179.25,'*16 0% invert'},
		{179.5,'*16 invert'},
		{179.75,'*16 0% invert'},
		{180,'*16 invert'},
		{180.25,'*16 0% invert'},
		{180.5,'*16 invert'},
		{180.75,'*16 0% invert'},
		{181,'*16 invert'},
		{181.25,'*16 0% invert'},
		{181.5,'*16 invert'},
		{181.75,'*16 0% invert'},
		{182,'*16 invert'},
		{182.25,'*16 0% invert'},
		{182.5,'*16 invert'},
		{182.75,'*16 0% invert'},
		{183,'*16 invert'},
		{183.25,'*16 0% invert'},
		{183.5,'*16 invert'},
		{183.75,'*16 0% invert'},
		{184,'*16 invert'},
		{184.25,'*16 0% invert'},
		{184.5,'*16 invert'},
		{184.75,'*16 0% invert'},
		{185,'*16 invert'},
		{185.25,'*16 0% invert'},
		{185.5,'*16 invert'},
		{185.75,'*16 0% invert'},
		{186,'*16 invert'},
		{186.25,'*16 0% invert'},
		{186.5,'*16 invert'},
		{186.75,'*16 0% invert'},
		{187,'*16 invert'},
		{187.25,'*16 0% invert'},
		{187.5,'*16 invert'},
		{187.75,'*16 0% invert'},
		{188,'*16 invert'},
		{188.25,'*16 0% invert'},
		{188.5,'*16 invert'},
		{188.75,'*16 0% invert'},
		{189,'*16 invert'},
		{189.25,'*16 0% invert'},
		{189.5,'*16 invert'},
		{189.75,'*16 0% invert'},
		{190,'*16 invert'},
		{190.25,'*16 0% invert'},
		{190.5,'*16 invert'},
		{190.75,'*16 0% invert'},
		{191,'*16 invert'},
		{191.25,'*16 0% invert'},
		{191.5,'*16 invert'},
		{191.75,'*16 0% invert'},
		{192,'*16 invert'},
		{192.25,'*16 0% invert'},
		{192.5,'*16 invert'},
		{192.75,'*16 0% invert'},
		{193,'*16 invert'},
		{193.25,'*16 0% invert'},
		{193.5,'*16 invert, *999 0% beat'},
		{193.75,'*16 0% invert'},

		{194,'*50 -140% tiny, *30 hallway'},
		{194.1,'*50 0% tiny, *30 distant'},
		{194.25,'*50 -140% tiny, *30 hallway'},
		{194.3,'*50 0% tiny, *30 distant'},
		{194.5,'*50 -140% tiny, *30 hallway'},
		{194.6,'*50 0% tiny, *30 distant'},
		{194.75,'*50 -140% tiny, *30 hallway'},
		{194.8,'*50 0% tiny, *30 distant'},
		{195,'*50 -140% tiny, *30 hallway'},
		{195.1,'*50 0% tiny, *30 distant'},
		{195.25,'*50 -140% tiny, *30 hallway'},
		{195.3,'*50 0% tiny, *30 distant'},
		{195.5,'*50 -140% tiny, *30 hallway'},
		{195.6,'*50 0% tiny, *30 distant'},
		{195.75,'*50 -140% tiny, *30 hallway'},
		{195.8,'*50 0% tiny, *30 overhead'},

		{196,'drunk, 300% centered, 60% dizzy, 2x, 40% brake'},
		{200,'*999 0% centered'},
		{200.1,'300% centered'},
		{204,'*999 0% centered'},
		{204.1,'300% centered'},
		{208,'*999 0% centered'},
		{208.1,'300% centered'},
		{212,'*999 0% centered'},
		{212.1,'300% centered'},
		{216,'*999 0% centered'},
		{216.1,'300% centered'},
		{220,'*999 0% centered'},
		{220.1,'300% centered'},
		{224,'*999 0% centered'},
		{224.1,'300% centered'},
		{226,'*2 stealth'},
		{228,'*999 -150% centered, *99 0% stealth, *99 sudden'},
		{228.1,'300% centered'},
		{236,'*999 0% centered'},
		{236.1,'300% centered'},
		{240,'*999 0% centered'},
		{240.1,'300% centered'},
		{244,'*999 0% centered'},
		{244.1,'300% centered'},
		{248,'*999 0% centered'},
		{248.1,'300% centered'},
		{252,'*999 0% centered'},
		{252.1,'300% centered'},
		{256,'*999 0% centered'},
		{256.1,'300% centered'},
		{260,'*0.1 0% centered'},

		{262,'*30 200% bumpy, *0.1 0% centered'},
		{262.2,'*30 -200% bumpy, *0.1 0% centered'},
		{262.4,'*30 160% bumpy, *0.1 0% centered'},
		{262.6,'*30 -160% bumpy, *0.1 0% centered'},
		{262.8,'*30 120% bumpy, *0.1 0% centered'},
		{263,'*30 -120% bumpy, *0.1 0% centered'},
		{263.2,'*30 80% bumpy, *0.1 0% centered'},
		{263.4,'*30 -80% bumpy, *0.1 0% centered'},
		{263.6,'*30 40% bumpy, *0.1 0% centered'},
		{263.8,'*30 -40% bumpy, *0.1 0% centered'},
		{264,'*30 0% bumpy, *0.1 0% centered'},

		{276,'*30 200% bumpy, *0.1 0% centered'},
		{276.2,'*30 -200% bumpy, *0.1 0% centered'},
		{276.4,'*30 160% bumpy, *0.1 0% centered'},
		{276.6,'*30 -160% bumpy, *0.1 0% centered'},
		{276.8,'*30 120% bumpy, *0.1 0% centered'},
		{277,'*30 -120% bumpy, *0.1 0% centered'},
		{277.2,'*30 80% bumpy, *0.1 0% centered'},
		{277.4,'*30 -80% bumpy, *0.1 0% centered'},
		{277.6,'*30 40% bumpy, *0.1 0% centered'},
		{277.8,'*30 -40% bumpy, *0.1 0% centered'},
		{278,'*30 0% bumpy, *0.1 0% centered'},

		{284,'*30 200% bumpy, *0.1 0% centered'},
		{284.2,'*30 -200% bumpy, *0.1 0% centered'},
		{284.4,'*30 160% bumpy, *0.1 0% centered'},
		{284.6,'*30 -160% bumpy, *0.1 0% centered'},
		{284.8,'*30 120% bumpy, *0.1 0% centered'},
		{285,'*30 -120% bumpy, *0.1 0% centered'},
		{285.2,'*30 80% bumpy, *0.1 0% centered'},
		{285.4,'*30 -80% bumpy, *0.1 0% centered'},
		{285.6,'*30 40% bumpy, *0.1 0% centered'},
		{285.8,'*30 -40% bumpy, *0.1 0% centered'},
		{286,'*30 0% bumpy, *0.1 0% centered'},

		{330,'*0.8 200% tiny'},

		{332,'300% centered'},
		{339.5,'*999 -300% centered'},
		{339.6,'300% centered'},

		{346,'0% tiny'},

		-------------------------------------
		-- Good thing this is in the beat. --
		-------------------------------------
		{348,'*2 300% centered'},
		{349,'*999 0% centered'},
		{349.1,'*2 300% centered'},
		{350,'*999 0% centered'},
		{350.1,'*2 300% centered'},
		{351,'*999 0% centered'},
		{351.1,'*2 300% centered'},
		{352,'*999 0% centered'},
		{352.1,'*2 300% centered'},
		{353,'*999 0% centered'},
		{353.1,'*2 300% centered'},
		{354,'*999 0% centered'},
		{354.1,'*2 300% centered'},
		{355,'*999 0% centered'},
		{355.1,'*2 300% centered'},
		{356,'*999 0% centered'},
		{356.1,'*2 300% centered'},
		{357,'*999 0% centered'},
		{357.1,'*2 300% centered'},
		{358,'*999 0% centered'},
		{358.1,'*2 300% centered'},
		{359,'*999 0% centered'},
		{359.1,'*2 300% centered'},
		{360,'*999 0% centered'},
		{360.1,'*2 300% centered'},
		{361,'*999 0% centered'},
		{361.1,'*2 300% centered'},

		{362,'*999 0% centered, *50 -130% tiny'},
		{362.1,'*2 300% centered, *30 0% tiny'},
		{362.25,'*50 -130% tiny'},
		{362.3,'*30 0% tiny'},
		{362.5,'*50 -130% tiny'},
		{362.6,'*30 0% tiny'},
		{362.75,'*50 -130% tiny'},
		{362.8,'*30 0% tiny'},
		{363,'*999 0% centered, *50 -130% tiny'},
		{363.1,'*2 300% centered, *30 0% tiny'},
		{363.25,'*50 -130% tiny'},
		{363.3,'*30 0% tiny'},
		{363.5,'*50 -130% tiny'},
		{363.6,'*30 0% tiny'},
		{363.75,'*50 -130% tiny'},
		{363.8,'*30 0% tiny'},
		{364,'*999 0% centered, *99 beat'},
		{364.1,'*2 300% centered'},
		{365,'*999 0% centered'},
		{365.1,'*2 300% centered'},
		{366,'*999 0% centered'},
		{366.1,'*2 300% centered'},
		{367,'*999 0% centered'},
		{367.1,'*2 300% centered'},
		{368,'*999 0% centered'},
		{368.1,'*2 300% centered'},
		{369,'*999 0% centered'},
		{369.1,'*2 300% centered'},
		{370,'*999 0% centered'},
		{370.1,'*2 300% centered'},
		{371,'*999 0% centered'},
		{371.1,'*2 300% centered'},
		{372,'*999 0% centered'},
		{372.1,'*2 300% centered'},
		{373,'*999 0% centered'},
		{373.1,'*2 300% centered'},
		{374,'*999 0% centered'},
		{374.1,'*2 300% centered'},
		{375,'*999 0% centered'},
		{375.1,'*2 300% centered'},
		{376,'*999 0% centered'},
		{376.1,'*2 300% centered'},
		{377,'*999 0% centered'},
		{377.1,'*2 300% centered'},
		{378,'*999 0% centered'},
		{378.1,'*2 300% centered'},
		{379,'*999 0% centered'},
		{379.1,'*2 300% centered'},
		{380,'*999 0% centered, *0.1 10% sudden, *0.1 10% hidden'},
		{380.1,'*2 300% centered'},
		{381,'*999 0% centered'},
		{381.1,'*2 300% centered'},
		{382,'*999 0% centered'},
		{382.1,'*2 300% centered'},
		{383,'*999 0% centered'},
		{383.1,'*2 300% centered'},
		{384,'*999 0% centered'},
		{384.1,'*2 300% centered'},
		{385,'*999 0% centered'},
		{385.1,'*2 300% centered'},
		{386,'*999 0% centered'},
		{386.1,'*2 300% centered'},
		{387,'*999 0% centered'},
		{387.1,'*2 300% centered'},
		{388,'*999 0% centered'},
		{388.1,'*2 300% centered'},
		{389,'*999 0% centered'},
		{389.1,'*2 300% centered'},
		{390,'*999 0% centered'},
		{390.1,'*2 300% centered'},
		{391,'*999 0% centered'},
		{391.1,'*2 300% centered'},
		{392,'*999 0% centered'},
		{392.1,'*2 300% centered'},
		{393,'*999 0% centered'},
		{393.1,'*2 300% centered'},
		{394,'*999 0% centered'},
		{394.1,'*2 300% centered'},
		{395,'*999 0% centered'},
		{395.1,'*2 300% centered'},
		{396,'*999 0% centered, *0.7 -130% tiny'},
		{396.1,'*2 300% centered'},
		{397,'*999 0% centered'},
		{397.1,'*2 300% centered'},
		{397.75,'*0.7 0% tiny'},
		{398,'*999 0% centered'},
		{398.1,'*2 300% centered'},
		{399,'*999 0% centered'},
		{399.1,'*2 300% centered'},
		{399.5,'*0.7 -130% tiny'},
		{400,'*999 0% centered'},
		{400.1,'*2 300% centered'},
		{401,'*999 0% centered'},
		{401.1,'*2 300% centered'},
		{401.5,'*0.7 0% tiny'},
		{402,'*999 0% centered'},
		{402.1,'*2 300% centered'},
		{403,'*999 0% centered'},
		{403.1,'*2 300% centered'},
		{404,'*999 0% centered, *0.7 -130% tiny'},
		{404.1,'*2 300% centered'},
		{405,'*999 0% centered'},
		{405.1,'*2 300% centered'},
		{405.75,'*0.7 0% tiny'},
		{406,'*999 0% centered'},
		{406.1,'*2 300% centered'},
		{407,'*999 0% centered'},
		{407.1,'*2 300% centered'},
		{407.25,'*0.7 -130% tiny'},
		{408,'*999 0% centered'},
		{408.1,'*2 300% centered'},
		{409,'*999 0% centered'},
		{409.1,'*2 300% centered'},
		{409.75,'*0.7 0% tiny'},
		{410,'*999 0% centered'},
		{410.1,'*2 300% centered'},
		{411,'*999 0% centered'},
		{411.1,'*2 300% centered'},
		{412,'*999 0% centered'},
		{412.1,'*2 300% centered'},
		{413,'*999 0% centered'},
		{413.1,'*2 300% centered'},
		{414,'*999 0% centered'},
		{414.1,'*2 300% centered'},
		{415,'*999 0% centered'},
		{415.1,'*2 300% centered'},
		{416,'*999 0% centered'},
		{416.1,'*2 300% centered'},
		{417,'*999 0% centered'},
		{417.1,'*2 300% centered'},
		{418,'*999 0% centered'},
		{418.1,'*2 300% centered'},
		{419,'*999 0% centered'},
		{419.1,'*2 300% centered'},
		{420,'*999 0% centered'},
		{420.1,'*2 300% centered'},
		{421,'*999 0% centered'},
		{421.1,'*2 300% centered'},
		{422,'*999 0% centered'},
		{422.1,'*2 300% centered'},
		{423,'*999 0% centered'},
		{423.1,'*2 300% centered'},
		{424,'*999 0% centered'},
		{424.1,'*2 300% centered'},
		{425,'*999 0% centered'},
		{425.1,'*2 300% centered'},
		{426,'*999 0% centered'},
		{426.1,'*2 300% centered'},
		{427,'*999 0% centered'},
		{427.1,'*2 300% centered'},
		{428,'*999 0% centered'},
		{428.1,'*2 300% centered'},
		{429,'*999 0% centered'},
		{429.1,'*2 300% centered'},
		{430,'*999 0% centered'},
		{430.1,'*2 300% centered'},
		{431,'*999 0% centered'},
		{431.1,'*2 300% centered'},
		{432,'*999 0% centered'},
		{432.1,'*2 300% centered'},
		{433,'*999 0% centered'},
		{433.1,'*2 300% centered'},
		{434,'*999 0% centered'},
		{434.1,'*2 300% centered'},
		{435,'*999 0% centered'},
		{435.1,'*2 300% centered'},
		{436,'*999 0% centered'},
		{436.1,'*2 300% centered'},
		{437,'*999 0% centered'},
		{437.1,'*2 300% centered'},
		{438,'*999 0% centered'},
		{438.1,'*2 300% centered'},
		{439,'*999 0% centered'},
		{439.1,'*2 300% centered'},
		{440,'*999 0% centered'},
		{440.1,'*2 300% centered'},
		{441,'*999 0% centered'},
		{441.1,'*2 300% centered'},
		{442,'*999 0% centered'},
		{442.1,'*2 300% centered'},
		{443,'*999 0% centered'},
		{443.1,'*2 300% centered'},
		{444,'*999 0% centered'},
		{444.1,'*2 300% centered'},
		{445,'*999 0% centered'},
		{445.1,'*2 300% centered'},
		{446,'*999 0% centered'},
		{446.1,'*2 300% centered'},
		{447,'*999 0% centered'},
		{447.1,'*2 300% centered'},
		{448,'*999 0% centered'},
		{448.1,'*2 300% centered'},
		{449,'*999 0% centered'},
		{449.1,'*2 300% centered'},
		{450,'*999 0% centered'},
		{450.1,'*2 300% centered'},
		{451,'*999 0% centered'},
		{451.1,'*2 300% centered'},
		{452,'*999 0% centered'},
		{452.1,'*2 300% centered'},
		{453,'*999 0% centered'},
		{453.1,'*2 300% centered'},
		{454,'*999 0% centered'},
		{454.1,'*2 300% centered'},
		{455,'*999 0% centered'},
		{455.1,'*2 300% centered'},
		{456,'*999 0% centered'},
		{456.1,'*2 300% centered'},
		{457,'*999 0% centered'},
		{457.1,'*2 300% centered'},
		{458,'*999 0% centered'},
		{458.1,'*2 300% centered'},
		{459,'*999 0% centered'},
		{459.1,'*2 300% centered'},
		{460,'*999 0% centered'},
		{460.1,'*2 300% centered'},
		{461,'*999 0% centered'},
		{461.1,'*2 300% centered'},
		{462,'*999 0% centered'},
		{462.1,'*2 300% centered'},
		{463,'*999 0% centered'},
		{463.1,'*2 300% centered'},
		{464,'*999 0% centered'},
		{464.1,'*2 300% centered'},
		{465,'*999 0% centered'},
		{465.1,'*2 300% centered'},
		{466,'*999 0% centered'},
		{466.1,'*2 300% centered'},
		{467,'*999 0% centered'},
		{467.1,'*2 300% centered'},
		{468,'*999 0% centered'},
		{468.1,'*2 300% centered'},
		{469,'*999 0% centered'},
		{469.1,'*2 300% centered'},
		{470,'*999 0% centered'},
		{470.1,'*2 300% centered'},
		{471,'*999 0% centered'},
		{471.1,'*2 300% centered'},
		{472,'*999 0% centered'},
		{472.1,'*2 300% centered'},
		{473,'*999 0% centered'},
		{473.1,'*2 300% centered'},
		{474,'*999 0% centered'},
		{474.1,'*2 300% centered'},
		{475,'*999 0% centered'},
		{475.1,'*2 300% centered'},

		----------------------------------
		-- OH GOD THIS IS TOO MUCH SPIN --
		----------------------------------
		{476,'*999 0% centered, *999 39.604% Flip, *999 68.47% Split, *999 -9% Reverse, *2.8 200% tiny, *1.7 stealth, *999 0% beat, *999 dark, *999 0% wave, *999 0% drunk, *999 0% boost'},
		{476.02,'*999 73.474% Flip, *999 61.806% Split, *999 -6% Reverse'},
		{476.04,'*999 96.359% Flip, *999 26.222% Split, *999 12% Reverse'},
		{476.06,'*999 97.553% Flip, *999 -21.631% Split, *999 36% Reverse'},
		{476.08,'*999 76.496% Flip, *999 -59.363% Split, *999 55% Reverse'},
		{476.10,'*999 43.041% Flip, *999 -69.319% Split, *999 60% Reverse'},
		{476.12,'*999 12.843% Flip, *999 -46.839% Split, *999 48% Reverse'},
		{476.14,'*999 0.03% Flip, *999 -2.443% Split, *999 26% Reverse'},
		{476.16,'*999 10.599% Flip, *999 43.096% Split, *999 3% Reverse'},
		{476.18,'*999 39.604% Flip, *999 68.47% Split, *999 -9% Reverse'},
		{476.20,'*999 73.474% Flip, *999 61.806% Split, *999 -6% Reverse'},
		{476.22,'*999 96.359% Flip, *999 26.222% Split, *999 12% Reverse'},
		{476.24,'*999 97.553% Flip, *999 -21.631% Split, *999 36% Reverse'},
		{476.26,'*999 76.496% Flip, *999 -59.363% Split, *999 55% Reverse'},
		{476.28,'*999 43.041% Flip, *999 -69.319% Split, *999 60% Reverse'},
		{476.30,'*999 12.843% Flip, *999 -46.839% Split, *999 48% Reverse'},
		{476.32,'*999 0.03% Flip, *999 -2.443% Split, *999 26% Reverse'},
		{476.34,'*999 10.599% Flip, *999 43.096% Split, *999 3% Reverse'},
		{476.36,'*999 39.604% Flip, *999 68.47% Split, *999 -9% Reverse'},
		{476.38,'*999 73.474% Flip, *999 61.806% Split, *999 -6% Reverse'},
		{476.40,'*999 96.359% Flip, *999 26.222% Split, *999 12% Reverse'},
		{476.42,'*999 97.553% Flip, *999 -21.631% Split, *999 36% Reverse'},
		{476.44,'*999 76.496% Flip, *999 -59.363% Split, *999 55% Reverse'},
		{476.46,'*999 43.041% Flip, *999 -69.319% Split, *999 60% Reverse'},
		{476.48,'*999 12.843% Flip, *999 -46.839% Split, *999 48% Reverse'},
		{476.50,'*999 0.03% Flip, *999 -2.443% Split, *999 26% Reverse'},
		{476.52,'*999 10.599% Flip, *999 43.096% Split, *999 3% Reverse'},
		{476.54,'*999 39.604% Flip, *999 68.47% Split, *999 -9% Reverse'},
		{476.56,'*999 73.474% Flip, *999 61.806% Split, *999 -6% Reverse'},
		{476.58,'*999 96.359% Flip, *999 26.222% Split, *999 12% Reverse'},
		{476.60,'*999 97.553% Flip, *999 -21.631% Split, *999 36% Reverse'},
		{476.62,'*999 76.496% Flip, *999 -59.363% Split, *999 55% Reverse'},
		{476.64,'*999 43.041% Flip, *999 -69.319% Split, *999 60% Reverse'},
		{476.66,'*999 12.843% Flip, *999 -46.839% Split, *999 48% Reverse'},
		{476.68,'*999 0.03% Flip, *999 -2.443% Split, *999 26% Reverse'},
		{476.70,'*999 10.599% Flip, *999 43.096% Split, *999 3% Reverse'},
		{476.72,'*999 73.474% Flip, *999 61.806% Split, *999 -6% Reverse'},
		{476.74,'*999 96.359% Flip, *999 26.222% Split, *999 12% Reverse'},
		{476.76,'*999 97.553% Flip, *999 -21.631% Split, *999 36% Reverse'},
		{476.78,'*999 76.496% Flip, *999 -59.363% Split, *999 55% Reverse'},
		{476.80,'*999 43.041% Flip, *999 -69.319% Split, *999 60% Reverse'},
		{476.82,'*999 12.843% Flip, *999 -46.839% Split, *999 48% Reverse'},
		{476.84,'*999 0.03% Flip, *999 -2.443% Split, *999 26% Reverse'},
		{476.86,'*999 10.599% Flip, *999 43.096% Split, *999 3% Reverse'},
		{476.88,'*999 39.604% Flip, *999 68.47% Split, *999 -9% Reverse'},
		{476.90,'*999 73.474% Flip, *999 61.806% Split, *999 -6% Reverse'},
		{476.92,'*999 96.359% Flip, *999 26.222% Split, *999 12% Reverse'},
		{476.94,'*999 97.553% Flip, *999 -21.631% Split, *999 36% Reverse'},
		{476.96,'*999 76.496% Flip, *999 -59.363% Split, *999 55% Reverse'},
		{476.98,'*999 43.041% Flip, *999 -69.319% Split, *999 60% Reverse'},
		{476.40,'*999 12.843% Flip, *999 -46.839% Split, *999 48% Reverse'},
		{476.42,'*999 0.03% Flip, *999 -2.443% Split, *999 26% Reverse'},
		{476.44,'*999 10.599% Flip, *999 43.096% Split, *999 3% Reverse'},
		{476.46,'*999 39.604% Flip, *999 68.47% Split, *999 -9% Reverse'},
		{476.48,'*999 73.474% Flip, *999 61.806% Split, *999 -6% Reverse'},
		{476.50,'*999 96.359% Flip, *999 26.222% Split, *999 12% Reverse'},
		{476.52,'*999 97.553% Flip, *999 -21.631% Split, *999 36% Reverse'},
		{476.54,'*999 76.496% Flip, *999 -59.363% Split, *999 55% Reverse'},
		{476.56,'*999 43.041% Flip, *999 -69.319% Split, *999 60% Reverse'},
		{476.58,'*999 12.843% Flip, *999 -46.839% Split, *999 48% Reverse'},
		{476.60,'*999 0.03% Flip, *999 -2.443% Split, *999 26% Reverse'},
		{476.62,'*999 10.599% Flip, *999 43.096% Split, *999 3% Reverse'},
		{476.64,'*999 39.604% Flip, *999 68.47% Split, *999 -9% Reverse'},
		{476.66,'*999 73.474% Flip, *999 61.806% Split, *999 -6% Reverse'},
		{476.68,'*999 96.359% Flip, *999 26.222% Split, *999 12% Reverse'},
		{476.70,'*999 97.553% Flip, *999 -21.631% Split, *999 36% Reverse'},
		{476.72,'*999 76.496% Flip, *999 -59.363% Split, *999 55% Reverse'},
		{476.74,'*999 43.041% Flip, *999 -69.319% Split, *999 60% Reverse'},
		{476.76,'*999 12.843% Flip, *999 -46.839% Split, *999 48% Reverse'},
		{476.78,'*999 0.03% Flip, *999 -2.443% Split, *999 26% Reverse'},
		{476.80,'*999 10.599% Flip, *999 43.096% Split, *999 3% Reverse'},
		{476.82,'*999 73.474% Flip, *999 61.806% Split, *999 -6% Reverse'},
		{476.84,'*999 96.359% Flip, *999 26.222% Split, *999 12% Reverse'},
		{476.86,'*999 97.553% Flip, *999 -21.631% Split, *999 36% Reverse'},
		{476.88,'*999 76.496% Flip, *999 -59.363% Split, *999 55% Reverse'},
		{476.90,'*999 43.041% Flip, *999 -69.319% Split, *999 60% Reverse'},
		{476.92,'*999 12.843% Flip, *999 -46.839% Split, *999 48% Reverse'},
		{476.94,'*999 0.03% Flip, *999 -2.443% Split, *999 26% Reverse'},
		{476.96,'*999 10.599% Flip, *999 43.096% Split, *999 3% Reverse'},
		{476.98,'*999 39.604% Flip, *999 68.47% Split, *999 -9% Reverse'},
		{477,'*999 73.474% Flip, *999 61.806% Split, *999 -6% Reverse'},
		{477.02,'*999 96.359% Flip, *999 26.222% Split, *999 12% Reverse'},
		{477.04,'*999 97.553% Flip, *999 -21.631% Split, *999 36% Reverse'},
		{477.06,'*999 76.496% Flip, *999 -59.363% Split, *999 55% Reverse'},
		{477.08,'*999 43.041% Flip, *999 -69.319% Split, *999 60% Reverse'},
		{477.10,'*999 12.843% Flip, *999 -46.839% Split, *999 48% Reverse'},
		{477.12,'*999 0.03% Flip, *999 -2.443% Split, *999 26% Reverse'},
		{477.14,'*999 10.599% Flip, *999 43.096% Split, *999 3% Reverse'},
		{477.16,'*999 39.604% Flip, *999 68.47% Split, *999 -9% Reverse'},
		{477.18,'*999 73.474% Flip, *999 61.806% Split, *999 -6% Reverse'},
		{477.20,'*999 96.359% Flip, *999 26.222% Split, *999 12% Reverse'},
		{477.22,'*999 97.553% Flip, *999 -21.631% Split, *999 36% Reverse'},
		{477.24,'*999 76.496% Flip, *999 -59.363% Split, *999 55% Reverse'},
		{477.26,'*999 43.041% Flip, *999 -69.319% Split, *999 60% Reverse'},
		{477.28,'*999 12.843% Flip, *999 -46.839% Split, *999 48% Reverse'},
		{477.30,'*999 0.03% Flip, *999 -2.443% Split, *999 26% Reverse'},
		{477.32,'*999 10.599% Flip, *999 43.096% Split, *999 3% Reverse'},
		{477.34,'*999 39.604% Flip, *999 68.47% Split, *999 -9% Reverse'},
		{477.36,'*999 73.474% Flip, *999 61.806% Split, *999 -6% Reverse'},
		{477.38,'*999 96.359% Flip, *999 26.222% Split, *999 12% Reverse'},
		{477.40,'*999 97.553% Flip, *999 -21.631% Split, *999 36% Reverse'},
		{477.42,'*999 76.496% Flip, *999 -59.363% Split, *999 55% Reverse'},
		{477.44,'*999 43.041% Flip, *999 -69.319% Split, *999 60% Reverse'},
		{477.46,'*999 12.843% Flip, *999 -46.839% Split, *999 48% Reverse'},
		{477.48,'*999 0.03% Flip, *999 -2.443% Split, *999 26% Reverse'},
		{477.50,'*999 10.599% Flip, *999 43.096% Split, *999 3% Reverse'},
		{477.52,'*999 73.474% Flip, *999 61.806% Split, *999 -6% Reverse'},
		{477.54,'*999 96.359% Flip, *999 26.222% Split, *999 12% Reverse'},
		{477.56,'*999 97.553% Flip, *999 -21.631% Split, *999 36% Reverse'},
		{477.58,'*999 76.496% Flip, *999 -59.363% Split, *999 55% Reverse'},
		{477.60,'*999 43.041% Flip, *999 -69.319% Split, *999 60% Reverse'},
		{477.62,'*999 12.843% Flip, *999 -46.839% Split, *999 48% Reverse'},
		{477.64,'*999 0.03% Flip, *999 -2.443% Split, *999 26% Reverse'},
		{477.66,'*999 10.599% Flip, *999 43.096% Split, *999 3% Reverse'},
		{477.68,'*999 39.604% Flip, *999 68.47% Split, *999 -9% Reverse'},
		{477.70,'*999 73.474% Flip, *999 61.806% Split, *999 -6% Reverse'},
		{477.72,'*999 96.359% Flip, *999 26.222% Split, *999 12% Reverse'},
		{477.74,'*999 97.553% Flip, *999 -21.631% Split, *999 36% Reverse'},
		{477.76,'*999 76.496% Flip, *999 -59.363% Split, *999 55% Reverse'},
		{477.78,'*999 43.041% Flip, *999 -69.319% Split, *999 60% Reverse'},
		{477.80,'*999 12.843% Flip, *999 -46.839% Split, *999 48% Reverse'},
		{477.82,'*999 0.03% Flip, *999 -2.443% Split, *999 26% Reverse'},
		{477.84,'*999 10.599% Flip, *999 43.096% Split, *999 3% Reverse'},
		{477.86,'*999 39.604% Flip, *999 68.47% Split, *999 -9% Reverse'},
		{477.88,'*999 73.474% Flip, *999 61.806% Split, *999 -6% Reverse'},
		{477.90,'*999 96.359% Flip, *999 26.222% Split, *999 12% Reverse'},
		{477.92,'*999 97.553% Flip, *999 -21.631% Split, *999 36% Reverse'},
		{477.94,'*999 76.496% Flip, *999 -59.363% Split, *999 55% Reverse'},
		{477.96,'*999 43.041% Flip, *999 -69.319% Split, *999 60% Reverse'},
		{477.98,'*999 12.843% Flip, *999 -46.839% Split, *999 48% Reverse'},
		{478,'*999 0.03% Flip, *999 -2.443% Split, *999 26% Reverse'},
		{478.02,'*999 10.599% Flip, *999 43.096% Split, *999 3% Reverse'},
		{478.04,'*999 39.604% Flip, *999 68.47% Split, *999 -9% Reverse'},
		{478.06,'*999 73.474% Flip, *999 61.806% Split, *999 -6% Reverse'},
		{478.08,'*999 96.359% Flip, *999 26.222% Split, *999 12% Reverse'},
		{478.10,'*999 97.553% Flip, *999 -21.631% Split, *999 36% Reverse'},
		{478.12,'*999 76.496% Flip, *999 -59.363% Split, *999 55% Reverse'},
		{478.14,'*999 43.041% Flip, *999 -69.319% Split, *999 60% Reverse'},
		{478.16,'*999 12.843% Flip, *999 -46.839% Split, *999 48% Reverse'},
		{478.18,'*999 0.03% Flip, *999 -2.443% Split, *999 26% Reverse'},
		{478.20,'*999 10.599% Flip, *999 43.096% Split, *999 3% Reverse'},
		{478.22,'*999 39.604% Flip, *999 68.47% Split, *999 -9% Reverse'},
		{478.24,'*999 73.474% Flip, *999 61.806% Split, *999 -6% Reverse'},
		{478.26,'*999 96.359% Flip, *999 26.222% Split, *999 12% Reverse'},
		{478.28,'*999 97.553% Flip, *999 -21.631% Split, *999 36% Reverse'},
		{478.30,'*999 76.496% Flip, *999 -59.363% Split, *999 55% Reverse'},
		{478.32,'*999 43.041% Flip, *999 -69.319% Split, *999 60% Reverse'},
		{478.34,'*999 12.843% Flip, *999 -46.839% Split, *999 48% Reverse'},
		{478.36,'*999 0.03% Flip, *999 -2.443% Split, *999 26% Reverse'},
		{478.38,'*999 10.599% Flip, *999 43.096% Split, *999 3% Reverse'},
		{478.40,'*999 39.604% Flip, *999 68.47% Split, *999 -9% Reverse'},
		{478.42,'*999 73.474% Flip, *999 61.806% Split, *999 -6% Reverse'},
		{478.44,'*999 96.359% Flip, *999 26.222% Split, *999 12% Reverse'},
		{478.46,'*999 97.553% Flip, *999 -21.631% Split, *999 36% Reverse'},
		{478.48,'*999 76.496% Flip, *999 -59.363% Split, *999 55% Reverse'},
		{478.50,'*999 43.041% Flip, *999 -69.319% Split, *999 60% Reverse'},
		{478.52,'*999 12.843% Flip, *999 -46.839% Split, *999 48% Reverse'},
		{478.54,'*999 0.03% Flip, *999 -2.443% Split, *999 26% Reverse'},
		{478.56,'*999 10.599% Flip, *999 43.096% Split, *999 3% Reverse'},
		{478.58,'*999 39.604% Flip, *999 68.47% Split, *999 -9% Reverse'},
		{478.60,'*999 73.474% Flip, *999 61.806% Split, *999 -6% Reverse'},
		{478.62,'*999 96.359% Flip, *999 26.222% Split, *999 12% Reverse'},
		{478.64,'*999 97.553% Flip, *999 -21.631% Split, *999 36% Reverse'},
		{478.66,'*999 76.496% Flip, *999 -59.363% Split, *999 55% Reverse'},
		{478.68,'*999 43.041% Flip, *999 -69.319% Split, *999 60% Reverse'},
		{478.70,'*999 12.843% Flip, *999 -46.839% Split, *999 48% Reverse'},
		{478.72,'*999 0.03% Flip, *999 -2.443% Split, *999 26% Reverse'},
		{478.74,'*999 10.599% Flip, *999 43.096% Split, *999 3% Reverse'},
		{478.76,'*999 39.604% Flip, *999 68.47% Split, *999 -9% Reverse'},
		{478.78,'*999 73.474% Flip, *999 61.806% Split, *999 -6% Reverse'},
		{478.80,'*999 96.359% Flip, *999 26.222% Split, *999 12% Reverse'},
		{478.82,'*999 97.553% Flip, *999 -21.631% Split, *999 36% Reverse'},
		{478.84,'*999 76.496% Flip, *999 -59.363% Split, *999 55% Reverse'},
		{478.86,'*999 43.041% Flip, *999 -69.319% Split, *999 60% Reverse'},
		{478.88,'*999 12.843% Flip, *999 -46.839% Split, *999 48% Reverse'},
		{478.90,'*999 0.03% Flip, *999 -2.443% Split, *999 26% Reverse'},
		{478.92,'*999 10.599% Flip, *999 43.096% Split, *999 3% Reverse'},
		{478.94,'*999 39.604% Flip, *999 68.47% Split, *999 -9% Reverse'},
		{478.96,'*999 73.474% Flip, *999 61.806% Split, *999 -6% Reverse'},
		{478.98,'*999 96.359% Flip, *999 26.222% Split, *999 12% Reverse'},
		{479,'*999 97.553% Flip, *999 -21.631% Split, *999 36% Reverse'},
		{479.02,'*999 76.496% Flip, *999 -59.363% Split, *999 55% Reverse'},
		{479.04,'*999 43.041% Flip, *999 -69.319% Split, *999 60% Reverse'},
		{479.06,'*999 12.843% Flip, *999 -46.839% Split, *999 48% Reverse'},
		{479.08,'*999 0.03% Flip, *999 -2.443% Split, *999 26% Reverse'},
		{479.10,'*999 10.599% Flip, *999 43.096% Split, *999 3% Reverse'},
		{479.12,'*999 39.604% Flip, *999 68.47% Split, *999 -9% Reverse'},
		{479.14,'*999 73.474% Flip, *999 61.806% Split, *999 -6% Reverse'},
		{479.16,'*999 96.359% Flip, *999 26.222% Split, *999 12% Reverse'},
		{479.18,'*999 97.553% Flip, *999 -21.631% Split, *999 36% Reverse'},
		{479.20,'*999 76.496% Flip, *999 -59.363% Split, *999 55% Reverse'},
		{479.22,'*999 43.041% Flip, *999 -69.319% Split, *999 60% Reverse'},
		{479.24,'*999 12.843% Flip, *999 -46.839% Split, *999 48% Reverse'},
		{479.26,'*999 0.03% Flip, *999 -2.443% Split, *999 26% Reverse'},
		{479.28,'*999 10.599% Flip, *999 43.096% Split, *999 3% Reverse'},
		{479.30,'*999 39.604% Flip, *999 68.47% Split, *999 -9% Reverse'},
		{479.32,'*999 73.474% Flip, *999 61.806% Split, *999 -6% Reverse'},
		{479.34,'*999 96.359% Flip, *999 26.222% Split, *999 12% Reverse'},
		{479.36,'*999 97.553% Flip, *999 -21.631% Split, *999 36% Reverse'},
		{479.38,'*999 76.496% Flip, *999 -59.363% Split, *999 55% Reverse'},
		{479.40,'*999 43.041% Flip, *999 -69.319% Split, *999 60% Reverse'},
		{479.42,'*999 12.843% Flip, *999 -46.839% Split, *999 48% Reverse'},
		{478.44,'*999 0.03% Flip, *999 -2.443% Split, *999 26% Reverse'},
		{478.46,'*999 10.599% Flip, *999 43.096% Split, *999 3% Reverse'},
		{478.48,'*999 39.604% Flip, *999 68.47% Split, *999 -9% Reverse'},
		{478.50,'*999 73.474% Flip, *999 61.806% Split, *999 -6% Reverse'},
		{478.52,'*999 96.359% Flip, *999 26.222% Split, *999 12% Reverse'},
		{478.54,'*999 97.553% Flip, *999 -21.631% Split, *999 36% Reverse'},
		{478.56,'*999 76.496% Flip, *999 -59.363% Split, *999 55% Reverse'},
		{478.58,'*999 43.041% Flip, *999 -69.319% Split, *999 60% Reverse'},
		{478.60,'*999 12.843% Flip, *999 -46.839% Split, *999 48% Reverse'},
		{478.62,'*999 0.03% Flip, *999 -2.443% Split, *999 26% Reverse'},
		{478.64,'*999 10.599% Flip, *999 43.096% Split, *999 3% Reverse'},
		{478.66,'*999 39.604% Flip, *999 68.47% Split, *999 -9% Reverse'},
		{478.68,'*999 73.474% Flip, *999 61.806% Split, *999 -6% Reverse'},
		{478.70,'*999 96.359% Flip, *999 26.222% Split, *999 12% Reverse'},
		{478.72,'*999 97.553% Flip, *999 -21.631% Split, *999 36% Reverse'},
		{478.74,'*999 76.496% Flip, *999 -59.363% Split, *999 55% Reverse'},
		{478.76,'*999 43.041% Flip, *999 -69.319% Split, *999 60% Reverse'},
		{478.78,'*999 12.843% Flip, *999 -46.839% Split, *999 48% Reverse'},
		{478.80,'*999 0.03% Flip, *999 -2.443% Split, *999 26% Reverse'},
		{478.82,'*999 10.599% Flip, *999 43.096% Split, *999 3% Reverse'},
		{478.84,'*999 39.604% Flip, *999 68.47% Split, *999 -9% Reverse'},
		{478.86,'*999 73.474% Flip, *999 61.806% Split, *999 -6% Reverse'},
		{478.88,'*999 96.359% Flip, *999 26.222% Split, *999 12% Reverse'},
		{478.90,'*999 97.553% Flip, *999 -21.631% Split, *999 36% Reverse'},
		{478.92,'*999 76.496% Flip, *999 -59.363% Split, *999 55% Reverse'},
		{478.94,'*999 43.041% Flip, *999 -69.319% Split, *999 60% Reverse'},
		{478.96,'*999 12.843% Flip, *999 -46.839% Split, *999 48% Reverse'},
		{478.98,'*999 0.03% Flip, *999 -2.443% Split, *999 26% Reverse'},
		{479,'*999 10.599% Flip, *999 43.096% Split, *999 3% Reverse'},
		{479.02,'*999 39.604% Flip, *999 68.47% Split, *999 -9% Reverse'},
		{479.04,'*999 73.474% Flip, *999 61.806% Split, *999 -6% Reverse'},
		{479.06,'*999 96.359% Flip, *999 26.222% Split, *999 12% Reverse'},
		{478.08,'*999 97.553% Flip, *999 -21.631% Split, *999 36% Reverse'},
		{479.10,'*999 76.496% Flip, *999 -59.363% Split, *999 55% Reverse'},
		{479.12,'*999 43.041% Flip, *999 -69.319% Split, *999 60% Reverse'},
		{479.14,'*999 12.843% Flip, *999 -46.839% Split, *999 48% Reverse'},
		{479.16,'*999 0.03% Flip, *999 -2.443% Split, *999 26% Reverse'},
		{479.18,'*999 10.599% Flip, *999 43.096% Split, *999 3% Reverse'},
		{479.20,'*999 39.604% Flip, *999 68.47% Split, *999 -9% Reverse'},
		{479.22,'*999 73.474% Flip, *999 61.806% Split, *999 -6% Reverse'},
		{479.24,'*999 96.359% Flip, *999 26.222% Split, *999 12% Reverse'},
		{479.26,'*999 97.553% Flip, *999 -21.631% Split, *999 36% Reverse'},
		{479.28,'*999 76.496% Flip, *999 -59.363% Split, *999 55% Reverse'},
		{479.30,'*999 43.041% Flip, *999 -69.319% Split, *999 60% Reverse'},
		{479.32,'*999 12.843% Flip, *999 -46.839% Split, *999 48% Reverse'},
		{479.34,'*999 0.03% Flip, *999 -2.443% Split, *999 26% Reverse'},
		{479.36,'*999 10.599% Flip, *999 43.096% Split, *999 3% Reverse'},
		{479.38,'*999 39.604% Flip, *999 68.47% Split, *999 -9% Reverse'},
		{479.40,'*999 73.474% Flip, *999 61.806% Split, *999 -6% Reverse'},
		{479.42,'*999 96.359% Flip, *999 26.222% Split, *999 12% Reverse'},
		{479.44,'*999 97.553% Flip, *999 -21.631% Split, *999 36% Reverse'},
		{479.46,'*999 76.496% Flip, *999 -59.363% Split, *999 55% Reverse'},
		{479.48,'*999 43.041% Flip, *999 -69.319% Split, *999 60% Reverse'},
		{479.50,'*999 12.843% Flip, *999 -46.839% Split, *999 48% Reverse'},
		{479.52,'*999 0.03% Flip, *999 -2.443% Split, *999 26% Reverse'},
		{479.54,'*999 10.599% Flip, *999 43.096% Split, *999 3% Reverse'},
		{479.56,'*999 39.604% Flip, *999 68.47% Split, *999 -9% Reverse'},
		{479.58,'*999 73.474% Flip, *999 61.806% Split, *999 -6% Reverse'},
		{479.60,'*999 96.359% Flip, *999 26.222% Split, *999 12% Reverse'},
		{479.62,'*999 97.553% Flip, *999 -21.631% Split, *999 36% Reverse'},
		{479.64,'*999 76.496% Flip, *999 -59.363% Split, *999 55% Reverse'},
		{479.66,'*999 43.041% Flip, *999 -69.319% Split, *999 60% Reverse'},
		{479.68,'*999 12.843% Flip, *999 -46.839% Split, *999 48% Reverse'},
		{479.70,'*999 0.03% Flip, *999 -2.443% Split, *999 26% Reverse'},
		{479.72,'*999 10.599% Flip, *999 43.096% Split, *999 3% Reverse'},
		{479.74,'*999 39.604% Flip, *999 68.47% Split, *999 -9% Reverse'},
		{479.76,'*999 73.474% Flip, *999 61.806% Split, *999 -6% Reverse'},
		{479.78,'*999 96.359% Flip, *999 26.222% Split, *999 12% Reverse'},
		{479.80,'*999 97.553% Flip, *999 -21.631% Split, *999 36% Reverse'},
		{479.82,'*999 76.496% Flip, *999 -59.363% Split, *999 55% Reverse'},
		{479.84,'*999 43.041% Flip, *999 -69.319% Split, *999 60% Reverse'},
		{479.86,'*999 12.843% Flip, *999 -46.839% Split, *999 48% Reverse'},
		{478.88,'*999 0.03% Flip, *999 -2.443% Split, *999 26% Reverse'},
		{478.90,'*999 10.599% Flip, *999 43.096% Split, *999 3% Reverse'},
		{479.92,'*999 39.604% Flip, *999 68.47% Split, *999 -9% Reverse'},
		{479.94,'*999 73.474% Flip, *999 61.806% Split, *999 -6% Reverse'},
		{479.96,'*999 96.359% Flip, *999 26.222% Split, *999 12% Reverse'},
		{479.98,'*999 97.553% Flip, *999 -21.631% Split, *999 36% Reverse'},
		{480,'*999 76.496% Flip, *999 -59.363% Split, *999 55% Reverse'},
		{480.02,'*999 43.041% Flip, *999 -69.319% Split, *999 60% Reverse'},
		{480.04,'*999 12.843% Flip, *999 -46.839% Split, *999 48% Reverse'},
		{480.06,'*999 0.03% Flip, *999 -2.443% Split, *999 26% Reverse'},
		{480.08,'*999 10.599% Flip, *999 43.096% Split, *999 3% Reverse'},
		{480.10,'*999 39.604% Flip, *999 68.47% Split, *999 -9% Reverse'},
		{480.12,'*999 73.474% Flip, *999 61.806% Split, *999 -6% Reverse'},
		{480.14,'*999 96.359% Flip, *999 26.222% Split, *999 12% Reverse'},
		{480.16,'*999 97.553% Flip, *999 -21.631% Split, *999 36% Reverse'},
		{480.18,'*999 76.496% Flip, *999 -59.363% Split, *999 55% Reverse'},
		{480.20,'*999 43.041% Flip, *999 -69.319% Split, *999 60% Reverse'},
		{480.22,'*999 12.843% Flip, *999 -46.839% Split, *999 48% Reverse'},
		{480.24,'*999 0.03% Flip, *999 -2.443% Split, *999 26% Reverse'},
		{480.26,'*999 10.599% Flip, *999 43.096% Split, *999 3% Reverse'},
		{480.28,'*999 39.604% Flip, *999 68.47% Split, *999 -9% Reverse'},
		{480.30,'*999 73.474% Flip, *999 61.806% Split, *999 -6% Reverse'},
		{480.32,'*999 96.359% Flip, *999 26.222% Split, *999 12% Reverse'},
		{480.34,'*999 97.553% Flip, *999 -21.631% Split, *999 36% Reverse'},
		{480.36,'*999 76.496% Flip, *999 -59.363% Split, *999 55% Reverse'},
		{480.38,'*999 43.041% Flip, *999 -69.319% Split, *999 60% Reverse'},
		{480.40,'*999 12.843% Flip, *999 -46.839% Split, *999 48% Reverse'},
		{480.42,'*999 0.03% Flip, *999 -2.443% Split, *999 26% Reverse'},
		{480.44,'*999 10.599% Flip, *999 43.096% Split, *999 3% Reverse'},
		{480.46,'*999 39.604% Flip, *999 68.47% Split, *999 -9% Reverse'},
		{480.48,'*999 73.474% Flip, *999 61.806% Split, *999 -6% Reverse'},
		{480.50,'*999 96.359% Flip, *999 26.222% Split, *999 12% Reverse'},
		{480.52,'*999 97.553% Flip, *999 -21.631% Split, *999 36% Reverse'},
		{480.54,'*999 76.496% Flip, *999 -59.363% Split, *999 55% Reverse'},
		{480.56,'*999 43.041% Flip, *999 -69.319% Split, *999 60% Reverse'},
		{480.58,'*999 12.843% Flip, *999 -46.839% Split, *999 48% Reverse'},
		{480.60,'*999 0.03% Flip, *999 -2.443% Split, *999 26% Reverse'},
		{480.62,'*999 10.599% Flip, *999 43.096% Split, *999 3% Reverse'},
		{480.64,'*999 39.604% Flip, *999 68.47% Split, *999 -9% Reverse'},
		{480.66,'*999 73.474% Flip, *999 61.806% Split, *999 -6% Reverse'},
		{480.68,'*999 96.359% Flip, *999 26.222% Split, *999 12% Reverse'},
		{480.70,'*999 97.553% Flip, *999 -21.631% Split, *999 36% Reverse'},
		{480.72,'*999 76.496% Flip, *999 -59.363% Split, *999 55% Reverse'},
		{480.74,'*999 43.041% Flip, *999 -69.319% Split, *999 60% Reverse'},
		{480.76,'*999 12.843% Flip, *999 -46.839% Split, *999 48% Reverse'},
		{480.78,'*999 0.03% Flip, *999 -2.443% Split, *999 26% Reverse'},
		{480.80,'*999 10.599% Flip, *999 43.096% Split, *999 3% Reverse'},
		{480.82,'*999 39.604% Flip, *999 68.47% Split, *999 -9% Reverse'},
		{480.84,'*999 73.474% Flip, *999 61.806% Split, *999 -6% Reverse'},
		{480.86,'*999 96.359% Flip, *999 26.222% Split, *999 12% Reverse'},
		{480.88,'*999 97.553% Flip, *999 -21.631% Split, *999 36% Reverse'},
		{480.90,'*999 76.496% Flip, *999 -59.363% Split, *999 55% Reverse'},
		{480.92,'*999 43.041% Flip, *999 -69.319% Split, *999 60% Reverse'},
		{480.94,'*999 12.843% Flip, *999 -46.839% Split, *999 48% Reverse'},
		{480.96,'*999 0.03% Flip, *999 -2.443% Split, *999 26% Reverse'},
		{480.98,'*999 10.599% Flip, *999 43.096% Split, *999 3% Reverse'},
		{481.08,'*999 10.599% Flip, *999 43.096% Split, *999 3% Reverse'},
		{481.10,'*999 39.604% Flip, *999 68.47% Split, *999 -9% Reverse'},
		{481.12,'*999 73.474% Flip, *999 61.806% Split, *999 -6% Reverse'},
		{481.14,'*999 96.359% Flip, *999 26.222% Split, *999 12% Reverse'},
		{481.16,'*999 97.553% Flip, *999 -21.631% Split, *999 36% Reverse'},
		{481.18,'*999 76.496% Flip, *999 -59.363% Split, *999 55% Reverse'},
		{481.20,'*999 43.041% Flip, *999 -69.319% Split, *999 60% Reverse'},
		{481.22,'*999 12.843% Flip, *999 -46.839% Split, *999 48% Reverse'},
		{481.24,'*999 0.03% Flip, *999 -2.443% Split, *999 26% Reverse'},
		{481.26,'*999 10.599% Flip, *999 43.096% Split, *999 3% Reverse'},
		{481.28,'*999 39.604% Flip, *999 68.47% Split, *999 -9% Reverse'},
		{481.30,'*999 73.474% Flip, *999 61.806% Split, *999 -6% Reverse'},
		{481.32,'*999 96.359% Flip, *999 26.222% Split, *999 12% Reverse'},
		{481.34,'*999 97.553% Flip, *999 -21.631% Split, *999 36% Reverse'},
		{481.36,'*999 76.496% Flip, *999 -59.363% Split, *999 55% Reverse'},
		{481.38,'*999 43.041% Flip, *999 -69.319% Split, *999 60% Reverse'},
		{481.40,'*999 12.843% Flip, *999 -46.839% Split, *999 48% Reverse'},
		{481.42,'*999 0.03% Flip, *999 -2.443% Split, *999 26% Reverse'},
		{481.44,'*999 10.599% Flip, *999 43.096% Split, *999 3% Reverse'},
		{481.46,'*999 39.604% Flip, *999 68.47% Split, *999 -9% Reverse'},
		{481.48,'*999 73.474% Flip, *999 61.806% Split, *999 -6% Reverse'},
		{481.50,'*999 96.359% Flip, *999 26.222% Split, *999 12% Reverse'},
		{481.52,'*999 97.553% Flip, *999 -21.631% Split, *999 36% Reverse'},
		{481.54,'*999 76.496% Flip, *999 -59.363% Split, *999 55% Reverse'},
		{481.56,'*999 43.041% Flip, *999 -69.319% Split, *999 60% Reverse'},
		{481.58,'*999 12.843% Flip, *999 -46.839% Split, *999 48% Reverse'},
		{481.60,'*999 0.03% Flip, *999 -2.443% Split, *999 26% Reverse'},
		{481.62,'*999 10.599% Flip, *999 43.096% Split, *999 3% Reverse'},
		{481.64,'*999 39.604% Flip, *999 68.47% Split, *999 -9% Reverse'},
		{481.66,'*999 73.474% Flip, *999 61.806% Split, *999 -6% Reverse'},
		{481.68,'*999 96.359% Flip, *999 26.222% Split, *999 12% Reverse'},
		{481.70,'*999 97.553% Flip, *999 -21.631% Split, *999 36% Reverse'},
		{481.72,'*999 76.496% Flip, *999 -59.363% Split, *999 55% Reverse'},
		{481.74,'*999 43.041% Flip, *999 -69.319% Split, *999 60% Reverse'},
		{481.76,'*999 12.843% Flip, *999 -46.839% Split, *999 48% Reverse'},
		{481.78,'*999 0.03% Flip, *999 -2.443% Split, *999 26% Reverse'},
		{481.80,'*999 10.599% Flip, *999 43.096% Split, *999 3% Reverse'},
		{481.82,'*999 39.604% Flip, *999 68.47% Split, *999 -9% Reverse'},
		{481.84,'*999 73.474% Flip, *999 61.806% Split, *999 -6% Reverse'},
		{481.86,'*999 96.359% Flip, *999 26.222% Split, *999 12% Reverse'},
		{481.88,'*999 97.553% Flip, *999 -21.631% Split, *999 36% Reverse'},
		{481.90,'*999 76.496% Flip, *999 -59.363% Split, *999 55% Reverse'},
		{481.92,'*999 43.041% Flip, *999 -69.319% Split, *999 60% Reverse'},
		{481.94,'*999 12.843% Flip, *999 -46.839% Split, *999 48% Reverse'},
		{481.96,'*999 0.03% Flip, *999 -2.443% Split, *999 26% Reverse'},
		{481.98,'*999 10.599% Flip, *999 43.096% Split, *999 3% Reverse'},
		{482,'*999 0% flip, *999 0% split, *999 0% reverse'},


		{483,'*99 0% stealth'},
		{483.25,'*99 stealth'},
		{483.50,'*99 0% stealth'},
		{483.75,'*99 stealth'},
		{483,'*99 0% stealth'},

		{498,'*999 12.843% Flip, *999 -46.839% Split, *999 48% Reverse'},
		{498.25,'*999 97.553% Flip, *999 -21.631% Split, *999 36% Reverse'},
		{498.50,'*999 12.843% Flip, *999 -46.839% Split, *999 48% Reverse'},
		{498.75,'*999 97.553% Flip, *999 -21.631% Split, *999 36% Reverse'},
		{499,'*999 12.843% Flip, *999 -46.839% Split, *999 48% Reverse'},
		{499.25,'*999 97.553% Flip, *999 -21.631% Split, *999 36% Reverse'},
		{499.50,'*999 12.843% Flip, *999 -46.839% Split, *999 48% Reverse'},
		{499.75,'*999 97.553% Flip, *999 -21.631% Split, *999 36% Reverse'},
		{500,'*999 0% flip, *999 0% split, *999 0% reverse'},

		{514,'*999 12.843% Flip, *999 -46.839% Split, *999 48% Reverse'},
		{514.25,'*999 97.553% Flip, *999 -21.631% Split, *999 36% Reverse'},
		{514.50,'*999 12.843% Flip, *999 -46.839% Split, *999 48% Reverse'},
		{514.75,'*999 97.553% Flip, *999 -21.631% Split, *999 36% Reverse'},
		{515,'*999 12.843% Flip, *999 -46.839% Split, *999 48% Reverse'},
		{515.25,'*999 97.553% Flip, *999 -21.631% Split, *999 36% Reverse'},
		{515.50,'*999 12.843% Flip, *999 -46.839% Split, *999 48% Reverse'},
		{515.75,'*999 97.553% Flip, *999 -21.631% Split, *999 36% Reverse'},
		{516,'*999 0% flip, *999 0% split, *999 0% reverse'},

		{530,'*999 12.843% Flip, *999 -46.839% Split, *999 48% Reverse'},
		{530.25,'*999 97.553% Flip, *999 -21.631% Split, *999 36% Reverse'},
		{530.50,'*999 12.843% Flip, *999 -46.839% Split, *999 48% Reverse'},
		{530.75,'*999 97.553% Flip, *999 -21.631% Split, *999 36% Reverse'},
		{531,'*999 12.843% Flip, *999 -46.839% Split, *999 48% Reverse'},
		{531.25,'*999 97.553% Flip, *999 -21.631% Split, *999 36% Reverse'},
		{531.50,'*999 12.843% Flip, *999 -46.839% Split, *999 48% Reverse'},
		{531.75,'*999 97.553% Flip, *999 -21.631% Split, *999 36% Reverse'},
		{532,'*999 0% flip, *999 0% split, *999 0% reverse'},

		{546,'*999 12.843% Flip, *999 -46.839% Split, *999 48% Reverse'},
		{546.25,'*999 97.553% Flip, *999 -21.631% Split, *999 36% Reverse'},
		{546.50,'*999 12.843% Flip, *999 -46.839% Split, *999 48% Reverse'},
		{546.75,'*999 97.553% Flip, *999 -21.631% Split, *999 36% Reverse'},
		{547,'*999 12.843% Flip, *999 -46.839% Split, *999 48% Reverse'},
		{547.25,'*999 97.553% Flip, *999 -21.631% Split, *999 36% Reverse'},
		{547.50,'*999 12.843% Flip, *999 -46.839% Split, *999 48% Reverse'},
		{547.75,'*999 97.553% Flip, *999 -21.631% Split, *999 36% Reverse'},
		{548,'*999 0% flip, *999 0% split, *999 0% reverse'},

		{50,'*99 22% reverse'},

		{562,'*999 12.843% Flip, *999 -46.839% Split, *999 48% Reverse'},
		{562.25,'*999 97.553% Flip, *999 -21.631% Split, *999 36% Reverse'},
		{562.50,'*999 12.843% Flip, *999 -46.839% Split, *999 48% Reverse'},
		{562.75,'*999 97.553% Flip, *999 -21.631% Split, *999 36% Reverse'},
		{563,'*999 12.843% Flip, *999 -46.839% Split, *999 48% Reverse'},
		{563.25,'*999 97.553% Flip, *999 -21.631% Split, *999 36% Reverse'},
		{563.50,'*999 12.843% Flip, *999 -46.839% Split, *999 48% Reverse'},
		{563.75,'*999 97.553% Flip, *999 -21.631% Split, *999 36% Reverse'},
		{564,'*999 0% flip, *999 0% split, *999 22% reverse'},

		{578,'*999 12.843% Flip, *999 -46.839% Split, *999 48% Reverse'},
		{578.25,'*999 97.553% Flip, *999 -21.631% Split, *999 36% Reverse'},
		{578.50,'*999 12.843% Flip, *999 -46.839% Split, *999 48% Reverse'},
		{578.75,'*999 97.553% Flip, *999 -21.631% Split, *999 36% Reverse'},
		{579,'*999 12.843% Flip, *999 -46.839% Split, *999 48% Reverse'},
		{579.25,'*999 97.553% Flip, *999 -21.631% Split, *999 36% Reverse'},
		{579.50,'*999 12.843% Flip, *999 -46.839% Split, *999 48% Reverse'},
		{579.75,'*999 97.553% Flip, *999 -21.631% Split, *999 36% Reverse, *16 150% Mini,*10000 50% Flip,*10000 185% Distant,*10000 0x'},
		{579.80,'*24 100x, Blind, *2 Dark'},
	}

	iris_driven = 1;
	iris_driven_beat = 193;
	iris_driven_beat_init = 193;

	iris_driven_speed = 0.65;
	iris_driven_modspeed = 1.0;

	iris_drunk = 1;
	iris_drunk_amt = 0;
	iris_bumpy = 1;
	iris_bumpy_amt = 0;

	--SCREAMING GUMBALL / timed message broadcaster
	curmessage = 1;
	--{beat,message,ignoreIfAhead}
	messages = {
		--{182.5,'CytusSpawn'},
		--{193,'CytusBegin'},
		--{257,'CytusEnd'},

		{483.1,'Dropdown'},
		{483.2,'Otherstuff'},
		{516,''}

	}
	
end

local function iris_update()

	if GAMESTATE:GetSongBeat()>=0.1 and not checked then
	
	if SCREENMAN:GetTopScreen():GetChild('PlayerP1') then
		P1 = SCREENMAN:GetTopScreen():GetChild('PlayerP1')
	end
			if P1 then
				P1xpos=P1:GetX();
				P1ypos=P1:GetY();
			end
	if SCREENMAN:GetTopScreen():GetChild('PlayerP2') then
		P2 = SCREENMAN:GetTopScreen():GetChild('PlayerP2')
	end
			if P2 then
				P2xpos=P2:GetX();
				P2ypos=P2:GetY();
			end
		--PE = SCREENMAN:GetTopScreen():GetChild('')
		
		screen = SCREENMAN:GetTopScreen()
		
		if P1 then
			P1:visible(false);
			P1:x(0);
			P1:y(0);
			wndrP1clone1:SetTarget(P1);
			wndrP1clone1:x(P1xpos);
			wndrP1clone1:y(P1ypos);
			
			
			wndrP1clone2:SetTarget(P1);
			wndrP1clone3:SetTarget(P1);
			wndrP1clone4:SetTarget(P1);
			
			wndrP1clone2:visible(false);
			wndrP1clone3:visible(false);
			wndrP1clone4:visible(false);
		end
		
		if P2 then
			P2:visible(false);
			P2:x(0);
			P2:y(0);
			wndrP2clone1:SetTarget(P2);
			wndrP2clone1:x(P2xpos);
			wndrP2clone1:y(P2ypos);
			
			
			wndrP2clone2:SetTarget(P2);
			wndrP2clone3:SetTarget(P2);
			wndrP2clone4:SetTarget(P2);
			
			wndrP2clone2:visible(false);
			wndrP2clone3:visible(false);
			wndrP2clone4:visible(false);
		end
		checked = true;
		
	end
	
	local beat = GAMESTATE:GetSongBeat()

	-- Collect all the mods that will be applied in this frame into one string.
	-- Mod tweening doesn't work correctly if the mods are in seperate commands.
	local mods_this_frame= {}
	local function add_mod(mod_str)
		mods_this_frame[#mods_this_frame+1]= mod_str
	end
	local function execute_mods()
		if #mods_this_frame <= 0 then return end
		local total_mod_str= ""
		for i, ms in ipairs(mods_this_frame) do
			if #total_mod_str > 0 then
				total_mod_str= total_mod_str .. ", "
			end
			total_mod_str= total_mod_str .. ms
		end
		iris_mod(total_mod_str)
	end
	
	--[[
	
	if beat>257 and fgcurcommand == 3 then
		set_player_speed(PLAYER_1, iris_speedmodP1)
		set_player_speed(PLAYER_2, iris_speedmodP2)
		add_mod('*1000 no reverse')
		add_mod('*1000 no centered')
		add_mod('*1000 no dark')
		fgcurcommand = fgcurcommand+1
	end --]]
	
	while curmod<= #mods and GAMESTATE:GetSongBeat()>=mods[curmod][1] do
		add_mod(mods[curmod][2])
		curmod = curmod+1
	end

	execute_mods()
	
	--SCREAMING GUMBALL
	while curmessage<= #messages and GAMESTATE:GetSongBeat()>=messages[curmessage][1] do
		if messages[curmessage][3] and GAMESTATE:GetSongBeat()>=messages[curmessage][1]+5 then
			curmessage = curmessage+1;
		else
			MESSAGEMAN:Broadcast(messages[curmessage][2])
			curmessage = curmessage+1;
		end
	end
end

return Def.ActorFrame{
	OnCommand= function(self)
							 iris_init()
							 self:SetUpdateFunction(iris_update)
						 end,
	Def.Quad{
		Name= "I may be sleeping, but I preserve the world.",
		InitCommand= cmd(visible,false),
		OnCommand= cmd(sleep,100000000000000),
	},
	Def.Quad{
		OnCommand= cmd(diffuse,0,0,0,1;diffusealpha,0;zoomto,6,SCREEN_HEIGHT;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y),
		CytusSpawnMessageCommand= cmd(linear,1;diffusealpha,1),
		CytusEndMessageCommand= cmd(linear,1;diffusealpha,0),
		
		DropdownMessageCommand= function(self)
            SCREENMAN:GetTopScreen():smooth(15);
			SCREENMAN:GetTopScreen():y(-2500);
            if P1 then
            P1:smooth(15);
            P1:y(2500);

			wndrP1clone2:visible(true);
			wndrP1clone3:visible(true);
			wndrP1clone4:visible(true);
			wndrP1clone5:visible(true);
			wndrP1clone6:visible(true);
			wndrP1clone7:visible(true);

			wndrP1clone2:x(wndrP1clone1:GetX()-5);
			wndrP1clone3:x(wndrP1clone1:GetX()+5);
			wndrP1clone4:x(wndrP1clone1:GetX()-10);
			wndrP1clone5:x(wndrP1clone1:GetX()+10);
			wndrP1clone6:x(wndrP1clone1:GetX()-15);
			wndrP1clone7:x(wndrP1clone1:GetX()+15);

			wndrP1clone2:y(wndrP1clone1:GetY()+1500);
			wndrP1clone3:y(wndrP1clone1:GetY()+1500);
			wndrP1clone4:y(wndrP1clone1:GetY()+3000);
			wndrP1clone5:y(wndrP1clone1:GetY()+3000);
			wndrP1clone6:y(wndrP1clone1:GetY()+4500);
			wndrP1clone7:y(wndrP1clone1:GetY()+4500);

			wndrP1clone2:rotationz(math.random(-10,10));
			wndrP1clone3:rotationz(math.random(-10,10));
			wndrP1clone4:rotationz(math.random(-15,15));
			wndrP1clone5:rotationz(math.random(-15,15));
			wndrP1clone6:rotationz(math.random(-20,20));
			wndrP1clone7:rotationz(math.random(-20,20));
			end
			
			if P2 then
			wndrP2clone2:visible(true);
			wndrP2clone3:visible(true);
			wndrP2clone4:visible(true);
			wndrP2clone5:visible(true);
			wndrP2clone6:visible(true);
			wndrP2clone7:visible(true);

			wndrP2clone2:x(wndrP1clone1:GetX()-5);
			wndrP2clone3:x(wndrP1clone1:GetX()+5);
			wndrP2clone4:x(wndrP1clone1:GetX()-10);
			wndrP2clone5:x(wndrP1clone1:GetX()+10);
			wndrP2clone6:x(wndrP1clone1:GetX()-15);
			wndrP2clone7:x(wndrP1clone1:GetX()+15);

			wndrP2clone2:y(wndrP1clone1:GetY()+1500);
			wndrP2clone3:y(wndrP1clone1:GetY()+1500);
			wndrP2clone4:y(wndrP1clone1:GetY()+3000);
			wndrP2clone5:y(wndrP1clone1:GetY()+3000);
			wndrP2clone6:y(wndrP1clone1:GetY()+4500);
			wndrP2clone7:y(wndrP1clone1:GetY()+4500);

			wndrP2clone2:rotationz(math.random(-10,10));
			wndrP2clone3:rotationz(math.random(-10,10));
			wndrP2clone4:rotationz(math.random(-15,15));
			wndrP2clone5:rotationz(math.random(-15,15));
			wndrP2clone6:rotationz(math.random(-20,20));
			wndrP2clone7:rotationz(math.random(-20,20));
			end
        end,

		MoveMessageCommand= function(self)
			screen:x(SCREEN_CENTER_X*1.5)
			screen:y(SCREEN_CENTER_Y*1.5)
			SongForeground:x(SCREEN_CENTER_X*1.5)
			SongForeground:y(-SCREEN_CENTER_Y*1.5)
			SongBackground:x(-SCREEN_CENTER_X*1.5)
			SongBackground:y(-SCREEN_CENTER_Y*1.5)
		end,

        OtherstuffMessageCommand= function(self)
        	wndrP1clone2:smooth(45)
			wndrP1clone3:smooth(45)
			wndrP1clone4:smooth(45)
			wndrP1clone5:smooth(45)
			wndrP1clone6:smooth(45)
			wndrP1clone7:smooth(45)
			wndrP2clone2:smooth(45)
			wndrP2clone3:smooth(45)
			wndrP2clone4:smooth(45)
			wndrP2clone5:smooth(45)
			wndrP2clone6:smooth(45)
			wndrP2clone7:smooth(45)
			wndrP1clone2:addy(-3000);
			wndrP1clone3:addy(-3000);
			wndrP1clone4:addy(-4000);
			wndrP1clone5:addy(-4000);
			wndrP1clone6:addy(-5000);
			wndrP1clone7:addy(-5000);
			wndrP2clone2:addy(-4000);
			wndrP2clone3:addy(-4000);
			wndrP2clone4:addy(-5000);
			wndrP2clone5:addy(-5000);
			wndrP2clone6:addy(-6000);
			wndrP2clone7:addy(-6000);

			wndrP1clone2:zoom(0.2);
			wndrP1clone3:zoom(0.2);
			wndrP1clone4:zoom(0.2);
			wndrP1clone5:zoom(0.2);
			wndrP1clone6:zoom(0.2);
			wndrP1clone7:zoom(0.2);
			wndrP2clone2:zoom(0.2);
			wndrP2clone3:zoom(0.2);
			wndrP2clone4:zoom(0.2);
			wndrP2clone5:zoom(0.2);
			wndrP2clone6:zoom(0.2);
			wndrP2clone7:zoom(0.2);
        end,

        VibratePlayerMessageCommand= function(self)
			SCREENMAN:GetTopScreen():GetChild('PlayerP1'):vibrate();
			SCREENMAN:GetTopScreen():effectmagnitude(20,20,20);
			SCREENMAN:GetTopScreen():GetChild('PlayerP2'):vibrate();
			SCREENMAN:GetTopScreen():effectmagnitude(20,20,20);
		end,
	},
	
	--------------------------------------------------------
	--------------------------------------------------------
	--------------------------------------------------------
	-------------HERE LIES THE ACTOR PROXIES----------------
	--------------------------------------------------------
	-----Are these really essencial for the mod table?------
	--------------------------------------------------------
	
	Def.ActorProxy{
		BeginCommand=function(self)
			
			wndrP1clone1=self;
			
		end;
	};
	
	Def.ActorProxy{
		BeginCommand=function(self)
			
			wndrP1clone2=self;
			
		end;
	};
	
	Def.ActorProxy{
		BeginCommand=function(self)
			
			wndrP1clone3=self;
			
		end;
	};
	
	Def.ActorProxy{
		BeginCommand=function(self)
			
			wndrP1clone4=self;
			
		end;
	};

	Def.ActorProxy{
		BeginCommand=function(self)
			
			wndrP1clone5=self;
			
		end;
	};

	Def.ActorProxy{
		BeginCommand=function(self)
			
			wndrP1clone6=self;
			
		end;
	};

	Def.ActorProxy{
		BeginCommand=function(self)
			
			wndrP1clone7=self;
			
		end;
	};
	
	
	------
	
	Def.ActorProxy{
		BeginCommand=function(self)
			
			wndrP2clone1=self;
			
		end;
	};
	
	Def.ActorProxy{
		BeginCommand=function(self)
			
			wndrP2clone2=self;
			
		end;
	};
	
	Def.ActorProxy{
		BeginCommand=function(self)
			
			wndrP2clone3=self;
			
		end;
	};
	
	Def.ActorProxy{
		BeginCommand=function(self)
			
			wndrP2clone4=self;
			
		end;
	};

	Def.ActorProxy{
		BeginCommand=function(self)
			
			wndrP2clone5=self;
			
		end;
	};

	Def.ActorProxy{
		BeginCommand=function(self)
			
			wndrP2clone6=self;
			
		end;
	};

	Def.ActorProxy{
		BeginCommand=function(self)
			
			wndrP2clone7=self;
			
		end;
	};
	
}
