
local songName= GAMESTATE:GetCurrentSong():GetSongDir()

local function iris_mod_internal(str, pn)
	local ps= GAMESTATE:GetPlayerState(pn)
	local pmods= ps:GetPlayerOptionsString('ModsLevel_Song')
	ps:SetPlayerOptions('ModsLevel_Song', pmods .. ', ' .. str)
	--GAMESTATE:ApplyGameCommand('mod,'..str, pn)
end


local function iris_mod(str)
	for i=1,2 do
		iris_mod_internal(str, 'PlayerNumber_P' .. i)
	end
end



local function iris_init()
	fgcurcommand = 0;
	wndr_skewx=0.3;
	checked = false;
	
	
	
	--lua course :D	/ timed mod management	
	curmod = 1;
	--{beat,mod,player}
	mods = {

		{0.1,'*99 0% reverse'},

		{3,'*99 bumpy, *99 40% reverse, *99 40% flip'},
		{3.1,'*5 0% bumpy, *5 0% reverse, *5 0% flip'},

		{7,'*99 bumpy, *99 40% reverse, *99 40% flip'},
		{7.1,'*5 0% bumpy, *5 0% reverse, *5 0% flip'},

		{11,'*99 bumpy, *99 40% reverse, *99 40% flip'},
		{11.1,'*5 0% bumpy, *5 0% reverse, *5 0% flip'},

		{31,'*99 bumpy, *99 40% reverse, *99 40% flip'},
		{31.1,'*5 0% bumpy, *5 0% reverse, *5 0% flip'},

		{35,'*99 600% bumpy, *99 reverse'},
		{35.1,'*99 0% bumpy'},
		{35.6,'*99 -200% bumpy, *99 0% reverse'},
		{35.7,'*5 0% bumpy'},

		{40,'*9 120% drunk'},
		{40.75,'*9 -120% drunk'},
		{42.5,'*8 0% drunk'},

		{42.5,'*6 15% reverse'},
		{42.75,'*6 30% reverse'},
		{43,'*6 45% reverse'},
		{43.1,'*6 0% reverse'},

		{44,'*999 beat'},
		{59.75,'*9 0% beat'},
		
		{101,'*99 -20% reverse, *99 drunk'},
		{101.1,'*6 0% reverse, *6 0% drunk'},
		{103,'*99 -20% reverse, *99 drunk'},
		{103.1,'*6 0% reverse, *6 0% drunk'},
		{105,'*99 -20% reverse, *99 drunk'},
		{105.1,'*6 0% reverse, *6 0% drunk'},
		{107,'*99 -20% reverse, *99 drunk'},
		{107.1,'*6 0% reverse, *6 0% drunk'},
		{109,'*99 -20% reverse, *99 drunk'},
		{109.1,'*6 0% reverse, *6 0% drunk'},
		{111,'*99 -20% reverse, *99 drunk'},
		{111.1,'*6 0% reverse, *6 0% drunk'},
		{113,'*99 -20% reverse, *99 drunk'},
		{113.1,'*6 0% reverse, *6 0% drunk'},
		{115,'*99 -20% reverse, *99 drunk'},
		{115.1,'*6 0% reverse, *6 0% drunk'},
		{117,'*99 -20% reverse, *99 drunk'},
		{117.1,'*6 0% reverse, *6 0% drunk'},
		{119,'*99 -20% reverse, *99 drunk'},
		{119.1,'*6 0% reverse, *6 0% drunk'},
		{121,'*99 -20% reverse, *99 drunk'},
		{121.1,'*6 0% reverse, *6 0% drunk'},
		{123,'*99 -20% reverse, *99 drunk'},
		{123.1,'*6 0% reverse, *6 0% drunk'},
		{125,'*99 -20% reverse, *99 drunk'},
		{125.1,'*6 0% reverse, *6 0% drunk'},
		{127,'*99 -20% reverse, *99 drunk'},
		{127.1,'*6 0% reverse, *6 0% drunk'},

		{129,'*99 -60% tiny, *99 -20% reverse, *99 drunk'},
		{129.1,'*3 0% tiny, *6 0% reverse, *6 0% drunk'},
		{130,'*99 -60% tiny'},
		{130.1,'*3 0% tiny'},
		{131,'*99 -60% tiny, *99 -20% reverse, *99 drunk'},
		{131.1,'*3 0% tiny, *6 0% reverse, *6 0% drunk'},

		{133,'*99 -20% reverse, *99 drunk'},
		{133.1,'*6 0% reverse, *6 0% drunk'},
		{135,'*99 -20% reverse, *99 drunk'},
		{135.1,'*6 0% reverse, *6 0% drunk'},
		{137,'*99 -20% reverse, *99 drunk'},
		{137.1,'*6 0% reverse, *6 0% drunk'},
		{139,'*99 -20% reverse, *99 drunk'},
		{139.1,'*6 0% reverse, *6 0% drunk'},
		{141,'*99 -20% reverse, *99 drunk'},
		{141.1,'*6 0% reverse, *6 0% drunk'},
		{143,'*99 -20% reverse, *99 drunk'},
		{143.1,'*6 0% reverse, *6 0% drunk'},
		{145,'*99 -20% reverse, *99 drunk'},
		{145.1,'*6 0% reverse, *6 0% drunk'},
		{147,'*99 -20% reverse, *99 drunk'},
		{147.1,'*6 0% reverse, *6 0% drunk'},
		{149,'*99 -20% reverse, *99 drunk'},
		{149.1,'*6 0% reverse, *6 0% drunk'},
		{151,'*99 -20% reverse, *99 drunk'},
		{151.1,'*6 0% reverse, *6 0% drunk'},
		{153,'*99 -20% reverse, *99 drunk'},
		{153.1,'*6 0% reverse, *6 0% drunk'},
		{155,'*99 -20% reverse, *99 drunk'},
		{155.1,'*6 0% reverse, *6 0% drunk'},
		{157,'*99 -20% reverse, *99 drunk'},
		{157.1,'*6 0% reverse, *6 0% drunk'},
		{159,'*99 -20% reverse, *99 drunk'},
		{159.1,'*6 0% reverse, *6 0% drunk'},
		{161,'*99 -20% reverse, *99 drunk'},
		{161.1,'*6 0% reverse, *6 0% drunk'},
		{163,'*99 -20% reverse, *99 drunk'},
		{163.1,'*6 0% reverse, *6 0% drunk'},
		{165,'*99 -20% reverse, *99 drunk, *99 -50% wave'},
		{165.1,'*6 0% reverse, *6 0% drunk, *6 0% wave'},
		{167,'*99 -20% reverse, *99 drunk, *99 -50% wave'},
		{167.1,'*6 0% reverse, *6 0% drunk, *6 0% wave'},
		{169,'*99 -20% reverse, *99 drunk, *99 -50% wave'},
		{169.1,'*6 0% reverse, *6 0% drunk, *6 0% wave'},
		{171,'*99 -20% reverse, *99 drunk, *99 -50% wave'},
		{171.1,'*6 0% reverse, *6 0% drunk, *6 0% wave'},
		{173,'*99 -20% reverse, *99 drunk, *99 -50% wave'},
		{173.1,'*6 0% reverse, *6 0% drunk, *6 0% wave'},
		{175,'*99 -20% reverse, *99 drunk, *99 -50% wave, *99 20% confusion'},
		{175.1,'*6 0% reverse, *6 0% drunk, *6 0% wave, *5 0% confusion'},
		{175.75,'*99 20% confusion'},
		{175.8,'*5 0% confusion'},
		{176.5,'*99 20% confusion'},
		{176.6,'*5 0% confusion'},
		{177,'*99 -20% reverse, *99 drunk, *99 -50% wave, *99 20% confusion'},
		{177.1,'*6 0% reverse, *6 0% drunk, *6 0% wave, *5 0% confusion'},
		{179,'*99 -20% reverse, *99 drunk, *99 -50% wave'},
		{179.1,'*6 0% reverse, *6 0% drunk, *6 0% wave'},
		{181,'*99 -20% reverse, *99 drunk, *99 -50% wave'},
		{181.1,'*6 0% reverse, *6 0% drunk, *6 0% wave'},
		{183,'*99 -20% reverse, *99 drunk, *99 -50% wave'},
		{183.1,'*6 0% reverse, *6 0% drunk, *6 0% wave'},
		{185,'*99 -20% reverse, *99 drunk, *99 -50% wave'},
		{185.1,'*6 0% reverse, *6 0% drunk, *6 0% wave'},
		{187,'*99 -20% reverse, *99 drunk, *99 -50% wave'},
		{187.1,'*6 0% reverse, *6 0% drunk, *6 0% wave'},
		{189,'*99 -20% reverse, *99 drunk, *99 -50% wave'},
		{189.1,'*6 0% reverse, *6 0% drunk, *6 0% wave'},
		{191,'*99 -20% reverse, *99 drunk, *99 -50% wave'},
		{191.1,'*6 0% reverse, *6 0% drunk, *6 0% wave'},
		{193,'*99 -20% reverse, *99 drunk, *99 -50% wave, *99 -60% tiny'},
		{193.1,'*6 0% reverse, *6 0% drunk, *6 0% wave, *3 0% tiny'},
		{194,'*99 -60% tiny'},
		{194.1,'*3 0% tiny'},
		{195,'*99 -20% reverse, *99 drunk, *99 -50% wave, *99 -60% tiny'},
		{195.1,'*6 0% reverse, *6 0% drunk, *6 0% wave, *3 0% tiny'},
		{196,'*99 -60% tiny'},
		{196.1,'*3 0% tiny'},
		{197,'*99 -20% reverse, *99 drunk, *99 -50% wave, *99 -60% tiny'},
		{197.1,'*6 0% reverse, *6 0% drunk, *6 0% wave, *3 0% tiny'},
		{199,'*99 -20% reverse, *99 drunk, *99 -50% wave, *99 -60% tiny'},
		{199.1,'*6 0% reverse, *6 0% drunk, *6 0% wave, *3 0% tiny'},
		{200,'*99 -60% tiny'},
		{200.1,'*3 0% tiny'},
		{201,'*99 -20% reverse, *99 drunk, *99 -50% wave'},
		{201.1,'*6 0% reverse, *6 0% drunk, *6 0% wave'},
		{202,'*99 -60% tiny'},
		{202.1,'*3 0% tiny'},
		{203,'*99 -20% reverse, *99 drunk, *99 -50% wave, *99 -50% wave'},
		{203.1,'*6 0% reverse, *6 0% drunk, *6 0% wave, *3 0% tiny'},
		{205,'*99 -20% reverse, *99 drunk, *99 -50% wave'},
		{205.1,'*6 0% reverse, *6 0% drunk, *6 0% wave'},
		{207,'*99 -20% reverse, *99 drunk, *99 -50% wave'},
		{207.1,'*6 0% reverse, *6 0% drunk, *6 0% wave'},
		{209,'*99 -20% reverse, *99 drunk, *99 -50% wave'},
		{209.1,'*6 0% reverse, *6 0% drunk, *6 0% wave'},
		{211,'*99 -20% reverse, *99 drunk, *99 -50% wave'},
		{211.1,'*6 0% reverse, *6 0% drunk, *6 0% wave'},
		{213,'*99 -20% reverse, *99 drunk, *99 -50% wave'},
		{213.1,'*6 0% reverse, *6 0% drunk, *6 0% wave'},
		{215,'*99 -20% reverse, *99 drunk, *99 -50% wave'},
		{215.1,'*6 0% reverse, *6 0% drunk, *6 0% wave'},
		{217,'*99 -20% reverse, *99 drunk, *99 -50% wave'},
		{217.1,'*6 0% reverse, *6 0% drunk, *6 0% wave'},
		{219,'*99 -20% reverse, *99 drunk, *99 -50% wave'},
		{219.1,'*6 0% reverse, *6 0% drunk, *6 0% wave'},

		{228,'*100 20% drunk, *100 20% tipsy'},
		{228.05,'*102-100% drunk, *100 -20% tipsy'},
		{228.10,'*100 20% drunk, *100 20% tipsy'},
		{228.15,'*100 -20% drunk, *100 -20% tipsy'},
		{228.20,'*100 20% drunk, *100 20% tipsy'},
		{228.25,'*100 -20% drunk, *100 -20% tipsy'},
		{228.30,'*100 20% drunk, *100 20% tipsy'},
		{228.35,'*100 -20% drunk, *100 -20% tipsy'},
		{228.40,'*100 20% drunk, *100 20% tipsy'},
		{228.45,'*100 -20% drunk, *100 -20% tipsy'},
		{228.50,'*100 20% drunk, *100 20% tipsy'},
		{228.55,'*100 -20% drunk, *100 -20% tipsy'},
		{228.60,'*100 20% drunk, *100 20% tipsy'},
		{228.65,'*100 -20% drunk, *100 -20% tipsy'},
		{228.70,'*100 20% drunk, *100 20% tipsy'},
		{228.75,'*100 -20% drunk, *100 -20% tipsy'},
		{228.80,'*100 20% drunk, *100 20% tipsy'},
		{228.85,'*100 -20% drunk, *100 -20% tipsy'},
		{228.90,'*100 20% drunk, *100 20% tipsy'},
		{228.95,'*100 -20% drunk, *100 -20% tipsy'},
		{229,'*100 20% drunk, *100 20% tipsy'},
		{229.05,'*102-100% drunk, *100 -20% tipsy'},
		{229.10,'*100 20% drunk, *100 20% tipsy'},
		{229.15,'*100 -20% drunk, *100 -20% tipsy'},
		{229.20,'*100 20% drunk, *100 20% tipsy'},
		{229.25,'*100 -20% drunk, *100 -20% tipsy'},
		{229.30,'*100 20% drunk, *100 20% tipsy'},
		{229.35,'*100 -20% drunk, *100 -20% tipsy'},
		{229.40,'*100 20% drunk, *100 20% tipsy'},
		{229.45,'*100 -20% drunk, *100 -20% tipsy'},
		{229.50,'*100 20% drunk, *100 20% tipsy'},
		{229.55,'*100 -20% drunk, *100 -20% tipsy'},
		{229.60,'*100 20% drunk, *100 20% tipsy'},
		{229.65,'*100 -20% drunk, *100 -20% tipsy'},
		{229.70,'*100 20% drunk, *100 20% tipsy'},
		{229.75,'*100 -20% drunk, *100 -20% tipsy'},
		{229.80,'*100 20% drunk, *100 20% tipsy'},
		{229.85,'*100 -20% drunk, *100 -20% tipsy'},
		{229.90,'*100 20% drunk, *100 20% tipsy'},
		{229.95,'*100 -20% drunk, *100 -20% tipsy'},
		{230,'*100 20% drunk, *100 20% tipsy'},
		{230.05,'*102-100% drunk, *100 -20% tipsy'},
		{230.10,'*100 20% drunk, *100 20% tipsy'},
		{230.15,'*100 -20% drunk, *100 -20% tipsy'},
		{230.20,'*100 20% drunk, *100 20% tipsy'},
		{230.25,'*100 -20% drunk, *100 -20% tipsy'},
		{230.30,'*100 20% drunk, *100 20% tipsy'},
		{230.35,'*100 -20% drunk, *100 -20% tipsy'},
		{230.40,'*100 20% drunk, *100 20% tipsy'},
		{230.45,'*100 -20% drunk, *100 -20% tipsy'},
		{230.50,'*100 20% drunk, *100 20% tipsy'},
		{230.55,'*100 -20% drunk, *100 -20% tipsy'},
		{230.60,'*100 20% drunk, *100 20% tipsy'},
		{230.65,'*100 -20% drunk, *100 -20% tipsy'},
		{230.70,'*100 20% drunk, *100 20% tipsy'},
		{230.75,'*100 -20% drunk, *100 -20% tipsy'},
		{230.80,'*100 20% drunk, *100 20% tipsy'},
		{230.85,'*100 -20% drunk, *100 -20% tipsy'},
		{230.90,'*100 20% drunk, *100 20% tipsy'},
		{230.95,'*100 -20% drunk, *100 -20% tipsy'},
		{231,'*100 20% drunk, *100 20% tipsy'},
		{231.05,'*102-100% drunk, *100 -20% tipsy'},
		{231.10,'*100 20% drunk, *100 20% tipsy'},
		{231.15,'*100 -20% drunk, *100 -20% tipsy'},
		{231.20,'*100 20% drunk, *100 20% tipsy'},
		{231.25,'*100 -20% drunk, *100 -20% tipsy'},
		{231.30,'*100 20% drunk, *100 20% tipsy'},
		{231.35,'*100 -20% drunk, *100 -20% tipsy'},
		{231.40,'*100 20% drunk, *100 20% tipsy'},
		{231.45,'*100 -20% drunk, *100 -20% tipsy'},
		{231.50,'*100 20% drunk, *100 20% tipsy'},
		{231.55,'*100 -20% drunk, *100 -20% tipsy'},
		{231.60,'*100 20% drunk, *100 20% tipsy'},
		{231.65,'*100 -20% drunk, *100 -20% tipsy'},
		{231.70,'*100 20% drunk, *100 20% tipsy'},
		{231.75,'*100 -20% drunk, *100 -20% tipsy'},
		{231.80,'*100 20% drunk, *100 20% tipsy'},
		{231.85,'*100 -20% drunk, *100 -20% tipsy'},
		{231.90,'*100 20% drunk, *100 20% tipsy'},
		{231.95,'*100 -20% drunk, *100 -20% tipsy'},
		{232,'*100 20% drunk, *100 20% tipsy'},
		{232.05,'*102-100% drunk, *100 -20% tipsy'},
		{232.10,'*100 20% drunk, *100 20% tipsy'},
		{232.15,'*100 -20% drunk, *100 -20% tipsy'},
		{232.20,'*100 20% drunk, *100 20% tipsy'},
		{232.25,'*100 -20% drunk, *100 -20% tipsy'},
		{232.30,'*100 20% drunk, *100 20% tipsy'},
		{232.35,'*100 -20% drunk, *100 -20% tipsy'},
		{232.40,'*100 20% drunk, *100 20% tipsy'},
		{232.45,'*100 -20% drunk, *100 -20% tipsy'},
		{232.50,'*100 20% drunk, *100 20% tipsy'},
		{232.55,'*100 -20% drunk, *100 -20% tipsy'},
		{232.60,'*100 20% drunk, *100 20% tipsy'},
		{232.65,'*100 -20% drunk, *100 -20% tipsy'},
		{232.70,'*100 20% drunk, *100 20% tipsy'},
		{232.75,'*100 -20% drunk, *100 -20% tipsy'},
		{232.80,'*100 20% drunk, *100 20% tipsy'},
		{232.85,'*100 -20% drunk, *100 -20% tipsy'},
		{232.90,'*100 20% drunk, *100 20% tipsy'},
		{232.95,'*100 -20% drunk, *100 -20% tipsy'},
		{233,'*100 20% drunk, *100 20% tipsy'},
		{233.05,'*102-100% drunk, *100 -20% tipsy'},
		{233.10,'*100 20% drunk, *100 20% tipsy'},
		{233.15,'*100 -20% drunk, *100 -20% tipsy'},
		{233.20,'*100 20% drunk, *100 20% tipsy'},
		{233.25,'*100 -20% drunk, *100 -20% tipsy'},
		{233.30,'*100 20% drunk, *100 20% tipsy'},
		{233.35,'*100 -20% drunk, *100 -20% tipsy'},
		{233.40,'*100 20% drunk, *100 20% tipsy'},
		{233.45,'*100 -20% drunk, *100 -20% tipsy'},
		{233.50,'*100 20% drunk, *100 20% tipsy'},
		{233.55,'*100 -20% drunk, *100 -20% tipsy'},
		{233.60,'*100 20% drunk, *100 20% tipsy'},
		{233.65,'*100 -20% drunk, *100 -20% tipsy'},
		{233.70,'*100 20% drunk, *100 20% tipsy'},
		{233.75,'*100 -20% drunk, *100 -20% tipsy'},
		{233.80,'*100 20% drunk, *100 20% tipsy'},
		{233.85,'*100 -20% drunk, *100 -20% tipsy'},
		{233.90,'*100 20% drunk, *100 20% tipsy'},
		{233.95,'*100 -20% drunk, *100 -20% tipsy'},
		{234,'*100 20% drunk, *100 20% tipsy'},
		{234.05,'*102-100% drunk, *100 -20% tipsy'},
		{234.10,'*100 20% drunk, *100 20% tipsy'},
		{234.15,'*100 -20% drunk, *100 -20% tipsy'},
		{234.20,'*100 20% drunk, *100 20% tipsy'},
		{234.25,'*100 -20% drunk, *100 -20% tipsy'},
		{234.30,'*100 20% drunk, *100 20% tipsy'},
		{234.35,'*100 -20% drunk, *100 -20% tipsy'},
		{234.40,'*100 20% drunk, *100 20% tipsy'},
		{234.45,'*100 -20% drunk, *100 -20% tipsy'},
		{234.50,'*100 20% drunk, *100 20% tipsy'},
		{234.55,'*100 -20% drunk, *100 -20% tipsy'},
		{234.60,'*100 20% drunk, *100 20% tipsy'},
		{234.65,'*100 -20% drunk, *100 -20% tipsy'},
		{234.70,'*100 20% drunk, *100 20% tipsy'},
		{234.75,'*100 -20% drunk, *100 -20% tipsy'},
		{234.80,'*100 20% drunk, *100 20% tipsy'},
		{234.85,'*100 -20% drunk, *100 -20% tipsy'},
		{234.90,'*100 20% drunk, *100 20% tipsy'},
		{234.95,'*100 -20% drunk, *100 -20% tipsy'},
		{235,'*100 20% drunk, *100 20% tipsy'},
		{235.05,'*102-100% drunk, *100 -20% tipsy'},
		{235.10,'*100 20% drunk, *100 20% tipsy'},
		{235.15,'*100 -20% drunk, *100 -20% tipsy'},
		{235.20,'*100 20% drunk, *100 20% tipsy'},
		{235.25,'*100 -20% drunk, *100 -20% tipsy'},
		{235.30,'*100 20% drunk, *100 20% tipsy'},
		{235.35,'*100 -20% drunk, *100 -20% tipsy'},
		{235.40,'*100 20% drunk, *100 20% tipsy'},
		{235.45,'*100 -20% drunk, *100 -20% tipsy'},
		{235.50,'*100 20% drunk, *100 20% tipsy'},
		{235.55,'*100 -20% drunk, *100 -20% tipsy'},
		{235.60,'*100 20% drunk, *100 20% tipsy'},
		{235.65,'*100 -20% drunk, *100 -20% tipsy'},
		{235.70,'*100 20% drunk, *100 20% tipsy'},
		{235.75,'*100 -20% drunk, *100 -20% tipsy'},
		{235.80,'*100 20% drunk, *100 20% tipsy'},
		{235.85,'*100 -20% drunk, *100 -20% tipsy'},
		{235.90,'*100 20% drunk, *100 20% tipsy'},
		{235.95,'*100 -20% drunk, *100 -20% tipsy'},
		{236,'*100 20% drunk, *100 20% tipsy'},
		{236.05,'*102-100% drunk, *100 -20% tipsy'},
		{236.10,'*100 20% drunk, *100 20% tipsy'},
		{236.15,'*100 -20% drunk, *100 -20% tipsy'},
		{236.20,'*100 20% drunk, *100 20% tipsy'},
		{236.25,'*100 -20% drunk, *100 -20% tipsy'},
		{236.30,'*100 20% drunk, *100 20% tipsy'},
		{236.35,'*100 -20% drunk, *100 -20% tipsy'},
		{236.40,'*100 20% drunk, *100 20% tipsy'},
		{236.45,'*100 -20% drunk, *100 -20% tipsy'},
		{236.50,'*100 20% drunk, *100 20% tipsy'},
		{236.55,'*100 -20% drunk, *100 -20% tipsy'},
		{236.60,'*100 20% drunk, *100 20% tipsy'},
		{236.65,'*100 -20% drunk, *100 -20% tipsy'},
		{236.70,'*100 20% drunk, *100 20% tipsy'},
		{236.75,'*100 -20% drunk, *100 -20% tipsy'},
		{236.80,'*100 20% drunk, *100 20% tipsy'},
		{236.85,'*100 -20% drunk, *100 -20% tipsy'},
		{236.90,'*100 20% drunk, *100 20% tipsy'},
		{236.95,'*100 -20% drunk, *100 -20% tipsy'},
		{237,'*100 20% drunk, *100 20% tipsy'},
		{237.05,'*102-100% drunk, *100 -20% tipsy'},
		{237.10,'*100 20% drunk, *100 20% tipsy'},
		{237.15,'*100 -20% drunk, *100 -20% tipsy'},
		{237.20,'*100 20% drunk, *100 20% tipsy'},
		{237.25,'*100 -20% drunk, *100 -20% tipsy'},
		{237.30,'*100 20% drunk, *100 20% tipsy'},
		{237.35,'*100 -20% drunk, *100 -20% tipsy'},
		{237.40,'*100 20% drunk, *100 20% tipsy'},
		{237.45,'*100 -20% drunk, *100 -20% tipsy'},
		{237.50,'*100 20% drunk, *100 20% tipsy'},
		{237.55,'*100 -20% drunk, *100 -20% tipsy'},
		{237.60,'*100 20% drunk, *100 20% tipsy'},
		{237.65,'*100 -20% drunk, *100 -20% tipsy'},
		{237.70,'*100 20% drunk, *100 20% tipsy'},
		{237.75,'*100 -20% drunk, *100 -20% tipsy'},
		{237.80,'*100 20% drunk, *100 20% tipsy'},
		{237.85,'*100 -20% drunk, *100 -20% tipsy'},
		{237.90,'*100 20% drunk, *100 20% tipsy'},
		{237.95,'*100 -20% drunk, *100 -20% tipsy'},
		{238,'*100 20% drunk, *100 20% tipsy'},
		{238.05,'*102-100% drunk, *100 -20% tipsy'},
		{238.10,'*100 20% drunk, *100 20% tipsy'},
		{238.15,'*100 -20% drunk, *100 -20% tipsy'},
		{238.20,'*100 20% drunk, *100 20% tipsy'},
		{238.25,'*100 -20% drunk, *100 -20% tipsy'},
		{238.30,'*100 20% drunk, *100 20% tipsy'},
		{238.35,'*100 -20% drunk, *100 -20% tipsy'},
		{238.40,'*100 20% drunk, *100 20% tipsy'},
		{238.45,'*100 -20% drunk, *100 -20% tipsy'},
		{238.50,'*100 20% drunk, *100 20% tipsy'},
		{238.55,'*100 -20% drunk, *100 -20% tipsy'},
		{238.60,'*100 20% drunk, *100 20% tipsy'},
		{238.65,'*100 -20% drunk, *100 -20% tipsy'},
		{238.70,'*100 20% drunk, *100 20% tipsy'},
		{238.75,'*100 -20% drunk, *100 -20% tipsy'},
		{238.80,'*100 20% drunk, *100 20% tipsy'},
		{238.85,'*100 -20% drunk, *100 -20% tipsy'},
		{238.90,'*100 20% drunk, *100 20% tipsy'},
		{238.95,'*100 -20% drunk, *100 -20% tipsy'},
		{239,'*100 20% drunk, *100 20% tipsy'},
		{239.05,'*102-100% drunk, *100 -20% tipsy'},
		{239.10,'*100 20% drunk, *100 20% tipsy'},
		{239.15,'*100 -20% drunk, *100 -20% tipsy'},
		{239.20,'*100 20% drunk, *100 20% tipsy'},
		{239.25,'*100 -20% drunk, *100 -20% tipsy'},
		{239.30,'*100 20% drunk, *100 20% tipsy'},
		{239.35,'*100 -20% drunk, *100 -20% tipsy'},
		{239.40,'*100 20% drunk, *100 20% tipsy'},
		{239.45,'*100 -20% drunk, *100 -20% tipsy'},
		{239.50,'*100 20% drunk, *100 20% tipsy'},
		{239.55,'*100 -20% drunk, *100 -20% tipsy'},
		{239.60,'*100 20% drunk, *100 20% tipsy'},
		{239.65,'*100 -20% drunk, *100 -20% tipsy'},
		{239.70,'*100 20% drunk, *100 20% tipsy'},
		{239.75,'*100 -20% drunk, *100 -20% tipsy'},
		{239.80,'*100 20% drunk, *100 20% tipsy'},
		{239.85,'*100 -20% drunk, *100 -20% tipsy'},
		{239.90,'*100 20% drunk, *100 20% tipsy'},
		{239.95,'*100 -20% drunk, *100 -20% tipsy'},
		{240,'*100 20% drunk, *100 20% tipsy'},
		{240.05,'*102-100% drunk, *100 -20% tipsy'},
		{240.10,'*100 20% drunk, *100 20% tipsy'},
		{240.15,'*100 -20% drunk, *100 -20% tipsy'},
		{240.20,'*100 20% drunk, *100 20% tipsy'},
		{240.25,'*100 -20% drunk, *100 -20% tipsy'},
		{240.30,'*100 20% drunk, *100 20% tipsy'},
		{240.35,'*100 -20% drunk, *100 -20% tipsy'},
		{240.40,'*100 20% drunk, *100 20% tipsy'},
		{240.45,'*100 -20% drunk, *100 -20% tipsy'},
		{240.50,'*100 20% drunk, *100 20% tipsy'},
		{240.55,'*100 -20% drunk, *100 -20% tipsy'},
		{240.60,'*100 20% drunk, *100 20% tipsy'},
		{240.65,'*100 -20% drunk, *100 -20% tipsy'},
		{240.70,'*100 20% drunk, *100 20% tipsy'},
		{240.75,'*100 -20% drunk, *100 -20% tipsy'},
		{240.80,'*100 20% drunk, *100 20% tipsy'},
		{240.85,'*100 -20% drunk, *100 -20% tipsy'},
		{240.90,'*100 20% drunk, *100 20% tipsy'},
		{240.95,'*100 -20% drunk, *100 -20% tipsy'},
		{241,'*100 20% drunk, *100 20% tipsy'},
		{241.05,'*102-100% drunk, *100 -20% tipsy'},
		{241.10,'*100 20% drunk, *100 20% tipsy'},
		{241.15,'*100 -20% drunk, *100 -20% tipsy'},
		{241.20,'*100 20% drunk, *100 20% tipsy'},
		{241.25,'*100 -20% drunk, *100 -20% tipsy'},
		{241.30,'*100 20% drunk, *100 20% tipsy'},
		{241.35,'*100 -20% drunk, *100 -20% tipsy'},
		{241.40,'*100 20% drunk, *100 20% tipsy'},
		{241.45,'*100 -20% drunk, *100 -20% tipsy'},
		{241.50,'*100 20% drunk, *100 20% tipsy'},
		{241.55,'*100 -20% drunk, *100 -20% tipsy'},
		{241.60,'*100 20% drunk, *100 20% tipsy'},
		{241.65,'*100 -20% drunk, *100 -20% tipsy'},
		{241.70,'*100 20% drunk, *100 20% tipsy'},
		{241.75,'*100 -20% drunk, *100 -20% tipsy'},
		{241.80,'*100 20% drunk, *100 20% tipsy'},
		{241.85,'*100 -20% drunk, *100 -20% tipsy'},
		{241.90,'*100 20% drunk, *100 20% tipsy'},
		{241.95,'*100 -20% drunk, *100 -20% tipsy'},
		{242,'*100 20% drunk, *100 20% tipsy'},
		{242.05,'*102-100% drunk, *100 -20% tipsy'},
		{242.10,'*100 20% drunk, *100 20% tipsy'},
		{242.15,'*100 -20% drunk, *100 -20% tipsy'},
		{242.20,'*100 20% drunk, *100 20% tipsy'},
		{242.25,'*100 -20% drunk, *100 -20% tipsy'},
		{242.30,'*100 20% drunk, *100 20% tipsy'},
		{242.35,'*100 -20% drunk, *100 -20% tipsy'},
		{242.40,'*100 20% drunk, *100 20% tipsy'},
		{242.45,'*100 -20% drunk, *100 -20% tipsy'},
		{242.50,'*100 20% drunk, *100 20% tipsy'},
		{242.55,'*100 -20% drunk, *100 -20% tipsy'},
		{242.60,'*100 20% drunk, *100 20% tipsy'},
		{242.65,'*100 -20% drunk, *100 -20% tipsy'},
		{242.70,'*100 20% drunk, *100 20% tipsy'},
		{242.75,'*100 -20% drunk, *100 -20% tipsy'},
		{242.80,'*100 20% drunk, *100 20% tipsy'},
		{242.85,'*100 -20% drunk, *100 -20% tipsy'},
		{242.90,'*100 20% drunk, *100 20% tipsy'},
		{242.95,'*100 -20% drunk, *100 -20% tipsy'},
		{243,'*100 20% drunk, *100 20% tipsy'},
		{243.05,'*102-100% drunk, *100 -20% tipsy'},
		{243.10,'*100 20% drunk, *100 20% tipsy'},
		{243.15,'*100 -20% drunk, *100 -20% tipsy'},
		{243.20,'*100 20% drunk, *100 20% tipsy'},
		{243.25,'*100 -20% drunk, *100 -20% tipsy'},
		{243.30,'*100 20% drunk, *100 20% tipsy'},
		{243.35,'*100 -20% drunk, *100 -20% tipsy'},
		{243.40,'*100 20% drunk, *100 20% tipsy'},
		{243.45,'*100 -20% drunk, *100 -20% tipsy'},
		{243.50,'*100 20% drunk, *100 20% tipsy'},
		{243.55,'*100 -20% drunk, *100 -20% tipsy'},
		{243.60,'*100 20% drunk, *100 20% tipsy'},
		{243.65,'*100 -20% drunk, *100 -20% tipsy'},
		{243.70,'*100 20% drunk, *100 20% tipsy'},
		{243.75,'*100 -20% drunk, *100 -20% tipsy'},
		{243.80,'*100 20% drunk, *100 20% tipsy'},
		{243.85,'*100 -20% drunk, *100 -20% tipsy'},
		{243.90,'*100 20% drunk, *100 20% tipsy'},
		{243.95,'*100 -20% drunk, *100 -20% tipsy'},
		{244,'*100 20% drunk, *100 20% tipsy'},
		{244.05,'*102-100% drunk, *100 -20% tipsy'},
		{244.10,'*100 20% drunk, *100 20% tipsy'},
		{244.15,'*100 -20% drunk, *100 -20% tipsy'},
		{244.20,'*100 20% drunk, *100 20% tipsy'},
		{244.25,'*100 -20% drunk, *100 -20% tipsy'},
		{244.30,'*100 20% drunk, *100 20% tipsy'},
		{244.35,'*100 -20% drunk, *100 -20% tipsy'},
		{244.40,'*100 20% drunk, *100 20% tipsy'},
		{244.45,'*100 -20% drunk, *100 -20% tipsy'},
		{244.50,'*100 20% drunk, *100 20% tipsy'},
		{244.55,'*100 -20% drunk, *100 -20% tipsy'},
		{244.60,'*100 20% drunk, *100 20% tipsy'},
		{244.65,'*100 -20% drunk, *100 -20% tipsy'},
		{244.70,'*100 20% drunk, *100 20% tipsy'},
		{244.75,'*100 -20% drunk, *100 -20% tipsy'},
		{244.80,'*100 20% drunk, *100 20% tipsy'},
		{244.85,'*100 -20% drunk, *100 -20% tipsy'},
		{244.90,'*100 20% drunk, *100 20% tipsy'},
		{244.95,'*100 -20% drunk, *100 -20% tipsy'},
		{245,'*100 20% drunk, *100 20% tipsy'},
		{245.05,'*102-100% drunk, *100 -20% tipsy'},
		{245.10,'*100 20% drunk, *100 20% tipsy'},
		{245.15,'*100 -20% drunk, *100 -20% tipsy'},
		{245.20,'*100 20% drunk, *100 20% tipsy'},
		{245.25,'*100 -20% drunk, *100 -20% tipsy'},
		{245.30,'*100 20% drunk, *100 20% tipsy'},
		{245.35,'*100 -20% drunk, *100 -20% tipsy'},
		{245.40,'*100 20% drunk, *100 20% tipsy'},
		{245.45,'*100 -20% drunk, *100 -20% tipsy'},
		{245.50,'*100 20% drunk, *100 20% tipsy'},
		{245.55,'*100 -20% drunk, *100 -20% tipsy'},
		{245.60,'*100 20% drunk, *100 20% tipsy'},
		{245.65,'*100 -20% drunk, *100 -20% tipsy'},
		{245.70,'*100 20% drunk, *100 20% tipsy'},
		{245.75,'*100 -20% drunk, *100 -20% tipsy'},
		{245.80,'*100 20% drunk, *100 20% tipsy'},
		{245.85,'*100 -20% drunk, *100 -20% tipsy'},
		{245.90,'*100 20% drunk, *100 20% tipsy'},
		{245.95,'*100 -20% drunk, *100 -20% tipsy'},
		{246,'*100 20% drunk, *100 20% tipsy'},
		{246.05,'*102-100% drunk, *100 -20% tipsy'},
		{246.10,'*100 20% drunk, *100 20% tipsy'},
		{246.15,'*100 -20% drunk, *100 -20% tipsy'},
		{246.20,'*100 20% drunk, *100 20% tipsy'},
		{246.25,'*100 -20% drunk, *100 -20% tipsy'},
		{246.30,'*100 20% drunk, *100 20% tipsy'},
		{246.35,'*100 -20% drunk, *100 -20% tipsy'},
		{246.40,'*100 20% drunk, *100 20% tipsy'},
		{246.45,'*100 -20% drunk, *100 -20% tipsy'},
		{246.50,'*100 20% drunk, *100 20% tipsy'},
		{246.55,'*100 -20% drunk, *100 -20% tipsy'},
		{246.60,'*100 20% drunk, *100 20% tipsy'},
		{246.65,'*100 -20% drunk, *100 -20% tipsy'},
		{246.70,'*100 20% drunk, *100 20% tipsy'},
		{246.75,'*100 -20% drunk, *100 -20% tipsy'},
		{246.80,'*100 20% drunk, *100 20% tipsy'},
		{246.85,'*100 -20% drunk, *100 -20% tipsy'},
		{246.90,'*100 20% drunk, *100 20% tipsy'},
		{246.95,'*100 -20% drunk, *100 -20% tipsy'},
		{247,'*100 20% drunk, *100 20% tipsy'},
		{247.05,'*102-100% drunk, *100 -20% tipsy'},
		{247.10,'*100 20% drunk, *100 20% tipsy'},
		{247.15,'*100 -20% drunk, *100 -20% tipsy'},
		{247.20,'*100 20% drunk, *100 20% tipsy'},
		{247.25,'*100 -20% drunk, *100 -20% tipsy'},
		{247.30,'*100 20% drunk, *100 20% tipsy'},
		{247.35,'*100 -20% drunk, *100 -20% tipsy'},
		{247.40,'*100 20% drunk, *100 20% tipsy'},
		{247.45,'*100 -20% drunk, *100 -20% tipsy'},
		{247.50,'*100 20% drunk, *100 20% tipsy'},
		{247.55,'*100 -20% drunk, *100 -20% tipsy'},
		{247.60,'*100 20% drunk, *100 20% tipsy'},
		{247.65,'*100 -20% drunk, *100 -20% tipsy'},
		{247.70,'*100 20% drunk, *100 20% tipsy'},
		{247.75,'*100 -20% drunk, *100 -20% tipsy'},
		{247.80,'*100 20% drunk, *100 20% tipsy'},
		{247.85,'*100 -20% drunk, *100 -20% tipsy'},
		{247.90,'*100 20% drunk, *100 20% tipsy'},
		{247.95,'*100 -20% drunk, *100 -20% tipsy'},
		{248,'*100 20% drunk, *100 20% tipsy'},
		{248.05,'*102-100% drunk, *100 -20% tipsy'},
		{248.10,'*100 20% drunk, *100 20% tipsy'},
		{248.15,'*100 -20% drunk, *100 -20% tipsy'},
		{248.20,'*100 20% drunk, *100 20% tipsy'},
		{248.25,'*100 -20% drunk, *100 -20% tipsy'},
		{248.30,'*100 20% drunk, *100 20% tipsy'},
		{248.35,'*100 -20% drunk, *100 -20% tipsy'},
		{248.40,'*100 20% drunk, *100 20% tipsy'},
		{248.45,'*100 -20% drunk, *100 -20% tipsy'},
		{248.50,'*100 20% drunk, *100 20% tipsy'},
		{248.55,'*100 -20% drunk, *100 -20% tipsy'},
		{248.60,'*100 20% drunk, *100 20% tipsy'},
		{248.65,'*100 -20% drunk, *100 -20% tipsy'},
		{248.70,'*100 20% drunk, *100 20% tipsy'},
		{248.75,'*100 -20% drunk, *100 -20% tipsy'},
		{248.80,'*100 20% drunk, *100 20% tipsy'},
		{248.85,'*100 -20% drunk, *100 -20% tipsy'},
		{248.90,'*100 20% drunk, *100 20% tipsy'},
		{248.95,'*100 -20% drunk, *100 -20% tipsy'},
		{249,'*100 20% drunk, *100 20% tipsy'},
		{249.05,'*102-100% drunk, *100 -20% tipsy'},
		{249.10,'*100 20% drunk, *100 20% tipsy'},
		{249.15,'*100 -20% drunk, *100 -20% tipsy'},
		{249.20,'*100 20% drunk, *100 20% tipsy'},
		{249.25,'*100 -20% drunk, *100 -20% tipsy'},
		{249.30,'*100 20% drunk, *100 20% tipsy'},
		{249.35,'*100 -20% drunk, *100 -20% tipsy'},
		{249.40,'*100 20% drunk, *100 20% tipsy'},
		{249.45,'*100 -20% drunk, *100 -20% tipsy'},
		{249.50,'*100 20% drunk, *100 20% tipsy'},
		{249.55,'*100 -20% drunk, *100 -20% tipsy'},
		{249.60,'*100 20% drunk, *100 20% tipsy'},
		{249.65,'*100 -20% drunk, *100 -20% tipsy'},
		{249.70,'*100 20% drunk, *100 20% tipsy'},
		{249.75,'*100 -20% drunk, *100 -20% tipsy'},
		{249.80,'*100 20% drunk, *100 20% tipsy'},
		{249.85,'*100 -20% drunk, *100 -20% tipsy'},
		{249.90,'*100 20% drunk, *100 20% tipsy'},
		{249.95,'*100 -20% drunk, *100 -20% tipsy'},
		{250,'*100 20% drunk, *100 20% tipsy'},
		{250.05,'*102-100% drunk, *100 -20% tipsy'},
		{250.10,'*100 20% drunk, *100 20% tipsy'},
		{250.15,'*100 -20% drunk, *100 -20% tipsy'},
		{250.20,'*100 20% drunk, *100 20% tipsy'},
		{250.25,'*100 -20% drunk, *100 -20% tipsy'},
		{250.30,'*100 20% drunk, *100 20% tipsy'},
		{250.35,'*100 -20% drunk, *100 -20% tipsy'},
		{250.40,'*100 20% drunk, *100 20% tipsy'},
		{250.45,'*100 -20% drunk, *100 -20% tipsy'},
		{250.50,'*100 20% drunk, *100 20% tipsy'},
		{250.55,'*100 -20% drunk, *100 -20% tipsy'},
		{250.60,'*100 20% drunk, *100 20% tipsy'},
		{250.65,'*100 -20% drunk, *100 -20% tipsy'},
		{250.70,'*100 20% drunk, *100 20% tipsy'},
		{250.75,'*100 -20% drunk, *100 -20% tipsy'},
		{250.80,'*100 20% drunk, *100 20% tipsy'},
		{250.85,'*100 -20% drunk, *100 -20% tipsy'},
		{250.90,'*100 20% drunk, *100 20% tipsy'},
		{250.95,'*100 -20% drunk, *100 -20% tipsy'},
		{251,'*100 20% drunk, *100 20% tipsy'},
		{251.05,'*102-100% drunk, *100 -20% tipsy'},
		{251.10,'*100 20% drunk, *100 20% tipsy'},
		{251.15,'*100 -20% drunk, *100 -20% tipsy'},
		{251.20,'*100 20% drunk, *100 20% tipsy'},
		{251.25,'*100 -20% drunk, *100 -20% tipsy'},
		{251.30,'*100 20% drunk, *100 20% tipsy'},
		{251.35,'*100 -20% drunk, *100 -20% tipsy'},
		{251.40,'*100 20% drunk, *100 20% tipsy'},
		{251.45,'*100 -20% drunk, *100 -20% tipsy'},
		{251.50,'*100 20% drunk, *100 20% tipsy'},
		{251.55,'*100 -20% drunk, *100 -20% tipsy'},
		{251.60,'*100 20% drunk, *100 20% tipsy'},
		{251.65,'*100 -20% drunk, *100 -20% tipsy'},
		{251.70,'*100 20% drunk, *100 20% tipsy'},
		{251.75,'*100 -20% drunk, *100 -20% tipsy'},
		{251.80,'*100 20% drunk, *100 20% tipsy'},
		{251.85,'*100 -20% drunk, *100 -20% tipsy'},
		{251.90,'*100 20% drunk, *100 20% tipsy'},
		{251.95,'*100 -20% drunk, *100 -20% tipsy'},
		{252,'*100 20% drunk, *100 20% tipsy'},
		{252.05,'*102-100% drunk, *100 -20% tipsy'},
		{252.10,'*100 20% drunk, *100 20% tipsy'},
		{252.15,'*100 -20% drunk, *100 -20% tipsy'},
		{252.20,'*100 20% drunk, *100 20% tipsy'},
		{252.25,'*100 -20% drunk, *100 -20% tipsy'},
		{252.30,'*100 20% drunk, *100 20% tipsy'},
		{252.35,'*100 -20% drunk, *100 -20% tipsy'},
		{252.40,'*100 20% drunk, *100 20% tipsy'},
		{252.45,'*100 -20% drunk, *100 -20% tipsy'},
		{252.50,'*100 20% drunk, *100 20% tipsy'},
		{252.55,'*100 -20% drunk, *100 -20% tipsy'},
		{252.60,'*100 20% drunk, *100 20% tipsy'},
		{252.65,'*100 -20% drunk, *100 -20% tipsy'},
		{252.70,'*100 20% drunk, *100 20% tipsy'},
		{252.75,'*100 -20% drunk, *100 -20% tipsy'},
		{252.80,'*100 20% drunk, *100 20% tipsy'},
		{252.85,'*100 -20% drunk, *100 -20% tipsy'},
		{252.90,'*100 20% drunk, *100 20% tipsy'},
		{252.95,'*100 -20% drunk, *100 -20% tipsy'},
		{253,'*100 20% drunk, *100 20% tipsy'},
		{253.05,'*102-100% drunk, *100 -20% tipsy'},
		{253.10,'*100 20% drunk, *100 20% tipsy'},
		{253.15,'*100 -20% drunk, *100 -20% tipsy'},
		{253.20,'*100 20% drunk, *100 20% tipsy'},
		{253.25,'*100 -20% drunk, *100 -20% tipsy'},
		{253.30,'*100 20% drunk, *100 20% tipsy'},
		{253.35,'*100 -20% drunk, *100 -20% tipsy'},
		{253.40,'*100 20% drunk, *100 20% tipsy'},
		{253.45,'*100 -20% drunk, *100 -20% tipsy'},
		{253.50,'*100 20% drunk, *100 20% tipsy'},
		{253.55,'*100 -20% drunk, *100 -20% tipsy'},
		{253.60,'*100 20% drunk, *100 20% tipsy'},
		{253.65,'*100 -20% drunk, *100 -20% tipsy'},
		{253.70,'*100 20% drunk, *100 20% tipsy'},
		{253.75,'*100 -20% drunk, *100 -20% tipsy'},
		{253.80,'*100 20% drunk, *100 20% tipsy'},
		{253.85,'*100 -20% drunk, *100 -20% tipsy'},
		{253.90,'*100 20% drunk, *100 20% tipsy'},
		{253.95,'*100 -20% drunk, *100 -20% tipsy'},
		{254,'*100 20% drunk, *100 20% tipsy'},
		{254.05,'*102-100% drunk, *100 -20% tipsy'},
		{254.10,'*100 20% drunk, *100 20% tipsy'},
		{254.15,'*100 -20% drunk, *100 -20% tipsy'},
		{254.20,'*100 20% drunk, *100 20% tipsy'},
		{254.25,'*100 -20% drunk, *100 -20% tipsy'},
		{254.30,'*100 20% drunk, *100 20% tipsy'},
		{254.35,'*100 -20% drunk, *100 -20% tipsy'},
		{254.40,'*100 20% drunk, *100 20% tipsy'},
		{254.45,'*100 -20% drunk, *100 -20% tipsy'},
		{254.50,'*100 20% drunk, *100 20% tipsy'},
		{254.55,'*100 -20% drunk, *100 -20% tipsy'},
		{254.60,'*100 20% drunk, *100 20% tipsy'},
		{254.65,'*100 -20% drunk, *100 -20% tipsy'},
		{254.70,'*100 20% drunk, *100 20% tipsy'},
		{254.75,'*100 -20% drunk, *100 -20% tipsy'},
		{254.80,'*100 20% drunk, *100 20% tipsy'},
		{254.85,'*100 -20% drunk, *100 -20% tipsy'},
		{254.90,'*100 20% drunk, *100 20% tipsy'},
		{254.95,'*100 -20% drunk, *100 -20% tipsy'},
		{255,'*100 20% drunk, *100 20% tipsy'},
		{255.05,'*102-100% drunk, *100 -20% tipsy'},
		{255.10,'*100 20% drunk, *100 20% tipsy'},
		{255.15,'*100 -20% drunk, *100 -20% tipsy'},
		{255.20,'*100 20% drunk, *100 20% tipsy'},
		{255.25,'*100 -20% drunk, *100 -20% tipsy'},
		{255.30,'*100 20% drunk, *100 20% tipsy'},
		{255.35,'*100 -20% drunk, *100 -20% tipsy'},
		{255.40,'*100 20% drunk, *100 20% tipsy'},
		{255.45,'*100 -20% drunk, *100 -20% tipsy'},
		{255.50,'*100 20% drunk, *100 20% tipsy'},
		{255.55,'*100 -20% drunk, *100 -20% tipsy'},
		{255.60,'*100 20% drunk, *100 20% tipsy'},
		{255.65,'*100 -20% drunk, *100 -20% tipsy'},
		{255.70,'*100 20% drunk, *100 20% tipsy'},
		{255.75,'*100 -20% drunk, *100 -20% tipsy'},
		{255.80,'*100 20% drunk, *100 20% tipsy'},
		{255.85,'*100 -20% drunk, *100 -20% tipsy'},
		{255.90,'*100 20% drunk, *100 20% tipsy'},
		{255.95,'*100 -20% drunk, *100 -20% tipsy'},
		{256,'*100 20% drunk, *100 20% tipsy'},
		{256.05,'*102-100% drunk, *100 -20% tipsy'},
		{256.10,'*100 20% drunk, *100 20% tipsy'},
		{256.15,'*100 -20% drunk, *100 -20% tipsy'},
		{256.20,'*100 20% drunk, *100 20% tipsy'},
		{256.25,'*100 -20% drunk, *100 -20% tipsy'},
		{256.30,'*100 20% drunk, *100 20% tipsy'},
		{256.35,'*100 -20% drunk, *100 -20% tipsy'},
		{256.40,'*100 20% drunk, *100 20% tipsy'},
		{256.45,'*100 -20% drunk, *100 -20% tipsy'},
		{256.50,'*100 20% drunk, *100 20% tipsy'},
		{256.55,'*100 -20% drunk, *100 -20% tipsy'},
		{256.60,'*100 20% drunk, *100 20% tipsy'},
		{256.65,'*100 -20% drunk, *100 -20% tipsy'},
		{256.70,'*100 20% drunk, *100 20% tipsy'},
		{256.75,'*100 -20% drunk, *100 -20% tipsy'},
		{256.80,'*100 20% drunk, *100 20% tipsy'},
		{256.85,'*100 -20% drunk, *100 -20% tipsy'},
		{256.90,'*100 20% drunk, *100 20% tipsy'},
		{256.95,'*100 -20% drunk, *100 -20% tipsy'},
		{257,'*100 20% drunk, *100 20% tipsy'},
		{257.05,'*102-100% drunk, *100 -20% tipsy'},
		{257.10,'*100 20% drunk, *100 20% tipsy'},
		{257.15,'*100 -20% drunk, *100 -20% tipsy'},
		{257.20,'*100 20% drunk, *100 20% tipsy'},
		{257.25,'*100 -20% drunk, *100 -20% tipsy'},
		{257.30,'*100 20% drunk, *100 20% tipsy'},
		{257.35,'*100 -20% drunk, *100 -20% tipsy'},
		{257.40,'*100 20% drunk, *100 20% tipsy'},
		{257.45,'*100 -20% drunk, *100 -20% tipsy'},
		{257.50,'*100 20% drunk, *100 20% tipsy'},
		{257.55,'*100 -20% drunk, *100 -20% tipsy'},
		{257.60,'*100 20% drunk, *100 20% tipsy'},
		{257.65,'*100 -20% drunk, *100 -20% tipsy'},
		{257.70,'*100 20% drunk, *100 20% tipsy'},
		{257.75,'*100 -20% drunk, *100 -20% tipsy'},
		{257.80,'*100 20% drunk, *100 20% tipsy'},
		{257.85,'*100 -20% drunk, *100 -20% tipsy'},
		{257.90,'*100 20% drunk, *100 20% tipsy'},
		{257.95,'*100 -20% drunk, *100 -20% tipsy'},
		{258,'*100 20% drunk, *100 20% tipsy'},
		{258.05,'*102-100% drunk, *100 -20% tipsy'},
		{258.10,'*100 20% drunk, *100 20% tipsy'},
		{258.15,'*100 -20% drunk, *100 -20% tipsy'},
		{258.20,'*100 20% drunk, *100 20% tipsy'},
		{258.25,'*100 -20% drunk, *100 -20% tipsy'},
		{258.30,'*100 20% drunk, *100 20% tipsy'},
		{258.35,'*100 -20% drunk, *100 -20% tipsy'},
		{258.40,'*100 20% drunk, *100 20% tipsy'},
		{258.45,'*100 -20% drunk, *100 -20% tipsy'},
		{258.50,'*100 20% drunk, *100 20% tipsy'},
		{258.55,'*100 -20% drunk, *100 -20% tipsy'},
		{258.60,'*100 20% drunk, *100 20% tipsy'},
		{258.65,'*100 -20% drunk, *100 -20% tipsy'},
		{258.70,'*100 20% drunk, *100 20% tipsy'},
		{258.75,'*100 -20% drunk, *100 -20% tipsy'},
		{258.80,'*100 20% drunk, *100 20% tipsy'},
		{258.85,'*100 -20% drunk, *100 -20% tipsy'},
		{258.90,'*100 20% drunk, *100 20% tipsy'},
		{258.95,'*100 -20% drunk, *100 -20% tipsy'},
		{259,'*100 20% drunk, *100 20% tipsy'},
		{259.05,'*102-100% drunk, *100 -20% tipsy'},
		{259.10,'*100 20% drunk, *100 20% tipsy'},
		{259.15,'*100 -20% drunk, *100 -20% tipsy'},
		{259.20,'*100 20% drunk, *100 20% tipsy'},
		{259.25,'*100 -20% drunk, *100 -20% tipsy'},
		{259.30,'*100 20% drunk, *100 20% tipsy'},
		{259.35,'*100 -20% drunk, *100 -20% tipsy'},
		{259.40,'*100 20% drunk, *100 20% tipsy'},
		{259.45,'*100 -20% drunk, *100 -20% tipsy'},
		{259.50,'*100 20% drunk, *100 20% tipsy'},
		{259.55,'*100 -20% drunk, *100 -20% tipsy'},
		{259.60,'*100 20% drunk, *100 20% tipsy'},
		{259.65,'*100 -20% drunk, *100 -20% tipsy'},
		{259.70,'*100 20% drunk, *100 20% tipsy'},
		{259.75,'*100 -20% drunk, *100 -20% tipsy'},
		{259.80,'*100 20% drunk, *100 20% tipsy'},
		{259.85,'*100 -20% drunk, *100 -20% tipsy'},
		{259.90,'*100 20% drunk, *100 20% tipsy'},
		{259.95,'*100 -20% drunk, *100 -20% tipsy'},
		{260,'*100 20% drunk, *100 20% tipsy'},
		{260.05,'*102-100% drunk, *100 -20% tipsy'},
		{260.10,'*100 20% drunk, *100 20% tipsy'},
		{260.15,'*100 -20% drunk, *100 -20% tipsy'},
		{260.20,'*100 20% drunk, *100 20% tipsy'},
		{260.25,'*100 -20% drunk, *100 -20% tipsy'},
		{260.30,'*100 20% drunk, *100 20% tipsy'},
		{260.35,'*100 -20% drunk, *100 -20% tipsy'},
		{260.40,'*100 20% drunk, *100 20% tipsy'},
		{260.45,'*100 -20% drunk, *100 -20% tipsy'},
		{260.50,'*100 20% drunk, *100 20% tipsy'},
		{260.55,'*100 -20% drunk, *100 -20% tipsy'},
		{260.60,'*100 20% drunk, *100 20% tipsy'},
		{260.65,'*100 -20% drunk, *100 -20% tipsy'},
		{260.70,'*100 20% drunk, *100 20% tipsy'},
		{260.75,'*100 -20% drunk, *100 -20% tipsy'},
		{260.80,'*100 20% drunk, *100 20% tipsy'},
		{260.85,'*100 -20% drunk, *100 -20% tipsy'},
		{260.90,'*100 20% drunk, *100 20% tipsy'},
		{260.95,'*100 -20% drunk, *100 -20% tipsy'},
		{261,'*100 20% drunk, *100 20% tipsy'},
		{261.05,'*102-100% drunk, *100 -20% tipsy'},
		{261.10,'*100 20% drunk, *100 20% tipsy'},
		{261.15,'*100 -20% drunk, *100 -20% tipsy'},
		{261.20,'*100 20% drunk, *100 20% tipsy'},
		{261.25,'*100 -20% drunk, *100 -20% tipsy'},
		{261.30,'*100 20% drunk, *100 20% tipsy'},
		{261.35,'*100 -20% drunk, *100 -20% tipsy'},
		{261.40,'*100 20% drunk, *100 20% tipsy'},
		{261.45,'*100 -20% drunk, *100 -20% tipsy'},
		{261.50,'*100 20% drunk, *100 20% tipsy'},
		{261.55,'*100 -20% drunk, *100 -20% tipsy'},
		{261.60,'*100 20% drunk, *100 20% tipsy'},
		{261.65,'*100 -20% drunk, *100 -20% tipsy'},
		{261.70,'*100 20% drunk, *100 20% tipsy'},
		{261.75,'*100 -20% drunk, *100 -20% tipsy'},
		{261.80,'*100 20% drunk, *100 20% tipsy'},
		{261.85,'*100 -20% drunk, *100 -20% tipsy'},
		{261.90,'*100 20% drunk, *100 20% tipsy'},
		{261.95,'*100 -20% drunk, *100 -20% tipsy'},
		{262,'*100 20% drunk, *100 20% tipsy'},
		{262.05,'*102-100% drunk, *100 -20% tipsy'},
		{262.10,'*100 20% drunk, *100 20% tipsy'},
		{262.15,'*100 -20% drunk, *100 -20% tipsy'},
		{262.20,'*100 20% drunk, *100 20% tipsy'},
		{262.25,'*100 -20% drunk, *100 -20% tipsy'},
		{262.30,'*100 20% drunk, *100 20% tipsy'},
		{262.35,'*100 -20% drunk, *100 -20% tipsy'},
		{262.40,'*100 20% drunk, *100 20% tipsy'},
		{262.45,'*100 -20% drunk, *100 -20% tipsy'},
		{262.50,'*100 20% drunk, *100 20% tipsy'},
		{262.55,'*100 -20% drunk, *100 -20% tipsy'},
		{262.60,'*100 20% drunk, *100 20% tipsy'},
		{262.65,'*100 -20% drunk, *100 -20% tipsy'},
		{262.70,'*100 20% drunk, *100 20% tipsy'},
		{262.75,'*100 -20% drunk, *100 -20% tipsy'},
		{262.80,'*100 20% drunk, *100 20% tipsy'},
		{262.85,'*100 -20% drunk, *100 -20% tipsy'},
		{262.90,'*100 20% drunk, *100 20% tipsy'},
		{262.95,'*100 -20% drunk, *100 -20% tipsy'},
		{263,'*100 20% drunk, *100 20% tipsy'},
		{263.05,'*102-100% drunk, *100 -20% tipsy'},
		{263.10,'*100 20% drunk, *100 20% tipsy'},
		{263.15,'*100 -20% drunk, *100 -20% tipsy'},
		{263.20,'*100 20% drunk, *100 20% tipsy'},
		{263.25,'*100 -20% drunk, *100 -20% tipsy'},
		{263.30,'*100 20% drunk, *100 20% tipsy'},
		{263.35,'*100 -20% drunk, *100 -20% tipsy'},
		{263.40,'*100 20% drunk, *100 20% tipsy'},
		{263.45,'*100 -20% drunk, *100 -20% tipsy'},
		{263.50,'*100 20% drunk, *100 20% tipsy'},
		{263.55,'*100 -20% drunk, *100 -20% tipsy'},
		{263.60,'*100 20% drunk, *100 20% tipsy'},
		{263.65,'*100 -20% drunk, *100 -20% tipsy'},
		{263.70,'*100 20% drunk, *100 20% tipsy'},
		{263.75,'*100 -20% drunk, *100 -20% tipsy'},
		{263.80,'*100 20% drunk, *100 20% tipsy'},
		{263.85,'*100 -20% drunk, *100 -20% tipsy'},
		{263.90,'*100 20% drunk, *100 20% tipsy'},
		{263.95,'*100 -20% drunk, *100 -20% tipsy'},
		{264,'*100 20% drunk, *100 20% tipsy'},
		{264.05,'*102-100% drunk, *100 -20% tipsy'},
		{264.10,'*100 20% drunk, *100 20% tipsy'},
		{264.15,'*100 -20% drunk, *100 -20% tipsy'},
		{264.20,'*100 20% drunk, *100 20% tipsy'},
		{264.25,'*100 -20% drunk, *100 -20% tipsy'},
		{264.30,'*100 20% drunk, *100 20% tipsy'},
		{264.35,'*100 -20% drunk, *100 -20% tipsy'},
		{264.40,'*100 20% drunk, *100 20% tipsy'},
		{264.45,'*100 -20% drunk, *100 -20% tipsy'},
		{264.50,'*100 20% drunk, *100 20% tipsy'},
		{264.55,'*100 -20% drunk, *100 -20% tipsy'},
		{264.60,'*100 20% drunk, *100 20% tipsy'},
		{264.65,'*100 -20% drunk, *100 -20% tipsy'},
		{264.70,'*100 20% drunk, *100 20% tipsy'},
		{264.75,'*100 -20% drunk, *100 -20% tipsy'},
		{264.80,'*100 20% drunk, *100 20% tipsy'},
		{264.85,'*100 -20% drunk, *100 -20% tipsy'},
		{264.90,'*100 20% drunk, *100 20% tipsy'},
		{264.95,'*100 -20% drunk, *100 -20% tipsy'},
		{265,'*100 20% drunk, *100 20% tipsy'},
		{265.05,'*102-100% drunk, *100 -20% tipsy'},
		{265.10,'*100 20% drunk, *100 20% tipsy'},
		{265.15,'*100 -20% drunk, *100 -20% tipsy'},
		{265.20,'*100 20% drunk, *100 20% tipsy'},
		{265.25,'*100 -20% drunk, *100 -20% tipsy'},
		{265.30,'*100 20% drunk, *100 20% tipsy'},
		{265.35,'*100 -20% drunk, *100 -20% tipsy'},
		{265.40,'*100 20% drunk, *100 20% tipsy'},
		{265.45,'*100 -20% drunk, *100 -20% tipsy'},
		{265.50,'*100 20% drunk, *100 20% tipsy'},
		{265.55,'*100 -20% drunk, *100 -20% tipsy'},
		{265.60,'*100 20% drunk, *100 20% tipsy'},
		{265.65,'*100 -20% drunk, *100 -20% tipsy'},
		{265.70,'*100 20% drunk, *100 20% tipsy'},
		{265.75,'*100 -20% drunk, *100 -20% tipsy'},
		{265.80,'*100 20% drunk, *100 20% tipsy'},
		{265.85,'*100 -20% drunk, *100 -20% tipsy'},
		{265.90,'*100 20% drunk, *100 20% tipsy'},
		{265.95,'*100 -20% drunk, *100 -20% tipsy'},
		{266,'*100 20% drunk, *100 20% tipsy'},
		{266.05,'*102-100% drunk, *100 -20% tipsy'},
		{266.10,'*100 20% drunk, *100 20% tipsy'},
		{266.15,'*100 -20% drunk, *100 -20% tipsy'},
		{266.20,'*100 20% drunk, *100 20% tipsy'},
		{266.25,'*100 -20% drunk, *100 -20% tipsy'},
		{266.30,'*100 20% drunk, *100 20% tipsy'},
		{266.35,'*100 -20% drunk, *100 -20% tipsy'},
		{266.40,'*100 20% drunk, *100 20% tipsy'},
		{266.45,'*100 -20% drunk, *100 -20% tipsy'},
		{266.50,'*100 20% drunk, *100 20% tipsy'},
		{266.55,'*100 -20% drunk, *100 -20% tipsy'},
		{266.60,'*100 20% drunk, *100 20% tipsy'},
		{266.65,'*100 -20% drunk, *100 -20% tipsy'},
		{266.70,'*100 20% drunk, *100 20% tipsy'},
		{266.75,'*100 -20% drunk, *100 -20% tipsy'},
		{266.80,'*100 20% drunk, *100 20% tipsy'},
		{266.85,'*100 -20% drunk, *100 -20% tipsy'},
		{266.90,'*100 20% drunk, *100 20% tipsy'},
		{266.95,'*100 -20% drunk, *100 -20% tipsy'},
		{267,'*100 20% drunk, *100 20% tipsy'},
		{267.05,'*102-100% drunk, *100 -20% tipsy'},
		{267.10,'*100 20% drunk, *100 20% tipsy'},
		{267.15,'*100 -20% drunk, *100 -20% tipsy'},
		{267.20,'*100 20% drunk, *100 20% tipsy'},
		{267.25,'*100 -20% drunk, *100 -20% tipsy'},
		{267.30,'*100 20% drunk, *100 20% tipsy'},
		{267.35,'*100 -20% drunk, *100 -20% tipsy'},
		{267.40,'*100 20% drunk, *100 20% tipsy'},
		{267.45,'*100 -20% drunk, *100 -20% tipsy'},
		{267.50,'*100 20% drunk, *100 20% tipsy'},
		{267.55,'*100 -20% drunk, *100 -20% tipsy'},
		{267.60,'*100 20% drunk, *100 20% tipsy'},
		{267.65,'*100 -20% drunk, *100 -20% tipsy'},
		{267.70,'*100 20% drunk, *100 20% tipsy'},
		{267.75,'*100 -20% drunk, *100 -20% tipsy'},
		{267.80,'*100 20% drunk, *100 20% tipsy'},
		{267.85,'*100 -20% drunk, *100 -20% tipsy'},
		{267.90,'*100 20% drunk, *100 20% tipsy'},
		{267.95,'*100 -20% drunk, *100 -20% tipsy'},
		{268,'*100 20% drunk, *100 20% tipsy'},
		{268.05,'*102-100% drunk, *100 -20% tipsy'},
		{268.10,'*100 20% drunk, *100 20% tipsy'},
		{268.15,'*100 -20% drunk, *100 -20% tipsy'},
		{268.20,'*100 20% drunk, *100 20% tipsy'},
		{268.25,'*100 -20% drunk, *100 -20% tipsy'},
		{268.30,'*100 20% drunk, *100 20% tipsy'},
		{268.35,'*100 -20% drunk, *100 -20% tipsy'},
		{268.40,'*100 20% drunk, *100 20% tipsy'},
		{268.45,'*100 -20% drunk, *100 -20% tipsy'},
		{268.50,'*100 20% drunk, *100 20% tipsy'},
		{268.55,'*100 -20% drunk, *100 -20% tipsy'},
		{268.60,'*100 20% drunk, *100 20% tipsy'},
		{268.65,'*100 -20% drunk, *100 -20% tipsy'},
		{268.70,'*100 20% drunk, *100 20% tipsy'},
		{268.75,'*100 -20% drunk, *100 -20% tipsy'},
		{268.80,'*100 20% drunk, *100 20% tipsy'},
		{268.85,'*100 -20% drunk, *100 -20% tipsy'},
		{268.90,'*100 20% drunk, *100 20% tipsy'},
		{268.95,'*100 -20% drunk, *100 -20% tipsy'},
		{269,'*100 20% drunk, *100 20% tipsy'},
		{269.05,'*102-100% drunk, *100 -20% tipsy'},
		{269.10,'*100 20% drunk, *100 20% tipsy'},
		{269.15,'*100 -20% drunk, *100 -20% tipsy'},
		{269.20,'*100 20% drunk, *100 20% tipsy'},
		{269.25,'*100 -20% drunk, *100 -20% tipsy'},
		{269.30,'*100 20% drunk, *100 20% tipsy'},
		{269.35,'*100 -20% drunk, *100 -20% tipsy'},
		{269.40,'*100 20% drunk, *100 20% tipsy'},
		{269.45,'*100 -20% drunk, *100 -20% tipsy'},
		{269.50,'*100 20% drunk, *100 20% tipsy'},
		{269.55,'*100 -20% drunk, *100 -20% tipsy'},
		{269.60,'*100 20% drunk, *100 20% tipsy'},
		{269.65,'*100 -20% drunk, *100 -20% tipsy'},
		{269.70,'*100 20% drunk, *100 20% tipsy'},
		{269.75,'*100 -20% drunk, *100 -20% tipsy'},
		{269.80,'*100 20% drunk, *100 20% tipsy'},
		{269.85,'*100 -20% drunk, *100 -20% tipsy'},
		{269.90,'*100 20% drunk, *100 20% tipsy'},
		{269.95,'*100 -20% drunk, *100 -20% tipsy'},
		{270,'*100 20% drunk, *100 20% tipsy'},
		{270.05,'*102-100% drunk, *100 -20% tipsy'},
		{270.10,'*100 20% drunk, *100 20% tipsy'},
		{270.15,'*100 -20% drunk, *100 -20% tipsy'},
		{270.20,'*100 20% drunk, *100 20% tipsy'},
		{270.25,'*100 -20% drunk, *100 -20% tipsy'},
		{270.30,'*100 20% drunk, *100 20% tipsy'},
		{270.35,'*100 -20% drunk, *100 -20% tipsy'},
		{270.40,'*100 20% drunk, *100 20% tipsy'},
		{270.45,'*100 -20% drunk, *100 -20% tipsy'},
		{270.50,'*100 20% drunk, *100 20% tipsy'},
		{270.55,'*100 -20% drunk, *100 -20% tipsy'},
		{270.60,'*100 20% drunk, *100 20% tipsy'},
		{270.65,'*100 -20% drunk, *100 -20% tipsy'},
		{270.70,'*100 20% drunk, *100 20% tipsy'},
		{270.75,'*100 -20% drunk, *100 -20% tipsy'},
		{270.80,'*100 20% drunk, *100 20% tipsy'},
		{270.85,'*100 -20% drunk, *100 -20% tipsy'},
		{270.90,'*100 20% drunk, *100 20% tipsy'},
		{270.95,'*100 -20% drunk, *100 -20% tipsy'},
		{271,'*100 20% drunk, *100 20% tipsy'},
		{271.05,'*102-100% drunk, *100 -20% tipsy'},
		{271.10,'*100 20% drunk, *100 20% tipsy'},
		{271.15,'*100 -20% drunk, *100 -20% tipsy'},
		{271.20,'*100 20% drunk, *100 20% tipsy'},
		{271.25,'*100 -20% drunk, *100 -20% tipsy'},
		{271.30,'*100 20% drunk, *100 20% tipsy'},
		{271.35,'*100 -20% drunk, *100 -20% tipsy'},
		{271.40,'*100 20% drunk, *100 20% tipsy'},
		{271.45,'*100 -20% drunk, *100 -20% tipsy'},
		{271.50,'*100 20% drunk, *100 20% tipsy'},
		{271.55,'*100 -20% drunk, *100 -20% tipsy'},
		{271.60,'*100 20% drunk, *100 20% tipsy'},
		{271.65,'*100 -20% drunk, *100 -20% tipsy'},
		{271.70,'*100 20% drunk, *100 20% tipsy'},
		{271.75,'*100 -20% drunk, *100 -20% tipsy'},
		{271.80,'*100 20% drunk, *100 20% tipsy'},
		{271.85,'*100 -20% drunk, *100 -20% tipsy'},
		{271.90,'*100 20% drunk, *100 20% tipsy'},
		{271.95,'*100 -20% drunk, *100 -20% tipsy'},
		{272,'*100 20% drunk, *100 20% tipsy'},
		{272.05,'*102-100% drunk, *100 -20% tipsy'},
		{272.10,'*100 20% drunk, *100 20% tipsy'},
		{272.15,'*100 -20% drunk, *100 -20% tipsy'},
		{272.20,'*100 20% drunk, *100 20% tipsy'},
		{272.25,'*100 -20% drunk, *100 -20% tipsy'},
		{272.30,'*100 20% drunk, *100 20% tipsy'},
		{272.35,'*100 -20% drunk, *100 -20% tipsy'},
		{272.40,'*100 20% drunk, *100 20% tipsy'},
		{272.45,'*100 -20% drunk, *100 -20% tipsy'},
		{272.50,'*100 20% drunk, *100 20% tipsy'},
		{272.55,'*100 -20% drunk, *100 -20% tipsy'},
		{272.60,'*100 20% drunk, *100 20% tipsy'},
		{272.65,'*100 -20% drunk, *100 -20% tipsy'},
		{272.70,'*100 20% drunk, *100 20% tipsy'},
		{272.75,'*100 -20% drunk, *100 -20% tipsy'},
		{272.80,'*100 20% drunk, *100 20% tipsy'},
		{272.85,'*100 -20% drunk, *100 -20% tipsy'},
		{272.90,'*100 20% drunk, *100 20% tipsy'},
		{272.95,'*100 -20% drunk, *100 -20% tipsy'},
		{273,'*100 20% drunk, *100 20% tipsy'},
		{273.05,'*102-100% drunk, *100 -20% tipsy'},
		{273.10,'*100 20% drunk, *100 20% tipsy'},
		{273.15,'*100 -20% drunk, *100 -20% tipsy'},
		{273.20,'*100 20% drunk, *100 20% tipsy'},
		{273.25,'*100 -20% drunk, *100 -20% tipsy'},
		{273.30,'*100 20% drunk, *100 20% tipsy'},
		{273.35,'*100 -20% drunk, *100 -20% tipsy'},
		{273.40,'*100 20% drunk, *100 20% tipsy'},
		{273.45,'*100 -20% drunk, *100 -20% tipsy'},
		{273.50,'*100 20% drunk, *100 20% tipsy'},
		{273.55,'*100 -20% drunk, *100 -20% tipsy'},
		{273.60,'*100 20% drunk, *100 20% tipsy'},
		{273.65,'*100 -20% drunk, *100 -20% tipsy'},
		{273.70,'*100 20% drunk, *100 20% tipsy'},
		{273.75,'*100 -20% drunk, *100 -20% tipsy'},
		{273.80,'*100 20% drunk, *100 20% tipsy'},
		{273.85,'*100 -20% drunk, *100 -20% tipsy'},
		{273.90,'*100 20% drunk, *100 20% tipsy'},
		{273.95,'*100 -20% drunk, *100 -20% tipsy'},
		{274,'*100 20% drunk, *100 20% tipsy'},
		{274.05,'*102-100% drunk, *100 -20% tipsy'},
		{274.10,'*100 20% drunk, *100 20% tipsy'},
		{274.15,'*100 -20% drunk, *100 -20% tipsy'},
		{274.20,'*100 20% drunk, *100 20% tipsy'},
		{274.25,'*100 -20% drunk, *100 -20% tipsy'},
		{274.30,'*100 20% drunk, *100 20% tipsy'},
		{274.35,'*100 -20% drunk, *100 -20% tipsy'},
		{274.40,'*100 20% drunk, *100 20% tipsy'},
		{274.45,'*100 -20% drunk, *100 -20% tipsy'},
		{274.50,'*100 20% drunk, *100 20% tipsy'},
		{274.55,'*100 -20% drunk, *100 -20% tipsy'},
		{274.60,'*100 20% drunk, *100 20% tipsy'},
		{274.65,'*100 -20% drunk, *100 -20% tipsy'},
		{274.70,'*100 20% drunk, *100 20% tipsy'},
		{274.75,'*100 -20% drunk, *100 -20% tipsy'},
		{274.80,'*100 20% drunk, *100 20% tipsy'},
		{274.85,'*100 -20% drunk, *100 -20% tipsy'},
		{274.90,'*100 20% drunk, *100 20% tipsy'},
		{274.95,'*100 -20% drunk, *100 -20% tipsy'},
		{275,'*100 20% drunk, *100 20% tipsy'},
		{275.05,'*102-100% drunk, *100 -20% tipsy'},
		{275.10,'*100 20% drunk, *100 20% tipsy'},
		{275.15,'*100 -20% drunk, *100 -20% tipsy'},
		{275.20,'*100 20% drunk, *100 20% tipsy'},
		{275.25,'*100 -20% drunk, *100 -20% tipsy'},
		{275.30,'*100 20% drunk, *100 20% tipsy'},
		{275.35,'*100 -20% drunk, *100 -20% tipsy'},
		{275.40,'*100 20% drunk, *100 20% tipsy'},
		{275.45,'*100 -20% drunk, *100 -20% tipsy'},
		{275.50,'*100 20% drunk, *100 20% tipsy'},
		{275.55,'*100 -20% drunk, *100 -20% tipsy'},
		{275.60,'*100 20% drunk, *100 20% tipsy'},
		{275.65,'*100 -20% drunk, *100 -20% tipsy'},
		{275.70,'*100 20% drunk, *100 20% tipsy'},
		{275.75,'*100 -20% drunk, *100 -20% tipsy'},
		{275.80,'*100 20% drunk, *100 20% tipsy'},
		{275.85,'*100 -20% drunk, *100 -20% tipsy'},
		{275.90,'*100 20% drunk, *100 20% tipsy'},
		{275.95,'*100 -20% drunk, *100 -20% tipsy'},
		{276,'*100 20% drunk, *100 20% tipsy'},
		{276.05,'*102-100% drunk, *100 -20% tipsy'},
		{276.10,'*100 20% drunk, *100 20% tipsy'},
		{276.15,'*100 -20% drunk, *100 -20% tipsy'},
		{276.20,'*100 20% drunk, *100 20% tipsy'},
		{276.25,'*100 -20% drunk, *100 -20% tipsy'},
		{276.30,'*100 20% drunk, *100 20% tipsy'},
		{276.35,'*100 -20% drunk, *100 -20% tipsy'},
		{276.40,'*100 20% drunk, *100 20% tipsy'},
		{276.45,'*100 -20% drunk, *100 -20% tipsy'},
		{276.50,'*100 20% drunk, *100 20% tipsy'},
		{276.55,'*100 -20% drunk, *100 -20% tipsy'},
		{276.60,'*100 20% drunk, *100 20% tipsy'},
		{276.65,'*100 -20% drunk, *100 -20% tipsy'},
		{276.70,'*100 20% drunk, *100 20% tipsy'},
		{276.75,'*100 -20% drunk, *100 -20% tipsy'},
		{276.80,'*100 20% drunk, *100 20% tipsy'},
		{276.85,'*100 -20% drunk, *100 -20% tipsy'},
		{276.90,'*100 20% drunk, *100 20% tipsy'},
		{276.95,'*100 -20% drunk, *100 -20% tipsy'},
		{277,'*100 20% drunk, *100 20% tipsy'},
		{277.05,'*102-100% drunk, *100 -20% tipsy'},
		{277.10,'*100 20% drunk, *100 20% tipsy'},
		{277.15,'*100 -20% drunk, *100 -20% tipsy'},
		{277.20,'*100 20% drunk, *100 20% tipsy'},
		{277.25,'*100 -20% drunk, *100 -20% tipsy'},
		{277.30,'*100 20% drunk, *100 20% tipsy'},
		{277.35,'*100 -20% drunk, *100 -20% tipsy'},
		{277.40,'*100 20% drunk, *100 20% tipsy'},
		{277.45,'*100 -20% drunk, *100 -20% tipsy'},
		{277.50,'*100 20% drunk, *100 20% tipsy'},
		{277.55,'*100 -20% drunk, *100 -20% tipsy'},
		{277.60,'*100 20% drunk, *100 20% tipsy'},
		{277.65,'*100 -20% drunk, *100 -20% tipsy'},
		{277.70,'*100 20% drunk, *100 20% tipsy'},
		{277.75,'*100 -20% drunk, *100 -20% tipsy'},
		{277.80,'*100 20% drunk, *100 20% tipsy'},
		{277.85,'*100 -20% drunk, *100 -20% tipsy'},
		{277.90,'*100 20% drunk, *100 20% tipsy'},
		{277.95,'*100 -20% drunk, *100 -20% tipsy'},
		{278,'*100 20% drunk, *100 20% tipsy'},
		{278.05,'*102-100% drunk, *100 -20% tipsy'},
		{278.10,'*100 20% drunk, *100 20% tipsy'},
		{278.15,'*100 -20% drunk, *100 -20% tipsy'},
		{278.20,'*100 20% drunk, *100 20% tipsy'},
		{278.25,'*100 -20% drunk, *100 -20% tipsy'},
		{278.30,'*100 20% drunk, *100 20% tipsy'},
		{278.35,'*100 -20% drunk, *100 -20% tipsy'},
		{278.40,'*100 20% drunk, *100 20% tipsy'},
		{278.45,'*100 -20% drunk, *100 -20% tipsy'},
		{278.50,'*100 20% drunk, *100 20% tipsy'},
		{278.55,'*100 -20% drunk, *100 -20% tipsy'},
		{278.60,'*100 20% drunk, *100 20% tipsy'},
		{278.65,'*100 -20% drunk, *100 -20% tipsy'},
		{278.70,'*100 20% drunk, *100 20% tipsy'},
		{278.75,'*100 -20% drunk, *100 -20% tipsy'},
		{278.80,'*100 20% drunk, *100 20% tipsy'},
		{278.85,'*100 -20% drunk, *100 -20% tipsy'},
		{278.90,'*100 20% drunk, *100 20% tipsy'},
		{278.95,'*100 -20% drunk, *100 -20% tipsy'},
		{279,'*100 20% drunk, *100 20% tipsy'},
		{279.05,'*102-100% drunk, *100 -20% tipsy'},
		{279.10,'*100 20% drunk, *100 20% tipsy'},
		{279.15,'*100 -20% drunk, *100 -20% tipsy'},
		{279.20,'*100 20% drunk, *100 20% tipsy'},
		{279.25,'*100 -20% drunk, *100 -20% tipsy'},
		{279.30,'*100 20% drunk, *100 20% tipsy'},
		{279.35,'*100 -20% drunk, *100 -20% tipsy'},
		{279.40,'*100 20% drunk, *100 20% tipsy'},
		{279.45,'*100 -20% drunk, *100 -20% tipsy'},
		{279.50,'*100 20% drunk, *100 20% tipsy'},
		{279.55,'*100 -20% drunk, *100 -20% tipsy'},
		{279.60,'*100 20% drunk, *100 20% tipsy'},
		{279.65,'*100 -20% drunk, *100 -20% tipsy'},
		{279.70,'*100 20% drunk, *100 20% tipsy'},
		{279.75,'*100 -20% drunk, *100 -20% tipsy'},
		{279.80,'*100 20% drunk, *100 20% tipsy'},
		{279.85,'*100 -20% drunk, *100 -20% tipsy'},
		{279.90,'*100 20% drunk, *100 20% tipsy'},
		{279.95,'*100 -20% drunk, *100 -20% tipsy'},
		{280,'*100 20% drunk, *100 20% tipsy'},
		{280.05,'*102-100% drunk, *100 -20% tipsy'},
		{280.10,'*100 20% drunk, *100 20% tipsy'},
		{280.15,'*100 -20% drunk, *100 -20% tipsy'},
		{280.20,'*100 20% drunk, *100 20% tipsy'},
		{280.25,'*100 -20% drunk, *100 -20% tipsy'},
		{280.30,'*100 20% drunk, *100 20% tipsy'},
		{280.35,'*100 -20% drunk, *100 -20% tipsy'},
		{280.40,'*100 20% drunk, *100 20% tipsy'},
		{280.45,'*100 -20% drunk, *100 -20% tipsy'},
		{280.50,'*100 20% drunk, *100 20% tipsy'},
		{280.55,'*100 -20% drunk, *100 -20% tipsy'},
		{280.60,'*100 20% drunk, *100 20% tipsy'},
		{280.65,'*100 -20% drunk, *100 -20% tipsy'},
		{280.70,'*100 20% drunk, *100 20% tipsy'},
		{280.75,'*100 -20% drunk, *100 -20% tipsy'},
		{280.80,'*100 20% drunk, *100 20% tipsy'},
		{280.85,'*100 -20% drunk, *100 -20% tipsy'},
		{280.90,'*100 20% drunk, *100 20% tipsy'},
		{280.95,'*100 -20% drunk, *100 -20% tipsy'},
		{281,'*100 20% drunk, *100 20% tipsy'},
		{281.05,'*102-100% drunk, *100 -20% tipsy'},
		{281.10,'*100 20% drunk, *100 20% tipsy'},
		{281.15,'*100 -20% drunk, *100 -20% tipsy'},
		{281.20,'*100 20% drunk, *100 20% tipsy'},
		{281.25,'*100 -20% drunk, *100 -20% tipsy'},
		{281.30,'*100 20% drunk, *100 20% tipsy'},
		{281.35,'*100 -20% drunk, *100 -20% tipsy'},
		{281.40,'*100 20% drunk, *100 20% tipsy'},
		{281.45,'*100 -20% drunk, *100 -20% tipsy'},
		{281.50,'*100 20% drunk, *100 20% tipsy'},
		{281.55,'*100 -20% drunk, *100 -20% tipsy'},
		{281.60,'*100 20% drunk, *100 20% tipsy'},
		{281.65,'*100 -20% drunk, *100 -20% tipsy'},
		{281.70,'*100 20% drunk, *100 20% tipsy'},
		{281.75,'*100 -20% drunk, *100 -20% tipsy'},
		{281.80,'*100 20% drunk, *100 20% tipsy'},
		{281.85,'*100 -20% drunk, *100 -20% tipsy'},
		{281.90,'*100 20% drunk, *100 20% tipsy'},
		{281.95,'*100 -20% drunk, *100 -20% tipsy'},
		{282,'*100 20% drunk, *100 20% tipsy'},
		{282.05,'*102-100% drunk, *100 -20% tipsy'},
		{282.10,'*100 20% drunk, *100 20% tipsy'},
		{282.15,'*100 -20% drunk, *100 -20% tipsy'},
		{282.20,'*100 20% drunk, *100 20% tipsy'},
		{282.25,'*100 -20% drunk, *100 -20% tipsy'},
		{282.30,'*100 20% drunk, *100 20% tipsy'},
		{282.35,'*100 -20% drunk, *100 -20% tipsy'},
		{282.40,'*100 20% drunk, *100 20% tipsy'},
		{282.45,'*100 -20% drunk, *100 -20% tipsy'},
		{282.50,'*100 20% drunk, *100 20% tipsy'},
		{282.55,'*100 -20% drunk, *100 -20% tipsy'},
		{282.60,'*100 20% drunk, *100 20% tipsy'},
		{282.65,'*100 -20% drunk, *100 -20% tipsy'},
		{282.70,'*100 20% drunk, *100 20% tipsy'},
		{282.75,'*100 -20% drunk, *100 -20% tipsy'},
		{282.80,'*100 20% drunk, *100 20% tipsy'},
		{282.85,'*100 -20% drunk, *100 -20% tipsy'},
		{282.90,'*100 20% drunk, *100 20% tipsy'},
		{282.95,'*100 -20% drunk, *100 -20% tipsy'},
		{283,'*100 20% drunk, *100 20% tipsy'},
		{283.05,'*102-100% drunk, *100 -20% tipsy'},
		{283.10,'*100 20% drunk, *100 20% tipsy'},
		{283.15,'*100 -20% drunk, *100 -20% tipsy'},
		{283.20,'*100 20% drunk, *100 20% tipsy'},
		{283.25,'*100 -20% drunk, *100 -20% tipsy'},
		{283.30,'*100 20% drunk, *100 20% tipsy'},
		{283.35,'*100 -20% drunk, *100 -20% tipsy'},
		{283.40,'*100 20% drunk, *100 20% tipsy'},
		{283.45,'*100 -20% drunk, *100 -20% tipsy'},
		{283.50,'*100 20% drunk, *100 20% tipsy'},
		{283.55,'*100 -20% drunk, *100 -20% tipsy'},
		{283.60,'*100 20% drunk, *100 20% tipsy'},
		{283.65,'*100 -20% drunk, *100 -20% tipsy'},
		{283.70,'*100 20% drunk, *100 20% tipsy'},
		{283.75,'*100 -20% drunk, *100 -20% tipsy'},
		{283.80,'*100 20% drunk, *100 20% tipsy'},
		{283.85,'*100 -20% drunk, *100 -20% tipsy'},
		{283.90,'*100 20% drunk, *100 20% tipsy'},
		{283.95,'*100 -20% drunk, *100 -20% tipsy'},
		{284,'*100 20% drunk, *100 20% tipsy'},
		{284.05,'*102-100% drunk, *100 -20% tipsy'},
		{284.10,'*100 20% drunk, *100 20% tipsy'},
		{284.15,'*100 -20% drunk, *100 -20% tipsy'},
		{284.20,'*100 20% drunk, *100 20% tipsy'},
		{284.25,'*100 -20% drunk, *100 -20% tipsy'},
		{284.30,'*100 20% drunk, *100 20% tipsy'},
		{284.35,'*100 -20% drunk, *100 -20% tipsy'},
		{284.40,'*100 20% drunk, *100 20% tipsy'},
		{284.45,'*100 -20% drunk, *100 -20% tipsy'},
		{284.50,'*100 20% drunk, *100 20% tipsy'},
		{284.55,'*100 -20% drunk, *100 -20% tipsy'},
		{284.60,'*100 20% drunk, *100 20% tipsy'},
		{284.65,'*100 -20% drunk, *100 -20% tipsy'},
		{284.70,'*100 20% drunk, *100 20% tipsy'},
		{284.75,'*100 -20% drunk, *100 -20% tipsy'},
		{284.80,'*100 20% drunk, *100 20% tipsy'},
		{284.85,'*100 -20% drunk, *100 -20% tipsy'},
		{284.90,'*100 20% drunk, *100 20% tipsy'},
		{284.95,'*100 -20% drunk, *100 -20% tipsy'},
		{285,'*100 20% drunk, *100 20% tipsy'},
		{285.05,'*102-100% drunk, *100 -20% tipsy'},
		{285.10,'*100 20% drunk, *100 20% tipsy'},
		{285.15,'*100 -20% drunk, *100 -20% tipsy'},
		{285.20,'*100 20% drunk, *100 20% tipsy'},
		{285.25,'*100 -20% drunk, *100 -20% tipsy'},
		{285.30,'*100 20% drunk, *100 20% tipsy'},
		{285.35,'*100 -20% drunk, *100 -20% tipsy'},
		{285.40,'*100 20% drunk, *100 20% tipsy'},
		{285.45,'*100 -20% drunk, *100 -20% tipsy'},
		{285.50,'*100 20% drunk, *100 20% tipsy'},
		{285.55,'*100 -20% drunk, *100 -20% tipsy'},
		{285.60,'*100 20% drunk, *100 20% tipsy'},
		{285.65,'*100 -20% drunk, *100 -20% tipsy'},
		{285.70,'*100 20% drunk, *100 20% tipsy'},
		{285.75,'*100 -20% drunk, *100 -20% tipsy'},
		{285.80,'*100 20% drunk, *100 20% tipsy'},
		{285.85,'*100 -20% drunk, *100 -20% tipsy'},
		{285.90,'*100 20% drunk, *100 20% tipsy'},
		{285.95,'*100 -20% drunk, *100 -20% tipsy'},
		{286,'*100 20% drunk, *100 20% tipsy'},
		{286.05,'*102-100% drunk, *100 -20% tipsy'},
		{286.10,'*100 20% drunk, *100 20% tipsy'},
		{286.15,'*100 -20% drunk, *100 -20% tipsy'},
		{286.20,'*100 20% drunk, *100 20% tipsy'},
		{286.25,'*100 -20% drunk, *100 -20% tipsy'},
		{286.30,'*100 20% drunk, *100 20% tipsy'},
		{286.35,'*100 -20% drunk, *100 -20% tipsy'},
		{286.40,'*100 20% drunk, *100 20% tipsy'},
		{286.45,'*100 -20% drunk, *100 -20% tipsy'},
		{286.50,'*100 20% drunk, *100 20% tipsy'},
		{286.55,'*100 -20% drunk, *100 -20% tipsy'},
		{286.60,'*100 20% drunk, *100 20% tipsy'},
		{286.65,'*100 -20% drunk, *100 -20% tipsy'},
		{286.70,'*100 20% drunk, *100 20% tipsy'},
		{286.75,'*100 -20% drunk, *100 -20% tipsy'},
		{286.80,'*100 20% drunk, *100 20% tipsy'},
		{286.85,'*100 -20% drunk, *100 -20% tipsy'},
		{286.90,'*100 20% drunk, *100 20% tipsy'},
		{286.95,'*100 -20% drunk, *100 -20% tipsy'},
		{287,'*100 20% drunk, *100 20% tipsy'},
		{287.05,'*102-100% drunk, *100 -20% tipsy'},
		{287.10,'*100 20% drunk, *100 20% tipsy'},
		{287.15,'*100 -20% drunk, *100 -20% tipsy'},
		{287.20,'*100 20% drunk, *100 20% tipsy'},
		{287.25,'*100 -20% drunk, *100 -20% tipsy'},
		{287.30,'*100 20% drunk, *100 20% tipsy'},
		{287.35,'*100 -20% drunk, *100 -20% tipsy'},
		{287.40,'*100 20% drunk, *100 20% tipsy'},
		{287.45,'*100 -20% drunk, *100 -20% tipsy'},
		{287.50,'*100 20% drunk, *100 20% tipsy'},
		{287.55,'*12 0% drunk, *100 0% tipsy'},

		{292,'*99 -100% drunk'},
		{292.1,'*8 0% drunk'},

		{298.5,'*99 -100% drunk'},
		{298.6,'*8 0% drunk'},
		{300,'*99 100% drunk'},
		{300.1,'*8 0% drunk'},
		{307.5,'*99 -100% drunk'},
		{307.6,'*8 0% drunk'},
		{308,'*99 100% drunk'},
		{308.1,'*8 0% drunk'},
		{314.5,'*99 -100% drunk'},
		{314.6,'*8 0% drunk'},
		{316,'*99 100% drunk'},
		{316.1,'*8 0% drunk'},

		{320.5,'*99 100% brake'},
		{320.6,'*7 0% brake'},
		{321.5,'*99 100% brake'},
		{321.6,'*7 0% brake'},
		{322.5,'*99 100% brake'},
		{322.6,'*7 0% brake'},

		{324,'*0.2 120% tiny'},

		{354,'*9 reverse, *1 0% tiny, *6 0% boost, *6 0% wave'},
		{358.5,'*9 0% reverse'},
		{363,'*9 reverse'},
		{367,'*9 0% reverse'},

		{491.5,'*0.9 -900% tiny'},
		{500,'*999 1.5x, *13 0% tiny'},

		
	}

	iris_driven = 1;
	iris_driven_beat = 193;
	iris_driven_beat_init = 193;

	iris_driven_speed = 0.65;
	iris_driven_modspeed = 1.0;

	iris_drunk = 1;
	iris_drunk_amt = 0;
	iris_bumpy = 1;
	iris_bumpy_amt = 0;

	--SCREAMING GUMBALL / timed message broadcaster
	curmessage = 1;
	--{beat,message,ignoreIfAhead}
	messages = {
		--{182.5,'CytusSpawn'},
		--{193,'CytusBegin'},
		--{257,'CytusEnd'},

		{0.1,'Letsmakeeverythinggoupexceptforthenotefield'},
		{0.1,'Changethebeatofthesongplease'},
		{7.5,'Changethebeatofthesongplease'},
		{8,'Changethebeatofthesongplease'},
		{12,'Changethebeatofthesongplease'},
		{17.5,'Changethebeatofthesongplease'},
		{24,'Changethebeatback'},
		{40,'PlayersSkew1'},
		{40.75,'PlayersSkew2'},
		{41.5,'PlayersSkew1'},
		{42.5,'PlayersSkew2'},
		{42.75,'PlayersSkew1'},
		{43,'PlayersSkew0'},
		{44,'Bounce'},
		{60,'Bouncefaster'},
		{68,'Bouncefasterer'},
		{72,'Bouncestop'},
		{75,'BackUp'},

	}
	
end

local function iris_update()

	if GAMESTATE:GetSongBeat()>=0.1 and not checked then
	
	if SCREENMAN:GetTopScreen():GetChild('PlayerP1') then
		P1 = SCREENMAN:GetTopScreen():GetChild('PlayerP1')
	end
			if P1 then
				P1xpos=P1:GetX();
				P1ypos=P1:GetY();
			end
	if SCREENMAN:GetTopScreen():GetChild('PlayerP2') then
		P2 = SCREENMAN:GetTopScreen():GetChild('PlayerP2')
	end
			if P2 then
				P2xpos=P2:GetX();
				P2ypos=P2:GetY();
			end
		--PE = SCREENMAN:GetTopScreen():GetChild('')
		
		screen = SCREENMAN:GetTopScreen()
		
		if P1 then
			P1:visible(false);
			P1:x(0);
			P1:y(0);
			wndrP1clone1:SetTarget(P1);
			wndrP1clone1:x(P1xpos);
			wndrP1clone1:y(P1ypos);
			
			
			wndrP1clone2:SetTarget(P1);
			wndrP1clone3:SetTarget(P1);
			wndrP1clone4:SetTarget(P1);
			
			wndrP1clone2:visible(false);
			wndrP1clone3:visible(false);
			wndrP1clone4:visible(false);
		end
		
		if P2 then
			P2:visible(false);
			P2:x(0);
			P2:y(0);
			wndrP2clone1:SetTarget(P2);
			wndrP2clone1:x(P2xpos);
			wndrP2clone1:y(P2ypos);
			
			
			wndrP2clone2:SetTarget(P2);
			wndrP2clone3:SetTarget(P2);
			wndrP2clone4:SetTarget(P2);
			
			wndrP2clone2:visible(false);
			wndrP2clone3:visible(false);
			wndrP2clone4:visible(false);
		end
		checked = true;
		
	end
	
	local beat = GAMESTATE:GetSongBeat()

	-- Collect all the mods that will be applied in this frame into one string.
	-- Mod tweening doesn't work correctly if the mods are in seperate commands.
	local mods_this_frame= {}
	local function add_mod(mod_str)
		mods_this_frame[#mods_this_frame+1]= mod_str
	end
	local function execute_mods()
		if #mods_this_frame <= 0 then return end
		local total_mod_str= ""
		for i, ms in ipairs(mods_this_frame) do
			if #total_mod_str > 0 then
				total_mod_str= total_mod_str .. ", "
			end
			total_mod_str= total_mod_str .. ms
		end
		iris_mod(total_mod_str)
	end
	
	--[[
	
	if beat>257 and fgcurcommand == 3 then
		set_player_speed(PLAYER_1, iris_speedmodP1)
		set_player_speed(PLAYER_2, iris_speedmodP2)
		add_mod('*1000 no reverse')
		add_mod('*1000 no centered')
		add_mod('*1000 no dark')
		fgcurcommand = fgcurcommand+1
	end --]]
	
	while curmod<= #mods and GAMESTATE:GetSongBeat()>=mods[curmod][1] do
		add_mod(mods[curmod][2])
		curmod = curmod+1
	end

	execute_mods()
	
	--SCREAMING GUMBALL
	while curmessage<= #messages and GAMESTATE:GetSongBeat()>=messages[curmessage][1] do
		if messages[curmessage][3] and GAMESTATE:GetSongBeat()>=messages[curmessage][1]+5 then
			curmessage = curmessage+1;
		else
			MESSAGEMAN:Broadcast(messages[curmessage][2])
			curmessage = curmessage+1;
		end
	end
end

return Def.ActorFrame{
	OnCommand= function(self)
							 iris_init()
							 self:SetUpdateFunction(iris_update)
						 end,
	Def.Quad{
		Name= "I may be sleeping, but I preserve the world.",
		InitCommand= cmd(visible,false),
		OnCommand= cmd(sleep,1000),
	},
	Def.Quad{
		OnCommand= cmd(diffuse,0,0,0,1;diffusealpha,0;zoomto,6,SCREEN_HEIGHT;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y),
		CytusSpawnMessageCommand= cmd(linear,1;diffusealpha,1),
		CytusEndMessageCommand= cmd(linear,1;diffusealpha,0),
		
		PlayersRot1MessageCommand= function(self)
			if P1 then
			P1:decelerate(.3)
			P1:rotationz(90)
			end
			
			if P2 then
			P2:decelerate(.3)
			P2:rotationz(-90)
			end
		end,
		
		PlayersRot2MessageCommand= function(self)
			if P1 then
			P1:decelerate(.3)
			P1:rotationz(-90)
			end
			
			if P2 then
			P2:decelerate(.3)
			P2:rotationz(90)
			end
		end,
		
		PlayersRot0MessageCommand= function(self)
			if P1 then
			P1:decelerate(.3)
			P1:rotationz(0)
			end
			
			if P2 then
			P2:decelerate(.3)
			P2:rotationz(0)
			end
		end,
		
		PlayersSkew1MessageCommand= function(self)
			if P1 then
			P1:smooth(0.10)
			P1:skewx(wndr_skewx)
			end
			
			--PE:skewx(wndr_skewx)
			
			if P2 then
			P2:smooth(0.10)
			P2:skewx(-wndr_skewx)
			end
		end,
		
		PlayersSkew2MessageCommand= function(self)
			if P1 then
			P1:smooth(0.10)
			P1:skewx(-wndr_skewx)
			end
			
			if P2 then
			P2:smooth(0.10)
			P2:skewx(wndr_skewx)
			end
		end,
		
		PlayersSkew0MessageCommand= function(self)
			if P1 then
			P1:stoptweening()
			P1:linear(0.25)
			P1:skewx(0)
			end
			
			if P2 then
			P2:stoptweening()
			P2:linear(0.25)
			P2:skewx(0)
			end
		end,

		PlayerRotateRightMessageCommand= function(self)
			if P1 then
			P1:addz(90)
			end
			
			if P2 then
			P2:addz(90)
			end
		end,

		PlayerRotateLeftMessageCommand= function(self)
			if P1 then
			P1:addz(-90)
			end
			
			if P2 then
			P2:addz(-90)
			end
		end,

		PlayerRotateRestoreMessageCommand= function(self)
			if P1 then
			P1:rotationz(0)
			end
			
			if P2 then
			P2:rotationz(0)
			end
		end,


		-- Vibration commands
		VibratePlayerMessageCommand= function(self)
			SCREENMAN:GetTopScreen():GetChild('PlayerP1'):vibrate();
			SCREENMAN:GetTopScreen():effectmagnitude(20,20,20);
		end,

		VibratePlayerStopMessageCommand= function(self)
			SCREENMAN:GetTopScreen():GetChild('PlayerP1'):stopeffect();
		end,

		VibrateMessageCommand= function(self)
			SCREENMAN:GetTopScreen():vibrate();
			SCREENMAN:GetTopScreen():effectmagnitude(20,20,20);
		end,

		VibratestopMessageCommand= function(self)
			SCREENMAN:GetTopScreen():stopeffect();
		end,

		BounceMessageCommand= function(self)
			SCREENMAN:GetTopScreen():GetChild('PlayerP1'):bounce();
            SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectperiod(1)
            SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectclock('bgm');
            SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectmagnitude(0,-15,0)
            SCREENMAN:GetTopScreen():GetChild('PlayerP2'):bounce();
            SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectperiod(1)
            SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectclock('bgm');
            SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectmagnitude(0,-15,0)
        end,

        BouncefasterMessageCommand= function(self)
			SCREENMAN:GetTopScreen():GetChild('PlayerP1'):bounce();
            SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectperiod(.5)
            SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectclock('bgm');
            SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectmagnitude(0,-15,0)
            SCREENMAN:GetTopScreen():GetChild('PlayerP2'):bounce();
            SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectperiod(.5)
            SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectclock('bgm');
            SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectmagnitude(0,-15,0)
        end,

        BouncefastererMessageCommand= function(self)
			SCREENMAN:GetTopScreen():GetChild('PlayerP1'):bounce();
            SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectperiod(.25)
            SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectclock('bgm');
            SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectmagnitude(0,-15,0)
            SCREENMAN:GetTopScreen():GetChild('PlayerP2'):bounce();
            SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectperiod(.25)
            SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectclock('bgm');
            SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectmagnitude(0,-15,0)
        end,

        BounceSomewereElseMessageCommand= function(self)
        	self:sleep(0);
			SCREENMAN:GetTopScreen():GetChild('PlayerP1'):bounce();
            SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectperiod(1)
            SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectclock('bgm');
            SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectmagnitude(20,-15,15)
        end,

        BouncestopMessageCommand= function(self)
        	SCREENMAN:GetTopScreen():GetChild('PlayerP1'):stopeffect();
        	SCREENMAN:GetTopScreen():GetChild('PlayerP2'):stopeffect();
        end,

        SlidestuffoffstopMessageCommand= function(self)
        	SCREENMAN:GetTopScreen():GetChild('PlayerP1'):decelerate(1.4);
        	SCREENMAN:GetTopScreen():GetChild('PlayerP1'):x(-1000);
        	SCREENMAN:GetTopScreen():GetChild('LifeP1'):decelerate(1.4);
            SCREENMAN:GetTopScreen():GetChild('LifeP1'):x(-1000);
            SCREENMAN:GetTopScreen():GetChild('ScoreP1'):decelerate(1.4);
            SCREENMAN:GetTopScreen():GetChild('ScoreP1'):x(-1000);
            SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetChild('Combo'):decelerate(1.4);
            SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetChild('Combo'):x(-1000);
            SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetChild('Judgment'):decelerate(1.4);
            SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetChild('Judgment'):x(-1000);
        end,

        DivideClonesMessageCommand= function(self)
			self:sleep(0);
			if P1 then
				
				wndrP1clone1:addx(250);
				wndrP1clone2:addx(-250);
				wndrP1clone3:Vibrate();
				wndrP1clone4:Vibrate();
			end
		end,

		LetsmakeeverythinggoupexceptforthenotefieldMessageCommand= function(self)
			if P1 then
			self:sleep(0);
			SCREENMAN:GetTopScreen():y(-500);
			P1:y(500)
			end
			
			if P2 then
			P2:y(500)
			end
		end,

		MainDissapearsMessageCommand= function(self)
			if P1 then
			self:sleep(0);
			SCREENMAN:GetTopScreen():smooth(0.2);
			SCREENMAN:GetTopScreen():GetChild('Background'):diffusealpha(0);
			end
			
			if P2 then
			P2:y(500)
			end
		end,

		BackUpMessageCommand= function(self)
			if P1 then
			self:sleep(0);
			SCREENMAN:GetTopScreen():smooth(.8);
			P1:smooth(.8)
			SCREENMAN:GetTopScreen():y(0);
			P1:y(0)
			end
			
			if P2 then
			P2:smooth(.8)
			P2:y(0)
			end
		end,

		ChangethebeatofthesongpleaseMessageCommand= function(self)
			SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addx(math.random(-50,50));
			SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addy(math.random(-50,50));
			SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addz(math.random(-50,50));
			SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationx(math.random(-50,50));
			SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationy(math.random(-50,50));
			SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationz(math.random(-50,50));
			SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addx(math.random(-50,50));
			SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addy(math.random(-50,50));
			SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addz(math.random(-50,50));
			SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationx(math.random(-50,50));
			SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationy(math.random(-50,50));
			SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationz(math.random(-50,50));
		end,

		ChangethebeatbackMessageCommand= function(self)
			SCREENMAN:GetTopScreen():GetChild('PlayerP1'):x(0);
			SCREENMAN:GetTopScreen():GetChild('PlayerP1'):y(500);
			SCREENMAN:GetTopScreen():GetChild('PlayerP1'):z(0);
			SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationx(0);
			SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationy(0);
			SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationz(0);
			SCREENMAN:GetTopScreen():GetChild('PlayerP2'):x(0);
			SCREENMAN:GetTopScreen():GetChild('PlayerP2'):y(500);
			SCREENMAN:GetTopScreen():GetChild('PlayerP2'):z(0);
			SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationx(0);
			SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationy(0);
			SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationz(0);
		end,
		
		-------------------------------------------------------
		-------------------------------------------------------
		-------------------------------------------------------
		-------------------------------------------------------
		-------------------------------------------------------
		-------------------------------------------------------
		-------------------------------------------------------
		-------------------------------------------------------
		-------------------------------------------------------
		
		
		ClonesSetMessageCommand= function(self)
			self:sleep(0);
			if P1 then
				wndrP1clone1:visible(true);
				wndrP1clone2:visible(true);
				wndrP1clone3:visible(true);
				wndrP1clone4:visible(true);
				
				wndrP1clone2:x(wndrP1clone1:GetX()+64);
				wndrP1clone3:x(wndrP1clone1:GetX()+128);
				wndrP1clone4:x(wndrP1clone1:GetX()+192);
				
				wndrP1clone2:y(wndrP1clone1:GetY()+450);
				wndrP1clone3:y(wndrP1clone1:GetY()+450);
				wndrP1clone4:y(wndrP1clone1:GetY()+450);
			end
			
			if P2 then
				wndrP2clone1:visible(true);
				wndrP2clone2:visible(true);
				wndrP2clone3:visible(true);
				wndrP2clone4:visible(true);
				
				wndrP2clone2:x(wndrP2clone1:GetX()-64);
				wndrP2clone3:x(wndrP2clone1:GetX()-128);
				wndrP2clone4:x(wndrP2clone1:GetX()-192);
				
				wndrP2clone2:y(wndrP2clone1:GetY()+450);
				wndrP2clone3:y(wndrP2clone1:GetY()+450);
				wndrP2clone4:y(wndrP2clone1:GetY()+450);
			end
		end,
		
		DropFirstMessageCommand= function(self)
			self:sleep(0);
			if P1 then
				
				wndrP1clone1:smooth(0.345);
				wndrP1clone1:addy(450);
				wndrP1clone1:rotationz(20);
			end
			
			if P2 then
				
				wndrP2clone1:smooth(0.345);
				wndrP2clone1:addy(450);
				wndrP2clone1:rotationz(20);
			end
		end,
		
		
		FirstJumpMessageCommand= function(self)
			self:sleep(0);
			if P1 then
				
				wndrP1clone1:sleep(0);
				wndrP1clone1:rotationz(-20);
				wndrP1clone1:smooth(0.345*2);
				wndrP1clone1:addy(-450);
				wndrP1clone1:rotationz(0);
				wndrP1clone1:smooth(0.345*2);
				wndrP1clone1:addy(450);
				wndrP1clone1:rotationz(20);
			end
			
			if P2 then
				
				wndrP2clone1:sleep(0);
				wndrP2clone1:rotationz(-20);
				wndrP2clone1:smooth(0.345*2);
				wndrP2clone1:addy(-450);
				wndrP2clone1:rotationz(0);
				wndrP2clone1:smooth(0.345*2);
				wndrP2clone1:addy(450);
				wndrP2clone1:rotationz(20);
			end
		end,
		
		
		SecondJumpMessageCommand= function(self)
			self:sleep(0);
			if P1 then
				
				wndrP1clone2:sleep(0);
				wndrP1clone2:rotationz(-20);
				wndrP1clone2:smooth(0.345*2);
				wndrP1clone2:addy(-450);
				wndrP1clone2:rotationz(0);
				wndrP1clone2:smooth(0.345*2);
				wndrP1clone2:addy(450);
				wndrP1clone2:rotationz(20);
			end
			
			if P2 then
				
				wndrP2clone2:sleep(0);
				wndrP2clone2:rotationz(-20);
				wndrP2clone2:smooth(0.345*2);
				wndrP2clone2:addy(-450);
				wndrP2clone2:rotationz(0);
				wndrP2clone2:smooth(0.345*2);
				wndrP2clone2:addy(450);
				wndrP2clone2:rotationz(20);
			end
		end,
		
		ThirdJumpMessageCommand= function(self)
			self:sleep(0);
			if P1 then
				
				wndrP1clone3:sleep(0);
				wndrP1clone3:rotationz(-20);
				wndrP1clone3:smooth(0.345*2);
				wndrP1clone3:addy(-450);
				wndrP1clone3:rotationz(0);
				wndrP1clone3:smooth(0.345*2);
				wndrP1clone3:addy(450);
				wndrP1clone3:rotationz(20);
			end
			
			if P2 then
				
				wndrP2clone3:sleep(0);
				wndrP2clone3:rotationz(-20);
				wndrP2clone3:smooth(0.345*2);
				wndrP2clone3:addy(-450);
				wndrP2clone3:rotationz(0);
				wndrP2clone3:smooth(0.345*2);
				wndrP2clone3:addy(450);
				wndrP2clone3:rotationz(20);
			end
		end,
		
		FourthJumpMessageCommand= function(self)
			self:sleep(0);
			if P1 then
				
				wndrP1clone4:sleep(0);
				wndrP1clone4:rotationz(-20);
				wndrP1clone4:smooth(0.345*2);
				wndrP1clone4:addy(-450);
				wndrP1clone4:rotationz(0);
				wndrP1clone4:smooth(0.345*2);
				wndrP1clone4:addy(450);
				wndrP1clone4:rotationz(20);
			end
			
			if P2 then
				
				wndrP2clone4:sleep(0);
				wndrP2clone4:rotationz(-20);
				wndrP2clone4:smooth(0.345*2);
				wndrP2clone4:addy(-450);
				wndrP2clone4:rotationz(0);
				wndrP2clone4:smooth(0.345*2);
				wndrP2clone4:addy(450);
				wndrP2clone4:rotationz(20);
			end
		end,
		
		FourthSetMessageCommand= function(self)
			self:sleep(0);
			if P1 then
				
				wndrP1clone4:sleep(0);
				wndrP1clone4:rotationz(-20);
				wndrP1clone4:smooth(0.345*2);
				wndrP1clone4:x(P1xpos);
				wndrP1clone4:y(P1ypos);
				wndrP1clone4:rotationz(0);
			end
			
			if P1 then
				
				wndrP2clone4:sleep(0);
				wndrP2clone4:rotationz(-20);
				wndrP2clone4:smooth(0.345*2);
				wndrP2clone4:x(P2xpos);
				wndrP2clone4:y(P2ypos);
				wndrP2clone4:rotationz(0);
			end
		end,
		
		HideRestMessageCommand= function(self)
			self:sleep(0);
			if P1 then
				
				wndrP1clone1:visible(false);
				wndrP1clone2:visible(false);
				wndrP1clone3:visible(false);
			end
			
			if P2 then
				
				wndrP2clone1:visible(false);
				wndrP2clone2:visible(false);
				wndrP2clone3:visible(false);
			end
		end,
		
		------------------------------------------------
		------------------------------------------------
		------------------------------------------------
		----------BRIDGE THING PART MOD THINGY----------
		------------------------------------------------
		------------------------------------------------
		------------------------------------------------
		
		SetRestMessageCommand= function(self)
			self:sleep(0);
			if P1 then
				
				wndrP1clone1:visible(true);
				wndrP1clone1:x(P1xpos);
				wndrP1clone1:y(P1ypos+450);
				wndrP1clone1:rotationz(0);
				
				wndrP1clone2:visible(true);
				wndrP1clone2:x(P1xpos);
				wndrP1clone2:y(P1ypos+450);
				wndrP1clone2:rotationz(0);
				
				wndrP1clone3:visible(true);
				wndrP1clone3:x(P1xpos);
				wndrP1clone3:y(P1ypos+450);
				wndrP1clone3:rotationz(0);
			end
			
			if P2 then
				
				wndrP2clone1:visible(true);
				wndrP2clone1:x(P2xpos);
				wndrP2clone1:y(P2ypos+450);
				wndrP2clone1:rotationz(0);
				
				wndrP2clone2:visible(true);
				wndrP2clone2:x(P2xpos);
				wndrP2clone2:y(P2ypos+450);
				wndrP2clone2:rotationz(0);
				
				wndrP2clone3:visible(true);
				wndrP2clone3:x(P2xpos);
				wndrP2clone3:y(P2ypos+450);
				wndrP2clone3:rotationz(0);
			end
		end,
		
		PopThirdMessageCommand= function(self)
			self:sleep(0);
			if P1 then
								
				wndrP1clone3:zoom(0.9);
				wndrP1clone3:smooth(1);
				wndrP1clone3:x(P1xpos+100);
				wndrP1clone3:y(P1ypos+100);
				wndrP1clone3:rotationz(40);
				wndrP1clone3:sleep(2);
				wndrP1clone3:smooth(1);
				wndrP1clone3:x(P1xpos);
				wndrP1clone3:y(P1ypos+450);
				wndrP1clone3:rotationz(0);
			end
			
			if P2 then
								
				wndrP2clone3:zoom(0.9);
				wndrP2clone3:smooth(1);
				wndrP2clone3:x(P2xpos-100);
				wndrP2clone3:y(P2ypos+100);
				wndrP2clone3:rotationz(-40);
				wndrP2clone3:sleep(2);
				wndrP2clone3:smooth(1);
				wndrP2clone3:x(P2xpos);
				wndrP2clone3:y(P2ypos+450);
				wndrP2clone3:rotationz(0);
			end
		end,
		
		PopSecondMessageCommand= function(self)
			self:sleep(0);
			if P1 then
								
				wndrP1clone2:zoom(0.8);
				wndrP1clone2:smooth(1);
				wndrP1clone2:x(P1xpos-100);
				wndrP1clone2:y(P1ypos+120);
				wndrP1clone2:rotationz(-40);
				wndrP1clone2:sleep(2);
				wndrP1clone2:smooth(1);
				wndrP1clone2:x(P1xpos);
				wndrP1clone2:y(P1ypos+450);
				wndrP1clone2:rotationz(0);
			end
			
			if P2 then
								
				wndrP2clone2:zoom(0.8);
				wndrP2clone2:smooth(1);
				wndrP2clone2:x(P2xpos+100);
				wndrP2clone2:y(P2ypos+120);
				wndrP2clone2:rotationz(40);
				wndrP2clone2:sleep(2);
				wndrP2clone2:smooth(1);
				wndrP2clone2:x(P2xpos);
				wndrP2clone2:y(P2ypos+450);
				wndrP2clone2:rotationz(0);
			end
		end,
		
		PopFirstMessageCommand= function(self)
			self:sleep(0);
			if P1 then
								
				wndrP1clone1:zoom(0.7);
				wndrP1clone1:smooth(1);
				wndrP1clone1:x(P1xpos);
				wndrP1clone1:y(P1ypos+140);
				wndrP1clone1:rotationz(0);
				wndrP1clone1:sleep(2);
				wndrP1clone1:smooth(1);
				wndrP1clone1:x(P1xpos);
				wndrP1clone1:y(P1ypos+450);
				wndrP1clone1:rotationz(0);
			end
			
			if P2 then
								
				wndrP2clone1:zoom(0.7);
				wndrP2clone1:smooth(1);
				wndrP2clone1:x(P2xpos);
				wndrP2clone1:y(P2ypos+140);
				wndrP2clone1:rotationz(0);
				wndrP2clone1:sleep(2);
				wndrP2clone1:smooth(1);
				wndrP2clone1:x(P2xpos);
				wndrP2clone1:y(P2ypos+450);
				wndrP2clone1:rotationz(0);
			end
		end,
		
		
		-------------------------------------------
		-------------------------------------------
		-------------------------------------------
		
		RaiseThirdMessageCommand= function(self)
			self:sleep(0);
			if P1 then
					
				wndrP1clone3:x(P1xpos-130);
				wndrP1clone3:zoom(0.7);
				wndrP1clone3:decelerate(0.5);
				wndrP1clone3:x(P1xpos-130);
				wndrP1clone3:y(P1ypos+100);
				wndrP1clone3:rotationz(0);
			end
			
			if P2 then
				
				wndrP2clone3:x(P2xpos+130);				
				wndrP2clone3:zoom(0.7);
				wndrP2clone3:decelerate(0.5);
				wndrP2clone3:x(P2xpos+130);
				wndrP2clone3:y(P2ypos+100);
				wndrP2clone3:rotationz(0);
			end
		end,
		
		LowerFourthMessageCommand= function(self)
			self:sleep(0);
			if P1 then
								
				wndrP1clone4:smooth(1);
				wndrP1clone4:y(P1ypos+64);
			end
			
			if P2 then
								
				wndrP2clone4:smooth(1);
				wndrP2clone4:y(P2ypos+64);
			end
		end,
		
		LowerBothMessageCommand= function(self)
			self:sleep(0);
			if P1 then
								
				wndrP1clone4:smooth(1);
				wndrP1clone4:y(P1ypos+64+64);
				
				wndrP1clone3:smooth(1);
				wndrP1clone3:y(P1ypos+100+80);
			end
			
			if P2 then
								
				wndrP2clone4:smooth(1);
				wndrP2clone4:y(P2ypos+64+64);
				wndrP2clone3:smooth(1);
				wndrP2clone3:y(P2ypos+100+80);
			end
		end,
		
		LowerBothAgainMessageCommand= function(self)
			self:sleep(0);
			if P1 then
								
				wndrP1clone4:smooth(1);
				wndrP1clone4:y(P1ypos+64+64+64);
				
				wndrP1clone3:smooth(1);
				wndrP1clone3:y(P1ypos+100+70+70);
			end
			
			if P2 then
								
				wndrP2clone4:smooth(1);
				wndrP2clone4:y(P2ypos+64+64+64);
				wndrP2clone3:smooth(1);
				wndrP2clone3:y(P2ypos+100+70+70);
			end
		end,
		
		
		RaiseSecondMessageCommand= function(self)
			self:sleep(0);
			if P1 then
					
				wndrP1clone2:x(P1xpos+110);
				wndrP1clone2:zoom(0.6);
				wndrP1clone2:decelerate(0.5);
				wndrP1clone2:y(P1ypos+120);
				
			end
			
			if P2 then
				
				wndrP2clone2:x(P2xpos-110);
				wndrP2clone2:zoom(0.6);
				wndrP2clone2:decelerate(0.5);
				wndrP2clone2:y(P2ypos+120);
			end
		end,
		
		RaiseAllMessageCommand= function(self)
			self:sleep(0);
			if P1 then
					
				wndrP1clone2:smooth(0.7);
				wndrP1clone2:y(P1ypos+120-64);
				
				wndrP1clone3:smooth(0.7);
				wndrP1clone3:y(P1ypos+64);
				
				wndrP1clone4:smooth(0.7);
				wndrP1clone4:y(P1ypos);
				
				
			end
			
			if P2 then
				
				wndrP2clone2:smooth(0.7);
				wndrP2clone2:y(P2ypos+120-64);
				
				wndrP2clone3:smooth(0.7);
				wndrP2clone3:y(P2ypos+64);
				
				wndrP2clone4:smooth(0.7);
				wndrP2clone4:y(P2ypos);
			end
		end,
		
		LowerAllMessageCommand= function(self)
			self:sleep(0);
			if P1 then
					
				wndrP1clone2:smooth(0.7);
				wndrP1clone2:y(P1ypos+120);
				
				wndrP1clone3:smooth(0.7);
				wndrP1clone3:y(P1ypos+100+70);
				
				wndrP1clone4:smooth(0.7);
				wndrP1clone4:y(P1ypos+64);
				
				
			end
			
			if P2 then
				
				wndrP2clone2:smooth(0.7);
				wndrP2clone2:y(P2ypos+120);
				
				wndrP2clone3:smooth(0.7);
				wndrP2clone3:y(P2ypos+100+70);
				
				wndrP2clone4:smooth(0.7);
				wndrP2clone4:y(P2ypos+64);
			end
		end,
		
		FlyAwayMessageCommand= function(self)
			self:sleep(0);
			if P1 then
					
				wndrP1clone2:smooth(1);
				wndrP1clone2:y(P1ypos-500);
				
				wndrP1clone3:smooth(1);
				wndrP1clone3:y(P1ypos-500);
				
				wndrP1clone4:smooth(0.5);
				wndrP1clone4:y(P1ypos);
				
				
			end
			
			if P2 then
				
				wndrP2clone2:smooth(1);
				wndrP2clone2:y(P2ypos-500);
				
				wndrP2clone3:smooth(1);
				wndrP2clone3:y(P2ypos-500);
				
				wndrP2clone4:smooth(0.5);
				wndrP2clone4:y(P2ypos);
			end
		end,
		
		Hide123MessageCommand= function(self)
			self:sleep(0);
			if P1 then
					
				wndrP1clone1:visible(false);
				wndrP1clone2:visible(false);
				wndrP1clone3:visible(false);

			end
			
			if P2 then
				
				wndrP2clone1:visible(false);
				wndrP2clone2:visible(false);
				wndrP2clone3:visible(false);
			end
		end,
		
----------------------------------------
	
	WagPlayersMessageCommand= function(self)
			self:sleep(0);
			if P1 then
								
				P1:wag();
				P1:effectclock('bgm');
				P1:effectmagnitude(0,0,30);
				P1:effectperiod(2);
			end
			
			if P2 then
								
				P2:wag();
				P2:effectclock('bgm');
				P2:effectmagnitude(0,0,-30);
				P2:effectperiod(2);
			end
		end,
	},
	
	--------------------------------------------------------
	--------------------------------------------------------
	--------------------------------------------------------
	-------------HERE LIES THE ACTOR PROXIES----------------
	--------------------------------------------------------
	--------------------------------------------------------
	--------------------------------------------------------
	
	Def.ActorProxy{
		BeginCommand=function(self)
			
			wndrP1clone1=self;
			
		end;
	};
	
	Def.ActorProxy{
		BeginCommand=function(self)
			
			wndrP1clone2=self;
			
		end;
	};
	
	Def.ActorProxy{
		BeginCommand=function(self)
			
			wndrP1clone3=self;
			
		end;
	};
	
	Def.ActorProxy{
		BeginCommand=function(self)
			
			wndrP1clone4=self;
			
		end;
	};
	
	
	------
	
	Def.ActorProxy{
		BeginCommand=function(self)
			
			wndrP2clone1=self;
			
		end;
	};
	
	Def.ActorProxy{
		BeginCommand=function(self)
			
			wndrP2clone2=self;
			
		end;
	};
	
	Def.ActorProxy{
		BeginCommand=function(self)
			
			wndrP2clone3=self;
			
		end;
	};
	
	Def.ActorProxy{
		BeginCommand=function(self)
			
			wndrP2clone4=self;
			
		end;
	};
	
}