
local songName= GAMESTATE:GetCurrentSong():GetSongDir()

local function iris_mod_internal(str, pn)
	local ps= GAMESTATE:GetPlayerState(pn)
	local pmods= ps:GetPlayerOptionsString('ModsLevel_Song')
	ps:SetPlayerOptions('ModsLevel_Song', pmods .. ', ' .. str)
	--GAMESTATE:ApplyGameCommand('mod,'..str, pn)
end


local function iris_mod(str)
	for i=1,2 do
		iris_mod_internal(str, 'PlayerNumber_P' .. i)
	end
end



local function iris_init()
	fgcurcommand = 0;
	wndr_skewx=0.3;
	checked = false;
	
	
	
	--lua course :D	/ timed mod management	
	curmod = 1;
	--{beat,mod,player}
	mods = {

		{13.5,'*99 tipsy'},
		{13.55,'*99 -100% tipsy'},
		{13.6,'*99 tipsy'},
		{13.65,'*99 -100% tipsy'},
		{13.7,'*99 tipsy'},
		{13.75,'*99 -100% tipsy'},
		{13.8,'*99 tipsy'},
		{13.85,'*99 -100% tipsy'},
		{13.9,'*99 tipsy'},
		{13.95,'*99 -100% tipsy'},
		{14,'*99 0% tipsy'},

		{15,'*99 drunk'},
		{15.05,'*99 -100% drunk'},
		{15.1,'*99 drunk'},
		{15.15,'*99 -100% drunk'},
		{15.2,'*99 drunk'},
		{15.25,'*99 -100% drunk'},
		{15.3,'*99 drunk'},
		{15.35,'*99 -100% drunk'},
		{15.4,'*99 drunk'},
		{15.45,'*99 -100% drunk'},
		{15.5,'*99 0% drunk'},

		{16,'*16 drunk, *0.5 wave, *99 60% stealth'},
		{16.1,'*0.8 0% stealth'},

		{20,'*99 60% stealth'},
		{20.1,'*0.9 0% stealth'},

		{24,'*99 60% stealth'},
		{24.1,'*0.9 0% stealth'},

		{28,'*99 60% stealth'},
		{28.1,'*0.9 0% stealth'},

		{31.5,'*99 tipsy, *99 0% drunk, *99 0% tipsy, *99 0% wave'},
		{31.55,'*99 -100% tipsy'},
		{31.6,'*99 tipsy'},
		{31.65,'*99 -100% tipsy'},
		{31.7,'*99 tipsy'},
		{31.75,'*99 -100% tipsy'},
		{31.8,'*99 tipsy'},
		{31.85,'*99 -100% tipsy'},
		{31.9,'*99 tipsy'},
		{31.95,'*99 -100% tipsy'},
		{32,'*99 0% tipsy'},

		{46.5,'*99 tipsy'},
		{46.55,'*99 -100% tipsy'},
		{46.6,'*99 tipsy'},
		{46.65,'*99 -100% tipsy'},
		{46.7,'*99 tipsy'},
		{46.75,'*99 -100% tipsy'},
		{46.8,'*99 tipsy'},
		{46.85,'*99 -100% tipsy'},
		{46.9,'*99 tipsy'},
		{46.95,'*99 -100% tipsy'},
		{47,'*99 0% tipsy'},

		{47.5,'*99 tipsy'},
		{47.55,'*99 -100% tipsy'},
		{47.6,'*99 tipsy'},
		{47.65,'*99 -100% tipsy'},
		{47.7,'*99 tipsy'},
		{47.75,'*99 -100% tipsy'},
		{47.8,'*99 tipsy'},
		{47.85,'*99 -100% tipsy'},
		{47.9,'*99 tipsy'},
		{47.95,'*99 -100% tipsy'},
		{48,'*99 0% tipsy'},

		{66,'*16 invert'},
		{66.5,'*16 0% invert, *16 flip'},
		{66.75,'*16 0% flip'},
		{70,'*16 invert'},
		{70.5,'*16 0% invert, *16 flip'},
		{70.75,'*16 0% flip'},
		{74,'*16 invert'},
		{74.5,'*16 0% invert, *16 flip'},
		{74.75,'*16 0% flip'},

		{76.5,'*99 tipsy'},
		{76.55,'*99 -100% tipsy'},
		{76.6,'*99 tipsy'},
		{76.65,'*99 -100% tipsy'},
		{76.7,'*99 tipsy'},
		{76.75,'*99 -100% tipsy'},
		{76.8,'*99 tipsy'},
		{76.85,'*99 -100% tipsy'},
		{76.9,'*99 tipsy'},
		{76.95,'*99 -100% tipsy'},
		{77,'*99 0% tipsy'},

		{78,'*16 tipsy'},
		{78.37,'*16 -100% tipsy'},
		{78.75,'*16 tipsy'},

		{79,'*99 drunk, *16 0% tipsy, *1.2 50% reverse'},
		{79.05,'*99 -100% drunk'},
		{79.1,'*99 drunk'},
		{79.15,'*99 -100% drunk'},
		{79.2,'*99 drunk'},
		{79.25,'*99 -100% drunk'},
		{79.3,'*99 drunk'},
		{79.35,'*99 -100% drunk'},
		{79.4,'*99 drunk'},
		{79.45,'*99 -100% drunk'},
		{79.5,'*99 0% drunk'},
		{79.5,'*99 drunk'},
		{79.55,'*99 -100% drunk'},
		{79.6,'*99 drunk'},
		{79.65,'*99 -100% drunk'},
		{79.7,'*99 drunk'},
		{79.75,'*99 -100% drunk'},
		{79.8,'*99 drunk'},
		{79.85,'*99 -100% drunk'},
		{79.9,'*99 drunk'},
		{79.95,'*99 -100% drunk'},
		{80,'*99 0% drunk, *99 0% reverse'},

		{94,'*99 -300% tiny, *99 drunk'},
		{94.1,'*9 0% drunk'},
		{95,'*99 0% tiny, *99 drunk'},
		{95.1,'*9 0% drunk'},

		{96,'*16 drunk, *16 tipsy'},
		{96.25,'*16 -100% drunk, *16 -100% tipsy'},
		{96.5,'*16 drunk, *16 tipsy'},
		{96.75,'*16 -100% drunk, *16 -100% tipsy'},
		{97,'*16 drunk, *16 tipsy'},
		{97.25,'*16 -100% drunk, *16 -100% tipsy'},
		{97.5,'*16 drunk, *16 tipsy'},
		{97.75,'*16 -100% drunk, *16 -100% tipsy'},
		{98,'*16 drunk, *16 tipsy'},
		{98.25,'*16 -100% drunk, *16 -100% tipsy'},
		{98.5,'*16 drunk, *16 tipsy'},
		{98.75,'*16 -100% drunk, *16 -100% tipsy'},
		{99,'*16 drunk, *16 tipsy'},
		{99.25,'*16 -100% drunk, *16 -100% tipsy'},
		{99.5,'*16 drunk, *16 tipsy'},
		{99.75,'*16 -100% drunk, *16 -100% tipsy'},
		{100,'*16 drunk, *16 tipsy'},
		{100.25,'*16 -100% drunk, *16 -100% tipsy'},
		{100.5,'*16 drunk, *16 tipsy'},
		{100.75,'*16 -100% drunk, *16 -100% tipsy'},
		{101,'*16 drunk, *16 tipsy'},
		{101.25,'*16 -100% drunk, *16 -100% tipsy'},
		{101.5,'*16 drunk, *16 tipsy'},
		{101.75,'*16 -100% drunk, *16 -100% tipsy'},
		{102,'*16 drunk, *16 tipsy'},
		{102.25,'*16 -100% drunk, *16 -100% tipsy'},
		{102.5,'*16 drunk, *16 tipsy'},
		{102.75,'*16 -100% drunk, *16 -100% tipsy'},
		{103,'*16 drunk, *16 tipsy'},
		{103.25,'*16 -100% drunk, *16 -100% tipsy'},
		{103.5,'*16 drunk, *16 tipsy'},
		{103.75,'*16 -100% drunk, *16 -100% tipsy'},
		{104,'*16 drunk, *16 tipsy'},
		{104.25,'*16 -100% drunk, *16 -100% tipsy'},
		{104.5,'*16 drunk, *16 tipsy'},
		{104.75,'*16 -100% drunk, *16 -100% tipsy'},
		{105,'*16 drunk, *16 tipsy'},
		{105.25,'*16 -100% drunk, *16 -100% tipsy'},
		{105.5,'*16 drunk, *16 tipsy'},
		{105.75,'*16 -100% drunk, *16 -100% tipsy'},
		{106,'*16 drunk, *16 tipsy'},
		{106.25,'*16 -100% drunk, *16 -100% tipsy'},
		{106.5,'*16 drunk, *16 tipsy'},
		{106.75,'*16 -100% drunk, *16 -100% tipsy'},
		{107,'*16 drunk, *16 tipsy'},
		{107.25,'*16 -100% drunk, *16 -100% tipsy'},
		{107.5,'*16 drunk, *16 tipsy'},
		{107.75,'*16 -100% drunk, *16 -100% tipsy'},
		{108,'*16 drunk, *16 tipsy'},
		{108.25,'*16 -100% drunk, *16 -100% tipsy'},
		{108.5,'*16 drunk, *16 tipsy'},
		{108.75,'*16 -100% drunk, *16 -100% tipsy'},
		{109,'*16 drunk, *16 tipsy'},
		{109.25,'*16 -100% drunk, *16 -100% tipsy'},
		{109.5,'*16 drunk, *16 tipsy'},
		{109.75,'*16 -100% drunk, *16 -100% tipsy'},
		{110,'*16 drunk, *16 tipsy'},
		{110.25,'*16 -100% drunk, *16 -100% tipsy'},
		{110.5,'*16 drunk, *16 tipsy'},
		{110.75,'*16 -100% drunk, *16 -100% tipsy'},
		{111,'*16 drunk, *16 tipsy'},
		{111.25,'*16 -100% drunk, *16 -100% tipsy'},
		{111.5,'*16 drunk, *16 tipsy'},
		{111.75,'*16 -100% drunk, *16 -100% tipsy'},
		{112,'*16 0% drunk, *16 0% tipsy, *0.1 200% mini'},

		{120,'*99 drunk, *16 0% tipsy'},
		{120.05,'*99 -100% drunk'},
		{120.1,'*99 drunk'},
		{120.15,'*99 -100% drunk'},
		{120.2,'*99 drunk'},
		{120.25,'*99 -100% drunk'},
		{120.3,'*99 drunk'},
		{120.35,'*99 -100% drunk'},
		{120.4,'*99 drunk'},
		{120.45,'*99 -100% drunk'},
		{120.5,'*99 0% drunk'},
		{120.5,'*99 drunk'},
		{120.55,'*99 -100% drunk'},
		{120.6,'*99 drunk'},
		{120.65,'*99 -100% drunk'},
		{120.7,'*99 drunk'},
		{120.75,'*99 -100% drunk'},
		{120.8,'*99 drunk'},
		{120.85,'*99 -100% drunk'},
		{120.9,'*99 drunk'},
		{120.95,'*99 -100% drunk'},
		{121,'*99 drunk'},
		{121.05,'*99 -100% drunk'},
		{121.1,'*99 drunk'},
		{121.15,'*99 -100% drunk'},
		{121.2,'*99 drunk'},
		{121.25,'*99 -100% drunk'},
		{121.3,'*99 drunk'},
		{121.35,'*99 -100% drunk'},
		{121.4,'*99 drunk'},
		{121.45,'*99 -100% drunk'},
		{121.5,'*99 0% drunk'},
		{121.5,'*99 drunk'},
		{121.55,'*99 -100% drunk'},
		{121.6,'*99 drunk'},
		{121.65,'*99 -100% drunk'},
		{121.7,'*99 drunk'},
		{121.75,'*99 -100% drunk'},
		{121.8,'*99 drunk'},
		{121.85,'*99 -100% drunk'},
		{121.9,'*99 drunk'},
		{121.95,'*99 -100% drunk'},
		{122,'*99 drunk'},
		{122.05,'*99 -100% drunk'},
		{122.1,'*99 drunk'},
		{122.15,'*99 -100% drunk'},
		{122.2,'*99 drunk'},
		{122.25,'*99 -100% drunk'},
		{122.3,'*99 drunk'},
		{122.35,'*99 -100% drunk'},
		{122.4,'*99 drunk'},
		{122.45,'*99 -100% drunk'},
		{122.5,'*99 0% drunk'},
		{122.5,'*99 drunk'},
		{122.55,'*99 -100% drunk'},
		{122.6,'*99 drunk'},
		{122.65,'*99 -100% drunk'},
		{122.7,'*99 drunk'},
		{122.75,'*99 -100% drunk'},
		{122.8,'*99 drunk'},
		{122.85,'*99 -100% drunk'},
		{122.9,'*99 drunk'},
		{122.95,'*99 -100% drunk'},
		{123,'*99 drunk'},
		{123.05,'*99 -100% drunk'},
		{123.1,'*99 drunk'},
		{123.15,'*99 -100% drunk'},
		{123.2,'*99 drunk'},
		{123.25,'*99 -100% drunk'},
		{123.3,'*99 drunk'},
		{123.35,'*99 -100% drunk'},
		{123.4,'*99 drunk'},
		{123.45,'*99 -100% drunk'},
		{123.5,'*99 0% drunk'},
		{123.5,'*99 drunk'},
		{123.55,'*99 -100% drunk'},
		{123.6,'*99 drunk'},
		{123.65,'*99 -100% drunk'},
		{123.7,'*99 drunk'},
		{123.75,'*99 -100% drunk'},
		{123.8,'*99 drunk'},
		{123.85,'*99 -100% drunk'},
		{123.9,'*99 drunk'},
		{123.95,'*99 -100% drunk'},
		{124,'*99 drunk'},
		{124.05,'*99 -100% drunk'},
		{124.1,'*99 drunk'},
		{124.15,'*99 -100% drunk'},
		{124.2,'*99 drunk'},
		{124.25,'*99 -100% drunk'},
		{124.3,'*99 drunk'},
		{124.35,'*99 -100% drunk'},
		{124.4,'*99 drunk'},
		{124.45,'*99 -100% drunk'},
		{124.5,'*99 0% drunk'},
		{124.5,'*99 drunk'},
		{124.55,'*99 -100% drunk'},
		{124.6,'*99 drunk'},
		{124.65,'*99 -100% drunk'},
		{124.7,'*99 drunk'},
		{124.75,'*99 -100% drunk'},
		{124.8,'*99 drunk'},
		{124.85,'*99 -100% drunk'},
		{124.9,'*99 drunk'},
		{124.95,'*99 -100% drunk'},
		{125,'*99 drunk'},
		{125.05,'*99 -100% drunk'},
		{125.1,'*99 drunk'},
		{125.15,'*99 -100% drunk'},
		{125.2,'*99 drunk'},
		{125.25,'*99 -100% drunk'},
		{125.3,'*99 drunk'},
		{125.35,'*99 -100% drunk'},
		{125.4,'*99 drunk'},
		{125.45,'*99 -100% drunk'},
		{125.5,'*99 0% drunk'},
		{125.5,'*99 drunk'},
		{125.55,'*99 -100% drunk'},
		{125.6,'*99 drunk'},
		{125.65,'*99 -100% drunk'},
		{125.7,'*99 drunk'},
		{125.75,'*99 -100% drunk'},
		{125.8,'*99 drunk'},
		{125.85,'*99 -100% drunk'},
		{125.9,'*99 drunk'},
		{125.95,'*99 -100% drunk'},
		{126,'*99 0% drunk, *99 0% mini, *99 stealth'},
		{126.1,'*0.7 0% stealth'},

		{128,'*99 beat'},
		{136,'*99 0% beat'},
		{138,'*99 beat'},

		{139,'*16 reverse'},
		{139.25,'*16 0% reverse'},
		{139.5,'*16 reverse'},
		{139.75,'*16 0% reverse'},

		{143,'*99 0% beat'},

		{143,'*16 40% tornado'},
		{143.1,'*4 0% tornado'},
		{143.25,'*16 40% tornado'},
		{143.3,'*4 0% tornado'},
		{143.5,'*16 40% tornado'},
		{143.6,'*4 0% tornado'},
		{143.75,'*16 40% tornado'},
		{143.8,'*4 0% tornado'},

		{144,'*99 beat'},

		{146.5,'*16 -90% tiny'},
		{146.6,'*3 0% tiny'},
		{147.5,'*16 -90% tiny'},
		{147.6,'*3 0% tiny'},

		{157,'*99 0% beat'},

		{158,'*16 10% reverse'},
		{158.375,'*16 20% reverse'},
		{158.75,'*16 30% reverse'},
		{159,'*16 40% reverse'},
		{159.1,'*2 0% reverse'},

		{162,'*99 -500% tiny'},
		{162.1,'*6 0% tiny'},

		{164.5,'*99 drunk'},
		{164.55,'*99 -100% drunk'},
		{164.6,'*99 drunk'},
		{164.65,'*99 -100% drunk'},
		{164.7,'*99 drunk'},
		{164.75,'*99 -100% drunk'},
		{164.8,'*99 drunk'},
		{164.85,'*99 -100% drunk'},
		{164.9,'*99 drunk'},
		{164.95,'*99 -100% drunk'},
		{165,'*99 0% drunk'},
		{165.5,'*99 drunk'},
		{165.55,'*99 -100% drunk'},
		{165.6,'*99 drunk'},
		{165.65,'*99 -100% drunk'},
		{165.7,'*99 drunk'},
		{165.75,'*99 -100% drunk'},
		{165.8,'*99 drunk'},
		{165.85,'*99 -100% drunk'},
		{165.9,'*99 drunk'},
		{165.95,'*99 -100% drunk'},
		{166,'*99 0% drunk'},
		{166.5,'*99 drunk'},
		{166.55,'*99 -100% drunk'},
		{166.6,'*99 drunk'},
		{166.65,'*99 -100% drunk'},
		{166.7,'*99 drunk'},
		{166.75,'*99 -100% drunk'},
		{166.8,'*99 drunk'},
		{166.85,'*99 -100% drunk'},
		{166.9,'*99 drunk'},
		{166.95,'*99 -100% drunk'},
		{167,'*99 0% drunk'},
		{167.5,'*99 drunk'},
		{167.55,'*99 -100% drunk'},
		{167.6,'*99 drunk'},
		{167.65,'*99 -100% drunk'},
		{167.7,'*99 drunk'},
		{167.75,'*99 -100% drunk'},
		{167.8,'*99 drunk'},
		{167.85,'*99 -100% drunk'},
		{167.9,'*99 drunk'},
		{167.95,'*99 -100% drunk'},
		{168,'*99 0% drunk'},

		{173.5,'*99 drunk'},
		{173.55,'*99 -100% drunk'},
		{173.6,'*99 drunk'},
		{173.65,'*99 -100% drunk'},
		{173.7,'*99 drunk'},
		{173.75,'*99 -100% drunk'},
		{173.8,'*99 drunk'},
		{173.85,'*99 -100% drunk'},
		{173.9,'*99 drunk'},
		{173.95,'*99 -100% drunk'},
		{174,'*99 0% drunk'},

		{174,'*99 -500% tiny'},
		{175.1,'*16 0% tiny'},

		{176,'*0.8 50% reverse'},
		{178.25,'*0.7 0% reverse'},

		{182,'*99 150% brake'},
		{182.1,'*3 0% brake'},
		{182.75,'*99 150% brake'},
		{182.8,'*3 0% brake'},
		{183.5,'*99 150% brake'},
		{183.6,'*3 0% brake'},

		{184,'*99 tipsy, *3 beat, *3 drunk'},

		{188,'*99 drunk'},
		{188.05,'*99 -100% drunk'},
		{188.1,'*99 drunk'},
		{188.15,'*99 -100% drunk'},
		{188.2,'*99 drunk'},
		{188.25,'*99 -100% drunk'},
		{188.3,'*99 drunk'},
		{188.35,'*99 -100% drunk'},
		{188.4,'*99 drunk'},
		{188.45,'*99 -100% drunk'},
		{188.5,'*99 0% drunk'},
		{188.5,'*99 drunk'},
		{188.55,'*99 -100% drunk'},
		{188.6,'*99 drunk'},
		{188.65,'*99 -100% drunk'},
		{188.7,'*99 drunk'},
		{188.75,'*99 -100% drunk'},
		{188.8,'*99 drunk'},
		{188.85,'*99 -100% drunk'},
		{188.9,'*99 drunk'},
		{188.95,'*99 -100% drunk'},
		{189,'*99 drunk ,*99 tipsy'},
		{189.05,'*99 -100% drunk ,*99 -100% tipsy'},
		{189.1,'*99 drunk ,*99 tipsy'},
		{189.15,'*99 -100% drunk ,*99 -100% tipsy'},
		{189.2,'*99 drunk ,*99 tipsy'},
		{189.25,'*99 -100% drunk ,*99 -100% tipsy'},
		{189.3,'*99 drunk ,*99 tipsy'},
		{189.35,'*99 -100% drunk ,*99 -100% tipsy'},
		{189.4,'*99 drunk ,*99 tipsy'},
		{189.45,'*99 -100% drunk ,*99 -100% tipsy'},
		{189.5,'*99 0% drunk ,*99 tipsy'},
		{189.5,'*99 drunk ,*99 tipsy'},
		{189.55,'*99 -100% drunk ,*99 -100% tipsy'},
		{189.6,'*99 drunk ,*99 tipsy'},
		{189.65,'*99 -100% drunk ,*99 -100% tipsy'},
		{189.7,'*99 drunk ,*99 tipsy'},
		{189.75,'*99 -100% drunk ,*99 -100% tipsy'},
		{189.8,'*99 drunk ,*99 tipsy'},
		{189.85,'*99 -100% drunk ,*99 -100% tipsy'},
		{189.9,'*99 drunk ,*99 tipsy'},
		{189.95,'*99 -100% drunk ,*99 -100% tipsy'},
		{190,'*99 0% drunk ,*99 0% tipsy'},

		{192,'*0.8 50% reverse, *99 0% beat, *99 0% drunk, *99 0% tipsy'},
		{194.25,'*0.7 0% reverse'},

		{196.5,'*99 drunk'},
		{196.55,'*99 -100% drunk'},
		{196.6,'*99 drunk'},
		{196.65,'*99 -100% drunk'},
		{196.7,'*99 drunk'},
		{196.75,'*99 -100% drunk'},
		{196.8,'*99 drunk'},
		{196.85,'*99 -100% drunk'},
		{196.9,'*99 drunk'},
		{196.95,'*99 -100% drunk'},
		{197,'*99 0% drunk'},

		{197.5,'*99 drunk'},
		{197.55,'*99 -100% drunk'},
		{197.6,'*99 drunk'},
		{197.65,'*99 -100% drunk'},
		{197.7,'*99 drunk'},
		{197.75,'*99 -100% drunk'},
		{197.8,'*99 drunk'},
		{197.85,'*99 -100% drunk'},
		{197.9,'*99 drunk'},
		{197.95,'*99 -100% drunk'},
		{198,'*99 0% drunk'},

		{198.65,'*99 -100% drunk'},
		{198.7,'*99 drunk'},
		{198.75,'*99 -100% drunk'},
		{198.8,'*99 drunk'},
		{198.85,'*99 -100% drunk'},
		{198.9,'*99 drunk'},
		{198.95,'*99 -100% drunk'},
		{199,'*99 0% drunk'},

		{199.65,'*99 -100% drunk'},
		{199.7,'*99 drunk'},
		{199.75,'*99 -100% drunk'},
		{199.8,'*99 drunk'},
		{199.85,'*99 -100% drunk'},
		{199.9,'*99 drunk'},
		{199.95,'*99 -100% drunk'},
		{200,'*99 0% drunk, *99 beat'},

		{204,'*99 drunk ,*99 tipsy'},
		{204.05,'*99 -100% drunk ,*99 -100% tipsy'},
		{204.1,'*99 drunk ,*99 tipsy'},
		{204.15,'*99 -100% drunk ,*99 -100% tipsy'},
		{204.2,'*99 drunk ,*99 tipsy'},
		{204.25,'*99 -100% drunk ,*99 -100% tipsy'},
		{204.3,'*99 drunk ,*99 tipsy'},
		{204.35,'*99 -100% drunk ,*99 -100% tipsy'},
		{204.4,'*99 drunk ,*99 tipsy'},
		{204.45,'*99 -100% drunk ,*99 -100% tipsy'},
		{204.5,'*99 0% drunk ,*99 tipsy'},
		{204.5,'*99 drunk ,*99 tipsy'},
		{204.55,'*99 -100% drunk ,*99 -100% tipsy'},
		{204.6,'*99 drunk ,*99 tipsy'},
		{204.65,'*99 -100% drunk ,*99 -100% tipsy'},
		{204.7,'*99 drunk ,*99 tipsy'},
		{204.75,'*99 -100% drunk ,*99 -100% tipsy'},
		{204.8,'*99 drunk ,*99 tipsy'},
		{204.85,'*99 -100% drunk ,*99 -100% tipsy'},
		{204.9,'*99 drunk ,*99 tipsy'},
		{204.95,'*99 -100% drunk ,*99 -100% tipsy'},
		{205,'*99 0% drunk ,*99 0% tipsy'},

		{206,'*99 0% beat'},

		{211.75,'*99 beat'},

		{228,'*99 400% beat, *0.1 200% mini'},

	}

	iris_driven = 1;
	iris_driven_beat = 193;
	iris_driven_beat_init = 193;

	iris_driven_speed = 0.65;
	iris_driven_modspeed = 1.0;

	iris_drunk = 1;
	iris_drunk_amt = 0;
	iris_bumpy = 1;
	iris_bumpy_amt = 0;

	--SCREAMING GUMBALL / timed message broadcaster
	curmessage = 1;
	--{beat,message,ignoreIfAhead}
	messages = {
		--{182.5,'CytusSpawn'},
		--{193,'CytusBegin'},
		--{257,'CytusEnd'},

		{0.1,'BeforeAppear'},
		{12,'Appear'},
		{48,'Alarm'},
		{52,'Alarm'},
		{56,'Alarm'},
		{60,'Alarm'},
		{64,'Alarm'},
		{68,'Alarm'},
		{72,'Alarm'},
		{80,'Whateeeeeee'},
		{82,'Whateeeeeee'},
		{84,'Whateeeeeee'},
		{86,'Whateeeeeee'},
		{88,'Whateeeeeee'},
		{90,'Whateeeeeee'},
		{92,'Whateeeeeee'},
		{140,'VibratePlayer'},
		{143,'VibratePlayerStop'},
		{176,'Drop'},
		{192,'Drop'},
		{205,'wow'},
		{212,'dat'},
		{214,'dat'},
		{216,'dat'},
		{218,'dat'},
		{220,'dat'},
		{222,'dat'},
		{224,'dat'},
		{226,'dat'},
		{228,'datback'},
		{244,'Spin'},


	}
	
end

local function iris_update()

	if GAMESTATE:GetSongBeat()>=0.1 and not checked then
	
	if SCREENMAN:GetTopScreen():GetChild('PlayerP1') then
		P1 = SCREENMAN:GetTopScreen():GetChild('PlayerP1')
	end
			if P1 then
				P1xpos=P1:GetX();
				P1ypos=P1:GetY();
			end
	if SCREENMAN:GetTopScreen():GetChild('PlayerP2') then
		P2 = SCREENMAN:GetTopScreen():GetChild('PlayerP2')
	end
			if P2 then
				P2xpos=P2:GetX();
				P2ypos=P2:GetY();
			end
		--PE = SCREENMAN:GetTopScreen():GetChild('')
		
		screen = SCREENMAN:GetTopScreen()
		
		if P1 then
			P1:visible(false);
			P1:x(0);
			P1:y(0);
			wndrP1clone1:SetTarget(P1);
			wndrP1clone1:x(P1xpos);
			wndrP1clone1:y(P1ypos);
			
			
			wndrP1clone2:SetTarget(P1);
			wndrP1clone3:SetTarget(P1);
			wndrP1clone4:SetTarget(P1);
			
			wndrP1clone2:visible(false);
			wndrP1clone3:visible(false);
			wndrP1clone4:visible(false);
		end
		
		if P2 then
			P2:visible(false);
			P2:x(0);
			P2:y(0);
			wndrP2clone1:SetTarget(P2);
			wndrP2clone1:x(P2xpos);
			wndrP2clone1:y(P2ypos);
			
			
			wndrP2clone2:SetTarget(P2);
			wndrP2clone3:SetTarget(P2);
			wndrP2clone4:SetTarget(P2);
			
			wndrP2clone2:visible(false);
			wndrP2clone3:visible(false);
			wndrP2clone4:visible(false);
		end
		checked = true;
		
	end
	
	local beat = GAMESTATE:GetSongBeat()

	-- Collect all the mods that will be applied in this frame into one string.
	-- Mod tweening doesn't work correctly if the mods are in seperate commands.
	local mods_this_frame= {}
	local function add_mod(mod_str)
		mods_this_frame[#mods_this_frame+1]= mod_str
	end
	local function execute_mods()
		if #mods_this_frame <= 0 then return end
		local total_mod_str= ""
		for i, ms in ipairs(mods_this_frame) do
			if #total_mod_str > 0 then
				total_mod_str= total_mod_str .. ", "
			end
			total_mod_str= total_mod_str .. ms
		end
		iris_mod(total_mod_str)
	end
	
	--[[
	
	if beat>257 and fgcurcommand == 3 then
		set_player_speed(PLAYER_1, iris_speedmodP1)
		set_player_speed(PLAYER_2, iris_speedmodP2)
		add_mod('*1000 no reverse')
		add_mod('*1000 no centered')
		add_mod('*1000 no dark')
		fgcurcommand = fgcurcommand+1
	end --]]
	
	while curmod<= #mods and GAMESTATE:GetSongBeat()>=mods[curmod][1] do
		add_mod(mods[curmod][2])
		curmod = curmod+1
	end

	execute_mods()
	
	--SCREAMING GUMBALL
	while curmessage<= #messages and GAMESTATE:GetSongBeat()>=messages[curmessage][1] do
		if messages[curmessage][3] and GAMESTATE:GetSongBeat()>=messages[curmessage][1]+5 then
			curmessage = curmessage+1;
		else
			MESSAGEMAN:Broadcast(messages[curmessage][2])
			curmessage = curmessage+1;
		end
	end
end

return Def.ActorFrame{
	OnCommand= function(self)
							 iris_init()
							 self:SetUpdateFunction(iris_update)
						 end,
	Def.Quad{
		Name= "I may be sleeping, but I preserve the world.",
		InitCommand= cmd(visible,false),
		OnCommand= cmd(sleep,100000000),
	},
	Def.Quad{
		OnCommand= cmd(diffuse,0,0,0,1;diffusealpha,0;zoomto,6,SCREEN_HEIGHT;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y),
		CytusSpawnMessageCommand= cmd(linear,1;diffusealpha,1),
		CytusEndMessageCommand= cmd(linear,1;diffusealpha,0),
		
		PlayersRot1MessageCommand= function(self)
			if P1 then
			P1:decelerate(.3)
			P1:rotationz(90)
			end
			
			if P2 then
			P2:decelerate(.3)
			P2:rotationz(-90)
			end
		end,

		DropMessageCommand= function(self)
			if P1 then
			P1:decelerate(0.96)
			P1:rotationz(400)
			P1:y(400)
			P1:decelerate(0.84)
			P1:rotationz(0)
			P1:y(0)
			end
			
			if P2 then
			P2:decelerate(0.96)
			P2:rotationz(400)
			P2:y(400)
			P2:decelerate(0.84)
			P2:rotationz(0)
			P2:y(0)
			end
		end,

		SpinMessageCommand= function(self)
			if P1 then
			P1:decelerate(3.84)
			P1:rotationy(54000);
			end
			
			if P2 then
			P2:decelerate(3.84)
			P2:rotationy(54000);
			end
		end,
		
		PlayersRot2MessageCommand= function(self)
			if P1 then
			P1:decelerate(.3)
			P1:rotationz(-90)
			end
			
			if P2 then
			P2:decelerate(.3)
			P2:rotationz(90)
			end
		end,
		
		PlayersRot0MessageCommand= function(self)
			if P1 then
			P1:decelerate(.3)
			P1:rotationz(0)
			end
			
			if P2 then
			P2:decelerate(.3)
			P2:rotationz(0)
			end
		end,
		
		PlayersSkew1MessageCommand= function(self)
			if P1 then
			P1:smooth(0.10)
			P1:skewx(wndr_skewx)
			end
			
			--PE:skewx(wndr_skewx)
			
			if P2 then
			P2:smooth(0.10)
			P2:skewx(-wndr_skewx)
			end
		end,
		
		PlayersSkew2MessageCommand= function(self)
			if P1 then
			P1:smooth(0.10)
			P1:skewx(-wndr_skewx)
			end
			
			if P2 then
			P2:smooth(0.10)
			P2:skewx(wndr_skewx)
			end
		end,
		
		PlayersSkew0MessageCommand= function(self)
			if P1 then
			P1:stoptweening()
			P1:linear(0.25)
			P1:skewx(0)
			end
			
			if P2 then
			P2:stoptweening()
			P2:linear(0.25)
			P2:skewx(0)
			end
		end,

		PlayerRotateRightMessageCommand= function(self)
			if P1 then
			P1:addz(90)
			end
			
			if P2 then
			P2:addz(90)
			end
		end,

		PlayerRotateLeftMessageCommand= function(self)
			if P1 then
			P1:addz(-90)
			end
			
			if P2 then
			P2:addz(-90)
			end
		end,

		PlayerRotateRestoreMessageCommand= function(self)
			if P1 then
			P1:rotationz(0)
			end
			
			if P2 then
			P2:rotationz(0)
			end
		end,

		AppearMessageCommand= function(self)
			if P1 then
			P1:decelerate(0.07)
			P1:zoomx(8)
			P1:zoomz(2)
			P1:decelerate(0.2)
			P1:zoomx(.1)
			P1:zoomz(.1)
			P1:decelerate(0.1)
			P1:zoomx(1)
			P1:zoomz(1)
			end
			
			if P2 then
			P2:decelerate(0.07)
			P2:zoomx(8)
			P2:zoomz(2)
			P2:decelerate(0.2)
			P2:zoomx(.1)
			P2:zoomz(.1)
			P2:decelerate(0.1)
			P2:zoomx(1)
			P2:zoomz(1)
			end
		end,

		BeforeAppearMessageCommand= function(self)
			if P1 then
			P1:zoomx(0)
			P1:zoomz(0)
			end
			
			if P2 then
			P2:zoomx(0)
			P2:zoomz(0)
			end
		end,

		WhateeeeeeeMessageCommand= function(self)
			if P1 then
			P1:zoomy(0)
			P1:decelerate(0.3)
			P1:zoomy(1.5)
			P1:decelerate(0.1)
			P1:zoomy(1)
			end
			
			if P2 then
			P2:zoomy(0)
			P2:decelerate(0.3)
			P2:zoomy(1.5)
			P2:decelerate(0.1)
			P2:zoomy(1)
			end
		end,

		AlarmMessageCommand= function(self)
			if P1 then
			P1:decelerate(0.48)
			P1:zoomz(7)
			P1:decelerate(0.1)
			P1:zoomz(1)
			end
			
			if P2 then
			P2:decelerate(0.48)
			P2:zoomz(7)
			P2:decelerate(0.1)
			P2:zoomz(1)
			end
		end,

		wowMessageCommand= function(self)
			if P1 then
			P1:zoomx(5)
			P1:zoomy(.3)
			P1:decelerate(0.3)
			P1:zoomx(1)
			P1:zoomy(1)
			end
			
			if P2 then
			P2:zoomx(5)
			P2:zoomy(.3)
			P2:decelerate(0.3)
			P2:zoomx(1)
			P2:zoomy(1)
			end
		end,

		datMessageCommand= function(self)
			if P1 then
			P1:decelerate(0.3)
			P1:rotationz(math.random(-39,39));
			P1:rotationy(math.random(-39,39));
			P1:rotationx(math.random(-39,39));
			end
			
			if P2 then
			P2:decelerate(0.3)
			P2:rotationz(math.random(-39,39));
			P2:rotationy(math.random(-39,39));
			P2:rotationx(math.random(-39,39));
			end
		end,

		datbackMessageCommand= function(self)
			if P1 then
			P1:decelerate(0.12)
			P1:rotationz(0);
			P1:rotationy(0);
			P1:rotationx(0);
			end
			
			if P2 then
			P2:decelerate(0.12)
			P2:rotationz(0);
			P2:rotationy(0);
			P2:rotationx(0);
			end
		end,


		-- Vibration commands
		VibratePlayerMessageCommand= function(self)
			SCREENMAN:GetTopScreen():GetChild('PlayerP1'):vibrate();
			SCREENMAN:GetTopScreen():effectmagnitude(0.6,0.6,0.6);
			SCREENMAN:GetTopScreen():GetChild('PlayerP2'):vibrate();
			SCREENMAN:GetTopScreen():effectmagnitude(0.6,0.6,0.6);
		end,

		VibratePlayerStopMessageCommand= function(self)
			SCREENMAN:GetTopScreen():GetChild('PlayerP1'):stopeffect();
			SCREENMAN:GetTopScreen():GetChild('PlayerP2'):stopeffect();
		end,

		VibrateMessageCommand= function(self)
			SCREENMAN:GetTopScreen():vibrate();
			SCREENMAN:GetTopScreen():effectmagnitude(20,20,20);
		end,

		VibratestopMessageCommand= function(self)
			SCREENMAN:GetTopScreen():stopeffect();
		end,

		BounceMessageCommand= function(self)
			SCREENMAN:GetTopScreen():GetChild('PlayerP1'):bounce();
            SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectperiod(1)
            SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectclock('bgm');
            SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectmagnitude(0,-15,0)
            SCREENMAN:GetTopScreen():GetChild('PlayerP2'):bounce();
            SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectperiod(1)
            SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectclock('bgm');
            SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectmagnitude(0,-15,0)
        end,

        BouncefasterMessageCommand= function(self)
			SCREENMAN:GetTopScreen():GetChild('PlayerP1'):bounce();
            SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectperiod(.5)
            SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectclock('bgm');
            SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectmagnitude(0,-15,0)
            SCREENMAN:GetTopScreen():GetChild('PlayerP2'):bounce();
            SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectperiod(.5)
            SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectclock('bgm');
            SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectmagnitude(0,-15,0)
        end,

        BouncefastererMessageCommand= function(self)
			SCREENMAN:GetTopScreen():GetChild('PlayerP1'):bounce();
            SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectperiod(.25)
            SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectclock('bgm');
            SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectmagnitude(0,-15,0)
            SCREENMAN:GetTopScreen():GetChild('PlayerP2'):bounce();
            SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectperiod(.25)
            SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectclock('bgm');
            SCREENMAN:GetTopScreen():GetChild('PlayerP2'):effectmagnitude(0,-15,0)
        end,

        BounceSomewereElseMessageCommand= function(self)
        	self:sleep(0);
			SCREENMAN:GetTopScreen():GetChild('PlayerP1'):bounce();
            SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectperiod(1)
            SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectclock('bgm');
            SCREENMAN:GetTopScreen():GetChild('PlayerP1'):effectmagnitude(20,-15,15)
        end,

        BouncestopMessageCommand= function(self)
        	SCREENMAN:GetTopScreen():GetChild('PlayerP1'):stopeffect();
        	SCREENMAN:GetTopScreen():GetChild('PlayerP2'):stopeffect();
        end,

        SlidestuffoffstopMessageCommand= function(self)
        	SCREENMAN:GetTopScreen():GetChild('PlayerP1'):decelerate(1.4);
        	SCREENMAN:GetTopScreen():GetChild('PlayerP1'):x(-1000);
        	SCREENMAN:GetTopScreen():GetChild('LifeP1'):decelerate(1.4);
            SCREENMAN:GetTopScreen():GetChild('LifeP1'):x(-1000);
            SCREENMAN:GetTopScreen():GetChild('ScoreP1'):decelerate(1.4);
            SCREENMAN:GetTopScreen():GetChild('ScoreP1'):x(-1000);
            SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetChild('Combo'):decelerate(1.4);
            SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetChild('Combo'):x(-1000);
            SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetChild('Judgment'):decelerate(1.4);
            SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetChild('Judgment'):x(-1000);
        end,

        DivideClonesMessageCommand= function(self)
			self:sleep(0);
			if P1 then
				
				wndrP1clone1:addx(250);
				wndrP1clone2:addx(-250);
				wndrP1clone3:Vibrate();
				wndrP1clone4:Vibrate();
			end
		end,

		LetsmakeeverythinggoupexceptforthenotefieldMessageCommand= function(self)
			if P1 then
			self:sleep(0);
			SCREENMAN:GetTopScreen():y(-500);
			P1:y(500)
			end
			
			if P2 then
			P2:y(500)
			end
		end,

		MainDissapearsMessageCommand= function(self)
			if P1 then
			self:sleep(0);
			SCREENMAN:GetTopScreen():smooth(0.2);
			SCREENMAN:GetTopScreen():GetChild('Background'):diffusealpha(0);
			end
			
			if P2 then
			P2:y(500)
			end
		end,

		BackUpMessageCommand= function(self)
			if P1 then
			self:sleep(0);
			SCREENMAN:GetTopScreen():smooth(.8);
			P1:smooth(.8)
			SCREENMAN:GetTopScreen():y(0);
			P1:y(0)
			end
			
			if P2 then
			P2:smooth(.8)
			P2:y(0)
			end
		end,

		ChangethebeatofthesongpleaseMessageCommand= function(self)
			SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addx(math.random(-50,50));
			SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addy(math.random(-50,50));
			SCREENMAN:GetTopScreen():GetChild('PlayerP1'):addz(math.random(-50,50));
			SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationx(math.random(-50,50));
			SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationy(math.random(-50,50));
			SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationz(math.random(-50,50));
			SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addx(math.random(-50,50));
			SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addy(math.random(-50,50));
			SCREENMAN:GetTopScreen():GetChild('PlayerP2'):addz(math.random(-50,50));
			SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationx(math.random(-50,50));
			SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationy(math.random(-50,50));
			SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationz(math.random(-50,50));
		end,

		ChangethebeatbackMessageCommand= function(self)
			SCREENMAN:GetTopScreen():GetChild('PlayerP1'):x(0);
			SCREENMAN:GetTopScreen():GetChild('PlayerP1'):y(500);
			SCREENMAN:GetTopScreen():GetChild('PlayerP1'):z(0);
			SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationx(0);
			SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationy(0);
			SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationz(0);
			SCREENMAN:GetTopScreen():GetChild('PlayerP2'):x(0);
			SCREENMAN:GetTopScreen():GetChild('PlayerP2'):y(500);
			SCREENMAN:GetTopScreen():GetChild('PlayerP2'):z(0);
			SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationx(0);
			SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationy(0);
			SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationz(0);
		end,
		
		-------------------------------------------------------
		-------------------------------------------------------
		-------------------------------------------------------
		-------------------------------------------------------
		-------------------------------------------------------
		-------------------------------------------------------
		-------------------------------------------------------
		-------------------------------------------------------
		-------------------------------------------------------
		
		
		ClonesSetMessageCommand= function(self)
			self:sleep(0);
			if P1 then
				wndrP1clone1:visible(true);
				wndrP1clone2:visible(true);
				wndrP1clone3:visible(true);
				wndrP1clone4:visible(true);
				
				wndrP1clone2:x(wndrP1clone1:GetX()+64);
				wndrP1clone3:x(wndrP1clone1:GetX()+128);
				wndrP1clone4:x(wndrP1clone1:GetX()+192);
				
				wndrP1clone2:y(wndrP1clone1:GetY()+450);
				wndrP1clone3:y(wndrP1clone1:GetY()+450);
				wndrP1clone4:y(wndrP1clone1:GetY()+450);
			end
			
			if P2 then
				wndrP2clone1:visible(true);
				wndrP2clone2:visible(true);
				wndrP2clone3:visible(true);
				wndrP2clone4:visible(true);
				
				wndrP2clone2:x(wndrP2clone1:GetX()-64);
				wndrP2clone3:x(wndrP2clone1:GetX()-128);
				wndrP2clone4:x(wndrP2clone1:GetX()-192);
				
				wndrP2clone2:y(wndrP2clone1:GetY()+450);
				wndrP2clone3:y(wndrP2clone1:GetY()+450);
				wndrP2clone4:y(wndrP2clone1:GetY()+450);
			end
		end,
		
		DropFirstMessageCommand= function(self)
			self:sleep(0);
			if P1 then
				
				wndrP1clone1:smooth(0.345);
				wndrP1clone1:addy(450);
				wndrP1clone1:rotationz(20);
			end
			
			if P2 then
				
				wndrP2clone1:smooth(0.345);
				wndrP2clone1:addy(450);
				wndrP2clone1:rotationz(20);
			end
		end,
		
		
		FirstJumpMessageCommand= function(self)
			self:sleep(0);
			if P1 then
				
				wndrP1clone1:sleep(0);
				wndrP1clone1:rotationz(-20);
				wndrP1clone1:smooth(0.345*2);
				wndrP1clone1:addy(-450);
				wndrP1clone1:rotationz(0);
				wndrP1clone1:smooth(0.345*2);
				wndrP1clone1:addy(450);
				wndrP1clone1:rotationz(20);
			end
			
			if P2 then
				
				wndrP2clone1:sleep(0);
				wndrP2clone1:rotationz(-20);
				wndrP2clone1:smooth(0.345*2);
				wndrP2clone1:addy(-450);
				wndrP2clone1:rotationz(0);
				wndrP2clone1:smooth(0.345*2);
				wndrP2clone1:addy(450);
				wndrP2clone1:rotationz(20);
			end
		end,
		
		
		SecondJumpMessageCommand= function(self)
			self:sleep(0);
			if P1 then
				
				wndrP1clone2:sleep(0);
				wndrP1clone2:rotationz(-20);
				wndrP1clone2:smooth(0.345*2);
				wndrP1clone2:addy(-450);
				wndrP1clone2:rotationz(0);
				wndrP1clone2:smooth(0.345*2);
				wndrP1clone2:addy(450);
				wndrP1clone2:rotationz(20);
			end
			
			if P2 then
				
				wndrP2clone2:sleep(0);
				wndrP2clone2:rotationz(-20);
				wndrP2clone2:smooth(0.345*2);
				wndrP2clone2:addy(-450);
				wndrP2clone2:rotationz(0);
				wndrP2clone2:smooth(0.345*2);
				wndrP2clone2:addy(450);
				wndrP2clone2:rotationz(20);
			end
		end,
		
		ThirdJumpMessageCommand= function(self)
			self:sleep(0);
			if P1 then
				
				wndrP1clone3:sleep(0);
				wndrP1clone3:rotationz(-20);
				wndrP1clone3:smooth(0.345*2);
				wndrP1clone3:addy(-450);
				wndrP1clone3:rotationz(0);
				wndrP1clone3:smooth(0.345*2);
				wndrP1clone3:addy(450);
				wndrP1clone3:rotationz(20);
			end
			
			if P2 then
				
				wndrP2clone3:sleep(0);
				wndrP2clone3:rotationz(-20);
				wndrP2clone3:smooth(0.345*2);
				wndrP2clone3:addy(-450);
				wndrP2clone3:rotationz(0);
				wndrP2clone3:smooth(0.345*2);
				wndrP2clone3:addy(450);
				wndrP2clone3:rotationz(20);
			end
		end,
		
		FourthJumpMessageCommand= function(self)
			self:sleep(0);
			if P1 then
				
				wndrP1clone4:sleep(0);
				wndrP1clone4:rotationz(-20);
				wndrP1clone4:smooth(0.345*2);
				wndrP1clone4:addy(-450);
				wndrP1clone4:rotationz(0);
				wndrP1clone4:smooth(0.345*2);
				wndrP1clone4:addy(450);
				wndrP1clone4:rotationz(20);
			end
			
			if P2 then
				
				wndrP2clone4:sleep(0);
				wndrP2clone4:rotationz(-20);
				wndrP2clone4:smooth(0.345*2);
				wndrP2clone4:addy(-450);
				wndrP2clone4:rotationz(0);
				wndrP2clone4:smooth(0.345*2);
				wndrP2clone4:addy(450);
				wndrP2clone4:rotationz(20);
			end
		end,
		
		FourthSetMessageCommand= function(self)
			self:sleep(0);
			if P1 then
				
				wndrP1clone4:sleep(0);
				wndrP1clone4:rotationz(-20);
				wndrP1clone4:smooth(0.345*2);
				wndrP1clone4:x(P1xpos);
				wndrP1clone4:y(P1ypos);
				wndrP1clone4:rotationz(0);
			end
			
			if P1 then
				
				wndrP2clone4:sleep(0);
				wndrP2clone4:rotationz(-20);
				wndrP2clone4:smooth(0.345*2);
				wndrP2clone4:x(P2xpos);
				wndrP2clone4:y(P2ypos);
				wndrP2clone4:rotationz(0);
			end
		end,
		
		HideRestMessageCommand= function(self)
			self:sleep(0);
			if P1 then
				
				wndrP1clone1:visible(false);
				wndrP1clone2:visible(false);
				wndrP1clone3:visible(false);
			end
			
			if P2 then
				
				wndrP2clone1:visible(false);
				wndrP2clone2:visible(false);
				wndrP2clone3:visible(false);
			end
		end,
		
		------------------------------------------------
		------------------------------------------------
		------------------------------------------------
		----------BRIDGE THING PART MOD THINGY----------
		------------------------------------------------
		------------------------------------------------
		------------------------------------------------
		
		SetRestMessageCommand= function(self)
			self:sleep(0);
			if P1 then
				
				wndrP1clone1:visible(true);
				wndrP1clone1:x(P1xpos);
				wndrP1clone1:y(P1ypos+450);
				wndrP1clone1:rotationz(0);
				
				wndrP1clone2:visible(true);
				wndrP1clone2:x(P1xpos);
				wndrP1clone2:y(P1ypos+450);
				wndrP1clone2:rotationz(0);
				
				wndrP1clone3:visible(true);
				wndrP1clone3:x(P1xpos);
				wndrP1clone3:y(P1ypos+450);
				wndrP1clone3:rotationz(0);
			end
			
			if P2 then
				
				wndrP2clone1:visible(true);
				wndrP2clone1:x(P2xpos);
				wndrP2clone1:y(P2ypos+450);
				wndrP2clone1:rotationz(0);
				
				wndrP2clone2:visible(true);
				wndrP2clone2:x(P2xpos);
				wndrP2clone2:y(P2ypos+450);
				wndrP2clone2:rotationz(0);
				
				wndrP2clone3:visible(true);
				wndrP2clone3:x(P2xpos);
				wndrP2clone3:y(P2ypos+450);
				wndrP2clone3:rotationz(0);
			end
		end,
		
		PopThirdMessageCommand= function(self)
			self:sleep(0);
			if P1 then
								
				wndrP1clone3:zoom(0.9);
				wndrP1clone3:smooth(1);
				wndrP1clone3:x(P1xpos+100);
				wndrP1clone3:y(P1ypos+100);
				wndrP1clone3:rotationz(40);
				wndrP1clone3:sleep(2);
				wndrP1clone3:smooth(1);
				wndrP1clone3:x(P1xpos);
				wndrP1clone3:y(P1ypos+450);
				wndrP1clone3:rotationz(0);
			end
			
			if P2 then
								
				wndrP2clone3:zoom(0.9);
				wndrP2clone3:smooth(1);
				wndrP2clone3:x(P2xpos-100);
				wndrP2clone3:y(P2ypos+100);
				wndrP2clone3:rotationz(-40);
				wndrP2clone3:sleep(2);
				wndrP2clone3:smooth(1);
				wndrP2clone3:x(P2xpos);
				wndrP2clone3:y(P2ypos+450);
				wndrP2clone3:rotationz(0);
			end
		end,
		
		PopSecondMessageCommand= function(self)
			self:sleep(0);
			if P1 then
								
				wndrP1clone2:zoom(0.8);
				wndrP1clone2:smooth(1);
				wndrP1clone2:x(P1xpos-100);
				wndrP1clone2:y(P1ypos+120);
				wndrP1clone2:rotationz(-40);
				wndrP1clone2:sleep(2);
				wndrP1clone2:smooth(1);
				wndrP1clone2:x(P1xpos);
				wndrP1clone2:y(P1ypos+450);
				wndrP1clone2:rotationz(0);
			end
			
			if P2 then
								
				wndrP2clone2:zoom(0.8);
				wndrP2clone2:smooth(1);
				wndrP2clone2:x(P2xpos+100);
				wndrP2clone2:y(P2ypos+120);
				wndrP2clone2:rotationz(40);
				wndrP2clone2:sleep(2);
				wndrP2clone2:smooth(1);
				wndrP2clone2:x(P2xpos);
				wndrP2clone2:y(P2ypos+450);
				wndrP2clone2:rotationz(0);
			end
		end,
		
		PopFirstMessageCommand= function(self)
			self:sleep(0);
			if P1 then
								
				wndrP1clone1:zoom(0.7);
				wndrP1clone1:smooth(1);
				wndrP1clone1:x(P1xpos);
				wndrP1clone1:y(P1ypos+140);
				wndrP1clone1:rotationz(0);
				wndrP1clone1:sleep(2);
				wndrP1clone1:smooth(1);
				wndrP1clone1:x(P1xpos);
				wndrP1clone1:y(P1ypos+450);
				wndrP1clone1:rotationz(0);
			end
			
			if P2 then
								
				wndrP2clone1:zoom(0.7);
				wndrP2clone1:smooth(1);
				wndrP2clone1:x(P2xpos);
				wndrP2clone1:y(P2ypos+140);
				wndrP2clone1:rotationz(0);
				wndrP2clone1:sleep(2);
				wndrP2clone1:smooth(1);
				wndrP2clone1:x(P2xpos);
				wndrP2clone1:y(P2ypos+450);
				wndrP2clone1:rotationz(0);
			end
		end,
		
		
		-------------------------------------------
		-------------------------------------------
		-------------------------------------------
		
		RaiseThirdMessageCommand= function(self)
			self:sleep(0);
			if P1 then
					
				wndrP1clone3:x(P1xpos-130);
				wndrP1clone3:zoom(0.7);
				wndrP1clone3:decelerate(0.5);
				wndrP1clone3:x(P1xpos-130);
				wndrP1clone3:y(P1ypos+100);
				wndrP1clone3:rotationz(0);
			end
			
			if P2 then
				
				wndrP2clone3:x(P2xpos+130);				
				wndrP2clone3:zoom(0.7);
				wndrP2clone3:decelerate(0.5);
				wndrP2clone3:x(P2xpos+130);
				wndrP2clone3:y(P2ypos+100);
				wndrP2clone3:rotationz(0);
			end
		end,
		
		LowerFourthMessageCommand= function(self)
			self:sleep(0);
			if P1 then
								
				wndrP1clone4:smooth(1);
				wndrP1clone4:y(P1ypos+64);
			end
			
			if P2 then
								
				wndrP2clone4:smooth(1);
				wndrP2clone4:y(P2ypos+64);
			end
		end,
		
		LowerBothMessageCommand= function(self)
			self:sleep(0);
			if P1 then
								
				wndrP1clone4:smooth(1);
				wndrP1clone4:y(P1ypos+64+64);
				
				wndrP1clone3:smooth(1);
				wndrP1clone3:y(P1ypos+100+80);
			end
			
			if P2 then
								
				wndrP2clone4:smooth(1);
				wndrP2clone4:y(P2ypos+64+64);
				wndrP2clone3:smooth(1);
				wndrP2clone3:y(P2ypos+100+80);
			end
		end,
		
		LowerBothAgainMessageCommand= function(self)
			self:sleep(0);
			if P1 then
								
				wndrP1clone4:smooth(1);
				wndrP1clone4:y(P1ypos+64+64+64);
				
				wndrP1clone3:smooth(1);
				wndrP1clone3:y(P1ypos+100+70+70);
			end
			
			if P2 then
								
				wndrP2clone4:smooth(1);
				wndrP2clone4:y(P2ypos+64+64+64);
				wndrP2clone3:smooth(1);
				wndrP2clone3:y(P2ypos+100+70+70);
			end
		end,
		
		
		RaiseSecondMessageCommand= function(self)
			self:sleep(0);
			if P1 then
					
				wndrP1clone2:x(P1xpos+110);
				wndrP1clone2:zoom(0.6);
				wndrP1clone2:decelerate(0.5);
				wndrP1clone2:y(P1ypos+120);
				
			end
			
			if P2 then
				
				wndrP2clone2:x(P2xpos-110);
				wndrP2clone2:zoom(0.6);
				wndrP2clone2:decelerate(0.5);
				wndrP2clone2:y(P2ypos+120);
			end
		end,
		
		RaiseAllMessageCommand= function(self)
			self:sleep(0);
			if P1 then
					
				wndrP1clone2:smooth(0.7);
				wndrP1clone2:y(P1ypos+120-64);
				
				wndrP1clone3:smooth(0.7);
				wndrP1clone3:y(P1ypos+64);
				
				wndrP1clone4:smooth(0.7);
				wndrP1clone4:y(P1ypos);
				
				
			end
			
			if P2 then
				
				wndrP2clone2:smooth(0.7);
				wndrP2clone2:y(P2ypos+120-64);
				
				wndrP2clone3:smooth(0.7);
				wndrP2clone3:y(P2ypos+64);
				
				wndrP2clone4:smooth(0.7);
				wndrP2clone4:y(P2ypos);
			end
		end,
		
		LowerAllMessageCommand= function(self)
			self:sleep(0);
			if P1 then
					
				wndrP1clone2:smooth(0.7);
				wndrP1clone2:y(P1ypos+120);
				
				wndrP1clone3:smooth(0.7);
				wndrP1clone3:y(P1ypos+100+70);
				
				wndrP1clone4:smooth(0.7);
				wndrP1clone4:y(P1ypos+64);
				
				
			end
			
			if P2 then
				
				wndrP2clone2:smooth(0.7);
				wndrP2clone2:y(P2ypos+120);
				
				wndrP2clone3:smooth(0.7);
				wndrP2clone3:y(P2ypos+100+70);
				
				wndrP2clone4:smooth(0.7);
				wndrP2clone4:y(P2ypos+64);
			end
		end,
		
		FlyAwayMessageCommand= function(self)
			self:sleep(0);
			if P1 then
					
				wndrP1clone2:smooth(1);
				wndrP1clone2:y(P1ypos-500);
				
				wndrP1clone3:smooth(1);
				wndrP1clone3:y(P1ypos-500);
				
				wndrP1clone4:smooth(0.5);
				wndrP1clone4:y(P1ypos);
				
				
			end
			
			if P2 then
				
				wndrP2clone2:smooth(1);
				wndrP2clone2:y(P2ypos-500);
				
				wndrP2clone3:smooth(1);
				wndrP2clone3:y(P2ypos-500);
				
				wndrP2clone4:smooth(0.5);
				wndrP2clone4:y(P2ypos);
			end
		end,
		
		Hide123MessageCommand= function(self)
			self:sleep(0);
			if P1 then
					
				wndrP1clone1:visible(false);
				wndrP1clone2:visible(false);
				wndrP1clone3:visible(false);

			end
			
			if P2 then
				
				wndrP2clone1:visible(false);
				wndrP2clone2:visible(false);
				wndrP2clone3:visible(false);
			end
		end,
		
----------------------------------------
	
	WagPlayersMessageCommand= function(self)
			self:sleep(0);
			if P1 then
								
				P1:wag();
				P1:effectclock('bgm');
				P1:effectmagnitude(0,0,30);
				P1:effectperiod(2);
			end
			
			if P2 then
								
				P2:wag();
				P2:effectclock('bgm');
				P2:effectmagnitude(0,0,-30);
				P2:effectperiod(2);
			end
		end,
	},
	
	--------------------------------------------------------
	--------------------------------------------------------
	--------------------------------------------------------
	-------------HERE LIES THE ACTOR PROXIES----------------
	--------------------------------------------------------
	--------------------------------------------------------
	--------------------------------------------------------
	
	Def.ActorProxy{
		BeginCommand=function(self)
			
			wndrP1clone1=self;
			
		end;
	};
	
	Def.ActorProxy{
		BeginCommand=function(self)
			
			wndrP1clone2=self;
			
		end;
	};
	
	Def.ActorProxy{
		BeginCommand=function(self)
			
			wndrP1clone3=self;
			
		end;
	};
	
	Def.ActorProxy{
		BeginCommand=function(self)
			
			wndrP1clone4=self;
			
		end;
	};
	
	
	------
	
	Def.ActorProxy{
		BeginCommand=function(self)
			
			wndrP2clone1=self;
			
		end;
	};
	
	Def.ActorProxy{
		BeginCommand=function(self)
			
			wndrP2clone2=self;
			
		end;
	};
	
	Def.ActorProxy{
		BeginCommand=function(self)
			
			wndrP2clone3=self;
			
		end;
	};
	
	Def.ActorProxy{
		BeginCommand=function(self)
			
			wndrP2clone4=self;
			
		end;
	};
	
}