snail_awinner = false;

if not iron_snail_todayBest then iron_snail_todayBest = 59.99 end

function iron_snail_saveFileExists()
	local path=GAMESTATE:GetCurrentSong():GetSongDir();
	if FILEMAN:DoesFileExist(path.."lua/savefile.lua") then
		return true
	end
	return false
end

function iron_snail_doHighScore(t)
	local file = RageFileUtil.CreateRageFile()
	local path=GAMESTATE:GetCurrentSong():GetSongDir();
	file:Open( path.."lua/savefile.lua", 2 ) --2 = write
	file:PutLine("snail_highscore = "..t)
	file:Close();
end

if iron_snail_saveFileExists() then
	--SCREENMAN:SystemMessage('Save File exists, loading');
	LoadActor("savefile")
else
	--SCREENMAN:SystemMessage('Save File does not exist, creating new');
	snail_highscore = 59.99
	if not ut_LOVE then ut_LOVE = 0 end
	iron_snail_doHighScore(59.99)
end
		
function goty2_round(num)
	return math.floor((num * 100) + 0.5) / 100
end
function goty2_round1(num)
	return math.floor((num * 10) + 0.5) / 10
end
function goty2_round0(num)
	return math.floor(num + 0.5)
end

checked = false;

songName = GAMESTATE:GetCurrentSong():GetSongDir();

function goty2_sound(soundName)
	SOUND:PlayOnce(songName..'lua/'..soundName);
end
		
goty2_keys = {0,0,0,0,0,0,0,0}

goty2_difficultyP1 = 3;
goty2_difficultyP2 = 3;

iron_snail_held = {0,0,0,0,0,0,0,0};

local InputHandler = function( event )

	-- if (somehow) there's no event, bail
	if not event then return end

	if event.type == "InputEventType_FirstPress" then
	
		if event.button == "Left" and event.PlayerNumber == PLAYER_1 then
			goty2_keys[1] = 1
		end
		if event.button == "Down" and event.PlayerNumber == PLAYER_1 then
			goty2_keys[2] = 1
		end
		if event.button == "Up" and event.PlayerNumber == PLAYER_1 then
			goty2_keys[3] = 1
		end
		if event.button == "Right" and event.PlayerNumber == PLAYER_1 then
			goty2_keys[4] = 1
		end
		if event.button == "Left" and event.PlayerNumber == PLAYER_2 then
			goty2_keys[5] = 1
		end
		if event.button == "Down" and event.PlayerNumber == PLAYER_2 then
			goty2_keys[6] = 1
		end
		if event.button == "Up" and event.PlayerNumber == PLAYER_2 then
			goty2_keys[7] = 1
		end
		if event.button == "Right" and event.PlayerNumber == PLAYER_2 then
			goty2_keys[8] = 1
		end
		
	end
	
	if event.type == "InputEventType_Release" then
		
		if event.button == "Left" and event.PlayerNumber == PLAYER_1 then
			goty2_keys[1] = 0
		end
		if event.button == "Down" and event.PlayerNumber == PLAYER_1 then
			goty2_keys[2] = 0
		end
		if event.button == "Up" and event.PlayerNumber == PLAYER_1 then
			goty2_keys[3] = 0
		end
		if event.button == "Right" and event.PlayerNumber == PLAYER_1 then
			goty2_keys[4] = 0
		end
		if event.button == "Left" and event.PlayerNumber == PLAYER_2 then
			goty2_keys[5] = 0
		end
		if event.button == "Down" and event.PlayerNumber == PLAYER_2 then
			goty2_keys[6] = 0
		end
		if event.button == "Up" and event.PlayerNumber == PLAYER_2 then
			goty2_keys[7] = 0
		end
		if event.button == "Right" and event.PlayerNumber == PLAYER_2 then
			goty2_keys[8] = 0
		end
		
	end

end

iron_snail_score = {0,0};
snail_time = {51,51};
iron_snail_multiplier = {1,1};

iron_snail_note = {{},{}}
iron_snail_nptr = {1,1};
iron_snail_dirs = {90,0,180,-90}

iron_snail_show = 12;

--iron_snail_notespacing = {SCREEN_HEIGHT*0.08,SCREEN_HEIGHT*0.08};
iron_snail_notespacing = {96,96};

iron_snail_diff = {1,1,1,1,1,1}

iron_snail_errors = {0,0}

iron_snail_patterns = {
	{1,2,3,4,3,2},
	{1,3,2,4,2,3},
	{1,2,1,4,2,4},
	{1,3,1,4,3,4},
	{1,2,1,4,1,2,1,4},
	{1,3,1,4,1,3,1,4},
	{1,4,1,4,2,4,2,4},
	{1,4,1,4,1,2,1,2},
	{1,2,1,2,3,4,3,4},
	{1,3,1,3,2,4,2,4},
	{1,2,3,4,2,3},
	{1,3,2,4,3,2},
	{1,2,3,4},
	{1,3,2,4},
	{1,4,3,2},
	{1,4,2,3},
	{1,4,1,3,1,2},
	{1,4,1,2,1,3},
	{1,2,3,4,2,3,2,3},
	{1,3,2,4,3,2,3,2},
}

iron_snail_patterns2 = {
	{1,2,4,2},
	{1,3,4,3},
	{1,2,4,2,3,4},
	{1,3,4,3,2,4},
	{1,2,4,1,3,4},
	{1,3,4,1,2,4},
	{1,2,3,2,4,2},
	{1,3,2,3,4,3},
	{1,2,4,1,4,2},
	{1,3,4,1,4,3},
	{1,2,4,2,4,2},
	{1,3,4,3,4,3},
}

iron_snail_patterns3 = {
	{1,2,2,4},
	{1,3,3,4},
	{1,2,2,3},
	{1,3,3,2},
	{1,4,3,3},
	{1,4,2,2},
}

--generate one chart per day, so everyone in the tournament plays the same chart*
--*unless the machine shits the bed
--if not iron_snail_chart1 then
	iron_snail_chart1 = {};
	
	local n = 1;
	local r = -1;
	for j=1,200 do
		n = math.random(1,table.getn(iron_snail_patterns));
		for i=1,table.getn(iron_snail_patterns[n]) do
			table.insert(iron_snail_chart1,iron_snail_patterns[n][i]);
		end
	end
	
--end

if not iron_snail_chart2 then
	iron_snail_chart2 = {};
	
	local n = 1;
	local r = -1;
	for j=1,200 do
		if math.mod(j,8) == 0 then
			n = math.random(1,table.getn(iron_snail_patterns3));
			for i=1,table.getn(iron_snail_patterns3[n]) do
				table.insert(iron_snail_chart2,iron_snail_patterns3[n][i]);
			end
		elseif math.mod(j,8) == 3 or math.mod(j,8) == 4 or math.mod(j,8) == 7 then
			n = math.random(1,table.getn(iron_snail_patterns2));
			for i=1,table.getn(iron_snail_patterns2[n]) do
				table.insert(iron_snail_chart2,iron_snail_patterns2[n][i]);
			end
		else
			n = math.random(1,table.getn(iron_snail_patterns));
			for i=1,table.getn(iron_snail_patterns[n]) do
				table.insert(iron_snail_chart2,iron_snail_patterns[n][i]);
			end
		end
	end
	
end

if not iron_snail_chart3 then
	iron_snail_chart3 = {};
	
	local n = 1;
	local r = -1;
	for j=1,200 do
		if math.mod(j,4) ~= 0 then
			n = math.random(1,table.getn(iron_snail_patterns2));
			for i=1,table.getn(iron_snail_patterns2[n]) do
				table.insert(iron_snail_chart3,iron_snail_patterns2[n][i]);
			end
		else
			n = math.random(1,table.getn(iron_snail_patterns3));
			for i=1,table.getn(iron_snail_patterns3[n]) do
				table.insert(iron_snail_chart3,iron_snail_patterns3[n][i]);
			end
		end
	end
	
end

function iron_snail_nextn(pn)
	iron_snail_nptr[pn] = iron_snail_nptr[pn]+1;
	if iron_snail_nptr[pn] > table.getn(iron_snail_note[pn]) then
		iron_snail_nptr[pn] = 1
	end
end

function iron_snail_gety(n)
	return SCREEN_HEIGHT*0.25;
end

function iron_snail_getx(n)
	return SCREEN_WIDTH*0.25;
end

iron_snail_scale = 0.8;
iron_snail_speedmod = 1.5;

snail_max_notes = 100;

iron_snail_axs = {0,0,0,0};

function iron_snail_quantize(obj, b)
	b = b/4;
	local r = b-math.floor(b)
	if r == 0 then iron_snail_color(obj,4)
	elseif r == 0.5 then iron_snail_color(obj,8)
	elseif (r > 0.33 and r < 0.34) or (r > 0.66 and r < 0.67) then iron_snail_color(obj,12)
	elseif r == 0.25 or r == 0.75 then iron_snail_color(obj,16)
	elseif (r > 0.166 and r < 0.167) or (r > 0.83 and r < 0.84) then iron_snail_color(obj,12)
	elseif r == 0.125 or r == 0.375 or r == 0.625 or r == 0.875 then iron_snail_color(obj,32)
	else iron_snail_color(obj,64) end
end

function iron_snail_color(obj, n)
	if n == 4 then obj:diffuse(1,0.4,0.3,1); end
	if n == 8 then obj:diffuse(0.3,0.7,1,1); end
	if n == 12 then obj:diffuse(1,0.4,1,1); end
	if n == 16 then obj:diffuse(0.3,1,0.4,1); end
	if n == 32 then obj:diffuse(1,0.8,0.3,1); end
	if n == 64 then obj:diffuse(0.3,1,0.7,1); end
end

function iron_snail_placenote(pn,time,dir)
	local h = iron_snail_notespacing[pn];
	
	--Trace('nptr: '..iron_snail_nptr[pn]);
	--Trace('Place Note for P'..pn);
	
	local a = iron_snail_note[pn][iron_snail_nptr[pn]];
	if not a then return end
	
	local b = a.actor;
	
	table.insert(iron_snail_mynotes[pn],b);
	
	b:visible(true);
	
	iron_snail_quantize(b, time-1);
	b:zoom(1)
	b:rotationz(iron_snail_dirs[dir]);
	--b:x((SCREEN_WIDTH*-0.25)+((pn)*SCREEN_CENTER_X)+(iron_snail_axs[dir]));
	--b:y(iron_snail_gety(0)+((time-1)*h));
	
	b:y((SCREEN_HEIGHT*-0.25)+((pn)*SCREEN_CENTER_Y)+40+(iron_snail_axs[dir]));
	b:x(iron_snail_getx(0)+((time-1)*h));
	
	Trace(b:GetX());
	
	iron_snail_nextn(pn);
end

iron_snail_curnotep1 = 1;
iron_snail_curnotep2 = 1;

Iron_Arrows1 = Def.ActorFrame{}
Iron_Arrows2 = Def.ActorFrame{}

for i=1,50 do
	Iron_Arrows1[#Iron_Arrows1+1] = Def.Sprite{
		InitCommand=cmd(effectperiod,4;effectclock,"bgm");
		Texture="robot 4x4.png";
		Frame0000=0;
		Delay0000=0.0625;
		Frame0001=1;
		Delay0001=0.0625;
		Frame0002=2;
		Delay0002=0.0625;
		Frame0003=3;
		Delay0003=0.0625;
		Frame0004=4;
		Delay0004=0.0625;
		Frame0005=5;
		Delay0005=0.0625;
		Frame0006=6;
		Delay0006=0.0625;
		Frame0007=7;
		Delay0007=0.0625;
		Frame0008=8;
		Delay0008=0.0625;
		Frame0009=9;
		Delay0009=0.0625;
		Frame0010=10;
		Delay0010=0.0625;
		Frame0011=11;
		Delay0011=0.0625;
		Frame0012=12;
		Delay0012=0.0625;
		Frame0013=13;
		Delay0013=0.0625;
		Frame0014=14;
		Delay0014=0.0625;
		Frame0015=15;
		Delay0015=0.0625;
		OnCommand=cmd(visible,false;sleep,0.02;queuecommand,"SetMe");
		SetMeCommand=function(self) table.insert(iron_snail_note[1],{actor = self}) end;
		HideCommand=function(self) self:visible(false); end;
	}
	Iron_Arrows2[#Iron_Arrows2+1] = Def.Sprite{
		InitCommand=cmd(effectperiod,4;effectclock,"bgm");
		Texture="robot 4x4.png";
		Frame0000=0;
		Delay0000=0.0625;
		Frame0001=1;
		Delay0001=0.0625;
		Frame0002=2;
		Delay0002=0.0625;
		Frame0003=3;
		Delay0003=0.0625;
		Frame0004=4;
		Delay0004=0.0625;
		Frame0005=5;
		Delay0005=0.0625;
		Frame0006=6;
		Delay0006=0.0625;
		Frame0007=7;
		Delay0007=0.0625;
		Frame0008=8;
		Delay0008=0.0625;
		Frame0009=9;
		Delay0009=0.0625;
		Frame0010=10;
		Delay0010=0.0625;
		Frame0011=11;
		Delay0011=0.0625;
		Frame0012=12;
		Delay0012=0.0625;
		Frame0013=13;
		Delay0013=0.0625;
		Frame0014=14;
		Delay0014=0.0625;
		Frame0015=15;
		Delay0015=0.0625;
		OnCommand=cmd(visible,false;sleep,0.02;queuecommand,"SetMe");
		SetMeCommand=function(self) table.insert(iron_snail_note[2],{actor = self}) end;
		HideCommand=function(self) self:visible(false); end;
	}
end

function iron_snail_update(pn,move)

	Trace('Update player '..pn);
	
	if not iron_snail_mynotes[pn] then
		return;
	end
	
	if not iron_snail_mynotes[pn][1] then
		return;
	end
	
	if move then
		iron_snail_mynotes[pn][1]:linear(1/math.max(iron_snail_nps[pn],10));
		iron_snail_mynotes[pn][1]:diffusealpha(-1);
		iron_snail_mynotes[pn][1]:zoom(1.4);
		iron_snail_mynotes[pn][1]:sleep(0);
		iron_snail_mynotes[pn][1]:diffusealpha(1);
		iron_snail_mynotes[pn][1]:zoom(1);
	
		local ind = _G['iron_snail_curnotep'..pn]
		local head = _G['iron_snail_chart'..iron_snail_diff[_G['goty2_difficultyP'..pn]+1]][ind]
		
		--iron_snail_mynotes[pn][1]:x((SCREEN_WIDTH*-0.25)+((pn)*SCREEN_CENTER_X)+(iron_snail_axs[head]));
		iron_snail_mynotes[pn][1]:y((SCREEN_HEIGHT*-0.25)+40+((pn)*SCREEN_CENTER_Y)+(iron_snail_axs[head]));
		iron_snail_mynotes[pn][1]:rotationz(iron_snail_dirs[head]);
		iron_snail_quantize(iron_snail_mynotes[pn][1], ind-1);
		if ind > snail_max_notes then iron_snail_mynotes[pn][1]:diffusealpha(0) else iron_snail_mynotes[pn][1]:diffusealpha(1) end
	end
	
	if move then
		_G['snail_wallp'..pn]:texcoordvelocity(0.6*math.max(iron_snail_nps[pn],10),0);
		_G['snail_wallp'..pn]:sleep(1/math.max(iron_snail_nps[pn],10))
		_G['snail_wallp'..pn]:queuecommand('Stop');
		_G['snail_floorp'..pn]:texcoordvelocity(0.8*math.max(iron_snail_nps[pn],10),0);
		_G['snail_floorp'..pn]:sleep(1/math.max(iron_snail_nps[pn],10))
		_G['snail_floorp'..pn]:queuecommand('Stop');
		_G['snail_finishp'..pn]:linear(1/math.max(iron_snail_nps[pn],10))
		_G['snail_finishp'..pn]:x((SCREEN_WIDTH*0.25)+96*(99-iron_snail_score[pn]))
	end
	
	for i=2,iron_snail_show do
		if move then
			iron_snail_mynotes[pn][i]:linear(1/math.max(iron_snail_nps[pn],10));
			iron_snail_mynotes[pn][i]:x(iron_snail_getx(0)+(iron_snail_notespacing[pn]*(i-2)));
			iron_snail_mynotes[pn][i]:sleep(0);
			iron_snail_mynotes[pn][i]:x(iron_snail_getx(0)+(iron_snail_notespacing[pn]*(i-1)));
			
			local ind = _G['iron_snail_curnotep'..pn]+i-1
			local body = _G['iron_snail_chart'..iron_snail_diff[_G['goty2_difficultyP'..pn]+1]][ind]
			if ind > snail_max_notes then iron_snail_mynotes[pn][i]:zoom(0) else iron_snail_mynotes[pn][i]:zoom(1) end
			--iron_snail_mynotes[pn][i]:x((SCREEN_WIDTH*-0.25)+((pn)*SCREEN_CENTER_X)+(iron_snail_axs[body]));
			iron_snail_mynotes[pn][i]:y((SCREEN_HEIGHT*-0.25)+40+((pn)*SCREEN_CENTER_Y)+(iron_snail_axs[body]));
			iron_snail_mynotes[pn][i]:rotationz(iron_snail_dirs[body]);
			iron_snail_quantize(iron_snail_mynotes[pn][i], ind-1);
		else
			--[[
			iron_snail_mynotes[pn][i]:linear(0.1);
			--iron_snail_mynotes[pn][i]:y(iron_snail_gety(0)+(iron_snail_notespacing[pn]*(i-1)));
			iron_snail_mynotes[pn][i]:x(iron_snail_getx(0)+(iron_snail_notespacing[pn]*(i-1)));
			]]
		end
	end
	
end

return Def.ActorFrame{

	Def.Quad{ OnCommand=cmd(sleep,10000) },

	Def.Quad{
		StartMessageCommand=function(self)
		
			if GAMESTATE:GetSongBeat()>=0 and not checked then
				
				----------------------
				-- grab everything? --
				----------------------
				if SCREENMAN:GetTopScreen():GetChild('LifeP1') then LifeP1 = SCREENMAN:GetTopScreen():GetChild('LifeP1') end
				if SCREENMAN:GetTopScreen():GetChild('LifeP2') then LifeP2 = SCREENMAN:GetTopScreen():GetChild('LifeP2') end
				if SCREENMAN:GetTopScreen():GetChild('ScoreP1') then ScoreP1 = SCREENMAN:GetTopScreen():GetChild('ScoreP1') end
				if SCREENMAN:GetTopScreen():GetChild('ScoreP2') then ScoreP2 = SCREENMAN:GetTopScreen():GetChild('ScoreP2') end
				--if SCREENMAN:GetTopScreen():GetChild('BPMDisplay') then BPMDisplay = SCREENMAN:GetTopScreen():GetChild('BPMDisplay') end
				if SCREENMAN:GetTopScreen():GetChild('LifeFrame') then LifeFrame = SCREENMAN:GetTopScreen():GetChild('LifeFrame') end
				if SCREENMAN:GetTopScreen():GetChild('ScoreFrame') then ScoreFrame = SCREENMAN:GetTopScreen():GetChild('ScoreFrame') end
				if SCREENMAN:GetTopScreen():GetChild('Lyrics') then Lyrics = SCREENMAN:GetTopScreen():GetChild('Lyrics') end
				if SCREENMAN:GetTopScreen():GetChild('SongForeground') then SongForeground = SCREENMAN:GetTopScreen():GetChild('SongForeground') end
				if SCREENMAN:GetTopScreen():GetChild('SongBackground') then SongBackground = SCREENMAN:GetTopScreen():GetChild('SongBackground') end
				if SCREENMAN:GetTopScreen():GetChild('Overlay') then Overlay = SCREENMAN:GetTopScreen():GetChild('Overlay') end
				if SCREENMAN:GetTopScreen():GetChild('Underlay') then Underlay = SCREENMAN:GetTopScreen():GetChild('Underlay') end
				
				--------------------------
				-- hide everything? y/n --
				--------------------------
				mod_hideall = true;
				if mod_hideall == true then
					if LifeFrame then LifeFrame:visible(false) end
					if LifeP1 then LifeP1:visible(false) end
					if LifeP2 then LifeP2:visible(false) end
					if ScoreP1 then ScoreP1:visible(false) end
					if ScoreP2 then ScoreP2:visible(false) end
					--if BPMDisplay then BPMDisplay:visible(false) end
					if Overlay then Overlay:visible(false) end
					if Underlay then Underlay:visible(false) end
					if ScoreFrame then ScoreFrame:visible(false) end
				end
				
				P1 = SCREENMAN:GetTopScreen():GetChild('PlayerP1');
				P2 = SCREENMAN:GetTopScreen():GetChild('PlayerP2');
				--aliases for old times sake
				
				screen = SCREENMAN:GetTopScreen();
				screen:AddInputCallback( InputHandler )
				checked = true;
			end
		
			iron_snail_mynotes = {{},{}};
			
			iron_snail_score = {0,0};
			
			iron_snail_wrongnotes = {0,0}
			
			iron_snail_nps = {1,1}
			iron_snail_nps_count = {0,0}
			iron_snail_nps_timer = {0,0}
			iron_snail_nps_hitdelay = {0,0}
			
			iron_snail_wrongwait = {0,0}
			
			iron_snail_started = {0,0}
			
			for pn=1,2 do
				if GAMESTATE:IsHumanPlayer(pn-1) then
					for i=1,iron_snail_show do
						iron_snail_placenote(pn,i,_G['iron_snail_chart'..iron_snail_diff[_G['goty2_difficultyP'..pn]+1]][i]);
					end
				end
			end
			
			self:sleep(0.1);
			self:queuecommand('Update');

		end;
		UpdateCommand=function(self)
			
			--game logic
			
			--if iron_snail_started[1] == 1 then
				--Trace(iron_snail_nps[1]..' nps');
				--Trace(iron_snail_notespacing[1]..' spacing');
			--end
			
			for pn=1,2 do
				
				if iron_snail_wrongwait[pn] > 0 then
					iron_snail_wrongwait[pn] = iron_snail_wrongwait[pn]-0.02;
				end
				
				if iron_snail_started[pn] == 1 then
					iron_snail_nps_timer[pn] = iron_snail_nps_timer[pn]+0.02
					iron_snail_nps_hitdelay[pn] = iron_snail_nps_hitdelay[pn]+0.02
				end
				
				if iron_snail_nps_hitdelay[pn]>0.4 and GAMESTATE:GetSongBeat()<142.6 then
					iron_snail_nps_hitdelay[pn] = 0;
					iron_snail_nps_timer[pn] = 0;
					iron_snail_nps_count[pn] = 0;
					iron_snail_started[pn] = 0;
					iron_snail_nps[pn] = (iron_snail_nps_count[pn]/math.max(iron_snail_nps_timer[pn],1))*1.5;
					--iron_snail_notespacing[pn] = (SCREEN_HEIGHT*0.08)+(SCREEN_HEIGHT*0.1*(iron_snail_nps[pn]/25))*iron_snail_multiplier[pn]*0.33
					--iron_snail_update(pn);
				end
				
				--_G['iron_snail_p'..pn..'mtext']:settext(goty2_round1(iron_snail_nps[pn]));
				_G['iron_snail_p'..pn..'mtext']:settext('');
				
				iron_snail_nps[pn] = (iron_snail_nps_count[pn]/math.max(iron_snail_nps_timer[pn],1))*1.5;
				--iron_snail_notespacing[pn] = (SCREEN_HEIGHT*0.08)+(SCREEN_HEIGHT*0.1*(iron_snail_nps[pn]/25))*iron_snail_multiplier[pn]*0.33
				iron_snail_notespacing[pn] = 96
				
				if GAMESTATE:IsHumanPlayer(pn-1) then
					--_G['iron_snail_p'..pn]:y(iron_snail_gety(0));
					_G['iron_snail_p'..pn]:x(iron_snail_getx(0));
				else
					--_G['iron_snail_p'..pn]:y(-1000);
					_G['iron_snail_p'..pn]:x(-1000);
				end
				
				snail_globaltime = math.min(math.floor((GAMESTATE:GetSongBeat()-16)*(60/150)*1000)/1000,51)
				if snail_globaltime > 0 then
					snail_globaltimertext:settext(string.format('%.3f', snail_globaltime))
				end
				if snail_globaltime == 51 then
					snail_globaltimertext:diffuse(1,0,0,1);
				end
				
				local bpn = pn-1;
				for i=1,4 do
				
					--Trace(goty2_keys[i+(bpn*4)]);
					
					----------------------handle button presses-------------------
					if GAMESTATE:IsHumanPlayer(pn-1) and GAMESTATE:GetSongBeat()>16 and GAMESTATE:GetSongBeat()<142.6
					and iron_snail_score[pn] < snail_max_notes and iron_snail_wrongwait[pn] <= 0 then
						if goty2_keys[i+(bpn*4)] == 1 and iron_snail_held[i+(bpn*4)] == 0 then
							
							if i==_G['iron_snail_chart'..iron_snail_diff[_G['goty2_difficultyP'..pn]+1]][_G['iron_snail_curnotep'..pn]] then
							
								iron_snail_started[pn] = 1;
								iron_snail_nps_hitdelay[pn] = 0;
								
								_G['iron_snail_curnotep'..pn] = _G['iron_snail_curnotep'..pn]+1;
								
								iron_snail_nps_count[pn] = iron_snail_nps_count[pn]+1;
								iron_snail_update(pn,true);
								
								iron_snail_wrongnotes[pn] = 0;
								
								iron_snail_score[pn] = iron_snail_score[pn]+1;
								
								if iron_snail_score[pn] == snail_max_notes then
									snail_time[pn] = snail_globaltime;
									goty2_sound('tadaaa.ogg');
									if not snail_awinner then
										if snail_time[pn] < iron_snail_todayBest then
											iron_snail_todayBest = snail_time[pn]
											goty2_sound('record.ogg');
											MESSAGEMAN:Broadcast('UpdateTodayBest');
										end
										if snail_time[pn] < snail_highscore then
											snail_highscore = snail_time[pn];
											iron_snail_doHighScore(snail_highscore);
											MESSAGEMAN:Broadcast('UpdateHighScore');
										end
									end
									MESSAGEMAN:Broadcast('FinishP'..pn);
									_G['snail_timetextp'..pn]:diffusealpha(1);
									_G['snail_timetextp'..pn]:settext(string.format('%.3f', snail_time[pn])..'s');
									snail_awinner = true;
								end
								
								_G['iron_snail_p'..pn..'ctext']:finishtweening();
								_G['iron_snail_p'..pn..'ctext']:settext(iron_snail_score[pn]);
								_G['iron_snail_p'..pn..'ctext']:diffusealpha(0.5);
								_G['iron_snail_p'..pn..'ctext']:zoom(math.min(2+(iron_snail_score[pn]/200),2));
								_G['iron_snail_p'..pn..'ctext']:linear(0.2);
								_G['iron_snail_p'..pn..'ctext']:zoom(math.min(1.8+(iron_snail_score[pn]/200),1.8));
								
								_G['iron_snail_p'..pn..'ctexta']:settext(iron_snail_score[pn]);
								_G['iron_snail_p'..pn..'ctexta']:zoom(math.min(1.8+(iron_snail_score[pn]/200),1.8));
								
								MESSAGEMAN:Broadcast('MovingP'..pn);
							
							else
								
								if iron_snail_wrongnotes[pn] > 0 then
									iron_snail_wrongnotes[pn] = 0;
									iron_snail_wrongwait[pn] = 0.5;
									
									iron_snail_nps_hitdelay[pn] = 0;
									iron_snail_nps_timer[pn] = 0;
									iron_snail_nps_count[pn] = 0;
									iron_snail_started[pn] = 0;
									iron_snail_nps[pn] = (iron_snail_nps_count[pn]/math.max(iron_snail_nps_timer[pn],1))*1.5;
									iron_snail_notespacing[pn] = (SCREEN_HEIGHT*0.08)+(SCREEN_HEIGHT*0.1*(iron_snail_nps[pn]/25))*iron_snail_multiplier[pn]*0.33
									--iron_snail_update(pn);
									
									goty2_sound('alert.ogg');
									
									if iron_snail_errors[pn] > 1 then
										iron_snail_wrongwait[pn] = 5;
										iron_snail_errors[pn] = 0;
										MESSAGEMAN:Broadcast('OnFireP'..pn);
									elseif iron_snail_errors[pn] > 0 then
										iron_snail_wrongwait[pn] = 2;
										iron_snail_errors[pn] = iron_snail_errors[pn]+1;
										MESSAGEMAN:Broadcast('HopelessP'..pn);
									else
										iron_snail_errors[pn] = iron_snail_errors[pn]+1;
										MESSAGEMAN:Broadcast('AlertP'..pn);
									end
									
									--[[
									_G['iron_snail_nfp'..pn]:decelerate(0.4);
									_G['iron_snail_nfp'..pn]:addy(160);
									_G['iron_snail_nfp'..pn]:accelerate(0.4);
									_G['iron_snail_nfp'..pn]:addy(-160);
									]]
								else
									iron_snail_wrongnotes[pn] = iron_snail_wrongnotes[pn]+1;
								end
							
							end
							
							iron_snail_held[i+(bpn*4)] = 1
							
						end
					end
					
					----------------------don't touch this------------------------
					--release all buttons - used for detecting if a button is newly pressed, as opposed to held
					if goty2_keys[i+(bpn*4)] == 0 then
						iron_snail_held[i+(bpn*4)] = 0
					end
					---------------------end don't touch this----------------------
					
				end
				
			end
			
			self:sleep(0.02);
			self:queuecommand('Update');
			
		end;
		KillCommand=function(self)
			--any cleanup, if necessary
		end;
	};
	
	LoadActor("walltex")..{ InitCommand=function(self) snail_wallp1 = self end; StopCommand=cmd(texcoordvelocity,0,0;);
	OnCommand=cmd(vertalign,top;x,SCREEN_WIDTH/2;y,SCREEN_HEIGHT*0;customtexturerect,0,0,10,3;zoomto,SCREEN_WIDTH,SCREEN_HEIGHT*0.4;); };
	LoadActor("walltex")..{ InitCommand=function(self) snail_wallp2 = self end; StopCommand=cmd(texcoordvelocity,0,0;);
	OnCommand=cmd(vertalign,top;x,SCREEN_WIDTH/2;y,SCREEN_HEIGHT*0.5;customtexturerect,0,0,10,3;zoomto,SCREEN_WIDTH,SCREEN_HEIGHT*0.4;); };
	
	Def.ActorFrame{ OnCommand=cmd(fov,80); VanishX=SCREEN_CENTER_X; VanishY=SCREEN_HEIGHT*.25;
		LoadActor("floortex")..{ InitCommand=function(self) snail_floorp1 = self end; StopCommand=cmd(texcoordvelocity,0,0;);
		OnCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_HEIGHT*0.38;rotationx,-45;zoomto,SCREEN_WIDTH*2,SCREEN_HEIGHT*0.3;customtexturerect,0,0,20,3;); };
		LoadActor("finishtex")..{ InitCommand=function(self) snail_finishp1 = self end;
		OnCommand=cmd(x,10000;y,SCREEN_HEIGHT*0.38;rotationx,-45;zoomto,64,SCREEN_HEIGHT*0.3;customtexturerect,0,0,1,4;);};
	},
	Def.ActorFrame{ OnCommand=cmd(y,SCREEN_HEIGHT*0.5;fov,80); VanishX=SCREEN_CENTER_X; VanishY=SCREEN_HEIGHT*.75;
		LoadActor("floortex")..{ InitCommand=function(self) snail_floorp2 = self end; StopCommand=cmd(texcoordvelocity,0,0;);
		OnCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_HEIGHT*0.38;rotationx,-45;zoomto,SCREEN_WIDTH*2,SCREEN_HEIGHT*0.3;customtexturerect,0,0,20,3;); };
		LoadActor("finishtex")..{ InitCommand=function(self) snail_finishp2 = self end;
		OnCommand=cmd(x,10000;y,SCREEN_HEIGHT*0.38;rotationx,-45;zoomto,64,SCREEN_HEIGHT*0.3;customtexturerect,0,0,1,4;);};
	},
	
	Def.BitmapText{ Font="Combo numbers"; Text=""; InitCommand=function(self) iron_snail_p1ctext = self; end;
	OnCommand=cmd(x,SCREEN_WIDTH*0.11;y,SCREEN_HEIGHT*0.25+40;diffusealpha,0.5;shadowlength,0;); Condition=GAMESTATE:IsPlayerEnabled(PLAYER_1) };
	Def.BitmapText{ Font="Combo numbers"; Text=""; InitCommand=function(self) iron_snail_p2ctext = self; end;
	OnCommand=cmd(x,SCREEN_WIDTH*0.11;y,SCREEN_HEIGHT*0.75+40;diffusealpha,0.5;shadowlength,0;); Condition=GAMESTATE:IsPlayerEnabled(PLAYER_2) };

	Def.BitmapText{ Font="ScoreDisplayPercentage percent text"; Text="0"; InitCommand=function(self) iron_snail_p1mtext = self; end;
	OnCommand=cmd(horizalign,left;x,3+(SCREEN_WIDTH*0.25);y,SCREEN_HEIGHT*0.5+60;zoom,0.5;diffusealpha,0.5;shadowlength,0;); };
	Def.BitmapText{ Font="ScoreDisplayPercentage percent text"; Text="0"; InitCommand=function(self) iron_snail_p2mtext = self; end;
	OnCommand=cmd(horizalign,left;x,3+(SCREEN_WIDTH*0.75);y,SCREEN_HEIGHT*0.5+60;zoom,0.5;diffusealpha,0.5;shadowlength,0;); };
	
	Def.ActorFrame{
		InitCommand=function(self) iron_snail_p1 = self end; OnCommand=cmd(x,SCREEN_WIDTH*0.25;y,SCREEN_HEIGHT*0.25+40;);
		Def.Sprite{
			Texture="snails 2x2.png";
			Frame0000=1;
			Delay0000=0.15;
			Frame0001=3;
			Delay0001=0.15;
			OnCommand=cmd(zoomx,-1;animate,0;);
			MovingP1MessageCommand=cmd(stoptweening;diffusealpha,1;animate,1;sleep,0.25;queuecommand,"StopM";);
			HopelessP1MessageCommand=cmd(stoptweening;diffusealpha,0;sleep,2;queuecommand,"StopM";);
			OnFireP1MessageCommand=cmd(stoptweening;diffusealpha,0;sleep,5;queuecommand,"StopM";);
			StopMCommand=cmd(diffusealpha,1;animate,0;);
		};
		LoadActor("exclam")..{
			OnCommand=cmd(diffusealpha,0;zoom,1;y,-40;x,6;);
			AlertP1MessageCommand=cmd(diffusealpha,1;sleep,0.4;diffusealpha,0;);
		};
		Def.Sprite{
			Texture="onfire 6x2.png";
			Frame0000=0;
			Delay0000=0.15;
			Frame0001=1;
			Delay0001=0.15;
			OnCommand=cmd(zoomx,-1;x,8;y,-12;animate,1;diffusealpha,0;);
			MovingP1MessageCommand=cmd(stoptweening;diffusealpha,0;);
			HopelessP1MessageCommand=cmd(stoptweening;diffusealpha,1;sleep,2;queuecommand,"StopM";);
			OnFireP1MessageCommand=cmd(stoptweening;diffusealpha,0;sleep,5;queuecommand,"StopM";);
			StopMCommand=cmd(diffusealpha,0;animate,1;);
		};
		Def.Sprite{
			Texture="onfire 6x2.png";
			Frame0000=2;
			Delay0000=0.15;
			Frame0001=3;
			Delay0001=0.15;
			Frame0002=4;
			Delay0002=0.15;
			Frame0003=5;
			Delay0003=0.15;
			OnCommand=cmd(zoomx,-1;x,8;y,-12;animate,1;diffusealpha,0;);
			MovingP1MessageCommand=cmd(stoptweening;diffusealpha,0;);
			HopelessP1MessageCommand=cmd(stoptweening;diffusealpha,0;sleep,2;queuecommand,"StopM";);
			OnFireP1MessageCommand=cmd(stoptweening;diffusealpha,1;sleep,5;queuecommand,"StopM";);
			StopMCommand=cmd(diffusealpha,0;animate,1;);
		};
	};
	Def.ActorFrame{
		InitCommand=function(self) iron_snail_p2 = self end; OnCommand=cmd(x,SCREEN_WIDTH*0.25;y,SCREEN_HEIGHT*0.75+40;);
		Def.Sprite{
			Texture="snails 2x2.png";
			Frame0000=0;
			Delay0000=0.15;
			Frame0001=2;
			Delay0001=0.15;
			OnCommand=cmd(zoomx,-1;animate,0;);
			MovingP2MessageCommand=cmd(stoptweening;diffusealpha,1;animate,1;sleep,0.25;queuecommand,"StopM";);
			HopelessP2MessageCommand=cmd(stoptweening;diffusealpha,0;sleep,2;queuecommand,"StopM";);
			OnFireP2MessageCommand=cmd(stoptweening;diffusealpha,0;sleep,5;queuecommand,"StopM";);
			StopMCommand=cmd(diffusealpha,1;animate,0;);
		};
		LoadActor("exclam")..{
			OnCommand=cmd(diffusealpha,0;zoom,1;y,-40;x,6;);
			AlertP2MessageCommand=cmd(diffusealpha,1;sleep,0.4;diffusealpha,0;);
		};
		Def.Sprite{
			Texture="onfire 6x2.png";
			Frame0000=6;
			Delay0000=0.15;
			Frame0001=7;
			Delay0001=0.15;
			OnCommand=cmd(zoomx,-1;x,8;y,-12;animate,1;diffusealpha,0;);
			MovingP2MessageCommand=cmd(stoptweening;diffusealpha,0;);
			HopelessP2MessageCommand=cmd(stoptweening;diffusealpha,1;sleep,2;queuecommand,"StopM";);
			OnFireP2MessageCommand=cmd(stoptweening;diffusealpha,0;sleep,5;queuecommand,"StopM";);
			StopMCommand=cmd(diffusealpha,0;animate,1;);
		};
		Def.Sprite{
			Texture="onfire 6x2.png";
			Frame0000=8;
			Delay0000=0.15;
			Frame0001=9;
			Delay0001=0.15;
			Frame0002=10;
			Delay0002=0.15;
			Frame0003=11;
			Delay0003=0.15;
			OnCommand=cmd(zoomx,-1;x,8;y,-12;animate,1;diffusealpha,0;);
			MovingP2MessageCommand=cmd(stoptweening;diffusealpha,0;);
			HopelessP2MessageCommand=cmd(stoptweening;diffusealpha,0;sleep,2;queuecommand,"StopM";);
			OnFireP2MessageCommand=cmd(stoptweening;diffusealpha,1;sleep,5;queuecommand,"StopM";);
			StopMCommand=cmd(diffusealpha,0;animate,1;);
		};
	};
	
	Def.ActorFrame{ OnCommand=cmd(addx,56); InitCommand=function(self) iron_snail_nfp1 = self; end;
		Iron_Arrows1;
	},
	
	Def.ActorFrame{ OnCommand=cmd(addx,56); InitCommand=function(self) iron_snail_nfp2 = self; end;
		Iron_Arrows2;
	},
	
	Def.Quad{ OnCommand=cmd(diffuse,0,0,0,1;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;zoomto,SCREEN_WIDTH,6;); };
	
	Def.Quad{ OnCommand=cmd(horizalign,left;x,98;y,52;zoomto,(SCREEN_WIDTH-200)+4,20;diffuse,0,0,0,1;);
	StartTimerMessageCommand=cmd(linear,(143-16)*(60/150);zoomto,4,20;diffuse,0,0,0,1;); TimeUpMessageCommand=cmd(finishtweening;zoom,0;); };
	Def.Quad{ OnCommand=cmd(horizalign,left;x,100;y,52;zoomto,SCREEN_WIDTH-200,16;diffuse,0,2,0,1;);
	StartTimerMessageCommand=cmd(linear,(143-16)*(60/150);zoomto,0,16;diffuse,2,0,0,1;); };
	
	Def.ActorFrame{
		OnCommand=cmd(x,70;y,45;zoom,0.45;pulse;effectmagnitude,1.2,1,0;effectclock,"bgm";effectperiod,.5;effectoffset,0.6;);
		TimeUpMessageCommand=cmd(visible,false;);
		LoadActor("stopwatch")..{
			InitCommand=cmd(zbuffer,1;);
		};
		Def.ActorFrame{
			OnCommand=cmd(x,8;y,16;rotationz,15;spin;effectmagnitude,0,0,45;effectclock,"bgm");
			LoadActor("hand")..{
				InitCommand=cmd(zbuffer,1;horizalign,right;vertalign,bottom;x,24;y,16;);
			};
		};
		LoadActor("center")..{
			InitCommand=cmd(zbuffer,1;horizalign,right;vertalign,bottom;x,36;y,36;visible,true);
		};
	};
	
	Def.Sprite{
	Texture="_explosion 5x5.png";
	Frame0000=0;
	Delay0000=0.05;
	Frame0001=1;
	Delay0001=0.05;
	Frame0002=2;
	Delay0002=0.05;
	Frame0003=3;
	Delay0003=0.05;
	Frame0004=4;
	Delay0004=0.05;
	Frame0005=5;
	Delay0005=0.05;
	Frame0006=6;
	Delay0006=0.05;
	Frame0007=7;
	Delay0007=0.05;
	Frame0008=8;
	Delay0008=0.05;
	Frame0009=9;
	Delay0009=0.05;
	Frame0010=10;
	Delay0010=0.05;
	Frame0011=11;
	Delay0011=0.05;
	Frame0012=12;
	Delay0012=0.05;
	Frame0013=13;
	Delay0013=0.05;
	Frame0014=14;
	Delay0014=0.05;
	Frame0015=15;
	Delay0015=0.05;
	Frame0016=16;
	Delay0016=0.05;
	Frame0017=17;
	Delay0017=0.05;
	Frame0018=18;
	Delay0018=0.05;
	Frame0019=19;
	Delay0019=0.05;
	Frame0020=20;
	Delay0020=0.05;
	Frame0021=21;
	Delay0021=0.05;
	Frame0022=22;
	Delay0022=0.05;
	Frame0023=23;
	Delay0023=0.05;
	Frame0024=24;
	Delay0024=0.05;
	OnCommand=cmd(zoom,0;);
	TimeUpMessageCommand=cmd(animate,1;setstate,0;x,70;y,45;zoom,2;sleep,1.25;zoom,0;); };
	
	Def.Quad{ InitCommand=function(self) iron_snail_controller = self end; };
	
	Def.Quad{
		OnCommand=function(self)
			goty2_started = false;
			mod_firstSeenBeat = GAMESTATE:GetSongBeat();
			fgcurcommand = 1;
			self:sleep(0.02);
			self:queuecommand('Update');
		end;
		UpdateCommand=function(self)
			
			local beat = GAMESTATE:GetSongBeat();
			
			if beat > mod_firstSeenBeat+1 and not goty2_started then
				MESSAGEMAN:Broadcast('Start');
				goty2_started = true;
			end
			
			if beat > 13.6 and fgcurcommand == 1 then
				goty2_sound('airhorn.ogg');
				fgcurcommand = fgcurcommand+1;
			end
			
			if beat > 16 and fgcurcommand == 2 then
				MESSAGEMAN:Broadcast('StartTimer');
				fgcurcommand = fgcurcommand+1;
			end
			
			if beat > 142.6 and fgcurcommand == 3 then
				goty2_sound('airhorn.ogg');
				goty2_sound('bang.ogg');
				fgcurcommand = fgcurcommand+1;
			end
			
			if beat > 143 and fgcurcommand == 4 then
				MESSAGEMAN:Broadcast('TimeUp');
				
				
				
				--[[
				
				if _G['iron_snail_p1ctexta'] then
					_G['iron_snail_p1ctexta']:diffusealpha(1);
				end
				if _G['iron_snail_p2ctexta'] then
					_G['iron_snail_p2ctexta']:diffusealpha(1);
				end
				
				for pn=1,2 do
					if iron_snail_score[pn] == maxscore then
						if _G['iron_snail_p'..pn..'ctexta'] then
							_G['iron_snail_p'..pn..'ctexta']:rainbow();
						end
					end
				end
				
				]]
				
				fgcurcommand = fgcurcommand+1;
			end
			
			self:sleep(0.02);
			self:queuecommand('Update');
		end;
	};
	
	Def.BitmapText{
		Font="common normal";
		Text="WINNER";
		OnCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_HEIGHT*0.25-14-35;zoom,1.3;diffusealpha,0;sleep,0;);
		TimeUpMessageCommand=function(self)
			if snail_time[1] < snail_time[2] then
				self:settext('WINNER');
				if _G['iron_snail_p1ctexta'] then
					_G['iron_snail_p1ctexta']:rainbow();
				end
				self:rainbow();
			end
			if snail_time[1] > snail_time[2] then
				self:settext('LOSE...');
				self:diffuse(0.4,0.6,1,1);
				self:zoom(1.1);
			end
			if snail_time[1] == snail_time[2] then
				self:settext('DRAW');
				self:zoom(1.1);
			end
			self:diffusealpha(1);
		end;
		Condition=GAMESTATE:IsPlayerEnabled(PLAYER_1) and GAMESTATE:IsPlayerEnabled(PLAYER_2);
	};
	
	Def.BitmapText{
		Font="common normal";
		Text="WINNER";
		OnCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_HEIGHT*0.75-14-35;zoom,1.3;diffusealpha,0;sleep,0;);
		TimeUpMessageCommand=function(self)
			if snail_time[1] > snail_time[2] then
				self:settext('WINNER');
				if _G['iron_snail_p1ctexta'] then
					_G['iron_snail_p1ctexta']:rainbow();
				end
				self:rainbow();
			end
			if snail_time[1] < snail_time[2] then
				self:settext('LOSE...');
				self:diffuse(0.4,0.6,1,1);
				self:zoom(1.1);
			end
			if snail_time[1] == snail_time[2] then
				self:settext('DRAW');
				self:zoom(1.1);
			end
			self:diffusealpha(1);
		end;
		Condition=GAMESTATE:IsPlayerEnabled(PLAYER_1) and GAMESTATE:IsPlayerEnabled(PLAYER_2);
	};
	
	Def.BitmapText{ Font="Combo numbers"; Text="0"; InitCommand=function(self) iron_snail_p1ctexta = self; end;
	OnCommand=cmd(x,SCREEN_WIDTH*0.11;y,(SCREEN_HEIGHT*0.25)+40;diffusealpha,0;shadowlength,0;); Condition=GAMESTATE:IsPlayerEnabled(PLAYER_1) };
	Def.BitmapText{ Font="Combo numbers"; Text="0"; InitCommand=function(self) iron_snail_p2ctexta = self; end;
	OnCommand=cmd(x,SCREEN_WIDTH*0.11;y,(SCREEN_HEIGHT*0.75)+40;diffusealpha,0;shadowlength,0;); Condition=GAMESTATE:IsPlayerEnabled(PLAYER_2) };
	
	Def.ActorFrame{
		OnCommand=cmd(addx,100;);
		Def.BitmapText{
			Font="common normal";
			Text="HIGH SCORE";
			OnCommand=cmd(horizalign,right;x,SCREEN_CENTER_X-4;y,SCREEN_CENTER_Y+13;zoom,0.8;diffusealpha,0;shadowlength,0;);
			StartTimerMessageCommand=cmd(sleep,1;playcommand,"Do");
			DoCommand=function(self)
				self:linear(0.5);
				self:diffusealpha(1);
			end;
		};
		Def.BitmapText{
			Font="common normal";
			Text="";
			OnCommand=cmd(horizalign,left;x,SCREEN_CENTER_X+4;y,SCREEN_CENTER_Y+13;zoom,0.8;diffusealpha,0;shadowlength,0;);
			StartTimerMessageCommand=cmd(sleep,1;playcommand,"Do");
			UpdateHighScoreMessageCommand=cmd(rainbow;playcommand,"Do");
			DoCommand=function(self)
				self:settext(snail_highscore);
				self:linear(0.5);
				self:diffusealpha(1);
			end;
		};
		Def.BitmapText{
			Font="common normal";
			Text="TODAY'S BEST";
			OnCommand=cmd(horizalign,right;x,SCREEN_CENTER_X-4;y,SCREEN_CENTER_Y-13;zoom,0.8;diffusealpha,0;shadowlength,0;);
			StartTimerMessageCommand=cmd(sleep,1;playcommand,"Do");
			DoCommand=function(self)
				self:linear(0.5);
				self:diffusealpha(1);
			end;
		};
		Def.BitmapText{
			Font="common normal";
			Text="";
			OnCommand=cmd(horizalign,left;x,SCREEN_CENTER_X+4;y,SCREEN_CENTER_Y-13;zoom,0.8;diffusealpha,0;shadowlength,0;);
			StartTimerMessageCommand=cmd(sleep,1;playcommand,"Do");
			UpdateTodayBestMessageCommand=cmd(rainbow;playcommand,"Do");
			DoCommand=function(self)
				self:settext(iron_snail_todayBest);
				self:linear(0.5);
				self:diffusealpha(1);
			end;
		};
	};
	
	LoadActor("_black")..{ OnCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;zoomto,SCREEN_WIDTH,SCREEN_HEIGHT;
	sleep,6/15;linear,6/15;diffusealpha,.7;sleep,12*(6/15);linear,6/15;diffusealpha,0;);};
	LoadActor("text1")..{ OnCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;diffusealpha,0;sleep,0;
	linear,0.4;diffusealpha,1;sleep,8*(60/150);linear,0.4;diffusealpha,0;);};
	LoadActor("text2")..{ OnCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;diffusealpha,0;sleep,8*(60/150)+0.4;
	linear,0.4;diffusealpha,1;sleep,6*(60/150)-0.8;linear,0;diffusealpha,0;);};
	LoadActor("text3")..{ OnCommand=cmd(vibrate;effectmagnitude,2,2,2;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;diffusealpha,0;sleep,14*(60/150);
	linear,0;diffusealpha,1;sleep,1;linear,0.4;diffusealpha,0;); };
	
	Def.BitmapText{
		Font="common normal";
		Text="";
		InitCommand=function(self) snail_timetextp1 = self end;
		OnCommand=cmd(x,SCREEN_CENTER_X*0.25;y,SCREEN_HEIGHT*0.25-20;zoom,0.8;diffusealpha,0;sleep,0;);
		Condition=GAMESTATE:IsPlayerEnabled(PLAYER_1);
	};
	Def.BitmapText{
		Font="common normal";
		Text="";
		InitCommand=function(self) snail_timetextp2 = self end;
		OnCommand=cmd(x,SCREEN_CENTER_X*0.25;y,SCREEN_HEIGHT*0.75-20;zoom,0.8;diffusealpha,0;sleep,0;);
		Condition=GAMESTATE:IsPlayerEnabled(PLAYER_2);
	};
	
	Def.BitmapText{
		Font="common normal";
		Text="";
		InitCommand=function(self) snail_globaltimertext = self end;
		OnCommand=cmd(horizalign,left;x,10;y,SCREEN_HEIGHT*0.5;zoom,1.3;diffusealpha,1;sleep,0;);
	};
	
}